/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CGROUP_GETSET_RETVAL_SETSOCKOPT_SKEL_H__
#define __CGROUP_GETSET_RETVAL_SETSOCKOPT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cgroup_getset_retval_setsockopt {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *get_retval;
		struct bpf_program *set_eunatch;
		struct bpf_program *set_eisconn;
		struct bpf_program *legacy_eperm;
	} progs;
	struct {
		struct bpf_link *get_retval;
		struct bpf_link *set_eunatch;
		struct bpf_link *set_eisconn;
		struct bpf_link *legacy_eperm;
	} links;
	struct cgroup_getset_retval_setsockopt__bss {
		__u32 invocations;
		__u32 assertion_error;
		__u32 retval_value;
		__s32 page_size;
	} *bss;

#ifdef __cplusplus
	static inline struct cgroup_getset_retval_setsockopt *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cgroup_getset_retval_setsockopt *open_and_load();
	static inline int load(struct cgroup_getset_retval_setsockopt *skel);
	static inline int attach(struct cgroup_getset_retval_setsockopt *skel);
	static inline void detach(struct cgroup_getset_retval_setsockopt *skel);
	static inline void destroy(struct cgroup_getset_retval_setsockopt *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cgroup_getset_retval_setsockopt__destroy(struct cgroup_getset_retval_setsockopt *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cgroup_getset_retval_setsockopt__create_skeleton(struct cgroup_getset_retval_setsockopt *obj);

static inline struct cgroup_getset_retval_setsockopt *
cgroup_getset_retval_setsockopt__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cgroup_getset_retval_setsockopt *obj;
	int err;

	obj = (struct cgroup_getset_retval_setsockopt *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cgroup_getset_retval_setsockopt__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cgroup_getset_retval_setsockopt__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cgroup_getset_retval_setsockopt *
cgroup_getset_retval_setsockopt__open(void)
{
	return cgroup_getset_retval_setsockopt__open_opts(NULL);
}

static inline int
cgroup_getset_retval_setsockopt__load(struct cgroup_getset_retval_setsockopt *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cgroup_getset_retval_setsockopt *
cgroup_getset_retval_setsockopt__open_and_load(void)
{
	struct cgroup_getset_retval_setsockopt *obj;
	int err;

	obj = cgroup_getset_retval_setsockopt__open();
	if (!obj)
		return NULL;
	err = cgroup_getset_retval_setsockopt__load(obj);
	if (err) {
		cgroup_getset_retval_setsockopt__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cgroup_getset_retval_setsockopt__attach(struct cgroup_getset_retval_setsockopt *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cgroup_getset_retval_setsockopt__detach(struct cgroup_getset_retval_setsockopt *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cgroup_getset_retval_setsockopt__elf_bytes(size_t *sz);

static inline int
cgroup_getset_retval_setsockopt__create_skeleton(struct cgroup_getset_retval_setsockopt *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cgroup_getset_retval_setsockopt";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "cgroup_g.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "get_retval";
	s->progs[0].prog = &obj->progs.get_retval;
	s->progs[0].link = &obj->links.get_retval;

	s->progs[1].name = "set_eunatch";
	s->progs[1].prog = &obj->progs.set_eunatch;
	s->progs[1].link = &obj->links.set_eunatch;

	s->progs[2].name = "set_eisconn";
	s->progs[2].prog = &obj->progs.set_eisconn;
	s->progs[2].link = &obj->links.set_eisconn;

	s->progs[3].name = "legacy_eperm";
	s->progs[3].prog = &obj->progs.legacy_eperm;
	s->progs[3].link = &obj->links.legacy_eperm;

	s->data = cgroup_getset_retval_setsockopt__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cgroup_getset_retval_setsockopt__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x2e\x62\x73\x73\
\0\x63\x67\x72\x6f\x75\x70\x5f\x67\x65\x74\x73\x65\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x2e\x63\0\x4c\x42\x42\x30\x5f\
\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\
\x32\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x33\x5f\x32\0\x67\x65\x74\x5f\x72\
\x65\x74\x76\x61\x6c\0\x72\x65\x74\x76\x61\x6c\x5f\x76\x61\x6c\x75\x65\0\x69\
\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\
\0\x73\x65\x74\x5f\x65\x75\x6e\x61\x74\x63\x68\0\x61\x73\x73\x65\x72\x74\x69\
\x6f\x6e\x5f\x65\x72\x72\x6f\x72\0\x73\x65\x74\x5f\x65\x69\x73\x63\x6f\x6e\x6e\
\0\x6c\x65\x67\x61\x63\x79\x5f\x65\x70\x65\x72\x6d\0\x2e\x72\x65\x6c\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x28\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\0\0\x03\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\0\0\x03\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\0\0\x03\0\
\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\0\0\x03\0\xd0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6d\0\0\0\0\0\x03\0\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x04\0\x08\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x98\0\0\0\x11\0\x04\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa2\0\0\0\x12\
\0\x03\0\x90\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xae\0\0\0\x11\0\x04\0\x04\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\xbe\0\0\0\x12\0\x03\0\x38\x01\0\0\0\0\0\0\xa8\0\0\0\0\
\0\0\0\xca\0\0\0\x12\0\x03\0\xe0\x01\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xbf\x16\0\0\
\0\0\0\0\x85\0\0\0\xba\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\
\0\0\0\xb4\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x12\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x61\x62\x20\0\0\
\0\0\0\xde\x12\x02\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x16\x20\0\0\0\0\0\xb4\0\0\
\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\
\x01\0\0\xcf\xff\xff\xff\x85\0\0\0\xbb\0\0\0\x16\0\x03\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\x61\x62\x20\0\0\0\0\0\xde\x12\x02\0\0\0\0\0\xb4\x01\0\0\0\
\0\0\0\x63\x16\x20\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x01\0\0\0\xc3\x21\0\0\0\0\0\0\xb4\x01\0\0\x96\xff\xff\xff\x85\0\0\0\xbb\0\0\0\
\x16\0\x03\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x61\x62\x20\0\0\0\0\0\
\xde\x12\x02\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x16\x20\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc3\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\
\x61\x13\x20\0\0\0\0\0\xde\x23\x02\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x21\x20\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\
\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\
\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\xf0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x80\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\
\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\0\x02\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd0\x01\0\0\xd0\x01\0\0\x04\x03\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x01\0\0\0\x07\0\0\x04\x28\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x07\0\0\0\x80\0\0\0\x0d\0\0\0\x08\0\0\0\
\xc0\0\0\0\x13\0\0\0\x08\0\0\0\xe0\0\0\0\x1b\0\0\0\x08\0\0\0\0\x01\0\0\x22\0\0\
\0\x08\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x29\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x2c\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x33\0\0\0\
\x06\0\0\0\0\0\0\0\x3e\0\0\0\0\0\0\x08\x09\0\0\0\x44\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\0\0\0\0\x01\0\0\x0d\x09\0\0\0\x48\0\0\0\x01\0\0\0\x4c\0\0\0\x01\0\
\0\x0c\x0a\0\0\0\x57\0\0\0\x01\0\0\x0c\x0a\0\0\0\x63\0\0\0\x01\0\0\x0c\x0a\0\0\
\0\x6f\0\0\0\x01\0\0\x0c\x0a\0\0\0\x7c\0\0\0\0\0\0\x08\x10\0\0\0\x82\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\x8f\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x9b\0\0\0\0\
\0\0\x0e\x0f\0\0\0\x01\0\0\0\xab\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xb8\0\0\0\
\0\0\0\x0e\x08\0\0\0\x01\0\0\0\xc2\0\0\0\0\0\0\x07\0\0\0\0\xed\x02\0\0\x04\0\0\
\x0f\x10\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\x12\0\0\0\x04\0\0\0\x04\0\0\0\x13\0\
\0\0\x08\0\0\0\x04\0\0\0\x14\0\0\0\x0c\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\x6f\x70\x74\0\x6c\x65\x76\x65\x6c\0\x6f\x70\x74\x6e\x61\x6d\x65\0\
\x6f\x70\x74\x6c\x65\x6e\0\x72\x65\x74\x76\x61\x6c\0\x73\x6b\0\x6f\x70\x74\x76\
\x61\x6c\0\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\x64\0\x5f\x5f\x73\x33\x32\0\x69\
\x6e\x74\0\x63\x74\x78\0\x67\x65\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x73\x65\x74\
\x5f\x65\x75\x6e\x61\x74\x63\x68\0\x73\x65\x74\x5f\x65\x69\x73\x63\x6f\x6e\x6e\
\0\x6c\x65\x67\x61\x63\x79\x5f\x65\x70\x65\x72\x6d\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x69\x6e\x76\x6f\x63\x61\x74\x69\
\x6f\x6e\x73\0\x61\x73\x73\x65\x72\x74\x69\x6f\x6e\x5f\x65\x72\x72\x6f\x72\0\
\x72\x65\x74\x76\x61\x6c\x5f\x76\x61\x6c\x75\x65\0\x70\x61\x67\x65\x5f\x73\x69\
\x7a\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\
\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\x72\x6f\
\x75\x70\x5f\x67\x65\x74\x73\x65\x74\x5f\x72\x65\x74\x76\x61\x6c\x5f\x73\x65\
\x74\x73\x6f\x63\x6b\x6f\x70\x74\x2e\x63\0\x69\x6e\x74\x20\x67\x65\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x76\x61\x6c\x5f\
\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x28\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\
\x6e\x73\x2c\x20\x31\x29\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6f\x70\
\x74\x6c\x65\x6e\x20\x3e\x20\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\x29\0\x09\x09\
\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x30\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x31\x3b\0\x69\x6e\x74\x20\x73\x65\x74\x5f\x65\x75\x6e\x61\
\x74\x63\x68\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\
\x65\x74\x5f\x72\x65\x74\x76\x61\x6c\x28\x2d\x45\x55\x4e\x41\x54\x43\x48\x29\
\x29\0\x09\x09\x61\x73\x73\x65\x72\x74\x69\x6f\x6e\x5f\x65\x72\x72\x6f\x72\x20\
\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\
\x73\x65\x74\x5f\x65\x69\x73\x63\x6f\x6e\x6e\x28\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x5f\x72\x65\x74\x76\x61\x6c\x28\x2d\
\x45\x49\x53\x43\x4f\x4e\x4e\x29\x29\0\x69\x6e\x74\x20\x6c\x65\x67\x61\x63\x79\
\x5f\x65\x70\x65\x72\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\x2e\x62\x73\x73\0\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\0\0\0\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x4c\x02\0\0\x78\x02\0\0\0\0\0\0\
\x08\0\0\0\xf2\x02\0\0\x04\0\0\0\0\0\0\0\x0b\0\0\0\x90\0\0\0\x0c\0\0\0\x38\x01\
\0\0\x0d\0\0\0\xe0\x01\0\0\x0e\0\0\0\x10\0\0\0\xf2\x02\0\0\x24\0\0\0\0\0\0\0\
\xcb\0\0\0\x63\x01\0\0\0\x44\0\0\x08\0\0\0\xcb\0\0\0\x8b\x01\0\0\x11\x4c\0\0\
\x10\0\0\0\xcb\0\0\0\x8b\x01\0\0\x0f\x4c\0\0\x30\0\0\0\xcb\0\0\0\xad\x01\0\0\
\x02\x50\0\0\x48\0\0\0\xcb\0\0\0\xd5\x01\0\0\x14\x5c\0\0\x60\0\0\0\xcb\0\0\0\
\xd5\x01\0\0\x0b\x5c\0\0\x68\0\0\0\xcb\0\0\0\xd5\x01\0\0\x06\x5c\0\0\x78\0\0\0\
\xcb\0\0\0\xf3\x01\0\0\x0f\x60\0\0\x80\0\0\0\xcb\0\0\0\x06\x02\0\0\x02\x68\0\0\
\x90\0\0\0\xcb\0\0\0\x11\x02\0\0\0\x78\0\0\xa0\0\0\0\xcb\0\0\0\xad\x01\0\0\x02\
\x80\0\0\xc0\0\0\0\xcb\0\0\0\x3a\x02\0\0\x06\x88\0\0\xd0\0\0\0\xcb\0\0\0\x3a\
\x02\0\0\x06\x88\0\0\xd8\0\0\0\xcb\0\0\0\x59\x02\0\0\x13\x8c\0\0\xf0\0\0\0\xcb\
\0\0\0\xd5\x01\0\0\x14\x98\0\0\x08\x01\0\0\xcb\0\0\0\xd5\x01\0\0\x0b\x98\0\0\
\x10\x01\0\0\xcb\0\0\0\xd5\x01\0\0\x06\x98\0\0\x20\x01\0\0\xcb\0\0\0\xf3\x01\0\
\0\x0f\x9c\0\0\x28\x01\0\0\xcb\0\0\0\x70\x02\0\0\x02\xa4\0\0\x38\x01\0\0\xcb\0\
\0\0\x7b\x02\0\0\0\xb4\0\0\x48\x01\0\0\xcb\0\0\0\xad\x01\0\0\x02\xbc\0\0\x68\
\x01\0\0\xcb\0\0\0\xa4\x02\0\0\x06\xc4\0\0\x78\x01\0\0\xcb\0\0\0\xa4\x02\0\0\
\x06\xc4\0\0\x80\x01\0\0\xcb\0\0\0\x59\x02\0\0\x13\xc8\0\0\x98\x01\0\0\xcb\0\0\
\0\xd5\x01\0\0\x14\xd4\0\0\xb0\x01\0\0\xcb\0\0\0\xd5\x01\0\0\x0b\xd4\0\0\xb8\
\x01\0\0\xcb\0\0\0\xd5\x01\0\0\x06\xd4\0\0\xc8\x01\0\0\xcb\0\0\0\xf3\x01\0\0\
\x0f\xd8\0\0\xd0\x01\0\0\xcb\0\0\0\x70\x02\0\0\x02\xe0\0\0\xe0\x01\0\0\xcb\0\0\
\0\xc3\x02\0\0\0\xf0\0\0\xe8\x01\0\0\xcb\0\0\0\xad\x01\0\0\x02\xf8\0\0\0\x02\0\
\0\xcb\0\0\0\xd5\x01\0\0\x14\x04\x01\0\x18\x02\0\0\xcb\0\0\0\xd5\x01\0\0\x0b\
\x04\x01\0\x20\x02\0\0\xcb\0\0\0\xd5\x01\0\0\x06\x04\x01\0\x30\x02\0\0\xcb\0\0\
\0\xf3\x01\0\0\x0f\x08\x01\0\x38\x02\0\0\xcb\0\0\0\x70\x02\0\0\x02\x10\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\x01\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd8\x02\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\0\0\0\0\0\xb0\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xed\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\xec\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0a\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct cgroup_getset_retval_setsockopt *cgroup_getset_retval_setsockopt::open(const struct bpf_object_open_opts *opts) { return cgroup_getset_retval_setsockopt__open_opts(opts); }
struct cgroup_getset_retval_setsockopt *cgroup_getset_retval_setsockopt::open_and_load() { return cgroup_getset_retval_setsockopt__open_and_load(); }
int cgroup_getset_retval_setsockopt::load(struct cgroup_getset_retval_setsockopt *skel) { return cgroup_getset_retval_setsockopt__load(skel); }
int cgroup_getset_retval_setsockopt::attach(struct cgroup_getset_retval_setsockopt *skel) { return cgroup_getset_retval_setsockopt__attach(skel); }
void cgroup_getset_retval_setsockopt::detach(struct cgroup_getset_retval_setsockopt *skel) { cgroup_getset_retval_setsockopt__detach(skel); }
void cgroup_getset_retval_setsockopt::destroy(struct cgroup_getset_retval_setsockopt *skel) { cgroup_getset_retval_setsockopt__destroy(skel); }
const void *cgroup_getset_retval_setsockopt::elf_bytes(size_t *sz) { return cgroup_getset_retval_setsockopt__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cgroup_getset_retval_setsockopt__assert(struct cgroup_getset_retval_setsockopt *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->invocations) == 4, "unexpected size of 'invocations'");
	_Static_assert(sizeof(s->bss->assertion_error) == 4, "unexpected size of 'assertion_error'");
	_Static_assert(sizeof(s->bss->retval_value) == 4, "unexpected size of 'retval_value'");
	_Static_assert(sizeof(s->bss->page_size) == 4, "unexpected size of 'page_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CGROUP_GETSET_RETVAL_SETSOCKOPT_SKEL_H__ */
