/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ACCESS_MAP_IN_MAP_SKEL_H__
#define __ACCESS_MAP_IN_MAP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct access_map_in_map {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *inner_map;
		struct bpf_map *outer_array_map;
		struct bpf_map *outer_htab_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *access_map_in_array;
		struct bpf_program *access_map_in_htab;
		struct bpf_program *sleepable_access_map_in_array;
		struct bpf_program *sleepable_access_map_in_htab;
	} progs;
	struct {
		struct bpf_link *access_map_in_array;
		struct bpf_link *access_map_in_htab;
		struct bpf_link *sleepable_access_map_in_array;
		struct bpf_link *sleepable_access_map_in_htab;
	} links;
	struct access_map_in_map__bss {
		int tgid;
	} *bss;

#ifdef __cplusplus
	static inline struct access_map_in_map *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct access_map_in_map *open_and_load();
	static inline int load(struct access_map_in_map *skel);
	static inline int attach(struct access_map_in_map *skel);
	static inline void detach(struct access_map_in_map *skel);
	static inline void destroy(struct access_map_in_map *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
access_map_in_map__destroy(struct access_map_in_map *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
access_map_in_map__create_skeleton(struct access_map_in_map *obj);

static inline struct access_map_in_map *
access_map_in_map__open_opts(const struct bpf_object_open_opts *opts)
{
	struct access_map_in_map *obj;
	int err;

	obj = (struct access_map_in_map *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = access_map_in_map__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	access_map_in_map__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct access_map_in_map *
access_map_in_map__open(void)
{
	return access_map_in_map__open_opts(NULL);
}

static inline int
access_map_in_map__load(struct access_map_in_map *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct access_map_in_map *
access_map_in_map__open_and_load(void)
{
	struct access_map_in_map *obj;
	int err;

	obj = access_map_in_map__open();
	if (!obj)
		return NULL;
	err = access_map_in_map__load(obj);
	if (err) {
		access_map_in_map__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
access_map_in_map__attach(struct access_map_in_map *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
access_map_in_map__detach(struct access_map_in_map *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *access_map_in_map__elf_bytes(size_t *sz);

static inline int
access_map_in_map__create_skeleton(struct access_map_in_map *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "access_map_in_map";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "inner_map";
	s->maps[0].map = &obj->maps.inner_map;

	s->maps[1].name = "outer_array_map";
	s->maps[1].map = &obj->maps.outer_array_map;

	s->maps[2].name = "outer_htab_map";
	s->maps[2].map = &obj->maps.outer_htab_map;

	s->maps[3].name = "access_m.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "access_map_in_array";
	s->progs[0].prog = &obj->progs.access_map_in_array;
	s->progs[0].link = &obj->links.access_map_in_array;

	s->progs[1].name = "access_map_in_htab";
	s->progs[1].prog = &obj->progs.access_map_in_htab;
	s->progs[1].link = &obj->links.access_map_in_htab;

	s->progs[2].name = "sleepable_access_map_in_array";
	s->progs[2].prog = &obj->progs.sleepable_access_map_in_array;
	s->progs[2].link = &obj->links.sleepable_access_map_in_array;

	s->progs[3].name = "sleepable_access_map_in_htab";
	s->progs[3].prog = &obj->progs.sleepable_access_map_in_htab;
	s->progs[3].link = &obj->links.sleepable_access_map_in_htab;

	s->data = access_map_in_map__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *access_map_in_map__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x6b\
\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\
\x70\x67\x69\x64\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\x78\x36\x34\
\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x61\x63\x63\x65\x73\x73\x5f\x6d\
\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x2e\x63\0\x4c\x42\x42\x30\x5f\x35\0\x4c\
\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x31\x5f\x34\0\x4c\
\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x33\x5f\x35\0\x4c\
\x42\x42\x33\x5f\x34\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\
\x61\x72\x72\x61\x79\0\x74\x67\x69\x64\0\x6f\x75\x74\x65\x72\x5f\x61\x72\x72\
\x61\x79\x5f\x6d\x61\x70\0\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x61\x72\x72\x61\x79\0\x61\x63\x63\
\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x68\x74\x61\x62\0\x6f\x75\x74\x65\
\x72\x5f\x68\x74\x61\x62\x5f\x6d\x61\x70\0\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x68\x74\x61\x62\0\
\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x3f\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\
\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\
\x79\x2e\x73\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\0\0\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x75\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\0\0\x04\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x83\0\0\0\0\0\x04\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\0\0\
\x03\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\0\0\x03\0\xc8\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\x04\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9f\0\0\0\0\0\x04\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x12\0\x03\0\
\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\xba\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\xbf\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xcf\0\
\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\xed\0\0\0\x12\0\x03\0\x10\
\x01\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\0\x01\0\0\x11\0\x05\0\x48\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\x0f\x01\0\0\x12\0\x04\0\x10\x01\0\0\0\0\0\0\x10\x01\0\0\0\0\
\0\0\x2c\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x36\x01\0\0\x11\
\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x62\x0a\xf8\xff\xef\xbe\xad\xde\x85\
\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\
\0\0\x20\0\0\0\x5d\x10\x19\0\0\0\0\0\x62\x0a\xfc\xff\x01\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\x55\0\x12\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0a\0\0\0\0\0\xb4\x07\0\0\0\x08\0\0\xbf\xa2\0\0\
\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x04\x07\0\
\0\xff\xff\xff\xff\x56\x07\xf7\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x62\x0a\xf8\xff\xef\xbe\xad\xde\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x10\x19\0\0\0\0\0\x62\
\x0a\xfc\xff\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\x12\0\0\0\0\0\x62\x0a\
\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0a\0\0\
\0\0\0\xb4\x07\0\0\0\x08\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x04\0\
\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x04\x07\0\0\xff\xff\xff\xff\x56\x07\xf7\xff\0\0\
\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\x0a\xf8\xff\xef\xbe\xad\xde\x85\0\
\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\0\
\0\x20\0\0\0\x5d\x10\x19\0\0\0\0\0\x62\x0a\xfc\xff\x01\0\0\0\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\x55\0\x12\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0a\0\0\0\0\0\xb4\x07\0\0\0\x08\0\0\xbf\xa2\0\0\
\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x04\x07\0\
\0\xff\xff\xff\xff\x56\x07\xf7\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x62\x0a\xf8\xff\xef\xbe\xad\xde\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x81\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x10\x19\0\0\0\0\0\x62\
\x0a\xfc\xff\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\x12\0\0\0\0\0\x62\x0a\
\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0a\0\0\
\0\0\0\xb4\x07\0\0\0\x08\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x04\0\
\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x04\x07\0\0\xff\xff\xff\xff\x56\x07\xf7\xff\0\0\
\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\
\0\x0d\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\
\x0e\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\
\0\x11\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\
\0\x0d\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\
\x0e\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\
\0\x11\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\
\0\x13\0\0\0\x68\0\0\0\0\0\0\0\x02\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\xf8\x02\0\0\xf8\x02\0\0\x2f\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x08\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x19\0\0\0\x04\0\
\0\x04\x20\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x2d\0\0\0\x05\0\0\0\x40\0\0\0\x36\
\0\0\0\x05\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x4d\0\0\0\0\0\0\x0e\
\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\
\x20\0\0\0\x28\0\0\0\x0b\0\0\0\0\0\0\0\x57\0\0\0\x0d\0\0\0\x40\0\0\0\x5b\0\0\0\
\x0d\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x61\0\0\0\x0f\0\0\0\0\x01\0\
\0\x68\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\
\x28\0\0\0\x12\0\0\0\0\0\0\0\x57\0\0\0\x0d\0\0\0\x40\0\0\0\x5b\0\0\0\x0d\0\0\0\
\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x61\0\0\0\x0f\0\0\0\0\x01\0\0\x78\0\0\
\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x87\0\0\0\x16\0\0\0\x8b\0\0\0\x01\0\0\x0c\x17\0\0\0\x9f\0\0\0\x01\0\
\0\x0c\x17\0\0\0\xbd\0\0\0\x01\0\0\x0c\x17\0\0\0\xd0\0\0\0\x01\0\0\x0c\x17\0\0\
\0\xed\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\
\0\x04\0\0\0\x04\0\0\0\xf2\0\0\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\xfb\0\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\xe6\x02\0\0\x03\0\0\x0f\x70\0\0\0\x0a\0\0\0\0\0\0\0\
\x20\0\0\0\x11\0\0\0\x20\0\0\0\x28\0\0\0\x15\0\0\0\x48\0\0\0\x28\0\0\0\xec\x02\
\0\0\x01\0\0\x0f\x04\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\0\xf4\x02\0\0\x01\0\0\x0f\
\x04\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x69\x6e\x6e\x65\x72\x5f\
\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\
\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x76\x61\x6c\x75\x65\x73\0\x6f\x75\x74\x65\x72\x5f\x61\x72\
\x72\x61\x79\x5f\x6d\x61\x70\0\x6f\x75\x74\x65\x72\x5f\x68\x74\x61\x62\x5f\x6d\
\x61\x70\0\x63\x74\x78\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\
\x5f\x61\x72\x72\x61\x79\0\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x61\x72\x72\x61\x79\0\x61\x63\x63\
\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x68\x74\x61\x62\0\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\x5f\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\x6e\
\x5f\x68\x74\x61\x62\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x67\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\
\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x70\x5f\x69\
\x6e\x5f\x6d\x61\x70\x2e\x63\0\x09\x69\x6e\x74\x20\x69\x2c\x20\x6b\x65\x79\x2c\
\x20\x76\x61\x6c\x75\x65\x20\x3d\x20\x30\x78\x64\x65\x61\x64\x62\x65\x65\x66\
\x3b\0\x09\x69\x66\x20\x28\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\
\x32\x29\x20\x21\x3d\x20\x74\x67\x69\x64\x29\0\x09\x6b\x65\x79\x20\x3d\x20\x31\
\x3b\0\x09\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6f\x75\x74\x65\
\x72\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x69\
\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x29\0\x09\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\
\x09\x69\x66\x20\x28\x21\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x29\0\x09\x09\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\
\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\
\x61\x6c\x75\x65\x2c\x20\x30\x29\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\
\x30\x3b\x20\x69\x20\x3c\x20\x32\x30\x34\x38\x3b\x20\x69\x2b\x2b\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x61\x63\x63\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\
\x70\x28\x26\x6f\x75\x74\x65\x72\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x61\x63\x63\x5f\x6d\x61\x70\x5f\x69\x6e\
\x5f\x6d\x61\x70\x28\x26\x6f\x75\x74\x65\x72\x5f\x68\x74\x61\x62\x5f\x6d\x61\
\x70\x29\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\
\x73\0\x3f\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\
\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x14\x04\0\0\x48\x04\0\0\0\0\0\0\x08\0\0\
\0\xf9\x02\0\0\x02\0\0\0\0\0\0\0\x18\0\0\0\x10\x01\0\0\x1a\0\0\0\x13\x03\0\0\
\x02\0\0\0\0\0\0\0\x19\0\0\0\x10\x01\0\0\x1b\0\0\0\x10\0\0\0\xf9\x02\0\0\x20\0\
\0\0\0\0\0\0\0\x01\0\0\x8a\x01\0\0\x0e\xb8\0\0\x08\0\0\0\0\x01\0\0\xab\x01\0\0\
\x07\xc4\0\0\x10\0\0\0\0\x01\0\0\xab\x01\0\0\x2c\xc4\0\0\x28\0\0\0\0\x01\0\0\
\xab\x01\0\0\x22\xc4\0\0\x30\0\0\0\0\x01\0\0\xab\x01\0\0\x06\xc4\0\0\x38\0\0\0\
\0\x01\0\0\xdc\x01\0\0\x06\xd4\0\0\x50\0\0\0\0\x01\0\0\xe6\x01\0\0\x0e\xd8\0\0\
\x68\0\0\0\0\x01\0\0\x19\x02\0\0\x06\xdc\0\0\x70\0\0\0\0\x01\0\0\x29\x02\0\0\
\x06\xec\0\0\x88\0\0\0\0\x01\0\0\xe6\x01\0\0\x0e\xf0\0\0\xa8\0\0\0\0\x01\0\0\
\x33\x02\0\0\x06\xf4\0\0\xc0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\x01\0\
\0\x44\x02\0\0\x03\x08\x01\0\xf0\0\0\0\0\x01\0\0\x77\x02\0\0\x10\x04\x01\0\xf8\
\0\0\0\0\x01\0\0\x77\x02\0\0\x02\x04\x01\0\0\x01\0\0\0\x01\0\0\x93\x02\0\0\x02\
\x28\x01\0\x10\x01\0\0\0\x01\0\0\x8a\x01\0\0\x0e\xb8\0\0\x18\x01\0\0\0\x01\0\0\
\xab\x01\0\0\x07\xc4\0\0\x20\x01\0\0\0\x01\0\0\xab\x01\0\0\x2c\xc4\0\0\x38\x01\
\0\0\0\x01\0\0\xab\x01\0\0\x22\xc4\0\0\x40\x01\0\0\0\x01\0\0\xab\x01\0\0\x06\
\xc4\0\0\x48\x01\0\0\0\x01\0\0\xdc\x01\0\0\x06\xd4\0\0\x60\x01\0\0\0\x01\0\0\
\xe6\x01\0\0\x0e\xd8\0\0\x78\x01\0\0\0\x01\0\0\x19\x02\0\0\x06\xdc\0\0\x80\x01\
\0\0\0\x01\0\0\x29\x02\0\0\x06\xec\0\0\x98\x01\0\0\0\x01\0\0\xe6\x01\0\0\x0e\
\xf0\0\0\xb8\x01\0\0\0\x01\0\0\x33\x02\0\0\x06\xf4\0\0\xd0\x01\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\xe8\x01\0\0\0\x01\0\0\x44\x02\0\0\x03\x08\x01\0\0\x02\0\0\0\x01\
\0\0\x77\x02\0\0\x10\x04\x01\0\x08\x02\0\0\0\x01\0\0\x77\x02\0\0\x02\x04\x01\0\
\x10\x02\0\0\0\x01\0\0\xbd\x02\0\0\x02\x58\x01\0\x13\x03\0\0\x20\0\0\0\0\0\0\0\
\0\x01\0\0\x8a\x01\0\0\x0e\xb8\0\0\x08\0\0\0\0\x01\0\0\xab\x01\0\0\x07\xc4\0\0\
\x10\0\0\0\0\x01\0\0\xab\x01\0\0\x2c\xc4\0\0\x28\0\0\0\0\x01\0\0\xab\x01\0\0\
\x22\xc4\0\0\x30\0\0\0\0\x01\0\0\xab\x01\0\0\x06\xc4\0\0\x38\0\0\0\0\x01\0\0\
\xdc\x01\0\0\x06\xd4\0\0\x50\0\0\0\0\x01\0\0\xe6\x01\0\0\x0e\xd8\0\0\x68\0\0\0\
\0\x01\0\0\x19\x02\0\0\x06\xdc\0\0\x70\0\0\0\0\x01\0\0\x29\x02\0\0\x06\xec\0\0\
\x88\0\0\0\0\x01\0\0\xe6\x01\0\0\x0e\xf0\0\0\xa8\0\0\0\0\x01\0\0\x33\x02\0\0\
\x06\xf4\0\0\xc0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\x01\0\0\x44\x02\0\
\0\x03\x08\x01\0\xf0\0\0\0\0\x01\0\0\x77\x02\0\0\x10\x04\x01\0\xf8\0\0\0\0\x01\
\0\0\x77\x02\0\0\x02\x04\x01\0\0\x01\0\0\0\x01\0\0\x93\x02\0\0\x02\x40\x01\0\
\x10\x01\0\0\0\x01\0\0\x8a\x01\0\0\x0e\xb8\0\0\x18\x01\0\0\0\x01\0\0\xab\x01\0\
\0\x07\xc4\0\0\x20\x01\0\0\0\x01\0\0\xab\x01\0\0\x2c\xc4\0\0\x38\x01\0\0\0\x01\
\0\0\xab\x01\0\0\x22\xc4\0\0\x40\x01\0\0\0\x01\0\0\xab\x01\0\0\x06\xc4\0\0\x48\
\x01\0\0\0\x01\0\0\xdc\x01\0\0\x06\xd4\0\0\x60\x01\0\0\0\x01\0\0\xe6\x01\0\0\
\x0e\xd8\0\0\x78\x01\0\0\0\x01\0\0\x19\x02\0\0\x06\xdc\0\0\x80\x01\0\0\0\x01\0\
\0\x29\x02\0\0\x06\xec\0\0\x98\x01\0\0\0\x01\0\0\xe6\x01\0\0\x0e\xf0\0\0\xb8\
\x01\0\0\0\x01\0\0\x33\x02\0\0\x06\xf4\0\0\xd0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\xe8\x01\0\0\0\x01\0\0\x44\x02\0\0\x03\x08\x01\0\0\x02\0\0\0\x01\0\0\x77\x02\
\0\0\x10\x04\x01\0\x08\x02\0\0\0\x01\0\0\x77\x02\0\0\x02\x04\x01\0\x10\x02\0\0\
\0\x01\0\0\xbd\x02\0\0\x02\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x95\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\xf8\x01\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x03\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x05\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\x08\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x80\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x55\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\x08\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x08\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5d\x01\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x08\0\0\0\0\0\0\x60\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\x01\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x09\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x87\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x09\0\0\0\0\0\0\x3f\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x0f\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct access_map_in_map *access_map_in_map::open(const struct bpf_object_open_opts *opts) { return access_map_in_map__open_opts(opts); }
struct access_map_in_map *access_map_in_map::open_and_load() { return access_map_in_map__open_and_load(); }
int access_map_in_map::load(struct access_map_in_map *skel) { return access_map_in_map__load(skel); }
int access_map_in_map::attach(struct access_map_in_map *skel) { return access_map_in_map__attach(skel); }
void access_map_in_map::detach(struct access_map_in_map *skel) { access_map_in_map__detach(skel); }
void access_map_in_map::destroy(struct access_map_in_map *skel) { access_map_in_map__destroy(skel); }
const void *access_map_in_map::elf_bytes(size_t *sz) { return access_map_in_map__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
access_map_in_map__assert(struct access_map_in_map *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->tgid) == 4, "unexpected size of 'tgid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ACCESS_MAP_IN_MAP_SKEL_H__ */
