/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ASYNC_STACK_DEPTH_SKEL_H__
#define __ASYNC_STACK_DEPTH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct async_stack_depth {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hmap;
	} maps;
	struct {
		struct bpf_program *pseudo_call_check;
		struct bpf_program *async_call_root_check;
	} progs;
	struct {
		struct bpf_link *pseudo_call_check;
		struct bpf_link *async_call_root_check;
	} links;

#ifdef __cplusplus
	static inline struct async_stack_depth *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct async_stack_depth *open_and_load();
	static inline int load(struct async_stack_depth *skel);
	static inline int attach(struct async_stack_depth *skel);
	static inline void detach(struct async_stack_depth *skel);
	static inline void destroy(struct async_stack_depth *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
async_stack_depth__destroy(struct async_stack_depth *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
async_stack_depth__create_skeleton(struct async_stack_depth *obj);

static inline struct async_stack_depth *
async_stack_depth__open_opts(const struct bpf_object_open_opts *opts)
{
	struct async_stack_depth *obj;
	int err;

	obj = (struct async_stack_depth *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = async_stack_depth__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	async_stack_depth__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct async_stack_depth *
async_stack_depth__open(void)
{
	return async_stack_depth__open_opts(NULL);
}

static inline int
async_stack_depth__load(struct async_stack_depth *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct async_stack_depth *
async_stack_depth__open_and_load(void)
{
	struct async_stack_depth *obj;
	int err;

	obj = async_stack_depth__open();
	if (!obj)
		return NULL;
	err = async_stack_depth__load(obj);
	if (err) {
		async_stack_depth__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
async_stack_depth__attach(struct async_stack_depth *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
async_stack_depth__detach(struct async_stack_depth *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *async_stack_depth__elf_bytes(size_t *sz);

static inline int
async_stack_depth__create_skeleton(struct async_stack_depth *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "async_stack_depth";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "hmap";
	s->maps[0].map = &obj->maps.hmap;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "pseudo_call_check";
	s->progs[0].prog = &obj->progs.pseudo_call_check;
	s->progs[0].link = &obj->links.pseudo_call_check;

	s->progs[1].name = "async_call_root_check";
	s->progs[1].prog = &obj->progs.async_call_root_check;
	s->progs[1].link = &obj->links.async_call_root_check;

	s->data = async_stack_depth__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *async_stack_depth__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x61\x73\x79\x6e\x63\x5f\x73\x74\x61\x63\x6b\x5f\x64\x65\x70\x74\x68\x2e\x63\0\
\x4c\x42\x42\x30\x5f\x32\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x4c\x42\x42\x32\
\x5f\x32\0\x62\x61\x64\x5f\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x70\x73\x65\x75\
\x64\x6f\x5f\x63\x61\x6c\x6c\x5f\x63\x68\x65\x63\x6b\0\x68\x6d\x61\x70\0\x61\
\x73\x79\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x72\x6f\x6f\x74\x5f\x63\x68\x65\x63\
\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\0\0\x04\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x43\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x4c\0\0\0\0\0\x04\
\0\x28\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x02\0\x03\0\x28\x01\0\0\0\0\0\
\0\x68\x01\0\0\0\0\0\0\x60\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\
\0\x72\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x77\0\0\0\x12\0\x04\
\0\xa0\x01\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x8d\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x7a\x0a\xb8\xff\0\0\0\0\x7a\x0a\xc0\xff\0\0\0\0\x7a\x0a\
\xc8\xff\0\0\0\0\x7a\x0a\xd0\xff\0\0\0\0\x7a\x0a\xd8\xff\0\0\0\0\x7a\x0a\xe0\
\xff\0\0\0\0\x7a\x0a\xe8\xff\0\0\0\0\x7a\x0a\xf0\xff\0\0\0\0\x62\x0a\xf8\xff\0\
\0\0\0\x72\x0a\xfc\xff\0\0\0\0\x72\x0a\xb7\xff\0\0\0\0\x6a\x0a\xb0\xff\0\0\0\0\
\x7a\x0a\xa8\xff\0\0\0\0\x7a\x0a\xa0\xff\0\0\0\0\x7a\x0a\x98\xff\0\0\0\0\x7a\
\x0a\x90\xff\0\0\0\0\x7a\x0a\x88\xff\0\0\0\0\x7a\x0a\x80\xff\0\0\0\0\x7a\x0a\
\x78\xff\0\0\0\0\x7a\x0a\x70\xff\0\0\0\0\x7a\x0a\x68\xff\0\0\0\0\x7a\x0a\x60\
\xff\0\0\0\0\x7a\x0a\x58\xff\0\0\0\0\x7a\x0a\x50\xff\0\0\0\0\x7a\x0a\x48\xff\0\
\0\0\0\x7a\x0a\x40\xff\0\0\0\0\x7a\x0a\x38\xff\0\0\0\0\x7a\x0a\x30\xff\0\0\0\0\
\x7a\x0a\x28\xff\0\0\0\0\x7a\x0a\x20\xff\0\0\0\0\x7a\x0a\x18\xff\0\0\0\0\x7a\
\x0a\x10\xff\0\0\0\0\x7a\x0a\x08\xff\0\0\0\0\x7a\x0a\0\xff\0\0\0\0\x7a\x0a\xf8\
\xfe\0\0\0\0\x91\xa0\xb7\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x7a\x0a\0\xff\0\0\0\0\
\x7a\x0a\x08\xff\0\0\0\0\x7a\x0a\x10\xff\0\0\0\0\x7a\x0a\x18\xff\0\0\0\0\x7a\
\x0a\x20\xff\0\0\0\0\x7a\x0a\x28\xff\0\0\0\0\x7a\x0a\x30\xff\0\0\0\0\x7a\x0a\
\x38\xff\0\0\0\0\x7a\x0a\x40\xff\0\0\0\0\x7a\x0a\x48\xff\0\0\0\0\x7a\x0a\x50\
\xff\0\0\0\0\x7a\x0a\x58\xff\0\0\0\0\x7a\x0a\x60\xff\0\0\0\0\x7a\x0a\x68\xff\0\
\0\0\0\x7a\x0a\x70\xff\0\0\0\0\x7a\x0a\x78\xff\0\0\0\0\x7a\x0a\x80\xff\0\0\0\0\
\x7a\x0a\x88\xff\0\0\0\0\x7a\x0a\x90\xff\0\0\0\0\x7a\x0a\x98\xff\0\0\0\0\x7a\
\x0a\xa0\xff\0\0\0\0\x7a\x0a\xa8\xff\0\0\0\0\x7a\x0a\xb0\xff\0\0\0\0\x7a\x0a\
\xb8\xff\0\0\0\0\x7a\x0a\xc0\xff\0\0\0\0\x7a\x0a\xc8\xff\0\0\0\0\x7a\x0a\xd0\
\xff\0\0\0\0\x7a\x0a\xd8\xff\0\0\0\0\x7a\x0a\xe0\xff\0\0\0\0\x7a\x0a\xe8\xff\0\
\0\0\0\x7a\x0a\xf0\xff\0\0\0\0\x62\x0a\xf8\xff\0\0\0\0\x6a\x0a\xfc\xff\0\0\0\0\
\x72\x0a\xfe\xff\0\0\0\0\x72\x0a\xff\xfe\0\0\0\0\x62\x0a\xf8\xfe\0\0\0\0\x7a\
\x0a\xf0\xfe\0\0\0\0\x7a\x0a\xe8\xfe\0\0\0\0\x7a\x0a\xe0\xfe\0\0\0\0\x7a\x0a\
\xd8\xfe\0\0\0\0\x7a\x0a\xd0\xfe\0\0\0\0\x91\xa6\xff\xfe\0\0\0\0\x85\x10\0\0\
\xb0\xff\xff\xff\x0c\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x72\x0a\xff\xff\0\0\0\0\
\x72\x0a\xfe\xff\0\0\0\0\x6a\x0a\xfc\xff\0\0\0\0\x62\x0a\xf8\xff\0\0\0\0\x7a\
\x0a\xf0\xff\0\0\0\0\x7a\x0a\xe8\xff\0\0\0\0\x7a\x0a\xe0\xff\0\0\0\0\x7a\x0a\
\xd8\xff\0\0\0\0\x7a\x0a\xd0\xff\0\0\0\0\x7a\x0a\xc8\xff\0\0\0\0\x7a\x0a\xc0\
\xff\0\0\0\0\x7a\x0a\xb8\xff\0\0\0\0\x7a\x0a\xb0\xff\0\0\0\0\x7a\x0a\xa8\xff\0\
\0\0\0\x7a\x0a\xa0\xff\0\0\0\0\x7a\x0a\x98\xff\0\0\0\0\x7a\x0a\x90\xff\0\0\0\0\
\x7a\x0a\x88\xff\0\0\0\0\x7a\x0a\x80\xff\0\0\0\0\x7a\x0a\x78\xff\0\0\0\0\x7a\
\x0a\x70\xff\0\0\0\0\x7a\x0a\x68\xff\0\0\0\0\x7a\x0a\x60\xff\0\0\0\0\x7a\x0a\
\x58\xff\0\0\0\0\x7a\x0a\x50\xff\0\0\0\0\x7a\x0a\x48\xff\0\0\0\0\x7a\x0a\x40\
\xff\0\0\0\0\x7a\x0a\x38\xff\0\0\0\0\x7a\x0a\x30\xff\0\0\0\0\x7a\x0a\x28\xff\0\
\0\0\0\x7a\x0a\x20\xff\0\0\0\0\x7a\x0a\x18\xff\0\0\0\0\x7a\x0a\x10\xff\0\0\0\0\
\x7a\x0a\x08\xff\0\0\0\0\x7a\x0a\0\xff\0\0\0\0\x62\x0a\xfc\xfe\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xfe\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x06\x07\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\xaa\0\0\0\x91\xa1\xff\xff\0\0\0\0\x0c\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x72\x0a\xff\xff\0\0\0\0\x72\x0a\xfe\xff\0\0\0\0\x6a\x0a\xfc\xff\0\
\0\0\0\x62\x0a\xf8\xff\0\0\0\0\x7a\x0a\xf0\xff\0\0\0\0\x7a\x0a\xe8\xff\0\0\0\0\
\x7a\x0a\xe0\xff\0\0\0\0\x7a\x0a\xd8\xff\0\0\0\0\x7a\x0a\xd0\xff\0\0\0\0\x7a\
\x0a\xc8\xff\0\0\0\0\x7a\x0a\xc0\xff\0\0\0\0\x7a\x0a\xb8\xff\0\0\0\0\x7a\x0a\
\xb0\xff\0\0\0\0\x7a\x0a\xa8\xff\0\0\0\0\x7a\x0a\xa0\xff\0\0\0\0\x7a\x0a\x98\
\xff\0\0\0\0\x7a\x0a\x90\xff\0\0\0\0\x7a\x0a\x88\xff\0\0\0\0\x7a\x0a\x80\xff\0\
\0\0\0\x7a\x0a\x78\xff\0\0\0\0\x7a\x0a\x70\xff\0\0\0\0\x7a\x0a\x68\xff\0\0\0\0\
\x7a\x0a\x60\xff\0\0\0\0\x7a\x0a\x58\xff\0\0\0\0\x7a\x0a\x50\xff\0\0\0\0\x7a\
\x0a\x48\xff\0\0\0\0\x7a\x0a\x40\xff\0\0\0\0\x7a\x0a\x38\xff\0\0\0\0\x7a\x0a\
\x30\xff\0\0\0\0\x7a\x0a\x28\xff\0\0\0\0\x7a\x0a\x20\xff\0\0\0\0\x7a\x0a\x18\
\xff\0\0\0\0\x7a\x0a\x10\xff\0\0\0\0\x7a\x0a\x08\xff\0\0\0\0\x7a\x0a\0\xff\0\0\
\0\0\x62\x0a\xfc\xfe\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xfe\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\0\x18\x02\0\0\x28\x01\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\xaa\0\0\0\x91\xa1\xff\xff\0\0\0\0\x0c\x10\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x60\x01\0\0\0\0\0\0\x0a\
\0\0\0\x02\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xd0\x02\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\0\x03\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xd0\x04\0\0\xd0\x04\0\0\xee\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\x01\0\0\x04\x10\0\0\0\
\x23\0\0\0\x0a\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\x04\x10\0\0\0\x33\0\0\0\x0d\0\0\
\0\0\0\0\0\x3c\0\0\0\0\0\0\x08\x0c\0\0\0\x42\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\x5a\0\0\0\x05\0\0\0\x40\0\0\0\x66\0\0\0\
\x07\0\0\0\x80\0\0\0\x6a\0\0\0\x08\0\0\0\xc0\0\0\0\x70\0\0\0\0\0\0\x0e\x0e\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\x75\0\0\0\x22\0\0\x04\xc0\0\0\0\x7f\0\
\0\0\x12\0\0\0\0\0\0\0\x83\0\0\0\x12\0\0\0\x20\0\0\0\x8c\0\0\0\x12\0\0\0\x40\0\
\0\0\x91\0\0\0\x12\0\0\0\x60\0\0\0\x9f\0\0\0\x12\0\0\0\x80\0\0\0\xa8\0\0\0\x12\
\0\0\0\xa0\0\0\0\xb5\0\0\0\x12\0\0\0\xc0\0\0\0\xbe\0\0\0\x12\0\0\0\xe0\0\0\0\
\xc9\0\0\0\x12\0\0\0\0\x01\0\0\xd2\0\0\0\x12\0\0\0\x20\x01\0\0\xe2\0\0\0\x12\0\
\0\0\x40\x01\0\0\xea\0\0\0\x12\0\0\0\x60\x01\0\0\xf3\0\0\0\x14\0\0\0\x80\x01\0\
\0\xf6\0\0\0\x12\0\0\0\x20\x02\0\0\xfb\0\0\0\x12\0\0\0\x40\x02\0\0\x06\x01\0\0\
\x12\0\0\0\x60\x02\0\0\x0b\x01\0\0\x12\0\0\0\x80\x02\0\0\x14\x01\0\0\x12\0\0\0\
\xa0\x02\0\0\x1c\x01\0\0\x12\0\0\0\xc0\x02\0\0\x23\x01\0\0\x12\0\0\0\xe0\x02\0\
\0\x2e\x01\0\0\x12\0\0\0\0\x03\0\0\x38\x01\0\0\x15\0\0\0\x20\x03\0\0\x43\x01\0\
\0\x15\0\0\0\xa0\x03\0\0\x4d\x01\0\0\x12\0\0\0\x20\x04\0\0\x59\x01\0\0\x12\0\0\
\0\x40\x04\0\0\x64\x01\0\0\x12\0\0\0\x60\x04\0\0\0\0\0\0\x16\0\0\0\x80\x04\0\0\
\x6e\x01\0\0\x0b\0\0\0\xc0\x04\0\0\x75\x01\0\0\x12\0\0\0\0\x05\0\0\x7e\x01\0\0\
\x12\0\0\0\x20\x05\0\0\0\0\0\0\x18\0\0\0\x40\x05\0\0\x87\x01\0\0\x12\0\0\0\x80\
\x05\0\0\x90\x01\0\0\x1a\0\0\0\xa0\x05\0\0\x9c\x01\0\0\x0b\0\0\0\xc0\x05\0\0\
\xa5\x01\0\0\0\0\0\x08\x13\0\0\0\xab\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x12\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xb8\x01\0\0\x17\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xc2\x01\
\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\xc5\x01\0\0\0\0\0\x08\x1b\0\
\0\0\xca\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\
\xd8\x01\0\0\x10\0\0\0\xdc\x01\0\0\x01\0\0\x0c\x1c\0\0\0\xee\x01\0\0\0\0\0\x11\
\x1d\0\0\0\xff\xff\xff\xff\x0a\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\
\0\x53\x02\0\0\x20\0\0\0\x66\0\0\0\x07\0\0\0\x23\0\0\0\x21\0\0\0\x57\x02\0\0\0\
\0\0\x0c\x22\0\0\0\x60\x02\0\0\x01\0\0\x0c\x1c\0\0\0\xee\x01\0\0\0\0\0\x11\x24\
\0\0\0\xff\xff\xff\xff\x76\x02\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\xbf\x02\
\0\0\0\0\0\x0c\x22\0\0\0\xcc\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x28\0\0\0\x04\0\0\0\x04\0\0\0\xd1\x02\0\0\0\0\0\x0e\x29\0\0\0\
\x01\0\0\0\xda\x02\0\0\0\0\0\x07\0\0\0\0\xe3\x02\0\0\0\0\0\x07\0\0\0\0\xd7\x04\
\0\0\x01\0\0\x0f\x20\0\0\0\x0f\0\0\0\0\0\0\0\x20\0\0\0\xdd\x04\0\0\x01\0\0\x0f\
\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x6d\x61\x70\x5f\x65\
\x6c\x65\x6d\0\x74\x69\x6d\x65\x72\0\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x5f\
\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x68\
\x6d\x61\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\
\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\
\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\
\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\
\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\
\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x74\x78\0\x70\x73\
\x65\x75\x64\x6f\x5f\x63\x61\x6c\x6c\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x63\x6f\x6d\x62\x69\x6e\x65\x64\x20\x73\
\x74\x61\x63\x6b\x20\x73\x69\x7a\x65\x20\x6f\x66\x20\x32\x20\x63\x61\x6c\x6c\
\x73\x20\x69\x73\x20\x35\x37\x36\x2e\x20\x54\x6f\x6f\x20\x6c\x61\x72\x67\x65\0\
\x6d\x61\x70\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x61\x73\x79\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x72\x6f\x6f\x74\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x63\x6f\x6d\x62\x69\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x73\x69\x7a\x65\
\x20\x6f\x66\x20\x32\x20\x63\x61\x6c\x6c\x73\x20\x69\x73\x20\x36\x30\x38\x2e\
\x20\x54\x6f\x6f\x20\x6c\x61\x72\x67\x65\0\x62\x61\x64\x5f\x74\x69\x6d\x65\x72\
\x5f\x63\x62\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x61\x73\x79\x6e\x63\x5f\x73\x74\x61\x63\x6b\x5f\x64\x65\x70\
\x74\x68\x2e\x63\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x63\x68\x61\x72\x20\
\x62\x75\x66\x5b\x32\x35\x36\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x75\x66\x5b\x36\x39\x5d\x3b\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x63\x68\x61\x72\x20\x62\x75\x66\x5b\x33\x30\x30\x5d\x20\x3d\x20\x7b\
\x7d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x75\x66\x5b\x32\x35\x35\x5d\x20\
\x2b\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x28\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\
\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x65\x6c\x65\x6d\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x68\x6d\x61\x70\x2c\x20\x26\x28\x69\x6e\x74\x29\x7b\x30\x7d\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x65\x6c\x65\x6d\x29\0\x09\x74\x69\x6d\x65\x72\x5f\x63\x62\
\x28\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\
\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x26\x65\x6c\x65\x6d\x2d\x3e\
\x74\x69\x6d\x65\x72\x2c\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x29\x20\x2b\x20\
\x62\x75\x66\x5b\x30\x5d\x3b\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\
\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x28\x26\x65\x6c\x65\x6d\x2d\x3e\x74\x69\x6d\x65\x72\x2c\x20\x62\x61\x64\
\x5f\x74\x69\x6d\x65\x72\x5f\x63\x62\x29\x20\x2b\x20\x62\x75\x66\x5b\x30\x5d\
\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\
\0\x74\x63\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xc4\x01\0\
\0\xf8\x01\0\0\0\0\0\0\x08\0\0\0\xe5\x04\0\0\x02\0\0\0\0\0\0\0\x23\0\0\0\x28\
\x01\0\0\x27\0\0\0\xeb\x04\0\0\x02\0\0\0\0\0\0\0\x1d\0\0\0\xa0\x01\0\0\x24\0\0\
\0\x10\0\0\0\xe5\x04\0\0\x08\0\0\0\0\0\0\0\xf1\x02\0\0\x7b\x03\0\0\x10\x54\0\0\
\x18\x01\0\0\xf1\x02\0\0\x99\x03\0\0\x09\x58\0\0\x20\x01\0\0\xf1\x02\0\0\x99\
\x03\0\0\x02\x58\0\0\x28\x01\0\0\xf1\x02\0\0\xaa\x03\0\0\x10\x70\0\0\x70\x02\0\
\0\xf1\x02\0\0\xc8\x03\0\0\x09\x74\0\0\x78\x02\0\0\xf1\x02\0\0\xc8\x03\0\0\x14\
\x74\0\0\x80\x02\0\0\xf1\x02\0\0\xc8\x03\0\0\x12\x74\0\0\x88\x02\0\0\xf1\x02\0\
\0\xc8\x03\0\0\x02\x74\0\0\xeb\x04\0\0\x13\0\0\0\0\0\0\0\xf1\x02\0\0\x7b\x03\0\
\0\x10\x94\0\0\x18\x01\0\0\xf1\x02\0\0\xf7\x03\0\0\x25\x9c\0\0\x28\x01\0\0\xf1\
\x02\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\xf1\x02\0\0\xf7\x03\0\0\x09\x9c\0\0\x58\
\x01\0\0\xf1\x02\0\0\x26\x04\0\0\x06\xa0\0\0\x60\x01\0\0\xf1\x02\0\0\x32\x04\0\
\0\x02\xac\0\0\x68\x01\0\0\xf1\x02\0\0\x4f\x04\0\0\x09\xb0\0\0\x88\x01\0\0\xf1\
\x02\0\0\x4f\x04\0\0\x3a\xb0\0\0\x90\x01\0\0\xf1\x02\0\0\x4f\x04\0\0\x38\xb0\0\
\0\x98\x01\0\0\xf1\x02\0\0\x90\x04\0\0\x01\xb4\0\0\xa0\x01\0\0\xf1\x02\0\0\x7b\
\x03\0\0\x10\xd0\0\0\xb8\x02\0\0\xf1\x02\0\0\xf7\x03\0\0\x25\xd8\0\0\xc8\x02\0\
\0\xf1\x02\0\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\xf1\x02\0\0\xf7\x03\0\0\x09\xd8\0\0\
\xf8\x02\0\0\xf1\x02\0\0\x26\x04\0\0\x06\xdc\0\0\0\x03\0\0\xf1\x02\0\0\x92\x04\
\0\0\x09\xe8\0\0\x18\x03\0\0\xf1\x02\0\0\x92\x04\0\0\x3e\xe8\0\0\x20\x03\0\0\
\xf1\x02\0\0\x92\x04\0\0\x3c\xe8\0\0\x28\x03\0\0\xf1\x02\0\0\x90\x04\0\0\x01\
\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xab\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x10\x02\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x04\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x07\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x07\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9d\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x48\x08\0\0\0\0\0\0\xd6\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x12\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct async_stack_depth *async_stack_depth::open(const struct bpf_object_open_opts *opts) { return async_stack_depth__open_opts(opts); }
struct async_stack_depth *async_stack_depth::open_and_load() { return async_stack_depth__open_and_load(); }
int async_stack_depth::load(struct async_stack_depth *skel) { return async_stack_depth__load(skel); }
int async_stack_depth::attach(struct async_stack_depth *skel) { return async_stack_depth__attach(skel); }
void async_stack_depth::detach(struct async_stack_depth *skel) { async_stack_depth__detach(skel); }
void async_stack_depth::destroy(struct async_stack_depth *skel) { async_stack_depth__destroy(skel); }
const void *async_stack_depth::elf_bytes(size_t *sz) { return async_stack_depth__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
async_stack_depth__assert(struct async_stack_depth *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ASYNC_STACK_DEPTH_SKEL_H__ */
