/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_SYSCALL_MACRO_SKEL_H__
#define __BPF_SYSCALL_MACRO_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_syscall_macro {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handle_sys_prctl;
		struct bpf_program *prctl_enter;
		struct bpf_program *splice_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_prctl;
		struct bpf_link *prctl_enter;
		struct bpf_link *splice_enter;
	} links;
	struct bpf_syscall_macro__bss {
		int arg1;
		char __pad0[4];
		unsigned long arg2;
		unsigned long arg3;
		unsigned long arg4_cx;
		unsigned long arg4;
		unsigned long arg5;
		int arg1_core;
		char __pad1[4];
		unsigned long arg2_core;
		unsigned long arg3_core;
		unsigned long arg4_core_cx;
		unsigned long arg4_core;
		unsigned long arg5_core;
		int option_syscall;
		char __pad2[4];
		unsigned long arg2_syscall;
		unsigned long arg3_syscall;
		unsigned long arg4_syscall;
		unsigned long arg5_syscall;
		__u64 splice_fd_in;
		__u64 splice_off_in;
		__u64 splice_fd_out;
		__u64 splice_off_out;
		__u64 splice_len;
		__u64 splice_flags;
	} *bss;
	struct bpf_syscall_macro__rodata {
		pid_t filter_pid;
	} *rodata;
	struct bpf_syscall_macro__kconfig {
		_Bool LINUX_HAS_SYSCALL_WRAPPER;
	} *kconfig;

#ifdef __cplusplus
	static inline struct bpf_syscall_macro *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_syscall_macro *open_and_load();
	static inline int load(struct bpf_syscall_macro *skel);
	static inline int attach(struct bpf_syscall_macro *skel);
	static inline void detach(struct bpf_syscall_macro *skel);
	static inline void destroy(struct bpf_syscall_macro *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_syscall_macro__destroy(struct bpf_syscall_macro *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_syscall_macro__create_skeleton(struct bpf_syscall_macro *obj);

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_syscall_macro *obj;
	int err;

	obj = (struct bpf_syscall_macro *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_syscall_macro__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_syscall_macro__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open(void)
{
	return bpf_syscall_macro__open_opts(NULL);
}

static inline int
bpf_syscall_macro__load(struct bpf_syscall_macro *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open_and_load(void)
{
	struct bpf_syscall_macro *obj;
	int err;

	obj = bpf_syscall_macro__open();
	if (!obj)
		return NULL;
	err = bpf_syscall_macro__load(obj);
	if (err) {
		bpf_syscall_macro__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_syscall_macro__attach(struct bpf_syscall_macro *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_syscall_macro__detach(struct bpf_syscall_macro *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_syscall_macro__elf_bytes(size_t *sz);

static inline int
bpf_syscall_macro__create_skeleton(struct bpf_syscall_macro *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_syscall_macro";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_sysc.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "bpf_sysc.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "bpf_sys.kconfig";
	s->maps[2].map = &obj->maps.kconfig;
	s->maps[2].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_sys_prctl";
	s->progs[0].prog = &obj->progs.handle_sys_prctl;
	s->progs[0].link = &obj->links.handle_sys_prctl;

	s->progs[1].name = "prctl_enter";
	s->progs[1].prog = &obj->progs.prctl_enter;
	s->progs[1].link = &obj->links.prctl_enter;

	s->progs[2].name = "splice_enter";
	s->progs[2].prog = &obj->progs.splice_enter;
	s->progs[2].link = &obj->links.splice_enter;

	s->data = bpf_syscall_macro__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_syscall_macro__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\x72\
\x6f\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\
\x6b\x73\x79\x73\x63\x61\x6c\x6c\x2f\x70\x72\x63\x74\x6c\0\x6b\x73\x79\x73\x63\
\x61\x6c\x6c\x2f\x73\x70\x6c\x69\x63\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x79\x73\x63\
\x61\x6c\x6c\x5f\x6d\x61\x63\x72\x6f\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\
\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x31\x5f\x33\0\x4c\x42\x42\x31\x5f\x34\0\x4c\
\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\x33\0\x4c\x42\x42\x32\x5f\x34\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x66\x69\x6c\x74\
\x65\x72\x5f\x70\x69\x64\0\x61\x72\x67\x31\0\x61\x72\x67\x32\0\x61\x72\x67\x33\
\0\x61\x72\x67\x34\x5f\x63\x78\0\x61\x72\x67\x34\0\x61\x72\x67\x35\0\x61\x72\
\x67\x31\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x32\x5f\x63\x6f\x72\x65\0\x61\x72\
\x67\x33\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\x5f\x63\x78\
\0\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x35\x5f\x63\x6f\x72\x65\0\
\x70\x72\x63\x74\x6c\x5f\x65\x6e\x74\x65\x72\0\x4c\x49\x4e\x55\x58\x5f\x48\x41\
\x53\x5f\x53\x59\x53\x43\x41\x4c\x4c\x5f\x57\x52\x41\x50\x50\x45\x52\0\x61\x72\
\x67\x32\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x33\x5f\x73\x79\x73\x63\
\x61\x6c\x6c\0\x61\x72\x67\x34\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\
\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x6f\x70\x74\x69\x6f\x6e\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\0\x73\x70\x6c\x69\x63\x65\x5f\x65\x6e\x74\x65\x72\0\x73\x70\
\x6c\x69\x63\x65\x5f\x6f\x66\x66\x5f\x69\x6e\0\x73\x70\x6c\x69\x63\x65\x5f\x6f\
\x66\x66\x5f\x6f\x75\x74\0\x73\x70\x6c\x69\x63\x65\x5f\x6c\x65\x6e\0\x73\x70\
\x6c\x69\x63\x65\x5f\x66\x6c\x61\x67\x73\0\x73\x70\x6c\x69\x63\x65\x5f\x66\x64\
\x5f\x69\x6e\0\x73\x70\x6c\x69\x63\x65\x5f\x66\x64\x5f\x6f\x75\x74\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\
\x78\x36\x34\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x2e\x72\x65\x6c\x6b\x73\
\x79\x73\x63\x61\x6c\x6c\x2f\x70\x72\x63\x74\x6c\0\x2e\x72\x65\x6c\x6b\x73\x79\
\x73\x63\x61\x6c\x6c\x2f\x73\x70\x6c\x69\x63\x65\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\x03\0\x90\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\0\0\
\x04\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\0\0\x04\0\x08\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\x04\0\x88\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\0\0\x05\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\0\0\x05\0\x80\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x9a\0\0\0\0\0\x05\0\x30\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\xb2\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xbd\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xc2\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc7\0\0\0\x11\0\x06\
\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcc\0\0\0\x11\0\x06\0\x18\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xd4\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xd9\0\0\0\x11\0\x06\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xde\0\0\0\x11\0\x06\
\0\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe8\0\0\0\x11\0\x06\0\x38\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xf2\0\0\0\x11\0\x06\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xfc\0\0\0\x11\0\x06\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x09\x01\0\0\x11\0\
\x06\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x13\x01\0\0\x11\0\x06\0\x58\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x1d\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\
\0\0\0\x29\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\x01\0\0\x11\0\
\x06\0\x68\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x50\x01\0\0\x11\0\x06\0\x70\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x5d\x01\0\0\x11\0\x06\0\x78\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x6a\x01\0\0\x11\0\x06\0\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x77\x01\0\0\
\x11\0\x06\0\x60\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x86\x01\0\0\x12\0\x05\0\0\0\0\
\0\0\0\0\0\x40\x03\0\0\0\0\0\0\x93\x01\0\0\x11\0\x06\0\x90\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xa1\x01\0\0\x11\0\x06\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb0\
\x01\0\0\x11\0\x06\0\xa8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xbb\x01\0\0\x11\0\x06\
\0\xb0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc8\x01\0\0\x11\0\x06\0\x88\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\xd5\x01\0\0\x11\0\x06\0\x98\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\xe3\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\
\0\x85\0\0\0\x0e\0\0\0\x7a\x0a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x6a\0\0\0\0\0\xb7\x01\0\0\
\x70\0\0\0\x79\x66\x70\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x7b\
\x3a\xe8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\
\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\x01\0\0\x68\0\0\0\xbf\x68\0\0\0\0\0\0\
\x0f\x18\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\
\xbf\x83\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x60\0\0\0\xbf\x69\0\0\0\0\
\0\0\x0f\x19\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\
\0\0\xbf\x93\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x58\0\0\0\xbf\x67\0\0\
\0\0\0\0\x0f\x17\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x08\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x38\0\0\0\xbf\
\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x7b\x3a\xe0\xff\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x48\0\
\0\0\x0f\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x08\0\
\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf0\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x79\xa3\xe8\xff\0\0\0\0\x85\0\0\0\x71\0\
\0\0\x79\xa1\xf0\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\
\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\
\xbf\x83\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\xa2\xf0\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf0\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\xbf\x93\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf0\xff\0\0\0\0\x7b\x21\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\xbf\
\x73\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\xa2\xf0\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\
\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x79\xa3\xe0\xff\0\0\0\0\x85\0\0\0\x71\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf0\xff\0\0\0\0\x7b\x21\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\xbf\
\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\xa2\xf0\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x31\0\0\0\0\0\
\xb7\x02\0\0\x70\0\0\0\x79\x16\x70\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x23\0\0\0\
\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\
\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x68\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\
\0\0\x79\xa1\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\
\x60\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x79\xa8\xf8\xff\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\
\x71\0\0\0\xb7\x01\0\0\x38\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x79\
\xa9\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\
\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x48\0\0\0\x0f\x16\0\0\0\0\0\0\x79\
\xa7\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\
\0\x08\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa6\xf8\xff\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x77\0\0\0\x20\0\0\0\x1e\x01\x0d\0\0\0\0\0\x05\0\x1c\0\0\0\0\0\x79\x12\x70\0\0\
\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\x79\x16\x48\0\0\0\0\0\x79\x17\x38\0\0\0\0\0\x79\
\x19\x60\0\0\0\0\0\x79\x18\x68\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x10\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\x91\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\
\x71\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf0\xff\0\0\0\0\x63\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\
\x22\0\0\0\0\0\0\x16\x02\x3c\0\0\0\0\0\xb7\x02\0\0\x70\0\0\0\x79\x16\x70\0\0\0\
\0\0\xbf\x63\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x68\0\0\
\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x7b\x1a\xf0\
\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\
\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x60\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\
\0\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\
\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\
\0\0\x38\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x79\xa9\xf8\xff\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\
\0\x71\0\0\0\xb7\x01\0\0\x48\0\0\0\xbf\x63\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x79\
\xa7\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\
\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x40\0\0\0\x0f\x16\0\0\0\0\0\0\x79\
\xa8\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\
\0\x08\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa6\xf8\xff\0\0\0\0\
\x67\x06\0\0\x20\0\0\0\x77\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x1e\x01\x11\0\0\
\0\0\0\x05\0\x26\0\0\0\0\0\x79\x12\x70\0\0\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\x79\
\x18\x48\0\0\0\0\0\x79\x17\x38\0\0\0\0\0\x79\x19\x60\0\0\0\0\0\x79\x12\x68\0\0\
\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x79\x16\x40\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\x77\
\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x16\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x79\xa2\xe8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x71\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\
\x81\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x79\
\xa1\xf0\xff\0\0\0\0\xbf\x11\x20\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x12\0\0\0\0\0\0\xbf\x91\x20\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\
\x18\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\xc0\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\
\x40\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x88\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\
\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\x14\0\
\0\0\x50\x02\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\x16\
\0\0\0\xe0\x02\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x28\x03\0\0\0\0\0\0\x01\0\0\0\
\x18\0\0\0\x70\x03\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x1b\0\0\0\x78\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\
\0\x0d\0\0\0\x08\x02\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x20\x02\0\0\0\0\0\0\x01\0\
\0\0\x1d\0\0\0\x38\x02\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\x50\x02\0\0\0\0\0\0\x01\
\0\0\0\x1f\0\0\0\x68\x02\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x1b\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x58\x02\0\0\0\0\0\0\x01\
\0\0\0\x0d\0\0\0\x80\x02\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\xa0\x02\0\0\0\0\0\0\
\x01\0\0\0\x23\0\0\0\xb8\x02\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\xd0\x02\0\0\0\0\0\
\0\x01\0\0\0\x25\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\0\0\x26\0\0\0\x18\x03\0\0\0\0\
\0\0\x01\0\0\0\x27\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x08\x05\0\0\x08\x05\0\
\0\x58\x08\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\
\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\
\0\0\0\x15\0\0\0\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\0\x1c\0\0\0\
\x03\0\0\0\x40\x01\0\0\x1f\0\0\0\x03\0\0\0\x80\x01\0\0\x23\0\0\0\x03\0\0\0\xc0\
\x01\0\0\x27\0\0\0\x03\0\0\0\0\x02\0\0\x2a\0\0\0\x03\0\0\0\x40\x02\0\0\x2d\0\0\
\0\x03\0\0\0\x80\x02\0\0\x30\0\0\0\x03\0\0\0\xc0\x02\0\0\x33\0\0\0\x03\0\0\0\0\
\x03\0\0\x36\0\0\0\x03\0\0\0\x40\x03\0\0\x39\0\0\0\x03\0\0\0\x80\x03\0\0\x3c\0\
\0\0\x03\0\0\0\xc0\x03\0\0\x44\0\0\0\x03\0\0\0\0\x04\0\0\x47\0\0\0\x03\0\0\0\
\x40\x04\0\0\x4a\0\0\0\x03\0\0\0\x80\x04\0\0\x50\0\0\0\x03\0\0\0\xc0\x04\0\0\
\x53\0\0\0\x03\0\0\0\0\x05\0\0\x56\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\x0d\x05\0\0\0\x64\0\0\0\x01\0\0\0\x68\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x6c\0\0\0\x01\0\0\x0c\x04\0\0\0\x7d\0\0\0\x01\0\0\x0c\x04\0\0\0\x89\0\0\
\0\x01\0\0\x0c\x04\0\0\0\x96\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x9b\0\0\0\0\0\
\0\x0e\x03\0\0\0\x01\0\0\0\xa0\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xa5\0\0\0\0\
\0\0\x0e\x03\0\0\0\x01\0\0\0\xad\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xb2\0\0\0\
\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xc1\0\0\
\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xcb\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xd5\0\
\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xe2\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xec\
\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xf6\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\
\x05\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x12\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\
\0\0\0\x1f\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x2c\x01\0\0\0\0\0\x0e\x03\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x1b\0\0\0\0\0\0\0\0\0\0\x09\x1c\0\0\0\x39\x01\0\
\0\0\0\0\x08\x1d\0\0\0\x3f\x01\0\0\0\0\0\x08\x05\0\0\0\x4e\x01\0\0\0\0\0\x0e\
\x1a\0\0\0\x01\0\0\0\x59\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x5f\x01\0\0\0\
\0\0\x0e\x1f\0\0\0\x02\0\0\0\x79\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\x21\0\0\0\x23\0\0\0\x04\0\0\0\x7e\x01\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\x92\x01\0\0\0\0\0\x0e\x22\0\0\0\x01\0\0\0\x9b\x01\0\0\0\0\0\x08\
\x26\0\0\0\xa1\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xb4\x01\0\0\0\0\0\x0e\x25\
\0\0\0\x01\0\0\0\xc1\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\xcf\x01\0\0\0\0\0\
\x0e\x25\0\0\0\x01\0\0\0\xdd\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\xec\x01\0\0\
\0\0\0\x0e\x25\0\0\0\x01\0\0\0\xf7\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\x04\
\x08\0\0\x17\0\0\x0f\xb8\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\x08\0\0\0\
\x08\0\0\0\x0b\0\0\0\x10\0\0\0\x08\0\0\0\x0c\0\0\0\x18\0\0\0\x08\0\0\0\x0d\0\0\
\0\x20\0\0\0\x08\0\0\0\x0e\0\0\0\x28\0\0\0\x08\0\0\0\x0f\0\0\0\x30\0\0\0\x04\0\
\0\0\x10\0\0\0\x38\0\0\0\x08\0\0\0\x11\0\0\0\x40\0\0\0\x08\0\0\0\x12\0\0\0\x48\
\0\0\0\x08\0\0\0\x13\0\0\0\x50\0\0\0\x08\0\0\0\x14\0\0\0\x58\0\0\0\x08\0\0\0\
\x15\0\0\0\x60\0\0\0\x04\0\0\0\x16\0\0\0\x68\0\0\0\x08\0\0\0\x17\0\0\0\x70\0\0\
\0\x08\0\0\0\x18\0\0\0\x78\0\0\0\x08\0\0\0\x19\0\0\0\x80\0\0\0\x08\0\0\0\x27\0\
\0\0\x88\0\0\0\x08\0\0\0\x28\0\0\0\x90\0\0\0\x08\0\0\0\x29\0\0\0\x98\0\0\0\x08\
\0\0\0\x2a\0\0\0\xa0\0\0\0\x08\0\0\0\x2b\0\0\0\xa8\0\0\0\x08\0\0\0\x2c\0\0\0\
\xb0\0\0\0\x08\0\0\0\x09\x08\0\0\x01\0\0\x0f\x04\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\
\0\0\x11\x08\0\0\x01\0\0\x0f\x04\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\x19\x08\0\0\
\x01\0\0\x0f\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\
\0\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\
\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\
\x73\x69\0\x64\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\
\x61\x67\x73\0\x73\x70\0\x73\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\
\x5f\x70\x72\x63\x74\x6c\0\x70\x72\x63\x74\x6c\x5f\x65\x6e\x74\x65\x72\0\x73\
\x70\x6c\x69\x63\x65\x5f\x65\x6e\x74\x65\x72\0\x61\x72\x67\x31\0\x61\x72\x67\
\x32\0\x61\x72\x67\x33\0\x61\x72\x67\x34\x5f\x63\x78\0\x61\x72\x67\x34\0\x61\
\x72\x67\x35\0\x61\x72\x67\x31\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x32\x5f\x63\
\x6f\x72\x65\0\x61\x72\x67\x33\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x34\x5f\x63\
\x6f\x72\x65\x5f\x63\x78\0\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\0\x61\x72\x67\
\x35\x5f\x63\x6f\x72\x65\0\x6f\x70\x74\x69\x6f\x6e\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\0\x61\x72\x67\x32\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x33\x5f\
\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x34\x5f\x73\x79\x73\x63\x61\x6c\x6c\
\0\x61\x72\x67\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x70\x69\x64\x5f\x74\0\x5f\
\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x66\x69\x6c\x74\x65\x72\
\x5f\x70\x69\x64\0\x5f\x42\x6f\x6f\x6c\0\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\
\x5f\x53\x59\x53\x43\x41\x4c\x4c\x5f\x57\x52\x41\x50\x50\x45\x52\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x70\x6c\x69\x63\
\x65\x5f\x66\x64\x5f\x69\x6e\0\x73\x70\x6c\x69\x63\x65\x5f\x6f\x66\x66\x5f\x69\
\x6e\0\x73\x70\x6c\x69\x63\x65\x5f\x66\x64\x5f\x6f\x75\x74\0\x73\x70\x6c\x69\
\x63\x65\x5f\x6f\x66\x66\x5f\x6f\x75\x74\0\x73\x70\x6c\x69\x63\x65\x5f\x6c\x65\
\x6e\0\x73\x70\x6c\x69\x63\x65\x5f\x66\x6c\x61\x67\x73\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\
\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\
\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x6d\x61\x63\x72\x6f\x2e\x63\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\
\x65\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\x29\0\x09\x70\x69\x64\x5f\x74\x20\
\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\
\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\
\x3b\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x74\x6d\x70\
\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\x3d\x20\x66\x69\
\x6c\x74\x65\x72\x5f\x70\x69\x64\x29\0\x09\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\
\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x53\x59\x53\x43\x41\x4c\x4c\x5f\
\x52\x45\x47\x53\x28\x63\x74\x78\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\
\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x74\x6d\x70\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x6d\x70\x29\x2c\x20\x26\x50\x54\x5f\x52\
\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\
\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x61\x72\x67\x31\x20\x3d\x20\
\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\
\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\x67\x32\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x61\x72\x67\x32\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\
\x50\x41\x52\x4d\x32\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\
\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\x67\x33\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x33\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\
\x47\x53\x5f\x50\x41\x52\x4d\x33\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\
\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\
\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\x67\x34\
\x5f\x63\x78\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x34\x5f\x63\x78\
\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x28\x72\
\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\x67\
\x34\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x34\x29\x2c\x20\x26\x50\
\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x5f\x53\x59\x53\x43\x41\x4c\
\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\x5f\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\
\x61\x72\x67\x35\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x35\x29\x2c\
\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x35\x5f\x53\x59\x53\
\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x61\
\x72\x67\x31\x5f\x63\x6f\x72\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\
\x50\x41\x52\x4d\x31\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\
\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x32\x5f\x63\x6f\
\x72\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x32\x5f\
\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\
\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x33\x5f\x63\x6f\x72\x65\x20\x3d\x20\x50\
\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x33\x5f\x43\x4f\x52\x45\x5f\x53\
\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x09\
\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\x5f\x63\x78\x20\x3d\x20\x50\x54\x5f\x52\
\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x5f\x43\x4f\x52\x45\x28\x72\x65\x61\x6c\
\x5f\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\x20\x3d\
\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x5f\x43\x4f\x52\x45\
\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\
\x3b\0\x09\x61\x72\x67\x35\x5f\x63\x6f\x72\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\
\x47\x53\x5f\x50\x41\x52\x4d\x35\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\
\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x4b\x53\x59\x53\x43\x41\x4c\x4c\x28\x70\x72\x63\x74\x6c\x5f\x65\
\x6e\x74\x65\x72\x2c\x20\x69\x6e\x74\x20\x6f\x70\x74\x69\x6f\x6e\x2c\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x61\x72\x67\x32\x2c\0\x09\
\x61\x72\x67\x32\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x61\x72\x67\x32\
\x3b\0\x09\x61\x72\x67\x33\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x61\x72\
\x67\x33\x3b\0\x09\x61\x72\x67\x34\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\
\x61\x72\x67\x34\x3b\0\x09\x61\x72\x67\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\
\x3d\x20\x61\x72\x67\x35\x3b\0\x09\x6f\x70\x74\x69\x6f\x6e\x5f\x73\x79\x73\x63\
\x61\x6c\x6c\x20\x3d\x20\x6f\x70\x74\x69\x6f\x6e\x3b\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x4b\x53\x59\x53\x43\x41\x4c\x4c\x28\x73\x70\x6c\x69\x63\x65\x5f\x65\
\x6e\x74\x65\x72\x2c\x20\x69\x6e\x74\x20\x66\x64\x5f\x69\x6e\x2c\x20\x6c\x6f\
\x66\x66\x5f\x74\x20\x2a\x6f\x66\x66\x5f\x69\x6e\x2c\x20\x69\x6e\x74\x20\x66\
\x64\x5f\x6f\x75\x74\x2c\0\x09\x73\x70\x6c\x69\x63\x65\x5f\x6f\x66\x66\x5f\x69\
\x6e\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x6f\x66\x66\x5f\x69\x6e\x3b\0\x09\
\x73\x70\x6c\x69\x63\x65\x5f\x6f\x66\x66\x5f\x6f\x75\x74\x20\x3d\x20\x28\x5f\
\x5f\x75\x36\x34\x29\x6f\x66\x66\x5f\x6f\x75\x74\x3b\0\x09\x73\x70\x6c\x69\x63\
\x65\x5f\x6c\x65\x6e\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\x73\x70\x6c\x69\x63\x65\
\x5f\x66\x6c\x61\x67\x73\x20\x3d\x20\x66\x6c\x61\x67\x73\x3b\0\x09\x73\x70\x6c\
\x69\x63\x65\x5f\x66\x64\x5f\x69\x6e\x20\x3d\x20\x66\x64\x5f\x69\x6e\x3b\0\x09\
\x73\x70\x6c\x69\x63\x65\x5f\x66\x64\x5f\x6f\x75\x74\x20\x3d\x20\x66\x64\x5f\
\x6f\x75\x74\x3b\0\x30\x3a\x31\x34\0\x30\x3a\x31\x33\0\x30\x3a\x31\x32\0\x30\
\x3a\x31\x31\0\x30\x3a\x37\0\x30\x3a\x39\0\x30\x3a\x38\0\x2e\x62\x73\x73\0\x2e\
\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x63\x6f\x6e\
\x66\x69\x67\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\
\x5f\x70\x72\x63\x74\x6c\0\x6b\x73\x79\x73\x63\x61\x6c\x6c\x2f\x70\x72\x63\x74\
\x6c\0\x6b\x73\x79\x73\x63\x61\x6c\x6c\x2f\x73\x70\x6c\x69\x63\x65\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x6c\x07\0\0\xa0\x07\0\0\x0c\x02\0\
\0\x08\0\0\0\x22\x08\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x39\x08\0\0\x01\0\0\0\0\0\
\0\0\x07\0\0\0\x48\x08\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\x22\x08\0\0\
\x2f\0\0\0\0\0\0\0\x04\x02\0\0\x8e\x02\0\0\0\x84\0\0\x08\0\0\0\x04\x02\0\0\xaf\
\x02\0\0\x0e\x90\0\0\x10\0\0\0\x04\x02\0\0\xde\x02\0\0\x10\x94\0\0\x18\0\0\0\
\x04\x02\0\0\xf6\x02\0\0\x0d\x9c\0\0\x30\0\0\0\x04\x02\0\0\xaf\x02\0\0\x29\x90\
\0\0\x38\0\0\0\x04\x02\0\0\xf6\x02\0\0\x06\x9c\0\0\x48\0\0\0\x04\x02\0\0\x0e\
\x03\0\0\x0e\xa8\0\0\x60\0\0\0\x04\x02\0\0\x36\x03\0\0\x02\xbc\0\0\x70\0\0\0\
\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\x78\0\0\0\x04\x02\0\0\x36\x03\0\0\x02\xbc\
\0\0\x88\0\0\0\x04\x02\0\0\x84\x03\0\0\x09\xc4\0\0\x90\0\0\0\x04\x02\0\0\x84\
\x03\0\0\x07\xc4\0\0\xc0\0\0\0\x04\x02\0\0\x91\x03\0\0\x02\xc8\0\0\0\x01\0\0\
\x04\x02\0\0\xe1\x03\0\0\x02\xcc\0\0\x40\x01\0\0\x04\x02\0\0\x31\x04\0\0\x02\
\xd0\0\0\x80\x01\0\0\x04\x02\0\0\x7f\x04\0\0\x02\xd4\0\0\xb8\x01\0\0\x04\x02\0\
\0\xcf\x04\0\0\x02\xd8\0\0\xe8\x01\0\0\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\xf0\
\x01\0\0\x04\x02\0\0\x1f\x05\0\0\x0e\xe4\0\0\x08\x02\0\0\x04\x02\0\0\x1f\x05\0\
\0\x0e\xe4\0\0\x10\x02\0\0\x04\x02\0\0\x1f\x05\0\0\x0c\xe4\0\0\x30\x02\0\0\x04\
\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\x38\x02\0\0\x04\x02\0\0\x53\x05\0\0\x0e\xe8\0\
\0\x50\x02\0\0\x04\x02\0\0\x53\x05\0\0\x0c\xe8\0\0\x60\x02\0\0\x04\x02\0\0\x53\
\x05\0\0\x0e\xe8\0\0\x68\x02\0\0\x04\x02\0\0\x53\x05\0\0\x0c\xe8\0\0\x78\x02\0\
\0\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\x80\x02\0\0\x04\x02\0\0\x87\x05\0\0\x0e\
\xec\0\0\x98\x02\0\0\x04\x02\0\0\x87\x05\0\0\x0c\xec\0\0\xa8\x02\0\0\x04\x02\0\
\0\x87\x05\0\0\x0e\xec\0\0\xb0\x02\0\0\x04\x02\0\0\x87\x05\0\0\x0c\xec\0\0\xc0\
\x02\0\0\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\xc8\x02\0\0\x04\x02\0\0\xbb\x05\0\
\0\x11\xf0\0\0\xe0\x02\0\0\x04\x02\0\0\xbb\x05\0\0\x0f\xf0\0\0\xf0\x02\0\0\x04\
\x02\0\0\xbb\x05\0\0\x11\xf0\0\0\xf8\x02\0\0\x04\x02\0\0\xbb\x05\0\0\x0f\xf0\0\
\0\x08\x03\0\0\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\x10\x03\0\0\x04\x02\0\0\xea\
\x05\0\0\x0e\xf4\0\0\x28\x03\0\0\x04\x02\0\0\xea\x05\0\0\x0c\xf4\0\0\x38\x03\0\
\0\x04\x02\0\0\xea\x05\0\0\x0e\xf4\0\0\x40\x03\0\0\x04\x02\0\0\xea\x05\0\0\x0c\
\xf4\0\0\x50\x03\0\0\x04\x02\0\0\x0e\x03\0\0\x0e\xa8\0\0\x58\x03\0\0\x04\x02\0\
\0\x1e\x06\0\0\x0e\xf8\0\0\x70\x03\0\0\x04\x02\0\0\x1e\x06\0\0\x0c\xf8\0\0\x80\
\x03\0\0\x04\x02\0\0\x1e\x06\0\0\x0e\xf8\0\0\x88\x03\0\0\x04\x02\0\0\x1e\x06\0\
\0\x0c\xf8\0\0\x90\x03\0\0\x04\x02\0\0\x8e\x02\0\0\x05\x84\0\0\x39\x08\0\0\x1f\
\0\0\0\0\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x50\0\0\0\x04\x02\0\0\x52\
\x06\0\0\x05\x10\x01\0\x78\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x80\0\0\
\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x90\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\
\x10\x01\0\x98\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\xc0\0\0\0\x04\x02\0\
\0\x52\x06\0\0\x05\x10\x01\0\xd0\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\
\xd8\0\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\0\x01\0\0\x04\x02\0\0\x52\x06\
\0\0\x05\x10\x01\0\x10\x01\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x18\x01\0\
\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x38\x01\0\0\x04\x02\0\0\x52\x06\0\0\
\x05\x10\x01\0\x48\x01\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x50\x01\0\0\
\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x68\x01\0\0\x04\x02\0\0\x52\x06\0\0\x05\
\x10\x01\0\x70\x01\0\0\x04\x02\0\0\xaf\x02\0\0\x0e\x1c\x01\0\x78\x01\0\0\x04\
\x02\0\0\xf6\x02\0\0\x0d\x24\x01\0\x90\x01\0\0\x04\x02\0\0\xaf\x02\0\0\x29\x1c\
\x01\0\x98\x01\0\0\x04\x02\0\0\xf6\x02\0\0\x06\x24\x01\0\xa8\x01\0\0\x04\x02\0\
\0\x52\x06\0\0\x05\x10\x01\0\xd8\x01\0\0\x04\x02\0\0\xaf\x02\0\0\x0e\x1c\x01\0\
\xe0\x01\0\0\x04\x02\0\0\xf6\x02\0\0\x0d\x24\x01\0\xf8\x01\0\0\x04\x02\0\0\xaf\
\x02\0\0\x29\x1c\x01\0\0\x02\0\0\x04\x02\0\0\xf6\x02\0\0\x06\x24\x01\0\x08\x02\
\0\0\x04\x02\0\0\x90\x06\0\0\x0f\x34\x01\0\x20\x02\0\0\x04\x02\0\0\xa6\x06\0\0\
\x0f\x38\x01\0\x38\x02\0\0\x04\x02\0\0\xbc\x06\0\0\x0f\x3c\x01\0\x50\x02\0\0\
\x04\x02\0\0\xd2\x06\0\0\x0f\x40\x01\0\x68\x02\0\0\x04\x02\0\0\xe8\x06\0\0\x11\
\x30\x01\0\x88\x02\0\0\x04\x02\0\0\x52\x06\0\0\x05\x10\x01\0\x48\x08\0\0\x27\0\
\0\0\0\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x50\0\0\0\x04\x02\0\0\x02\
\x07\0\0\x05\x70\x01\0\x78\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x80\0\0\
\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x90\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\
\x70\x01\0\x98\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\xc0\0\0\0\x04\x02\0\
\0\x02\x07\0\0\x05\x70\x01\0\xc8\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\
\xd8\0\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\xe0\0\0\0\x04\x02\0\0\x02\x07\
\0\0\x05\x70\x01\0\x08\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x18\x01\0\
\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x20\x01\0\0\x04\x02\0\0\x02\x07\0\0\
\x05\x70\x01\0\x48\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x58\x01\0\0\
\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x60\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\
\x70\x01\0\x80\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x90\x01\0\0\x04\
\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x98\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\
\x01\0\xb0\x01\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\xb8\x01\0\0\x04\x02\0\
\0\x02\x07\0\0\x05\x70\x01\0\xc8\x01\0\0\x04\x02\0\0\xaf\x02\0\0\x0e\x7c\x01\0\
\xd0\x01\0\0\x04\x02\0\0\xf6\x02\0\0\x0d\x84\x01\0\xe8\x01\0\0\x04\x02\0\0\xaf\
\x02\0\0\x29\x7c\x01\0\xf0\x01\0\0\x04\x02\0\0\xf6\x02\0\0\x06\x84\x01\0\0\x02\
\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x40\x02\0\0\x04\x02\0\0\xaf\x02\0\0\
\x0e\x7c\x01\0\x58\x02\0\0\x04\x02\0\0\xf6\x02\0\0\x0d\x84\x01\0\x70\x02\0\0\
\x04\x02\0\0\xaf\x02\0\0\x29\x7c\x01\0\x78\x02\0\0\x04\x02\0\0\xf6\x02\0\0\x06\
\x84\x01\0\x80\x02\0\0\x04\x02\0\0\x48\x07\0\0\x10\x94\x01\0\xa0\x02\0\0\x04\
\x02\0\0\x68\x07\0\0\x11\x9c\x01\0\xb8\x02\0\0\x04\x02\0\0\x8a\x07\0\0\x0d\xa0\
\x01\0\xd0\x02\0\0\x04\x02\0\0\x9d\x07\0\0\x0f\xa4\x01\0\xe8\x02\0\0\x04\x02\0\
\0\xb4\x07\0\0\x11\x90\x01\0\xf8\x02\0\0\x04\x02\0\0\xb4\x07\0\0\x0f\x90\x01\0\
\x10\x03\0\0\x04\x02\0\0\xcb\x07\0\0\x12\x98\x01\0\x18\x03\0\0\x04\x02\0\0\xcb\
\x07\0\0\x10\x98\x01\0\x30\x03\0\0\x04\x02\0\0\x02\x07\0\0\x05\x70\x01\0\x10\0\
\0\0\x22\x08\0\0\x07\0\0\0\x40\0\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\x48\0\0\0\
\x02\0\0\0\xe4\x07\0\0\0\0\0\0\xa8\0\0\0\x02\0\0\0\xe9\x07\0\0\0\0\0\0\xe8\0\0\
\0\x02\0\0\0\xee\x07\0\0\0\0\0\0\x28\x01\0\0\x02\0\0\0\xf3\x07\0\0\0\0\0\0\x68\
\x01\0\0\x02\0\0\0\xf8\x07\0\0\0\0\0\0\xa8\x01\0\0\x02\0\0\0\xfc\x07\0\0\0\0\0\
\0\x39\x08\0\0\x0b\0\0\0\x20\0\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\x28\0\0\0\x02\
\0\0\0\xe4\x07\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\xe9\x07\0\0\0\0\0\0\xa8\0\0\0\
\x02\0\0\0\xee\x07\0\0\0\0\0\0\xe8\0\0\0\x02\0\0\0\xf8\x07\0\0\0\0\0\0\x28\x01\
\0\0\x02\0\0\0\xfc\x07\0\0\0\0\0\0\xa8\x01\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\
\xb8\x01\0\0\x02\0\0\0\xfc\x07\0\0\0\0\0\0\xc0\x01\0\0\x02\0\0\0\xf8\x07\0\0\0\
\0\0\0\xc8\x01\0\0\x02\0\0\0\xee\x07\0\0\0\0\0\0\xd0\x01\0\0\x02\0\0\0\xe9\x07\
\0\0\0\0\0\0\x48\x08\0\0\x0d\0\0\0\x20\0\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\x28\
\0\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\xe9\x07\0\0\0\0\0\0\
\xa8\0\0\0\x02\0\0\0\xee\x07\0\0\0\0\0\0\xf0\0\0\0\x02\0\0\0\xf8\x07\0\0\0\0\0\
\0\x30\x01\0\0\x02\0\0\0\xfc\x07\0\0\0\0\0\0\x70\x01\0\0\x02\0\0\0\0\x08\0\0\0\
\0\0\0\0\x02\0\0\x02\0\0\0\xe4\x07\0\0\0\0\0\0\x10\x02\0\0\x02\0\0\0\xfc\x07\0\
\0\0\0\0\0\x18\x02\0\0\x02\0\0\0\xf8\x07\0\0\0\0\0\0\x20\x02\0\0\x02\0\0\0\xee\
\x07\0\0\0\0\0\0\x28\x02\0\0\x02\0\0\0\xe9\x07\0\0\0\0\0\0\x38\x02\0\0\x02\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x3c\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\xd8\x03\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x06\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x09\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x90\x0c\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd0\x0f\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\x0f\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\x01\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\
\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x07\x02\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x10\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1a\x02\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x11\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\0\0\0\
\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2e\x02\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x11\0\0\0\0\0\0\x78\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x30\x1f\0\0\0\0\0\0\xcc\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_syscall_macro *bpf_syscall_macro::open(const struct bpf_object_open_opts *opts) { return bpf_syscall_macro__open_opts(opts); }
struct bpf_syscall_macro *bpf_syscall_macro::open_and_load() { return bpf_syscall_macro__open_and_load(); }
int bpf_syscall_macro::load(struct bpf_syscall_macro *skel) { return bpf_syscall_macro__load(skel); }
int bpf_syscall_macro::attach(struct bpf_syscall_macro *skel) { return bpf_syscall_macro__attach(skel); }
void bpf_syscall_macro::detach(struct bpf_syscall_macro *skel) { bpf_syscall_macro__detach(skel); }
void bpf_syscall_macro::destroy(struct bpf_syscall_macro *skel) { bpf_syscall_macro__destroy(skel); }
const void *bpf_syscall_macro::elf_bytes(size_t *sz) { return bpf_syscall_macro__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_syscall_macro__assert(struct bpf_syscall_macro *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->arg1) == 4, "unexpected size of 'arg1'");
	_Static_assert(sizeof(s->bss->arg2) == 8, "unexpected size of 'arg2'");
	_Static_assert(sizeof(s->bss->arg3) == 8, "unexpected size of 'arg3'");
	_Static_assert(sizeof(s->bss->arg4_cx) == 8, "unexpected size of 'arg4_cx'");
	_Static_assert(sizeof(s->bss->arg4) == 8, "unexpected size of 'arg4'");
	_Static_assert(sizeof(s->bss->arg5) == 8, "unexpected size of 'arg5'");
	_Static_assert(sizeof(s->bss->arg1_core) == 4, "unexpected size of 'arg1_core'");
	_Static_assert(sizeof(s->bss->arg2_core) == 8, "unexpected size of 'arg2_core'");
	_Static_assert(sizeof(s->bss->arg3_core) == 8, "unexpected size of 'arg3_core'");
	_Static_assert(sizeof(s->bss->arg4_core_cx) == 8, "unexpected size of 'arg4_core_cx'");
	_Static_assert(sizeof(s->bss->arg4_core) == 8, "unexpected size of 'arg4_core'");
	_Static_assert(sizeof(s->bss->arg5_core) == 8, "unexpected size of 'arg5_core'");
	_Static_assert(sizeof(s->bss->option_syscall) == 4, "unexpected size of 'option_syscall'");
	_Static_assert(sizeof(s->bss->arg2_syscall) == 8, "unexpected size of 'arg2_syscall'");
	_Static_assert(sizeof(s->bss->arg3_syscall) == 8, "unexpected size of 'arg3_syscall'");
	_Static_assert(sizeof(s->bss->arg4_syscall) == 8, "unexpected size of 'arg4_syscall'");
	_Static_assert(sizeof(s->bss->arg5_syscall) == 8, "unexpected size of 'arg5_syscall'");
	_Static_assert(sizeof(s->bss->splice_fd_in) == 8, "unexpected size of 'splice_fd_in'");
	_Static_assert(sizeof(s->bss->splice_off_in) == 8, "unexpected size of 'splice_off_in'");
	_Static_assert(sizeof(s->bss->splice_fd_out) == 8, "unexpected size of 'splice_fd_out'");
	_Static_assert(sizeof(s->bss->splice_off_out) == 8, "unexpected size of 'splice_off_out'");
	_Static_assert(sizeof(s->bss->splice_len) == 8, "unexpected size of 'splice_len'");
	_Static_assert(sizeof(s->bss->splice_flags) == 8, "unexpected size of 'splice_flags'");
	_Static_assert(sizeof(s->rodata->filter_pid) == 4, "unexpected size of 'filter_pid'");
	_Static_assert(sizeof(s->kconfig->LINUX_HAS_SYSCALL_WRAPPER) == 1, "unexpected size of 'LINUX_HAS_SYSCALL_WRAPPER'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_SYSCALL_MACRO_SKEL_H__ */
