/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FEXIT_MANY_ARGS_SKEL_H__
#define __FEXIT_MANY_ARGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct fexit_many_args {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
	} links;
	struct fexit_many_args__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
	} *bss;

#ifdef __cplusplus
	static inline struct fexit_many_args *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct fexit_many_args *open_and_load();
	static inline int load(struct fexit_many_args *skel);
	static inline int attach(struct fexit_many_args *skel);
	static inline void detach(struct fexit_many_args *skel);
	static inline void destroy(struct fexit_many_args *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
fexit_many_args__destroy(struct fexit_many_args *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fexit_many_args__create_skeleton(struct fexit_many_args *obj);

static inline struct fexit_many_args *
fexit_many_args__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fexit_many_args *obj;
	int err;

	obj = (struct fexit_many_args *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = fexit_many_args__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	fexit_many_args__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct fexit_many_args *
fexit_many_args__open(void)
{
	return fexit_many_args__open_opts(NULL);
}

static inline int
fexit_many_args__load(struct fexit_many_args *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fexit_many_args *
fexit_many_args__open_and_load(void)
{
	struct fexit_many_args *obj;
	int err;

	obj = fexit_many_args__open();
	if (!obj)
		return NULL;
	err = fexit_many_args__load(obj);
	if (err) {
		fexit_many_args__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
fexit_many_args__attach(struct fexit_many_args *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fexit_many_args__detach(struct fexit_many_args *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *fexit_many_args__elf_bytes(size_t *sz);

static inline int
fexit_many_args__create_skeleton(struct fexit_many_args *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "fexit_many_args";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "fexit_ma.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "test3";
	s->progs[2].prog = &obj->progs.test3;
	s->progs[2].link = &obj->links.test3;

	s->data = fexit_many_args__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *fexit_many_args__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\
\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\x78\x69\x74\
\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\
\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x38\0\
\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\x30\
\x5f\x31\x34\0\x4c\x42\x42\x30\x5f\x31\x36\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\
\x42\x31\x5f\x34\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x31\x5f\x38\0\x4c\x42\
\x42\x31\x5f\x31\x30\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x31\
\x34\0\x4c\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x31\x5f\x31\x38\0\x4c\x42\x42\
\x31\x5f\x32\x30\0\x4c\x42\x42\x31\x5f\x32\x32\0\x4c\x42\x42\x31\x5f\x32\x34\0\
\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x36\0\
\x4c\x42\x42\x32\x5f\x38\0\x4c\x42\x42\x32\x5f\x31\x30\0\x4c\x42\x42\x32\x5f\
\x31\x32\0\x4c\x42\x42\x32\x5f\x31\x34\0\x4c\x42\x42\x32\x5f\x31\x36\0\x4c\x42\
\x42\x32\x5f\x31\x38\0\x4c\x42\x42\x32\x5f\x32\x30\0\x4c\x42\x42\x32\x5f\x32\
\x32\0\x4c\x42\x42\x32\x5f\x32\x34\0\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x31\
\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x32\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\
\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\
\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x03\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\
\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\0\0\x03\0\x78\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\0\0\x03\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x8b\0\0\0\0\0\x03\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\0\0\x03\0\
\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\0\0\x03\0\x20\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa3\0\0\0\0\0\x03\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\0\0\x04\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb2\0\0\0\0\0\x04\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb9\
\0\0\0\0\0\x04\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\x04\0\x90\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\0\0\x04\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xcf\0\0\0\0\0\x04\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\0\0\x04\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\0\0\0\0\0\x04\0\x28\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe7\0\0\0\0\0\x04\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\0\
\0\x04\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\0\0\x04\0\xa0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\0\0\x04\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\x01\0\0\0\0\x04\0\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x01\0\0\0\0\x04\
\0\x58\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x01\0\0\0\0\x04\0\x78\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1c\x01\0\0\0\0\x04\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x23\x01\0\0\0\0\x04\0\xb8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x01\0\0\0\0\x04\
\0\xd8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x01\0\0\0\0\x04\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x3b\x01\0\0\0\0\x04\0\x28\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\
\x01\0\0\0\0\x04\0\x50\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x01\0\0\0\0\x04\0\
\x78\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\x01\0\0\0\0\x04\0\xa0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x5b\x01\0\0\0\0\x04\0\xc0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x69\x01\0\0\x11\0\x06\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x76\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x10\x02\0\0\0\0\0\0\x7c\x01\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x89\x01\0\0\x12\0\x04\0\x10\x02\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x8f\x01\0\0\
\x11\0\x06\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x9c\x01\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\
\x04\0\0\x01\0\0\0\x15\x03\x01\0\x11\0\0\0\xb4\x04\0\0\0\0\0\0\x79\x15\0\0\0\0\
\0\0\xb4\x03\0\0\x01\0\0\0\x15\x05\x01\0\x10\0\0\0\xb4\x03\0\0\0\0\0\0\x5c\x43\
\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\x57\x05\0\0\xff\xff\0\0\xb4\x04\0\0\x01\0\0\
\0\x15\x05\x01\0\x12\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x18\
\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x16\x05\x01\0\x13\0\0\0\xb4\x04\0\0\0\0\0\0\
\x5c\x43\0\0\0\0\0\0\x79\x15\x20\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\
\x14\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x28\0\0\0\0\0\x57\
\x05\0\0\xff\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x15\0\0\0\xb4\x04\0\0\0\
\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x30\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x16\x05\
\x01\0\x16\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x11\x38\0\0\0\0\0\
\x16\x01\x01\0\x85\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x23\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x79\x13\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x03\x01\
\0\x11\0\0\0\xb4\x04\0\0\0\0\0\0\x79\x15\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x15\
\x05\x01\0\x10\0\0\0\xb4\x03\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\x57\x05\0\0\xff\
\xff\0\0\xb4\x08\0\0\x01\0\0\0\x15\x05\x01\0\x12\0\0\0\xb4\x08\0\0\0\0\0\0\x79\
\x10\x18\0\0\0\0\0\xb4\x05\0\0\x01\0\0\0\x16\0\x01\0\x13\0\0\0\xb4\x05\0\0\0\0\
\0\0\x79\x16\x20\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x15\x06\x01\0\x14\0\0\0\xb4\0\0\
\0\0\0\0\0\x79\x17\x28\0\0\0\0\0\x57\x07\0\0\xff\0\0\0\xb4\x06\0\0\x01\0\0\0\
\x15\x07\x01\0\x15\0\0\0\xb4\x06\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x14\x30\0\
\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x16\x04\x01\0\x16\0\0\0\xb4\x07\0\0\0\0\0\0\x5c\
\x83\0\0\0\0\0\0\x79\x18\x58\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x16\x08\x01\0\xe7\
\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x53\0\0\0\0\0\0\x79\x18\x50\0\0\0\0\0\xb4\x05\0\
\0\x01\0\0\0\x15\x08\x01\0\x1a\0\0\0\xb4\x05\0\0\0\0\0\0\x5c\x03\0\0\0\0\0\0\
\x79\x18\x48\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x15\x08\x01\0\x19\0\0\0\xb4\0\0\0\0\
\0\0\0\x5c\x63\0\0\0\0\0\0\x79\x18\x40\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x15\x08\
\x01\0\x18\0\0\0\xb4\x06\0\0\0\0\0\0\x5c\x73\0\0\0\0\0\0\x79\x11\x38\0\0\0\0\0\
\x16\x01\x01\0\x17\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x23\0\0\0\0\0\0\x5c\x36\0\0\0\
\0\0\0\x5c\x60\0\0\0\0\0\0\x5c\x05\0\0\0\0\0\0\x5c\x45\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x51\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x12\x08\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x02\
\x01\0\x11\0\0\0\xb4\x04\0\0\0\0\0\0\x79\x15\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\
\x15\x05\x01\0\x10\0\0\0\xb4\x02\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\xb4\x08\0\0\
\x01\0\0\0\x15\x05\x01\0\x12\0\0\0\xb4\x08\0\0\0\0\0\0\x79\x15\x18\0\0\0\0\0\
\xb4\x07\0\0\x01\0\0\0\x15\x05\x01\0\x13\0\0\0\xb4\x07\0\0\0\0\0\0\x79\x15\x20\
\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x15\x05\x01\0\x14\0\0\0\xb4\x06\0\0\0\0\0\0\
\x79\x10\x28\0\0\0\0\0\xb4\x05\0\0\x01\0\0\0\x15\0\x01\0\x15\0\0\0\xb4\x05\0\0\
\0\0\0\0\x5c\x42\0\0\0\0\0\0\x79\x14\x30\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x15\x04\
\x01\0\x16\0\0\0\xb4\0\0\0\0\0\0\0\x5c\x82\0\0\0\0\0\0\x79\x18\x58\0\0\0\0\0\
\xb4\x04\0\0\x01\0\0\0\x15\x08\x01\0\xe7\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x72\0\0\
\0\0\0\0\x79\x18\x50\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x15\x08\x01\0\x1a\0\0\0\
\xb4\x07\0\0\0\0\0\0\x5c\x62\0\0\0\0\0\0\x79\x18\x48\0\0\0\0\0\xb4\x06\0\0\x01\
\0\0\0\x15\x08\x01\0\x19\0\0\0\xb4\x06\0\0\0\0\0\0\x5c\x52\0\0\0\0\0\0\x79\x18\
\x40\0\0\0\0\0\xb4\x05\0\0\x01\0\0\0\x15\x08\x01\0\x18\0\0\0\xb4\x05\0\0\0\0\0\
\0\x5c\x02\0\0\0\0\0\0\x79\x11\x38\0\0\0\0\0\x15\x01\x01\0\x17\0\0\0\xb4\x03\0\
\0\0\0\0\0\x5c\x32\0\0\0\0\0\0\x5c\x52\0\0\0\0\0\0\x5c\x62\0\0\0\0\0\0\x5c\x72\
\0\0\0\0\0\0\x5c\x42\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x48\x01\0\
\0\0\0\0\0\x01\0\0\0\x25\0\0\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\xe8\x03\
\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x30\x01\0\0\
\x30\x01\0\0\xed\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x22\0\0\0\x01\0\0\
\x0c\x03\0\0\0\x28\0\0\0\x01\0\0\x0c\x03\0\0\0\x2e\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x33\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\x47\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x50\0\0\
\0\0\0\0\x08\x02\0\0\0\x56\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x63\0\0\0\0\0\0\
\x0e\x0c\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xa1\x02\0\0\
\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\xa9\x02\0\0\x03\0\0\x0f\x18\
\0\0\0\x0d\0\0\0\0\0\0\0\x08\0\0\0\x0e\0\0\0\x08\0\0\0\x08\0\0\0\x0f\0\0\0\x10\
\0\0\0\x08\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x31\0\x74\x65\x73\
\x74\x32\0\x74\x65\x73\x74\x33\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\
\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\
\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x6d\x61\x6e\x79\
\x5f\x61\x72\x67\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x74\x65\x73\x74\x31\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x2c\x20\x76\x6f\
\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\
\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x65\x2c\x20\x63\x68\x61\x72\x20\x66\
\x2c\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\
\x3d\x3d\x20\x31\x36\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\
\x20\x2a\x29\x31\x37\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x38\x20\x26\x26\
\x20\x64\x20\x3d\x3d\x20\x31\x39\x20\x26\x26\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x32\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\
\x2c\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\
\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x65\x2c\x20\x63\x68\
\x61\x72\x20\x66\x2c\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x61\x20\x3d\x3d\x20\x31\x36\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x31\x37\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\
\x38\x20\x26\x26\x20\x64\x20\x3d\x3d\x20\x31\x39\x20\x26\x26\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x33\x2c\x20\x5f\x5f\x75\
\x36\x34\x20\x61\x2c\x20\x5f\x5f\x75\x36\x34\x20\x62\x2c\x20\x5f\x5f\x75\x36\
\x34\x20\x63\x2c\x20\x5f\x5f\x75\x36\x34\x20\x64\x2c\x20\x5f\x5f\x75\x36\x34\
\x20\x65\x2c\x20\x5f\x5f\x75\x36\x34\x20\x66\x2c\0\x09\x74\x65\x73\x74\x33\x5f\
\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x36\x20\x26\x26\
\x20\x62\x20\x3d\x3d\x20\x31\x37\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x38\
\x20\x26\x26\x20\x64\x20\x3d\x3d\x20\x31\x39\x20\x26\x26\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\
\x73\x74\x6d\x6f\x64\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x66\
\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\x31\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x2c\0\0\0\x2c\0\0\0\x24\x02\0\0\x50\x02\0\0\0\0\0\0\x08\0\0\0\xae\x02\0\
\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xcd\x02\0\0\x02\0\0\0\0\0\0\0\x06\0\0\0\x10\x02\
\0\0\x07\0\0\0\x10\0\0\0\xae\x02\0\0\x11\0\0\0\0\0\0\0\x7d\0\0\0\x05\x01\0\0\
\x05\x2c\0\0\x38\0\0\0\x7d\0\0\0\x4c\x01\0\0\x13\x38\0\0\x48\0\0\0\x7d\0\0\0\
\x4c\x01\0\0\x19\x38\0\0\x50\0\0\0\x7d\0\0\0\x05\x01\0\0\x05\x2c\0\0\x78\0\0\0\
\x7d\0\0\0\x4c\x01\0\0\x19\x38\0\0\x80\0\0\0\x7d\0\0\0\x05\x01\0\0\x05\x2c\0\0\
\xa0\0\0\0\x7d\0\0\0\x4c\x01\0\0\x19\x38\0\0\xa8\0\0\0\x7d\0\0\0\x05\x01\0\0\
\x05\x2c\0\0\xc8\0\0\0\x7d\0\0\0\x4c\x01\0\0\x19\x38\0\0\xd0\0\0\0\x7d\0\0\0\
\x05\x01\0\0\x05\x2c\0\0\xf8\0\0\0\x7d\0\0\0\x4c\x01\0\0\x19\x38\0\0\0\x01\0\0\
\x7d\0\0\0\x05\x01\0\0\x05\x2c\0\0\x20\x01\0\0\x7d\0\0\0\x4c\x01\0\0\x19\x38\0\
\0\x28\x01\0\0\x7d\0\0\0\x05\x01\0\0\x05\x2c\0\0\x30\x01\0\0\x7d\0\0\0\x4c\x01\
\0\0\x19\x38\0\0\x48\x01\0\0\x7d\0\0\0\x4c\x01\0\0\x0f\x38\0\0\x60\x01\0\0\x7d\
\0\0\0\x05\x01\0\0\x05\x2c\0\0\xcd\x02\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x90\x01\
\0\0\x05\x54\0\0\x38\0\0\0\x7d\0\0\0\xd7\x01\0\0\x13\x64\0\0\x48\0\0\0\x7d\0\0\
\0\x90\x01\0\0\x05\x54\0\0\x18\x01\0\0\x7d\0\0\0\xd7\x01\0\0\x19\x64\0\0\x28\
\x01\0\0\x7d\0\0\0\x90\x01\0\0\x05\x54\0\0\xc0\x01\0\0\x7d\0\0\0\xd7\x01\0\0\
\x19\x64\0\0\xe8\x01\0\0\x7d\0\0\0\xd7\x01\0\0\x0f\x64\0\0\0\x02\0\0\x7d\0\0\0\
\x90\x01\0\0\x05\x54\0\0\x10\x02\0\0\x7d\0\0\0\x1b\x02\0\0\x05\x84\0\0\x48\x02\
\0\0\x7d\0\0\0\x65\x02\0\0\x13\x90\0\0\x58\x02\0\0\x7d\0\0\0\x1b\x02\0\0\x05\
\x84\0\0\x18\x03\0\0\x7d\0\0\0\x65\x02\0\0\x19\x90\0\0\x28\x03\0\0\x7d\0\0\0\
\x1b\x02\0\0\x05\x84\0\0\xc0\x03\0\0\x7d\0\0\0\x65\x02\0\0\x19\x90\0\0\xe8\x03\
\0\0\x7d\0\0\0\x65\x02\0\0\x0f\x90\0\0\0\x04\0\0\x7d\0\0\0\x1b\x02\0\0\x05\x84\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfa\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\x06\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x07\0\0\0\0\0\0\x10\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x50\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0b\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\
\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0b\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\x01\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc8\x01\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xec\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\x35\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf1\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\x10\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct fexit_many_args *fexit_many_args::open(const struct bpf_object_open_opts *opts) { return fexit_many_args__open_opts(opts); }
struct fexit_many_args *fexit_many_args::open_and_load() { return fexit_many_args__open_and_load(); }
int fexit_many_args::load(struct fexit_many_args *skel) { return fexit_many_args__load(skel); }
int fexit_many_args::attach(struct fexit_many_args *skel) { return fexit_many_args__attach(skel); }
void fexit_many_args::detach(struct fexit_many_args *skel) { fexit_many_args__detach(skel); }
void fexit_many_args::destroy(struct fexit_many_args *skel) { fexit_many_args__destroy(skel); }
const void *fexit_many_args::elf_bytes(size_t *sz) { return fexit_many_args__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
fexit_many_args__assert(struct fexit_many_args *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FEXIT_MANY_ARGS_SKEL_H__ */
