/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PREEMPTED_BPF_MA_OP_SKEL_H__
#define __PREEMPTED_BPF_MA_OP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct preempted_bpf_ma_op {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test0;
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
	} progs;
	struct {
		struct bpf_link *test0;
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
	} links;
	struct preempted_bpf_ma_op__bss {
		bool nomem_err;
	} *bss;

#ifdef __cplusplus
	static inline struct preempted_bpf_ma_op *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct preempted_bpf_ma_op *open_and_load();
	static inline int load(struct preempted_bpf_ma_op *skel);
	static inline int attach(struct preempted_bpf_ma_op *skel);
	static inline void detach(struct preempted_bpf_ma_op *skel);
	static inline void destroy(struct preempted_bpf_ma_op *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
preempted_bpf_ma_op__destroy(struct preempted_bpf_ma_op *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
preempted_bpf_ma_op__create_skeleton(struct preempted_bpf_ma_op *obj);

static inline struct preempted_bpf_ma_op *
preempted_bpf_ma_op__open_opts(const struct bpf_object_open_opts *opts)
{
	struct preempted_bpf_ma_op *obj;
	int err;

	obj = (struct preempted_bpf_ma_op *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = preempted_bpf_ma_op__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	preempted_bpf_ma_op__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct preempted_bpf_ma_op *
preempted_bpf_ma_op__open(void)
{
	return preempted_bpf_ma_op__open_opts(NULL);
}

static inline int
preempted_bpf_ma_op__load(struct preempted_bpf_ma_op *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct preempted_bpf_ma_op *
preempted_bpf_ma_op__open_and_load(void)
{
	struct preempted_bpf_ma_op *obj;
	int err;

	obj = preempted_bpf_ma_op__open();
	if (!obj)
		return NULL;
	err = preempted_bpf_ma_op__load(obj);
	if (err) {
		preempted_bpf_ma_op__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
preempted_bpf_ma_op__attach(struct preempted_bpf_ma_op *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
preempted_bpf_ma_op__detach(struct preempted_bpf_ma_op *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *preempted_bpf_ma_op__elf_bytes(size_t *sz);

static inline int
preempted_bpf_ma_op__create_skeleton(struct preempted_bpf_ma_op *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "preempted_bpf_ma_op";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "array";
	s->maps[0].map = &obj->maps.array;

	s->maps[1].name = "preempte.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test0";
	s->progs[0].prog = &obj->progs.test0;
	s->progs[0].link = &obj->links.test0;

	s->progs[1].name = "test1";
	s->progs[1].prog = &obj->progs.test1;
	s->progs[1].link = &obj->links.test1;

	s->progs[2].name = "test2";
	s->progs[2].prog = &obj->progs.test2;
	s->progs[2].link = &obj->links.test2;

	s->progs[3].name = "test3";
	s->progs[3].prog = &obj->progs.test3;
	s->progs[3].link = &obj->links.test3;

	s->data = preempted_bpf_ma_op__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *preempted_bpf_ma_op__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x70\x72\
\x65\x65\x6d\x70\x74\x65\x64\x5f\x62\x70\x66\x5f\x6d\x61\x5f\x6f\x70\x2e\x63\0\
\x64\x65\x6c\x5f\x61\x72\x72\x61\x79\0\x61\x64\x64\x5f\x61\x72\x72\x61\x79\0\
\x4c\x42\x42\x34\x5f\x34\0\x4c\x42\x42\x34\x5f\x33\0\x4c\x42\x42\x35\x5f\x36\0\
\x4c\x42\x42\x35\x5f\x33\0\x4c\x42\x42\x35\x5f\x35\0\x74\x65\x73\x74\x30\0\x74\
\x65\x73\x74\x31\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x33\0\x61\x72\x72\x61\
\x79\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\
\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x6e\x6f\x6d\
\x65\x6d\x5f\x65\x72\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x32\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x98\0\0\
\0\0\0\0\0\xaa\0\0\0\x02\0\x03\0\x98\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\
\0\0\0\x03\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\0\0\x03\0\x68\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\0\0\0\x03\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc9\0\0\0\0\0\x03\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\x03\0\
\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x90\
\0\0\0\0\0\0\0\xdd\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xe3\0\0\
\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xe9\0\0\0\x12\0\x07\0\0\0\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\xef\0\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\xf5\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x22\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x26\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb4\x01\0\
\0\x01\0\0\0\x15\0\x0b\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\
\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x61\x61\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\x63\x16\0\0\
\0\0\0\0\xb4\x01\0\0\0\0\0\0\xbc\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x26\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\
\0\0\0\xb4\x07\0\0\x01\0\0\0\x15\x08\x14\0\0\0\0\0\x18\x01\0\0\x1f\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x55\0\x04\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\x05\0\x0b\0\0\0\0\0\
\xbf\x81\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\
\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x61\x61\
\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\x63\x16\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbc\
\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\xbf\xa6\0\0\0\0\0\0\
\x07\x06\0\0\xfc\xff\xff\xff\xb4\x01\0\0\0\x02\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x62\x0a\
\xfc\xff\0\0\0\0\xb4\x01\0\0\0\x02\0\0\x18\x02\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\x02\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\
\xfc\xff\xff\xff\xb4\x01\0\0\0\x02\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x62\x0a\xfc\xff\0\x02\
\0\0\xb4\x01\0\0\0\x02\0\0\x18\x02\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x62\x0a\xfc\xff\0\x04\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xfc\xff\xff\xff\
\xb4\x01\0\0\0\x02\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x62\x0a\xfc\xff\0\x04\0\0\xb4\x01\0\0\
\0\x02\0\0\x18\x02\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\
\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\x0a\xfc\
\xff\0\x06\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xfc\xff\xff\xff\xb4\x01\0\0\0\
\x02\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\
\0\0\0\x85\0\0\0\xb5\0\0\0\x62\x0a\xfc\xff\0\x06\0\0\xb4\x01\0\0\0\x02\0\0\x18\
\x02\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\0\0\0\xb5\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\xa0\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\x14\0\0\0\xf8\0\0\0\0\0\0\0\
\x01\0\0\0\x15\0\0\0\x48\x01\0\0\0\0\0\0\x0a\0\0\0\x13\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x38\x03\0\0\x38\x03\0\0\x79\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\x01\0\0\x04\x08\0\0\0\x23\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x08\0\0\0\0\0\0\x04\0\0\x04\x20\
\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x2d\0\0\0\x05\0\0\0\x40\0\0\0\x31\0\0\0\x06\
\0\0\0\x80\0\0\0\x37\0\0\0\x09\0\0\0\xc0\0\0\0\x43\0\0\0\0\0\0\x0e\x0b\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\x49\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5c\0\0\0\x0d\0\0\0\x60\0\0\0\x01\0\0\x0c\x0f\0\
\0\0\x66\0\0\0\x01\0\0\x0c\x0f\0\0\0\x6c\0\0\0\x01\0\0\x0c\x0f\0\0\0\x72\0\0\0\
\x01\0\0\x0c\x0f\0\0\0\x78\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\
\x0d\x02\0\0\0\x85\0\0\0\x14\0\0\0\x87\0\0\0\x05\0\0\0\x8c\0\0\0\0\0\0\x0c\x15\
\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\x96\0\0\0\x02\0\0\x0c\x17\0\0\0\xa8\0\0\0\0\0\0\x0c\x15\0\0\
\0\xb2\0\0\0\x02\0\0\x04\x04\x01\0\0\x23\0\0\0\x1d\0\0\0\0\0\0\0\xbb\0\0\0\x1e\
\0\0\0\0\x08\0\0\xc0\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x1c\0\0\0\x04\0\0\0\0\x01\0\0\xc5\0\0\0\x01\0\0\x04\x04\0\0\0\xd3\0\0\0\
\x1f\0\0\0\0\0\0\0\xd7\0\0\0\0\0\0\x08\x14\0\0\0\0\0\0\0\x02\0\0\x0d\x18\0\0\0\
\0\0\0\0\x21\0\0\0\0\0\0\0\x18\0\0\0\xdd\0\0\0\0\0\0\x08\x0e\0\0\0\xe3\0\0\0\
\x02\0\0\x0c\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\0\
\xf4\0\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xfd\0\0\0\0\0\0\x08\x26\0\0\0\x02\x01\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x08\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\
\x12\x01\0\0\0\0\0\x12\x1b\0\0\0\xf9\x03\0\0\x01\0\0\x0f\x04\0\0\0\x24\0\0\0\0\
\0\0\0\x04\0\0\0\x01\x04\0\0\x01\0\0\x0f\x01\0\0\0\x27\0\0\0\0\0\0\0\x01\0\0\0\
\x06\x04\0\0\x01\0\0\x0f\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x0c\x04\0\0\x02\
\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x64\x61\x74\x61\0\x74\x79\x70\x65\
\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x61\x72\x72\x61\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x74\x65\x73\x74\x30\0\x74\x65\x73\x74\
\x31\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x33\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x69\0\x66\x72\x6f\x6d\0\x64\x65\x6c\x5f\x61\x72\x72\x61\
\x79\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\
\x61\x64\x64\x5f\x61\x72\x72\x61\x79\0\x62\x69\x6e\x5f\x64\x61\x74\x61\0\x6c\
\x6f\x63\x6b\0\x63\x68\x61\x72\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x5f\x5f\x75\x36\x34\0\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x6e\x6f\x6d\x65\x6d\x5f\
\x65\x72\x72\0\x6b\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\
\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x72\x65\x65\x6d\x70\x74\
\x65\x64\x5f\x62\x70\x66\x5f\x6d\x61\x5f\x6f\x70\x2e\x63\0\x73\x74\x61\x74\x69\
\x63\x20\x69\x6e\x74\x20\x64\x65\x6c\x5f\x61\x72\x72\x61\x79\x28\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x69\x2c\x20\x69\x6e\x74\x20\x2a\x66\
\x72\x6f\x6d\x29\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\
\x79\x2c\x20\x66\x72\x6f\x6d\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x75\
\x65\x29\0\x09\x6f\x6c\x64\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\
\x63\x68\x67\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x64\x61\x74\x61\x2c\x20\x4e\
\x55\x4c\x4c\x29\x3b\0\x09\x69\x66\x20\x28\x6f\x6c\x64\x29\0\x09\x09\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x6f\x6c\x64\x29\x3b\0\x09\x28\x2a\
\x66\x72\x6f\x6d\x29\x2b\x2b\x3b\0\x7d\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\
\x74\x20\x61\x64\x64\x5f\x61\x72\x72\x61\x79\x28\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\x20\x69\x2c\x20\x69\x6e\x74\x20\x2a\x66\x72\x6f\x6d\x29\0\
\x09\x6e\x65\x77\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\
\x74\x79\x70\x65\x6f\x66\x28\x2a\x6e\x65\x77\x29\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x6e\x65\x77\x29\x20\x7b\0\x09\x09\x6e\x6f\x6d\x65\x6d\x5f\x65\x72\x72\x20\
\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x6f\x6c\x64\x20\x3d\x20\x62\x70\x66\x5f\x6b\
\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x76\x61\x6c\x75\x65\x2d\x3e\x64\x61\
\x74\x61\x2c\x20\x6e\x65\x77\x29\x3b\0\x09\x69\x20\x3d\x20\x66\x72\x6f\x6d\x3b\
\0\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x35\x31\x32\x2c\x20\x64\x65\x6c\x5f\
\x61\x72\x72\x61\x79\x2c\x20\x26\x69\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\
\x6c\x6f\x6f\x70\x28\x35\x31\x32\x2c\x20\x61\x64\x64\x5f\x61\x72\x72\x61\x79\
\x2c\x20\x26\x69\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x32\x28\x74\x65\x73\x74\x30\x2c\x20\x69\x6e\x74\x2c\x20\x61\x29\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x31\x2c\
\x20\x69\x6e\x74\x2c\x20\x61\x2c\x20\x75\x36\x34\x2c\x20\x62\x29\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x32\x2c\x20\x63\
\x68\x61\x72\x2c\x20\x61\x2c\x20\x69\x6e\x74\x2c\x20\x62\x2c\x20\x75\x36\x34\
\x2c\x20\x63\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\
\x65\x73\x74\x33\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x61\x2c\x20\x63\x68\
\x61\x72\x2c\x20\x62\x2c\x20\x69\x6e\x74\x2c\x20\x63\x2c\x20\x75\x36\x34\x2c\
\x20\x64\x29\0\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x33\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\0\xdc\x02\0\0\x38\x03\0\0\x1c\0\0\0\x08\0\
\0\0\x13\x04\0\0\x02\0\0\0\0\0\0\0\x16\0\0\0\x98\0\0\0\x1a\0\0\0\x19\x04\0\0\
\x01\0\0\0\0\0\0\0\x10\0\0\0\x31\x04\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\x49\x04\0\
\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x61\x04\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\x10\0\0\
\0\x13\x04\0\0\x13\0\0\0\0\0\0\0\x17\x01\0\0\xa3\x01\0\0\0\x74\0\0\x08\0\0\0\
\x17\x01\0\0\xd3\x01\0\0\x0a\x88\0\0\x28\0\0\0\x17\x01\0\0\xff\x01\0\0\x06\x8c\
\0\0\x30\0\0\0\x17\x01\0\0\x0c\x02\0\0\x08\x98\0\0\x48\0\0\0\x17\x01\0\0\x36\
\x02\0\0\x06\x9c\0\0\x50\0\0\0\x17\x01\0\0\x40\x02\0\0\x03\xa0\0\0\x68\0\0\0\
\x17\x01\0\0\x55\x02\0\0\x09\xa8\0\0\x88\0\0\0\x17\x01\0\0\x61\x02\0\0\x01\xb0\
\0\0\x98\0\0\0\x17\x01\0\0\x63\x02\0\0\0\xb8\0\0\xa0\0\0\0\x17\x01\0\0\xd3\x01\
\0\0\x0a\xcc\0\0\xc8\0\0\0\x17\x01\0\0\xff\x01\0\0\x06\xd0\0\0\xd0\0\0\0\x17\
\x01\0\0\x93\x02\0\0\x08\xdc\0\0\xf0\0\0\0\x17\x01\0\0\xb5\x02\0\0\x06\xe0\0\0\
\xf8\0\0\0\x17\x01\0\0\xc2\x02\0\0\x0d\xe4\0\0\x18\x01\0\0\x17\x01\0\0\xd6\x02\
\0\0\x08\xf4\0\0\x30\x01\0\0\x17\x01\0\0\x36\x02\0\0\x06\xf8\0\0\x38\x01\0\0\
\x17\x01\0\0\x40\x02\0\0\x03\xfc\0\0\x50\x01\0\0\x17\x01\0\0\x55\x02\0\0\x09\
\x04\x01\0\x70\x01\0\0\x17\x01\0\0\x61\x02\0\0\x01\x0c\x01\0\x19\x04\0\0\x06\0\
\0\0\0\0\0\0\x17\x01\0\0\xff\x02\0\0\x04\x24\x01\0\x10\0\0\0\x17\x01\0\0\0\0\0\
\0\0\0\0\0\x18\0\0\0\x17\x01\0\0\x0a\x03\0\0\x02\x28\x01\0\x48\0\0\0\x17\x01\0\
\0\xff\x02\0\0\x04\x30\x01\0\x50\0\0\0\x17\x01\0\0\x2c\x03\0\0\x02\x34\x01\0\
\x80\0\0\0\x17\x01\0\0\x4e\x03\0\0\x05\x44\x01\0\x31\x04\0\0\x06\0\0\0\0\0\0\0\
\x17\x01\0\0\xff\x02\0\0\x04\x24\x01\0\x10\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\x17\x01\0\0\x0a\x03\0\0\x02\x28\x01\0\x48\0\0\0\x17\x01\0\0\xff\x02\
\0\0\x04\x30\x01\0\x50\0\0\0\x17\x01\0\0\x2c\x03\0\0\x02\x34\x01\0\x80\0\0\0\
\x17\x01\0\0\x6b\x03\0\0\x05\x60\x01\0\x49\x04\0\0\x06\0\0\0\0\0\0\0\x17\x01\0\
\0\xff\x02\0\0\x04\x24\x01\0\x10\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\x17\x01\0\0\x0a\x03\0\0\x02\x28\x01\0\x48\0\0\0\x17\x01\0\0\xff\x02\0\0\x04\
\x30\x01\0\x50\0\0\0\x17\x01\0\0\x2c\x03\0\0\x02\x34\x01\0\x80\0\0\0\x17\x01\0\
\0\x90\x03\0\0\x05\x7c\x01\0\x61\x04\0\0\x06\0\0\0\0\0\0\0\x17\x01\0\0\xff\x02\
\0\0\x04\x24\x01\0\x10\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x17\x01\0\0\
\x0a\x03\0\0\x02\x28\x01\0\x48\0\0\0\x17\x01\0\0\xff\x02\0\0\x04\x30\x01\0\x50\
\0\0\0\x17\x01\0\0\x2c\x03\0\0\x02\x34\x01\0\x80\0\0\0\x17\x01\0\0\xbe\x03\0\0\
\x05\x98\x01\0\x10\0\0\0\x13\x04\0\0\x01\0\0\0\xd0\0\0\0\x1b\0\0\0\xf7\x03\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb3\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\x04\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x06\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x47\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x06\0\0\0\0\0\
\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x07\0\0\0\0\0\0\x90\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe4\x07\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe8\x07\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2b\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x08\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x35\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x08\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x51\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x08\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x6d\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x08\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x89\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x08\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa5\x01\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x08\0\0\0\0\0\0\xc9\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x10\0\0\0\0\0\0\x74\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct preempted_bpf_ma_op *preempted_bpf_ma_op::open(const struct bpf_object_open_opts *opts) { return preempted_bpf_ma_op__open_opts(opts); }
struct preempted_bpf_ma_op *preempted_bpf_ma_op::open_and_load() { return preempted_bpf_ma_op__open_and_load(); }
int preempted_bpf_ma_op::load(struct preempted_bpf_ma_op *skel) { return preempted_bpf_ma_op__load(skel); }
int preempted_bpf_ma_op::attach(struct preempted_bpf_ma_op *skel) { return preempted_bpf_ma_op__attach(skel); }
void preempted_bpf_ma_op::detach(struct preempted_bpf_ma_op *skel) { preempted_bpf_ma_op__detach(skel); }
void preempted_bpf_ma_op::destroy(struct preempted_bpf_ma_op *skel) { preempted_bpf_ma_op__destroy(skel); }
const void *preempted_bpf_ma_op::elf_bytes(size_t *sz) { return preempted_bpf_ma_op__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
preempted_bpf_ma_op__assert(struct preempted_bpf_ma_op *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nomem_err) == 1, "unexpected size of 'nomem_err'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PREEMPTED_BPF_MA_OP_SKEL_H__ */
