/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STACKTRACE_MAP_SKIP_SKEL_H__
#define __STACKTRACE_MAP_SKIP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct stacktrace_map_skip {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *stackmap;
		struct bpf_map *stackid_hmap;
		struct bpf_map *stack_amap;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *oncpu;
	} progs;
	struct {
		struct bpf_link *oncpu;
	} links;
	struct stacktrace_map_skip__bss {
		int pid;
		int control;
		int failed;
	} *bss;

#ifdef __cplusplus
	static inline struct stacktrace_map_skip *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct stacktrace_map_skip *open_and_load();
	static inline int load(struct stacktrace_map_skip *skel);
	static inline int attach(struct stacktrace_map_skip *skel);
	static inline void detach(struct stacktrace_map_skip *skel);
	static inline void destroy(struct stacktrace_map_skip *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
stacktrace_map_skip__destroy(struct stacktrace_map_skip *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
stacktrace_map_skip__create_skeleton(struct stacktrace_map_skip *obj);

static inline struct stacktrace_map_skip *
stacktrace_map_skip__open_opts(const struct bpf_object_open_opts *opts)
{
	struct stacktrace_map_skip *obj;
	int err;

	obj = (struct stacktrace_map_skip *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = stacktrace_map_skip__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	stacktrace_map_skip__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct stacktrace_map_skip *
stacktrace_map_skip__open(void)
{
	return stacktrace_map_skip__open_opts(NULL);
}

static inline int
stacktrace_map_skip__load(struct stacktrace_map_skip *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct stacktrace_map_skip *
stacktrace_map_skip__open_and_load(void)
{
	struct stacktrace_map_skip *obj;
	int err;

	obj = stacktrace_map_skip__open();
	if (!obj)
		return NULL;
	err = stacktrace_map_skip__load(obj);
	if (err) {
		stacktrace_map_skip__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
stacktrace_map_skip__attach(struct stacktrace_map_skip *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
stacktrace_map_skip__detach(struct stacktrace_map_skip *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *stacktrace_map_skip__elf_bytes(size_t *sz);

static inline int
stacktrace_map_skip__create_skeleton(struct stacktrace_map_skip *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "stacktrace_map_skip";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "stackmap";
	s->maps[0].map = &obj->maps.stackmap;

	s->maps[1].name = "stackid_hmap";
	s->maps[1].map = &obj->maps.stackid_hmap;

	s->maps[2].name = "stack_amap";
	s->maps[2].map = &obj->maps.stack_amap;

	s->maps[3].name = "stacktra.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "oncpu";
	s->progs[0].prog = &obj->progs.oncpu;
	s->progs[0].link = &obj->links.oncpu;

	s->data = stacktrace_map_skip__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *stacktrace_map_skip__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\x2f\x73\x63\x68\x65\
\x64\x5f\x73\x77\x69\x74\x63\x68\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x73\x74\x61\x63\x6b\x74\x72\x61\x63\x65\x5f\x6d\x61\
\x70\x5f\x73\x6b\x69\x70\x2e\x63\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\
\x5f\x35\0\x6f\x6e\x63\x70\x75\0\x70\x69\x64\0\x63\x6f\x6e\x74\x72\x6f\x6c\0\
\x73\x74\x61\x63\x6b\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x69\x64\x5f\x68\x6d\x61\
\x70\0\x73\x74\x61\x63\x6b\x5f\x61\x6d\x61\x70\0\x66\x61\x69\x6c\x65\x64\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\
\x6e\x74\x2f\x73\x63\x68\x65\x64\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\
\x63\x68\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x04\0\xf1\xff\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\0\0\x03\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\0\0\x03\0\
\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\
\x01\0\0\0\0\0\0\x6c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x70\0\
\0\0\x11\0\x04\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x78\0\0\0\x11\0\x05\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x8e\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x99\0\0\0\
\x11\0\x04\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x62\x0a\xf8\xff\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\
\x20\0\0\0\x5d\x70\x26\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x56\x01\x22\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x85\0\0\0\x1b\0\0\0\xb4\x01\0\0\x02\0\0\0\x63\
\x0a\xfc\xff\0\0\0\0\xc6\0\x17\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xfc\
\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\x15\0\x0c\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb4\x03\0\0\x10\0\
\0\0\xb7\x04\0\0\x02\0\0\0\xbf\x06\0\0\0\0\0\0\x85\0\0\0\x43\0\0\0\xb4\x01\0\0\
\x01\0\0\0\x79\x62\0\0\0\0\0\0\x55\x02\x03\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x06\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x08\0\
\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\
\0\x58\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x4c\
\x04\0\0\x4c\x04\0\0\xea\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x07\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\
\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\x0e\0\0\0\x3a\0\0\0\0\0\0\x08\x0d\0\0\
\0\x40\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\
\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x53\0\0\0\x01\0\0\0\0\0\0\0\
\x58\0\0\0\x05\0\0\0\x40\0\0\0\x64\0\0\0\x07\0\0\0\x80\0\0\0\x68\0\0\0\x0a\0\0\
\0\xc0\0\0\0\x6e\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x53\0\0\0\x11\0\0\0\0\0\0\0\x58\0\0\0\x05\0\0\0\x40\0\0\0\x64\0\0\0\
\x07\0\0\0\x80\0\0\0\x68\0\0\0\x07\0\0\0\xc0\0\0\0\x77\0\0\0\0\0\0\x0e\x13\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x53\0\0\0\x15\0\0\0\0\0\0\0\
\x58\0\0\0\x05\0\0\0\x40\0\0\0\x64\0\0\0\x07\0\0\0\x80\0\0\0\x68\0\0\0\x0a\0\0\
\0\xc0\0\0\0\x84\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\
\0\x8f\0\0\0\x09\0\0\x04\x48\0\0\0\xac\0\0\0\x1b\0\0\0\0\0\0\0\xb0\0\0\0\x1f\0\
\0\0\x60\0\0\0\xba\0\0\0\x20\0\0\0\xe0\0\0\0\xc3\0\0\0\x02\0\0\0\0\x01\0\0\xcd\
\0\0\0\x22\0\0\0\x40\x01\0\0\xd8\0\0\0\x1f\0\0\0\x80\x01\0\0\xe2\0\0\0\x20\0\0\
\0\0\x02\0\0\xeb\0\0\0\x02\0\0\0\x20\x02\0\0\xf5\0\0\0\x23\0\0\0\x40\x02\0\0\
\xfc\0\0\0\x05\0\0\x04\x0c\0\0\0\x53\0\0\0\x1c\0\0\0\0\0\0\0\x08\x01\0\0\x1d\0\
\0\0\x10\0\0\0\x0e\x01\0\0\x1d\0\0\0\x18\0\0\0\x1c\x01\0\0\x02\0\0\0\x20\0\0\0\
\x20\x01\0\0\x1d\0\0\0\x40\0\0\0\x33\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x42\
\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\x50\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\x10\0\0\0\x55\x01\0\0\0\0\0\
\x08\x21\0\0\0\x5b\x01\0\0\0\0\0\x08\x02\0\0\0\x6a\x01\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x02\0\0\0\x6f\x01\0\0\x19\0\0\0\x73\x01\0\0\x01\0\0\x0c\x24\0\0\0\x1c\
\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x79\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\
\0\x81\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\
\0\x04\0\0\0\x04\0\0\0\x88\x01\0\0\0\0\0\x0e\x29\0\0\0\x01\0\0\0\xb9\x03\0\0\
\x03\0\0\x0f\x0c\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\
\0\x28\0\0\0\x08\0\0\0\x04\0\0\0\xbe\x03\0\0\x03\0\0\x0f\x60\0\0\0\x10\0\0\0\0\
\0\0\0\x20\0\0\0\x14\0\0\0\x20\0\0\0\x20\0\0\0\x18\0\0\0\x40\0\0\0\x20\0\0\0\
\xc4\x03\0\0\x01\0\0\x0f\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\
\x74\x61\x63\x6b\x5f\x74\x72\x61\x63\x65\x5f\x74\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x73\x74\x61\x63\x6b\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x69\x64\
\x5f\x68\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x5f\x61\x6d\x61\x70\0\x74\x72\x61\
\x63\x65\x5f\x65\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x73\x63\x68\x65\x64\x5f\
\x73\x77\x69\x74\x63\x68\0\x65\x6e\x74\0\x70\x72\x65\x76\x5f\x63\x6f\x6d\x6d\0\
\x70\x72\x65\x76\x5f\x70\x69\x64\0\x70\x72\x65\x76\x5f\x70\x72\x69\x6f\0\x70\
\x72\x65\x76\x5f\x73\x74\x61\x74\x65\0\x6e\x65\x78\x74\x5f\x63\x6f\x6d\x6d\0\
\x6e\x65\x78\x74\x5f\x70\x69\x64\0\x6e\x65\x78\x74\x5f\x70\x72\x69\x6f\0\x5f\
\x5f\x64\x61\x74\x61\0\x74\x72\x61\x63\x65\x5f\x65\x6e\x74\x72\x79\0\x66\x6c\
\x61\x67\x73\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\x6f\x75\x6e\x74\0\x70\x69\
\x64\0\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x61\x7a\x79\x5f\x63\x6f\x75\x6e\x74\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x68\x61\x72\0\x70\x69\x64\x5f\x74\0\
\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x6c\x6f\x6e\x67\0\
\x63\x74\x78\0\x6f\x6e\x63\x70\x75\0\x63\x6f\x6e\x74\x72\x6f\x6c\0\x66\x61\x69\
\x6c\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\
\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x74\x61\
\x63\x6b\x74\x72\x61\x63\x65\x5f\x6d\x61\x70\x5f\x73\x6b\x69\x70\x2e\x63\0\x69\
\x6e\x74\x20\x6f\x6e\x63\x70\x75\x28\x73\x74\x72\x75\x63\x74\x20\x74\x72\x61\
\x63\x65\x5f\x65\x76\x65\x6e\x74\x5f\x72\x61\x77\x5f\x73\x63\x68\x65\x64\x5f\
\x73\x77\x69\x74\x63\x68\x20\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\
\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x76\x61\x6c\x20\x3d\x20\x30\x3b\0\x09\x69\
\x66\x20\x28\x70\x69\x64\x20\x21\x3d\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\
\x3e\x3e\x20\x33\x32\x29\x29\0\x09\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x74\x61\x63\x6b\x69\x64\x28\x63\x74\x78\x2c\x20\x26\x73\x74\
\x61\x63\x6b\x6d\x61\x70\x2c\x20\x54\x45\x53\x54\x5f\x53\x54\x41\x43\x4b\x5f\
\x44\x45\x50\x54\x48\x29\x3b\0\x09\x69\x66\x20\x28\x28\x69\x6e\x74\x29\x6b\x65\
\x79\x20\x3e\x3d\x20\x30\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x63\x6b\x69\
\x64\x5f\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\
\x20\x30\x29\x3b\0\x09\x09\x73\x74\x61\x63\x6b\x5f\x70\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\
\x74\x61\x63\x6b\x5f\x61\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x09\
\x69\x66\x20\x28\x73\x74\x61\x63\x6b\x5f\x70\x29\x20\x7b\0\x09\x09\x09\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\x73\x74\
\x61\x63\x6b\x5f\x70\x2c\x20\x6d\x61\x78\x5f\x6c\x65\x6e\x2c\x20\x54\x45\x53\
\x54\x5f\x53\x54\x41\x43\x4b\x5f\x44\x45\x50\x54\x48\x29\x3b\0\x09\x09\x09\x69\
\x66\x20\x28\x73\x74\x61\x63\x6b\x5f\x70\x5b\x30\x5d\x20\x3d\x3d\x20\x30\x29\0\
\x7d\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\x2f\x73\x63\
\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x14\0\0\0\x14\0\0\0\x1c\x01\0\0\x30\x01\0\0\0\0\0\0\x08\0\0\0\xcc\x03\0\0\x01\
\0\0\0\0\0\0\0\x25\0\0\0\x10\0\0\0\xcc\x03\0\0\x11\0\0\0\0\0\0\0\x91\x01\0\0\
\x1d\x02\0\0\0\x90\0\0\x08\0\0\0\x91\x01\0\0\x51\x02\0\0\x11\x9c\0\0\x10\0\0\0\
\x91\x01\0\0\x6a\x02\0\0\x06\xa8\0\0\x28\0\0\0\x91\x01\0\0\x6a\x02\0\0\x0e\xa8\
\0\0\x30\0\0\0\x91\x01\0\0\x6a\x02\0\0\x29\xa8\0\0\x38\0\0\0\x91\x01\0\0\x6a\
\x02\0\0\x06\xa8\0\0\x60\0\0\0\x91\x01\0\0\x9a\x02\0\0\x08\xc4\0\0\x90\0\0\0\
\x91\x01\0\0\x9a\x02\0\0\x06\xc4\0\0\x98\0\0\0\x91\x01\0\0\xd4\x02\0\0\x06\xc8\
\0\0\xa8\0\0\0\x91\x01\0\0\xea\x02\0\0\x03\xd0\0\0\xe8\0\0\0\x91\x01\0\0\x1f\
\x03\0\0\x0d\xd4\0\0\x08\x01\0\0\x91\x01\0\0\x53\x03\0\0\x07\xd8\0\0\x10\x01\0\
\0\x91\x01\0\0\x64\x03\0\0\x04\xdc\0\0\x48\x01\0\0\x91\x01\0\0\x9f\x03\0\0\x08\
\xe4\0\0\x50\x01\0\0\x91\x01\0\0\x9f\x03\0\0\x08\xe4\0\0\x58\x01\0\0\x91\x01\0\
\0\0\0\0\0\0\0\0\0\x70\x01\0\0\x91\x01\0\0\xb7\x03\0\0\x01\x08\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x01\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x02\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x2f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\
\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x04\0\0\0\0\0\0\x4e\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x0c\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct stacktrace_map_skip *stacktrace_map_skip::open(const struct bpf_object_open_opts *opts) { return stacktrace_map_skip__open_opts(opts); }
struct stacktrace_map_skip *stacktrace_map_skip::open_and_load() { return stacktrace_map_skip__open_and_load(); }
int stacktrace_map_skip::load(struct stacktrace_map_skip *skel) { return stacktrace_map_skip__load(skel); }
int stacktrace_map_skip::attach(struct stacktrace_map_skip *skel) { return stacktrace_map_skip__attach(skel); }
void stacktrace_map_skip::detach(struct stacktrace_map_skip *skel) { stacktrace_map_skip__detach(skel); }
void stacktrace_map_skip::destroy(struct stacktrace_map_skip *skel) { stacktrace_map_skip__destroy(skel); }
const void *stacktrace_map_skip::elf_bytes(size_t *sz) { return stacktrace_map_skip__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
stacktrace_map_skip__assert(struct stacktrace_map_skip *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->control) == 4, "unexpected size of 'control'");
	_Static_assert(sizeof(s->bss->failed) == 4, "unexpected size of 'failed'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STACKTRACE_MAP_SKIP_SKEL_H__ */
