/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FREPLACE_DEAD_GLOBAL_FUNC_SKEL_H__
#define __FREPLACE_DEAD_GLOBAL_FUNC_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct freplace_dead_global_func {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *freplace_prog;
	} progs;
	struct {
		struct bpf_link *freplace_prog;
	} links;

#ifdef __cplusplus
	static inline struct freplace_dead_global_func *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct freplace_dead_global_func *open_and_load();
	static inline int load(struct freplace_dead_global_func *skel);
	static inline int attach(struct freplace_dead_global_func *skel);
	static inline void detach(struct freplace_dead_global_func *skel);
	static inline void destroy(struct freplace_dead_global_func *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
freplace_dead_global_func__destroy(struct freplace_dead_global_func *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
freplace_dead_global_func__create_skeleton(struct freplace_dead_global_func *obj);

static inline struct freplace_dead_global_func *
freplace_dead_global_func__open_opts(const struct bpf_object_open_opts *opts)
{
	struct freplace_dead_global_func *obj;
	int err;

	obj = (struct freplace_dead_global_func *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = freplace_dead_global_func__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	freplace_dead_global_func__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct freplace_dead_global_func *
freplace_dead_global_func__open(void)
{
	return freplace_dead_global_func__open_opts(NULL);
}

static inline int
freplace_dead_global_func__load(struct freplace_dead_global_func *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct freplace_dead_global_func *
freplace_dead_global_func__open_and_load(void)
{
	struct freplace_dead_global_func *obj;
	int err;

	obj = freplace_dead_global_func__open();
	if (!obj)
		return NULL;
	err = freplace_dead_global_func__load(obj);
	if (err) {
		freplace_dead_global_func__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
freplace_dead_global_func__attach(struct freplace_dead_global_func *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
freplace_dead_global_func__detach(struct freplace_dead_global_func *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *freplace_dead_global_func__elf_bytes(size_t *sz);

static inline int
freplace_dead_global_func__create_skeleton(struct freplace_dead_global_func *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "freplace_dead_global_func";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "freplace_prog";
	s->progs[0].prog = &obj->progs.freplace_prog;
	s->progs[0].link = &obj->links.freplace_prog;

	s->data = freplace_dead_global_func__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *freplace_dead_global_func__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x72\
\x65\x70\x6c\x61\x63\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x72\x65\x70\x6c\
\x61\x63\x65\x5f\x64\x65\x61\x64\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\
\x63\x2e\x63\0\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x70\x72\x6f\x67\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4c\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x88\0\0\0\x88\0\0\0\
\xe3\0\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x13\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\0\0\x06\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x2c\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xd2\0\0\0\x01\0\0\
\x0f\x04\0\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x66\x72\x65\x70\x6c\
\x61\x63\x65\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\
\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x66\x72\x65\x70\x6c\x61\x63\x65\x5f\x64\x65\x61\x64\
\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\x6e\x63\x2e\x63\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x72\x65\x70\x6c\x61\
\x63\x65\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\
\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\xda\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\
\0\xda\0\0\0\x01\0\0\0\0\0\0\0\x35\0\0\0\xc7\0\0\0\x02\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x63\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x83\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct freplace_dead_global_func *freplace_dead_global_func::open(const struct bpf_object_open_opts *opts) { return freplace_dead_global_func__open_opts(opts); }
struct freplace_dead_global_func *freplace_dead_global_func::open_and_load() { return freplace_dead_global_func__open_and_load(); }
int freplace_dead_global_func::load(struct freplace_dead_global_func *skel) { return freplace_dead_global_func__load(skel); }
int freplace_dead_global_func::attach(struct freplace_dead_global_func *skel) { return freplace_dead_global_func__attach(skel); }
void freplace_dead_global_func::detach(struct freplace_dead_global_func *skel) { freplace_dead_global_func__detach(skel); }
void freplace_dead_global_func::destroy(struct freplace_dead_global_func *skel) { freplace_dead_global_func__destroy(skel); }
const void *freplace_dead_global_func::elf_bytes(size_t *sz) { return freplace_dead_global_func__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
freplace_dead_global_func__assert(struct freplace_dead_global_func *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FREPLACE_DEAD_GLOBAL_FUNC_SKEL_H__ */
