/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_ITER_KSYM_SKEL_H__
#define __BPF_ITER_KSYM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_iter_ksym {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *dump_ksym;
	} progs;
	struct {
		struct bpf_link *dump_ksym;
	} links;
	struct bpf_iter_ksym__bss {
		unsigned long last_sym_value;
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_iter_ksym *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_iter_ksym *open_and_load();
	static inline int load(struct bpf_iter_ksym *skel);
	static inline int attach(struct bpf_iter_ksym *skel);
	static inline void detach(struct bpf_iter_ksym *skel);
	static inline void destroy(struct bpf_iter_ksym *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_iter_ksym__destroy(struct bpf_iter_ksym *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_ksym__create_skeleton(struct bpf_iter_ksym *obj);

static inline struct bpf_iter_ksym *
bpf_iter_ksym__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_ksym *obj;
	int err;

	obj = (struct bpf_iter_ksym *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_ksym__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_ksym__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_ksym *
bpf_iter_ksym__open(void)
{
	return bpf_iter_ksym__open_opts(NULL);
}

static inline int
bpf_iter_ksym__load(struct bpf_iter_ksym *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_ksym *
bpf_iter_ksym__open_and_load(void)
{
	struct bpf_iter_ksym *obj;
	int err;

	obj = bpf_iter_ksym__open();
	if (!obj)
		return NULL;
	err = bpf_iter_ksym__load(obj);
	if (err) {
		bpf_iter_ksym__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_ksym__attach(struct bpf_iter_ksym *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_ksym__detach(struct bpf_iter_ksym *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_ksym__elf_bytes(size_t *sz);

static inline int
bpf_iter_ksym__create_skeleton(struct bpf_iter_ksym *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_iter_ksym";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_iter.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "bpf_iter.rodata";
	s->maps[1].map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_ksym";
	s->progs[0].prog = &obj->progs.dump_ksym;
	s->progs[0].link = &obj->links.dump_ksym;

	s->data = bpf_iter_ksym__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_iter_ksym__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x1d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\
\x65\x72\x2f\x6b\x73\x79\x6d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6b\x73\x79\
\x6d\x2e\x63\0\x4c\x42\x42\x30\x5f\x33\x37\0\x4c\x42\x42\x30\x5f\x33\0\x64\x75\
\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x4c\x42\x42\x30\x5f\
\x33\x36\0\x4c\x42\x42\x30\x5f\x35\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\
\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x4c\x42\x42\x30\x5f\x36\0\x64\x75\x6d\x70\
\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x32\0\x4c\x42\x42\x30\x5f\
\x38\0\x4c\x42\x42\x30\x5f\x32\x31\0\x4c\x42\x42\x30\x5f\x31\x33\0\x4c\x42\x42\
\x30\x5f\x31\x32\0\x4c\x42\x42\x30\x5f\x31\x36\0\x64\x75\x6d\x70\x5f\x6b\x73\
\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x34\0\x4c\x42\x42\x30\x5f\x32\x32\0\
\x4c\x42\x42\x30\x5f\x31\x35\0\x4c\x42\x42\x30\x5f\x31\x38\0\x4c\x42\x42\x30\
\x5f\x32\x30\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\
\x2e\x33\0\x4c\x42\x42\x30\x5f\x32\x34\0\x4c\x42\x42\x30\x5f\x32\x35\0\x64\x75\
\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x35\0\x4c\x42\x42\
\x30\x5f\x32\x37\0\x4c\x42\x42\x30\x5f\x32\x39\0\x64\x75\x6d\x70\x5f\x6b\x73\
\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x36\0\x4c\x42\x42\x30\x5f\x33\x31\0\
\x4c\x42\x42\x30\x5f\x33\x32\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\
\x5f\x66\x6d\x74\x2e\x37\0\x4c\x42\x42\x30\x5f\x33\x34\0\x4c\x42\x42\x30\x5f\
\x33\x35\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\
\x38\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x39\
\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\0\x6c\x61\x73\x74\x5f\x73\x79\x6d\x5f\
\x76\x61\x6c\x75\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x69\
\x74\x65\x72\x2f\x6b\x73\x79\x6d\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\x03\0\xf8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\
\0\0\0\x03\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x01\0\x06\0\0\0\0\0\0\
\0\0\0\x2a\0\0\0\0\0\0\0\x60\0\0\0\0\0\x03\0\xe8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x68\0\0\0\0\0\x03\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x01\0\x06\0\
\x2a\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x82\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x89\0\0\0\x01\0\x06\0\x30\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x9c\0\
\0\0\0\0\x03\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\0\0\x03\0\xd0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\0\0\x03\0\x40\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb3\0\0\0\0\0\x03\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\0\0\
\x03\0\x68\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x01\0\x06\0\x47\0\0\0\0\0\
\0\0\x0e\0\0\0\0\0\0\0\xd6\0\0\0\0\0\x03\0\x30\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xde\0\0\0\0\0\x03\0\x58\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\0\0\x03\0\
\x80\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\0\0\x03\0\x90\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xf6\0\0\0\x01\0\x06\0\x32\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x09\
\x01\0\0\0\0\x03\0\x60\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x01\0\0\0\0\x03\0\
\x98\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x01\0\0\x01\0\x06\0\x55\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\x2c\x01\0\0\0\0\x03\0\xc0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x34\x01\0\0\0\0\x03\0\xf8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\x01\0\0\x01\0\
\x06\0\x5b\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x4f\x01\0\0\0\0\x03\0\x20\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x57\x01\0\0\0\0\x03\0\x58\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x5f\x01\0\0\x01\0\x06\0\x60\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x72\x01\0\0\0\0\
\x03\0\x80\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\x01\0\0\0\0\x03\0\xb8\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x82\x01\0\0\x01\0\x06\0\x6c\0\0\0\0\0\0\0\x05\0\0\0\0\0\
\0\0\x95\x01\0\0\x01\0\x06\0\x71\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x08\x05\0\0\0\0\0\0\xb2\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xc1\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x79\x26\0\0\0\0\0\0\x79\x17\x08\0\0\0\0\0\x15\x07\x9b\0\0\0\0\0\x79\x21\x10\0\
\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x55\x01\x07\0\0\0\0\0\xbf\
\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x2a\0\0\0\x05\0\x8e\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x15\x01\x0b\0\0\0\0\0\x79\x72\x28\0\
\0\0\0\0\x1f\x12\0\0\0\0\0\0\x7b\x2a\xe0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\
\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x2a\0\0\0\0\0\0\0\0\0\
\0\0\xb7\x03\0\0\x06\0\0\0\xb7\x05\0\0\x08\0\0\0\x05\0\x07\0\0\0\0\0\xbf\xa4\0\
\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x7e\0\0\
\0\xb7\x02\0\0\0\0\0\0\x61\x71\x74\x02\0\0\0\0\x15\x01\x01\0\0\0\0\0\x79\x72\
\x28\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x71\x71\
\x34\0\0\0\0\0\x67\x01\0\0\x38\0\0\0\xc7\x01\0\0\x38\0\0\0\x71\x73\x35\x02\0\0\
\0\0\x15\x03\x08\0\0\0\0\0\x61\x73\x70\x02\0\0\0\0\x15\x03\x14\0\0\0\0\0\xb7\
\x04\0\0\x01\0\0\0\x65\x01\x01\0\x60\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x03\0\0\xe0\
\0\0\0\xb7\x05\0\0\x7b\0\0\0\x05\0\x13\0\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\
\x2a\xe0\xff\0\0\0\0\xb7\x01\0\0\x35\0\0\0\xbf\x72\0\0\0\0\0\0\x0f\x12\0\0\0\0\
\0\0\x7b\x2a\xf0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x47\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x0e\0\0\
\0\xb7\x05\0\0\x18\0\0\0\x05\0\x1e\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x65\x01\x01\
\0\x40\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x03\0\0\x20\0\0\0\xb7\x05\0\0\x5b\0\0\0\
\x57\x04\0\0\x01\0\0\0\x55\x04\x01\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xcd\x51\x01\0\
\0\0\0\0\xb7\x03\0\0\0\0\0\0\x7b\x2a\xe0\xff\0\0\0\0\xb7\x02\0\0\x35\0\0\0\xbf\
\x74\0\0\0\0\0\0\x0f\x24\0\0\0\0\0\0\x7b\x4a\xf0\xff\0\0\0\0\xb7\x02\0\0\x35\
\x02\0\0\xbf\x74\0\0\0\0\0\0\x0f\x24\0\0\0\0\0\0\x7b\x4a\xf8\xff\0\0\0\0\x0f\
\x31\0\0\0\0\0\0\x67\x01\0\0\x38\0\0\0\xc7\x01\0\0\x38\0\0\0\x7b\x1a\xe8\xff\0\
\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\
\x02\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x15\0\0\0\xb7\x05\0\0\x20\0\0\0\
\x85\0\0\0\x7e\0\0\0\x79\x71\x08\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x79\x71\0\0\0\
\0\0\0\x79\x72\x08\0\0\0\0\0\xdd\x12\x07\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\
\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x55\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\x06\0\0\0\x05\0\x2a\0\0\0\0\0\x79\x71\x10\0\0\0\0\0\x15\x01\x03\0\
\0\0\0\0\x79\x71\0\0\0\0\0\0\x79\x72\x10\0\0\0\0\0\xdd\x12\x07\0\0\0\0\0\xbf\
\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\
\x5b\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x05\0\0\0\x05\0\x1e\0\0\0\0\0\x79\x71\
\x18\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x79\x71\0\0\0\0\0\0\x79\x72\x18\0\0\0\0\0\
\xdd\x12\x07\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\
\0\0\0\0\0\0\x18\x02\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x0c\0\0\0\x05\0\
\x12\0\0\0\0\0\x79\x71\x20\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x79\x71\0\0\0\0\0\0\
\x79\x72\x20\0\0\0\0\0\xdd\x12\x07\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x6c\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x03\0\0\x05\0\0\0\x05\0\x06\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\x71\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\
\x08\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x7e\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x41\x44\x44\x52\x20\x54\x59\x50\x45\x20\x4e\x41\
\x4d\x45\x20\x4d\x4f\x44\x55\x4c\x45\x5f\x4e\x41\x4d\x45\x20\x4b\x49\x4e\x44\
\x20\x4d\x41\x58\x5f\x53\x49\x5a\x45\x0a\0\x30\x78\x25\x78\x0a\0\x0a\0\x30\x78\
\x25\x6c\x6c\x78\x20\x25\x63\x20\x25\x73\x20\x5b\x20\x25\x73\x20\x5d\x20\0\x30\
\x78\x25\x6c\x6c\x78\x20\x25\x63\x20\x25\x73\x20\0\x43\x4f\x52\x45\x20\0\x4d\
\x4f\x44\x20\0\x46\x54\x52\x41\x43\x45\x5f\x4d\x4f\x44\x20\0\x42\x50\x46\x20\0\
\x4b\x50\x52\x4f\x42\x45\x20\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x23\0\
\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x23\0\0\
\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x25\0\
\0\0\x18\x02\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x10\x03\0\0\0\0\0\0\x01\0\0\0\x23\
\0\0\0\x78\x03\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\xd8\x03\0\0\0\0\0\0\x01\0\0\0\
\x23\0\0\0\x38\x04\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x98\x04\0\0\0\0\0\0\x01\0\0\
\0\x23\0\0\0\xd0\x04\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\
\0\0\0\x68\x04\0\0\x68\x04\0\0\x48\x07\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\
\0\x02\0\0\x04\x10\0\0\0\x10\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\x04\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x1a\0\0\0\x01\0\0\0\x1e\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x22\0\0\0\x01\0\0\x0c\x05\0\0\0\x2c\0\0\0\x03\0\0\x04\x18\0\0\0\x3a\0\0\0\x09\
\0\0\0\0\0\0\0\x3e\0\0\0\x0a\0\0\0\x40\0\0\0\x49\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\
\0\0\0\0\0\x02\x2c\0\0\0\x51\0\0\0\0\0\0\x08\x0b\0\0\0\x57\0\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\x6a\0\0\0\x0c\0\0\x04\x78\x02\0\0\x77\0\0\0\x0d\0\0\0\0\0\0\0\
\x7b\0\0\0\x0d\0\0\0\x40\0\0\0\x88\0\0\0\x0d\0\0\0\x80\0\0\0\x94\0\0\0\x0d\0\0\
\0\xc0\0\0\0\xa7\0\0\0\x0d\0\0\0\0\x01\0\0\xb3\0\0\0\x10\0\0\0\x40\x01\0\0\xb9\
\0\0\0\x11\0\0\0\x80\x01\0\0\xc1\0\0\0\x12\0\0\0\xa0\x01\0\0\xc6\0\0\0\x13\0\0\
\0\xa8\x01\0\0\xcb\0\0\0\x15\0\0\0\xa8\x11\0\0\xd7\0\0\0\x06\0\0\0\x80\x13\0\0\
\xe0\0\0\0\x06\0\0\0\xa0\x13\0\0\xeb\0\0\0\0\0\0\x08\x0e\0\0\0\xf2\0\0\0\0\0\0\
\x08\x0f\0\0\0\x02\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x0c\x01\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\x1a\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x27\x01\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x14\0\0\0\
\0\x02\0\0\x2c\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x12\0\0\0\x14\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x14\0\0\0\
\x04\0\0\0\x40\x01\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x49\x01\0\0\0\0\0\x0e\x10\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\
\0\x14\0\0\0\x2a\0\0\0\x58\x01\0\0\0\0\0\x0e\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x19\0\0\0\x14\0\0\0\x06\0\0\0\x69\x01\0\0\0\0\0\x0e\x1c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x14\0\0\0\x02\0\0\0\x7c\x01\0\0\0\0\0\
\x0e\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x14\0\0\0\x15\0\0\0\
\x8f\x01\0\0\0\0\0\x0e\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\
\x14\0\0\0\x0e\0\0\0\xa2\x01\0\0\0\0\0\x0e\x22\0\0\0\0\0\0\0\xb5\x01\0\0\0\0\0\
\x0e\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x14\0\0\0\x05\0\0\0\
\xc8\x01\0\0\0\0\0\x0e\x25\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\
\x14\0\0\0\x0c\0\0\0\xdb\x01\0\0\0\0\0\x0e\x27\0\0\0\0\0\0\0\xee\x01\0\0\0\0\0\
\x0e\x25\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x14\0\0\0\x08\0\0\0\
\x01\x02\0\0\0\0\0\x0e\x2a\0\0\0\0\0\0\0\x14\x02\0\0\0\0\0\x07\0\0\0\0\x29\x07\
\0\0\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x31\x07\0\0\x01\0\0\x0f\
\x08\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\x36\x07\0\0\x0a\0\0\x0f\x79\0\0\0\x1b\0\
\0\0\0\0\0\0\x2a\0\0\0\x1d\0\0\0\x2a\0\0\0\x06\0\0\0\x1f\0\0\0\x30\0\0\0\x02\0\
\0\0\x21\0\0\0\x32\0\0\0\x15\0\0\0\x23\0\0\0\x47\0\0\0\x0e\0\0\0\x24\0\0\0\x55\
\0\0\0\x06\0\0\0\x26\0\0\0\x5b\0\0\0\x05\0\0\0\x28\0\0\0\x60\0\0\0\x0c\0\0\0\
\x29\0\0\0\x6c\0\0\0\x05\0\0\0\x2b\0\0\0\x71\0\0\0\x08\0\0\0\0\x62\x70\x66\x5f\
\x69\x74\x65\x72\x5f\x5f\x6b\x73\x79\x6d\0\x6d\x65\x74\x61\0\x6b\x73\x79\x6d\0\
\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\0\x62\x70\x66\
\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\x61\0\x73\x65\x71\0\x73\x65\x73\x73\x69\
\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6b\x61\
\x6c\x6c\x73\x79\x6d\x5f\x69\x74\x65\x72\0\x70\x6f\x73\0\x70\x6f\x73\x5f\x61\
\x72\x63\x68\x5f\x65\x6e\x64\0\x70\x6f\x73\x5f\x6d\x6f\x64\x5f\x65\x6e\x64\0\
\x70\x6f\x73\x5f\x66\x74\x72\x61\x63\x65\x5f\x6d\x6f\x64\x5f\x65\x6e\x64\0\x70\
\x6f\x73\x5f\x62\x70\x66\x5f\x65\x6e\x64\0\x76\x61\x6c\x75\x65\0\x6e\x61\x6d\
\x65\x6f\x66\x66\0\x74\x79\x70\x65\0\x6e\x61\x6d\x65\0\x6d\x6f\x64\x75\x6c\x65\
\x5f\x6e\x61\x6d\x65\0\x65\x78\x70\x6f\x72\x74\x65\x64\0\x73\x68\x6f\x77\x5f\
\x76\x61\x6c\x75\x65\0\x6c\x6f\x66\x66\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\
\x6c\x5f\x6c\x6f\x66\x66\x5f\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x6c\x61\x73\x74\x5f\x73\x79\x6d\x5f\x76\x61\x6c\x75\x65\0\x64\x75\x6d\x70\x5f\
\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\
\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\
\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x32\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\
\x5f\x5f\x5f\x66\x6d\x74\x2e\x33\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\
\x5f\x5f\x66\x6d\x74\x2e\x34\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\
\x5f\x66\x6d\x74\x2e\x35\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\
\x66\x6d\x74\x2e\x36\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\
\x6d\x74\x2e\x37\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\
\x74\x2e\x38\0\x64\x75\x6d\x70\x5f\x6b\x73\x79\x6d\x2e\x5f\x5f\x5f\x66\x6d\x74\
\x2e\x39\0\x73\x65\x71\x5f\x66\x69\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\
\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\
\x69\x74\x65\x72\x5f\x6b\x73\x79\x6d\x2e\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\
\x73\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\x63\x74\x78\
\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x73\x74\x72\x75\x63\x74\
\x20\x6b\x61\x6c\x6c\x73\x79\x6d\x5f\x69\x74\x65\x72\x20\x2a\x69\x74\x65\x72\
\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6b\x73\x79\x6d\x3b\0\x09\x69\x66\x20\x28\x21\
\x69\x74\x65\x72\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x73\x65\x71\x5f\x6e\x75\x6d\
\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x5f\x6e\
\x75\x6d\x3b\0\x09\x69\x66\x20\x28\x73\x65\x71\x5f\x6e\x75\x6d\x20\x3d\x3d\x20\
\x30\x29\x20\x7b\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\
\x46\x28\x73\x65\x71\x2c\x20\x22\x41\x44\x44\x52\x20\x54\x59\x50\x45\x20\x4e\
\x41\x4d\x45\x20\x4d\x4f\x44\x55\x4c\x45\x5f\x4e\x41\x4d\x45\x20\x4b\x49\x4e\
\x44\x20\x4d\x41\x58\x5f\x53\x49\x5a\x45\x5c\x6e\x22\x29\x3b\0\x09\x69\x66\x20\
\x28\x6c\x61\x73\x74\x5f\x73\x79\x6d\x5f\x76\x61\x6c\x75\x65\x29\0\x09\x09\x42\
\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\x2c\x20\
\x22\x30\x78\x25\x78\x5c\x6e\x22\x2c\x20\x69\x74\x65\x72\x2d\x3e\x76\x61\x6c\
\x75\x65\x20\x2d\x20\x6c\x61\x73\x74\x5f\x73\x79\x6d\x5f\x76\x61\x6c\x75\x65\
\x29\x3b\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\
\x73\x65\x71\x2c\x20\x22\x5c\x6e\x22\x29\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\
\x20\x69\x74\x65\x72\x2d\x3e\x73\x68\x6f\x77\x5f\x76\x61\x6c\x75\x65\x20\x3f\
\x20\x69\x74\x65\x72\x2d\x3e\x76\x61\x6c\x75\x65\x20\x3a\x20\x30\x3b\0\x09\x6c\
\x61\x73\x74\x5f\x73\x79\x6d\x5f\x76\x61\x6c\x75\x65\x20\x3d\x20\x76\x61\x6c\
\x75\x65\x3b\0\x09\x74\x79\x70\x65\x20\x3d\x20\x69\x74\x65\x72\x2d\x3e\x74\x79\
\x70\x65\x3b\0\x09\x69\x66\x20\x28\x69\x74\x65\x72\x2d\x3e\x6d\x6f\x64\x75\x6c\
\x65\x5f\x6e\x61\x6d\x65\x5b\x30\x5d\x29\x20\x7b\0\x09\x09\x74\x79\x70\x65\x20\
\x3d\x20\x69\x74\x65\x72\x2d\x3e\x65\x78\x70\x6f\x72\x74\x65\x64\x20\x3f\x20\
\x74\x6f\x5f\x75\x70\x70\x65\x72\x28\x74\x79\x70\x65\x29\x20\x3a\x20\x74\x6f\
\x5f\x6c\x6f\x77\x65\x72\x28\x74\x79\x70\x65\x29\x3b\0\x09\x69\x66\x20\x28\x63\
\x20\x3e\x3d\x20\x27\x61\x27\x20\x26\x26\x20\x63\x20\x3c\x3d\x20\x27\x7a\x27\
\x29\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\
\x65\x71\x2c\x20\x22\x30\x78\x25\x6c\x6c\x78\x20\x25\x63\x20\x25\x73\x20\x22\
\x2c\x20\x76\x61\x6c\x75\x65\x2c\x20\x74\x79\x70\x65\x2c\x20\x69\x74\x65\x72\
\x2d\x3e\x6e\x61\x6d\x65\x29\x3b\0\x09\x69\x66\x20\x28\x63\x20\x3e\x3d\x20\x27\
\x41\x27\x20\x26\x26\x20\x63\x20\x3c\x3d\x20\x27\x5a\x27\x29\0\x09\x09\x42\x50\
\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\x2c\x20\x22\
\x30\x78\x25\x6c\x6c\x78\x20\x25\x63\x20\x25\x73\x20\x5b\x20\x25\x73\x20\x5d\
\x20\x22\x2c\0\x09\x69\x66\x20\x28\x21\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x5f\
\x61\x72\x63\x68\x5f\x65\x6e\x64\x20\x7c\x7c\x20\x69\x74\x65\x72\x2d\x3e\x70\
\x6f\x73\x5f\x61\x72\x63\x68\x5f\x65\x6e\x64\x20\x3e\x20\x69\x74\x65\x72\x2d\
\x3e\x70\x6f\x73\x29\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\
\x54\x46\x28\x73\x65\x71\x2c\x20\x22\x43\x4f\x52\x45\x20\x22\x29\x3b\0\x09\x65\
\x6c\x73\x65\x20\x69\x66\x20\x28\x21\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x5f\
\x6d\x6f\x64\x5f\x65\x6e\x64\x20\x7c\x7c\x20\x69\x74\x65\x72\x2d\x3e\x70\x6f\
\x73\x5f\x6d\x6f\x64\x5f\x65\x6e\x64\x20\x3e\x20\x69\x74\x65\x72\x2d\x3e\x70\
\x6f\x73\x29\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\
\x28\x73\x65\x71\x2c\x20\x22\x4d\x4f\x44\x20\x22\x29\x3b\0\x09\x65\x6c\x73\x65\
\x20\x69\x66\x20\x28\x21\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x5f\x66\x74\x72\
\x61\x63\x65\x5f\x6d\x6f\x64\x5f\x65\x6e\x64\x20\x7c\x7c\x20\x69\x74\x65\x72\
\x2d\x3e\x70\x6f\x73\x5f\x66\x74\x72\x61\x63\x65\x5f\x6d\x6f\x64\x5f\x65\x6e\
\x64\x20\x3e\x20\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x29\0\x09\x09\x42\x50\x46\
\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\x2c\x20\x22\x46\
\x54\x52\x41\x43\x45\x5f\x4d\x4f\x44\x20\x22\x29\x3b\0\x09\x65\x6c\x73\x65\x20\
\x69\x66\x20\x28\x21\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x5f\x62\x70\x66\x5f\
\x65\x6e\x64\x20\x7c\x7c\x20\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x5f\x62\x70\
\x66\x5f\x65\x6e\x64\x20\x3e\x20\x69\x74\x65\x72\x2d\x3e\x70\x6f\x73\x29\0\x09\
\x09\x42\x50\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\
\x2c\x20\x22\x42\x50\x46\x20\x22\x29\x3b\0\x09\x09\x42\x50\x46\x5f\x53\x45\x51\
\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\x2c\x20\x22\x4b\x50\x52\x4f\x42\
\x45\x20\x22\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x32\0\x30\x3a\x35\0\x30\x3a\
\x31\x31\0\x30\x3a\x37\0\x30\x3a\x39\x3a\x30\0\x30\x3a\x31\x30\0\x30\x3a\x38\0\
\x30\x3a\x39\0\x30\x3a\x31\0\x30\x3a\x33\0\x30\x3a\x34\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x69\x74\x65\x72\x2f\
\x6b\x73\x79\x6d\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xbc\x03\
\0\0\xd0\x03\0\0\x7c\x01\0\0\x08\0\0\0\x3e\x07\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\
\x10\0\0\0\x3e\x07\0\0\x3b\0\0\0\0\0\0\0\x1d\x02\0\0\xa3\x02\0\0\x1e\x7c\0\0\
\x08\0\0\0\x1d\x02\0\0\xa3\x02\0\0\x24\x7c\0\0\x10\0\0\0\x1d\x02\0\0\xcb\x02\0\
\0\x23\x80\0\0\x18\0\0\0\x1d\x02\0\0\xf3\x02\0\0\x06\x94\0\0\x20\0\0\0\x1d\x02\
\0\0\xff\x02\0\0\x1d\x84\0\0\x28\0\0\0\x1d\x02\0\0\x24\x03\0\0\x0e\xa0\0\0\x38\
\0\0\0\x1d\x02\0\0\x24\x03\0\0\x06\xa0\0\0\x48\0\0\0\x1d\x02\0\0\x39\x03\0\0\
\x03\xa4\0\0\x78\0\0\0\x1d\x02\0\0\x7e\x03\0\0\x06\xb0\0\0\x90\0\0\0\x1d\x02\0\
\0\x7e\x03\0\0\x06\xb0\0\0\x98\0\0\0\x1d\x02\0\0\x93\x03\0\0\x03\xb4\0\0\xf8\0\
\0\0\x1d\x02\0\0\xd2\x03\0\0\x03\xbc\0\0\x28\x01\0\0\x1d\x02\0\0\0\0\0\0\0\0\0\
\0\x38\x01\0\0\x1d\x02\0\0\xef\x03\0\0\x10\xc4\0\0\x40\x01\0\0\x1d\x02\0\0\xef\
\x03\0\0\x0a\xc4\0\0\x48\x01\0\0\x1d\x02\0\0\xef\x03\0\0\x23\xc4\0\0\x50\x01\0\
\0\x1d\x02\0\0\x1c\x04\0\0\x11\xcc\0\0\x68\x01\0\0\x1d\x02\0\0\x35\x04\0\0\x0f\
\xd4\0\0\x80\x01\0\0\x1d\x02\0\0\x49\x04\0\0\x06\xdc\0\0\x88\x01\0\0\x1d\x02\0\
\0\x49\x04\0\0\x06\xdc\0\0\x90\x01\0\0\x1d\x02\0\0\x66\x04\0\0\x10\xe0\0\0\x98\
\x01\0\0\x1d\x02\0\0\x66\x04\0\0\x0a\xe0\0\0\xa8\x01\0\0\x1d\x02\0\0\xa1\x04\0\
\0\x08\x4c\0\0\xd0\x01\0\0\x1d\x02\0\0\xbc\x04\0\0\x03\xf0\0\0\x48\x02\0\0\x1d\
\x02\0\0\xfd\x04\0\0\x08\x30\0\0\x68\x02\0\0\x1d\x02\0\0\x66\x04\0\0\0\xe0\0\0\
\x90\x02\0\0\x1d\x02\0\0\x18\x05\0\0\x03\xe4\0\0\xd8\x02\0\0\x1d\x02\0\0\x66\
\x04\0\0\0\xe0\0\0\xe0\x02\0\0\x1d\x02\0\0\x18\x05\0\0\x03\xe4\0\0\x30\x03\0\0\
\x1d\x02\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\x1d\x02\0\0\x46\x05\0\0\x0d\xf8\0\0\
\x40\x03\0\0\x1d\x02\0\0\x46\x05\0\0\x1a\xf8\0\0\x48\x03\0\0\x1d\x02\0\0\x46\
\x05\0\0\x38\xf8\0\0\x50\x03\0\0\x1d\x02\0\0\x46\x05\0\0\x23\xf8\0\0\x58\x03\0\
\0\x1d\x02\0\0\x46\x05\0\0\x06\xf8\0\0\x68\x03\0\0\x1d\x02\0\0\x82\x05\0\0\x03\
\xfc\0\0\x98\x03\0\0\x1d\x02\0\0\xa2\x05\0\0\x12\0\x01\0\xa0\x03\0\0\x1d\x02\0\
\0\xa2\x05\0\0\x1e\0\x01\0\xa8\x03\0\0\x1d\x02\0\0\xa2\x05\0\0\x3b\0\x01\0\xb0\
\x03\0\0\x1d\x02\0\0\xa2\x05\0\0\x27\0\x01\0\xb8\x03\0\0\x1d\x02\0\0\xa2\x05\0\
\0\x0b\0\x01\0\xc8\x03\0\0\x1d\x02\0\0\xe1\x05\0\0\x03\x04\x01\0\xe8\x03\0\0\
\x1d\x02\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\x1d\x02\0\0\0\x06\0\0\x12\x08\x01\0\0\
\x04\0\0\x1d\x02\0\0\0\x06\0\0\x25\x08\x01\0\x08\x04\0\0\x1d\x02\0\0\0\x06\0\0\
\x49\x08\x01\0\x10\x04\0\0\x1d\x02\0\0\0\x06\0\0\x2e\x08\x01\0\x18\x04\0\0\x1d\
\x02\0\0\0\x06\0\0\x0b\x08\x01\0\x28\x04\0\0\x1d\x02\0\0\x4d\x06\0\0\x03\x0c\
\x01\0\x58\x04\0\0\x1d\x02\0\0\x73\x06\0\0\x12\x10\x01\0\x60\x04\0\0\x1d\x02\0\
\0\x73\x06\0\0\x1e\x10\x01\0\x68\x04\0\0\x1d\x02\0\0\x73\x06\0\0\x3b\x10\x01\0\
\x70\x04\0\0\x1d\x02\0\0\x73\x06\0\0\x27\x10\x01\0\x78\x04\0\0\x1d\x02\0\0\x73\
\x06\0\0\x0b\x10\x01\0\x88\x04\0\0\x1d\x02\0\0\xb2\x06\0\0\x03\x14\x01\0\xa8\
\x04\0\0\x1d\x02\0\0\0\0\0\0\0\0\0\0\xc0\x04\0\0\x1d\x02\0\0\xd1\x06\0\0\x03\
\x1c\x01\0\xe8\x04\0\0\x1d\x02\0\0\0\0\0\0\0\0\0\0\xf8\x04\0\0\x1d\x02\0\0\xf3\
\x06\0\0\x01\x24\x01\0\x10\0\0\0\x3e\x07\0\0\x17\0\0\0\x08\0\0\0\x08\0\0\0\xf5\
\x06\0\0\0\0\0\0\x20\0\0\0\x08\0\0\0\xf9\x06\0\0\0\0\0\0\x98\0\0\0\x0c\0\0\0\
\xfd\x06\0\0\0\0\0\0\x38\x01\0\0\x0c\0\0\0\x01\x07\0\0\0\0\0\0\x48\x01\0\0\x0c\
\0\0\0\xfd\x06\0\0\0\0\0\0\x68\x01\0\0\x0c\0\0\0\x06\x07\0\0\0\0\0\0\x80\x01\0\
\0\x0c\0\0\0\x0a\x07\0\0\0\0\0\0\x90\x01\0\0\x0c\0\0\0\x10\x07\0\0\0\0\0\0\xe0\
\x01\0\0\x0c\0\0\0\x15\x07\0\0\0\0\0\0\x98\x02\0\0\x0c\0\0\0\x15\x07\0\0\0\0\0\
\0\xb8\x02\0\0\x0c\0\0\0\x19\x07\0\0\0\0\0\0\x38\x03\0\0\x0c\0\0\0\x1d\x07\0\0\
\0\0\0\0\x48\x03\0\0\x0c\0\0\0\xf5\x06\0\0\0\0\0\0\x50\x03\0\0\x0c\0\0\0\x1d\
\x07\0\0\0\0\0\0\x98\x03\0\0\x0c\0\0\0\xf9\x06\0\0\0\0\0\0\xa8\x03\0\0\x0c\0\0\
\0\xf5\x06\0\0\0\0\0\0\xb0\x03\0\0\x0c\0\0\0\xf9\x06\0\0\0\0\0\0\xf8\x03\0\0\
\x0c\0\0\0\x21\x07\0\0\0\0\0\0\x08\x04\0\0\x0c\0\0\0\xf5\x06\0\0\0\0\0\0\x10\
\x04\0\0\x0c\0\0\0\x21\x07\0\0\0\0\0\0\x58\x04\0\0\x0c\0\0\0\x25\x07\0\0\0\0\0\
\0\x68\x04\0\0\x0c\0\0\0\xf5\x06\0\0\0\0\0\0\x70\x04\0\0\x0c\0\0\0\x25\x07\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe6\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\x08\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd8\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\
\x0a\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\
\0\x79\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\x01\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0b\0\0\0\0\0\0\xc0\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd8\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0c\0\0\0\0\0\0\xc8\x0b\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\x01\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x17\0\0\0\0\0\0\x6c\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_iter_ksym *bpf_iter_ksym::open(const struct bpf_object_open_opts *opts) { return bpf_iter_ksym__open_opts(opts); }
struct bpf_iter_ksym *bpf_iter_ksym::open_and_load() { return bpf_iter_ksym__open_and_load(); }
int bpf_iter_ksym::load(struct bpf_iter_ksym *skel) { return bpf_iter_ksym__load(skel); }
int bpf_iter_ksym::attach(struct bpf_iter_ksym *skel) { return bpf_iter_ksym__attach(skel); }
void bpf_iter_ksym::detach(struct bpf_iter_ksym *skel) { bpf_iter_ksym__detach(skel); }
void bpf_iter_ksym::destroy(struct bpf_iter_ksym *skel) { bpf_iter_ksym__destroy(skel); }
const void *bpf_iter_ksym::elf_bytes(size_t *sz) { return bpf_iter_ksym__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_iter_ksym__assert(struct bpf_iter_ksym *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->last_sym_value) == 8, "unexpected size of 'last_sym_value'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_ITER_KSYM_SKEL_H__ */
