/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LINKED_VARS_SKEL_H__
#define __LINKED_VARS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct linked_vars {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handler1;
		struct bpf_program *handler2;
	} progs;
	struct {
		struct bpf_link *handler1;
		struct bpf_link *handler2;
	} links;
	struct linked_vars__data {
		int input_data1;
		int input_data_weak;
		int input_data2;
	} *data;
	struct linked_vars__rodata {
		int input_rodata1;
		int input_rodata_weak;
		int input_rodata2;
	} *rodata;
	struct linked_vars__bss {
		int input_bss1;
		int input_bss_weak;
		int output_bss1;
		int output_data1;
		int output_rodata1;
		char __pad0[4];
		long output_sink1;
		int input_bss2;
		char __pad1[4];
		int output_bss2;
		int output_data2;
		int output_rodata2;
		int output_sink2;
	} *bss;
	struct linked_vars__kconfig {
		int LINUX_KERNEL_VERSION;
		bool CONFIG_BPF_SYSCALL;
	} *kconfig;

#ifdef __cplusplus
	static inline struct linked_vars *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct linked_vars *open_and_load();
	static inline int load(struct linked_vars *skel);
	static inline int attach(struct linked_vars *skel);
	static inline void detach(struct linked_vars *skel);
	static inline void destroy(struct linked_vars *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
linked_vars__destroy(struct linked_vars *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
linked_vars__create_skeleton(struct linked_vars *obj);

static inline struct linked_vars *
linked_vars__open_opts(const struct bpf_object_open_opts *opts)
{
	struct linked_vars *obj;
	int err;

	obj = (struct linked_vars *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = linked_vars__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	linked_vars__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct linked_vars *
linked_vars__open(void)
{
	return linked_vars__open_opts(NULL);
}

static inline int
linked_vars__load(struct linked_vars *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct linked_vars *
linked_vars__open_and_load(void)
{
	struct linked_vars *obj;
	int err;

	obj = linked_vars__open();
	if (!obj)
		return NULL;
	err = linked_vars__load(obj);
	if (err) {
		linked_vars__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
linked_vars__attach(struct linked_vars *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
linked_vars__detach(struct linked_vars *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *linked_vars__elf_bytes(size_t *sz);

static inline int
linked_vars__create_skeleton(struct linked_vars *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "linked_vars";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "linked_v.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "linked_v.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "linked_v.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	s->maps[3].name = "linked_.kconfig";
	s->maps[3].map = &obj->maps.kconfig;
	s->maps[3].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handler1";
	s->progs[0].prog = &obj->progs.handler1;
	s->progs[0].link = &obj->links.handler1;

	s->progs[1].name = "handler2";
	s->progs[1].prog = &obj->progs.handler2;
	s->progs[1].link = &obj->links.handler2;

	s->data = linked_vars__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *linked_vars__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x2e\x64\x61\x74\x61\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x6c\x69\x6e\x6b\x65\x64\x5f\x76\x61\x72\x73\x31\x2e\
\x63\0\x67\x65\x74\x5f\x62\x73\x73\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\
\x72\x31\0\x6f\x75\x74\x70\x75\x74\x5f\x62\x73\x73\x31\0\x69\x6e\x70\x75\x74\
\x5f\x64\x61\x74\x61\x31\0\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x32\0\x69\
\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\0\x6f\x75\x74\x70\x75\
\x74\x5f\x64\x61\x74\x61\x31\0\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\
\x32\0\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x31\0\x69\x6e\x70\x75\
\x74\x5f\x72\x6f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\0\x6f\x75\x74\x70\x75\x74\
\x5f\x72\x6f\x64\x61\x74\x61\x31\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\
\x53\x59\x53\x43\x41\x4c\x4c\0\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\
\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x69\x6e\x6b\x31\0\x69\x6e\x70\x75\
\x74\x5f\x62\x73\x73\x31\0\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\x32\0\x69\x6e\
\x70\x75\x74\x5f\x62\x73\x73\x5f\x77\x65\x61\x6b\0\x4c\x49\x43\x45\x4e\x53\x45\
\0\x6c\x69\x6e\x6b\x65\x64\x5f\x76\x61\x72\x73\x32\x2e\x63\0\x67\x65\x74\x5f\
\x64\x61\x74\x61\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x72\x32\0\x6f\x75\
\x74\x70\x75\x74\x5f\x62\x73\x73\x32\0\x6f\x75\x74\x70\x75\x74\x5f\x64\x61\x74\
\x61\x32\0\x6f\x75\x74\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x32\0\x5f\x5f\
\x73\x74\x61\x72\x74\x5f\x42\x54\x46\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x69\x6e\
\x6b\x32\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x43\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x52\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x5e\0\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x67\0\0\0\x11\0\x08\0\x08\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x73\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x7f\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8b\0\0\0\x21\0\x05\
\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9b\0\0\0\x11\0\x08\0\x0c\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xa8\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb6\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc4\0\0\0\x21\0\x06\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd6\0\0\0\x11\0\x08\0\x10\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xe5\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\
\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x01\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1b\x01\0\0\x11\0\x08\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x28\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x33\x01\0\0\x11\0\
\x08\0\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x3e\x01\0\0\x21\0\x08\0\x04\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x4d\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x55\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\x01\0\0\x02\
\0\x03\0\x60\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x71\x01\0\0\x12\0\x04\0\x88\x01\0\
\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x7a\x01\0\0\x11\0\x08\0\x28\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x86\x01\0\0\x11\0\x08\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x93\
\x01\0\0\x11\0\x08\0\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa2\x01\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\x01\0\0\x11\0\x08\0\x34\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\
\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\
\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\
\x02\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x85\x10\0\0\x0b\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\
\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\
\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x02\0\0\0\
\x14\0\0\0\x0b\0\0\0\x64\0\0\0\x16\0\0\0\xc8\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x38\0\0\0\
\0\0\0\0\x01\0\0\0\x15\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x78\0\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\x0a\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x58\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x90\0\0\0\0\0\0\0\
\x01\0\0\0\x0b\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\xc8\0\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\x01\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x48\x01\0\0\0\0\0\
\0\x01\0\0\0\x11\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x88\x01\0\0\0\0\
\0\0\x01\0\0\0\x13\0\0\0\xa0\x01\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xc0\x01\0\0\0\
\0\0\0\x01\0\0\0\x15\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\xf8\x01\0\0\
\0\0\0\0\x0a\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x18\x02\0\0\
\0\0\0\0\x01\0\0\0\x0c\0\0\0\x30\x02\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x50\x02\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x70\x02\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x88\x02\
\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xa0\x02\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\xb8\
\x02\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xd8\x02\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc0\x03\0\0\xc0\x03\0\0\x47\x05\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\
\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x0d\x04\0\0\0\x25\0\0\0\0\0\0\x0c\x06\
\0\0\0\x31\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x0a\0\0\0\0\0\
\0\0\0\0\0\x09\x04\0\0\0\x3d\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x4b\0\0\0\0\0\
\0\x0e\x04\0\0\0\x01\0\0\0\x5b\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x6d\0\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x10\0\0\0\
\x04\0\0\0\x72\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x86\0\0\0\0\0\0\x0e\x0f\0\0\
\0\x01\0\0\0\x8e\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x99\0\0\0\0\0\0\x0e\x04\0\
\0\0\x01\0\0\0\xa8\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\x0e\x04\
\0\0\0\x01\0\0\0\xc1\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xd0\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\x01\xd5\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\xe2\0\0\0\0\0\0\
\x0e\x04\0\0\0\x02\0\0\0\xf7\0\0\0\0\0\0\x08\x1b\0\0\0\xfc\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x04\x02\x01\0\0\0\0\0\x0e\x1a\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x0a\
\0\0\0\0\x15\x01\0\0\0\0\0\x0e\x1d\0\0\0\x02\0\0\0\x23\x01\0\0\0\0\0\x0e\x04\0\
\0\0\x01\0\0\0\x2e\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x04\
\0\0\0\x3a\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x48\x01\0\0\x01\0\0\x0c\x03\0\
\0\0\x51\x01\0\0\0\0\0\x0c\x06\0\0\0\x5e\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\
\x6a\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x77\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\
\0\0\0\x86\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x93\x01\0\0\0\0\0\x0e\x1d\0\0\
\0\x02\0\0\0\x05\x05\0\0\x03\0\0\x0f\x10\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\x0c\
\0\0\0\x04\0\0\0\x04\0\0\0\x20\0\0\0\x08\0\0\0\x04\0\0\0\x0b\x05\0\0\x03\0\0\
\x0f\x10\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x04\0\0\0\x04\0\0\0\x22\0\
\0\0\x08\0\0\0\x04\0\0\0\x13\x05\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\
\x04\0\0\0\x1b\x05\0\0\x0b\0\0\x0f\x38\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\x13\0\
\0\0\x04\0\0\0\x04\0\0\0\x14\0\0\0\x08\0\0\0\x04\0\0\0\x15\0\0\0\x0c\0\0\0\x04\
\0\0\0\x16\0\0\0\x10\0\0\0\x04\0\0\0\x18\0\0\0\x18\0\0\0\x08\0\0\0\x1f\0\0\0\
\x20\0\0\0\x04\0\0\0\x25\0\0\0\x28\0\0\0\x04\0\0\0\x26\0\0\0\x2c\0\0\0\x04\0\0\
\0\x27\0\0\0\x30\0\0\0\x04\0\0\0\x28\0\0\0\x34\0\0\0\x04\0\0\0\x20\x05\0\0\x02\
\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x29\
\x05\0\0\x02\0\0\x0f\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\0\0\0\0\x01\
\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\x31\0\x67\x65\
\x74\x5f\x62\x73\x73\x5f\x72\x65\x73\0\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\
\x31\0\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x31\0\x69\x6e\x70\x75\
\x74\x5f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\0\x69\x6e\x70\x75\x74\x5f\x72\x6f\
\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\
\x53\x45\0\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\x31\0\x69\x6e\x70\x75\x74\x5f\
\x62\x73\x73\x5f\x77\x65\x61\x6b\0\x6f\x75\x74\x70\x75\x74\x5f\x62\x73\x73\x31\
\0\x6f\x75\x74\x70\x75\x74\x5f\x64\x61\x74\x61\x31\0\x6f\x75\x74\x70\x75\x74\
\x5f\x72\x6f\x64\x61\x74\x61\x31\0\x6c\x6f\x6e\x67\0\x6f\x75\x74\x70\x75\x74\
\x5f\x73\x69\x6e\x6b\x31\0\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\
\x56\x45\x52\x53\x49\x4f\x4e\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x43\x4f\
\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x62\x70\x66\
\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\0\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\
\x32\0\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x32\0\x69\x6e\x70\x75\x74\x5f\
\x72\x6f\x64\x61\x74\x61\x32\0\x68\x61\x6e\x64\x6c\x65\x72\x32\0\x67\x65\x74\
\x5f\x64\x61\x74\x61\x5f\x72\x65\x73\0\x6f\x75\x74\x70\x75\x74\x5f\x62\x73\x73\
\x32\0\x6f\x75\x74\x70\x75\x74\x5f\x64\x61\x74\x61\x32\0\x6f\x75\x74\x70\x75\
\x74\x5f\x72\x6f\x64\x61\x74\x61\x32\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x69\x6e\
\x6b\x32\0\x5f\x5f\x73\x74\x61\x72\x74\x5f\x42\x54\x46\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\
\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\
\x69\x6e\x6b\x65\x64\x5f\x76\x61\x72\x73\x31\x2e\x63\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\x31\x20\x2b\x20\x69\x6e\x70\x75\
\x74\x5f\x62\x73\x73\x32\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\x5f\
\x77\x65\x61\x6b\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\
\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x69\x6e\x6b\x65\x64\x5f\x76\x61\x72\
\x73\x32\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x69\x6e\x70\x75\x74\x5f\x64\
\x61\x74\x61\x31\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x32\x20\
\x2b\x20\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\x3b\0\x09\
\x6f\x75\x74\x70\x75\x74\x5f\x62\x73\x73\x31\x20\x3d\x20\x67\x65\x74\x5f\x62\
\x73\x73\x5f\x72\x65\x73\x28\x29\x3b\0\x09\x6f\x75\x74\x70\x75\x74\x5f\x64\x61\
\x74\x61\x31\x20\x3d\x20\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x31\x20\x2b\
\x20\x69\x6e\x70\x75\x74\x5f\x64\x61\x74\x61\x32\x20\x2b\x20\x69\x6e\x70\x75\
\x74\x5f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\x3b\0\x09\x6f\x75\x74\x70\x75\x74\
\x5f\x72\x6f\x64\x61\x74\x61\x31\x20\x3d\x20\x69\x6e\x70\x75\x74\x5f\x72\x6f\
\x64\x61\x74\x61\x31\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\
\x61\x32\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x5f\x77\
\x65\x61\x6b\x3b\0\x09\x09\x20\x20\x20\x20\x20\x20\x20\x2b\x20\x43\x4f\x4e\x46\
\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x09\x6f\x75\x74\x70\
\x75\x74\x5f\x73\x69\x6e\x6b\x31\x20\x3d\x20\x4c\x49\x4e\x55\x58\x5f\x4b\x45\
\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x09\x09\x20\x20\x20\x20\x20\
\x20\x20\x2b\x20\x28\x6c\x6f\x6e\x67\x29\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\
\x5f\x66\x6f\x70\x73\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x68\x61\x6e\x64\x6c\x65\x72\x31\x29\0\x09\x6f\x75\x74\x70\x75\x74\x5f\x62\x73\
\x73\x32\x20\x3d\x20\x69\x6e\x70\x75\x74\x5f\x62\x73\x73\x31\x20\x2b\x20\x69\
\x6e\x70\x75\x74\x5f\x62\x73\x73\x32\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\x62\
\x73\x73\x5f\x77\x65\x61\x6b\x3b\0\x09\x6f\x75\x74\x70\x75\x74\x5f\x64\x61\x74\
\x61\x32\x20\x3d\x20\x67\x65\x74\x5f\x64\x61\x74\x61\x5f\x72\x65\x73\x28\x29\
\x3b\0\x09\x6f\x75\x74\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x32\x20\x3d\x20\
\x69\x6e\x70\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x31\x20\x2b\x20\x69\x6e\x70\
\x75\x74\x5f\x72\x6f\x64\x61\x74\x61\x32\x20\x2b\x20\x69\x6e\x70\x75\x74\x5f\
\x72\x6f\x64\x61\x74\x61\x5f\x77\x65\x61\x6b\x3b\0\x09\x6f\x75\x74\x70\x75\x74\
\x5f\x73\x69\x6e\x6b\x32\x20\x3d\x20\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\
\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x68\x61\x6e\x64\x6c\x65\x72\x32\x29\0\x2e\x64\x61\x74\x61\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\
\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x64\x03\0\0\x98\x03\0\0\0\0\0\
\0\x08\0\0\0\x30\x05\0\0\x02\0\0\0\0\0\0\0\x07\0\0\0\x60\0\0\0\x24\0\0\0\x36\
\x05\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x88\x01\0\0\x23\0\0\0\x10\0\0\0\x30\x05\0\
\0\x0c\0\0\0\0\0\0\0\x9f\x01\0\0\x24\x02\0\0\x09\x8c\0\0\x18\0\0\0\x9f\x01\0\0\
\x24\x02\0\0\x16\x8c\0\0\x30\0\0\0\x9f\x01\0\0\x24\x02\0\0\x14\x8c\0\0\x38\0\0\
\0\x9f\x01\0\0\x24\x02\0\0\x23\x8c\0\0\x50\0\0\0\x9f\x01\0\0\x24\x02\0\0\x21\
\x8c\0\0\x58\0\0\0\x9f\x01\0\0\x24\x02\0\0\x02\x8c\0\0\x60\0\0\0\x56\x02\0\0\
\xdb\x02\0\0\x09\x8c\0\0\x78\0\0\0\x56\x02\0\0\xdb\x02\0\0\x17\x8c\0\0\x90\0\0\
\0\x56\x02\0\0\xdb\x02\0\0\x15\x8c\0\0\x98\0\0\0\x56\x02\0\0\xdb\x02\0\0\x25\
\x8c\0\0\xb0\0\0\0\x56\x02\0\0\xdb\x02\0\0\x23\x8c\0\0\xb8\0\0\0\x56\x02\0\0\
\xdb\x02\0\0\x02\x8c\0\0\x36\x05\0\0\x29\0\0\0\0\0\0\0\x9f\x01\0\0\x10\x03\0\0\
\x10\xa4\0\0\x08\0\0\0\x9f\x01\0\0\x10\x03\0\0\x0e\xa4\0\0\x20\0\0\0\x9f\x01\0\
\0\x2e\x03\0\0\x11\xa8\0\0\x38\0\0\0\x9f\x01\0\0\x2e\x03\0\0\x1f\xa8\0\0\x50\0\
\0\0\x9f\x01\0\0\x2e\x03\0\0\x1d\xa8\0\0\x58\0\0\0\x9f\x01\0\0\x2e\x03\0\0\x2d\
\xa8\0\0\x70\0\0\0\x9f\x01\0\0\x2e\x03\0\0\x2b\xa8\0\0\x78\0\0\0\x9f\x01\0\0\
\x2e\x03\0\0\x0f\xa8\0\0\x90\0\0\0\x9f\x01\0\0\x6b\x03\0\0\x23\xac\0\0\xa8\0\0\
\0\x9f\x01\0\0\x6b\x03\0\0\x13\xac\0\0\xc0\0\0\0\x9f\x01\0\0\x6b\x03\0\0\x21\
\xac\0\0\xc8\0\0\0\x9f\x01\0\0\x6b\x03\0\0\x33\xac\0\0\xe0\0\0\0\x9f\x01\0\0\
\x6b\x03\0\0\x31\xac\0\0\xe8\0\0\0\x9f\x01\0\0\x6b\x03\0\0\x11\xac\0\0\0\x01\0\
\0\x9f\x01\0\0\xb0\x03\0\0\x0c\xc4\0\0\x18\x01\0\0\x9f\x01\0\0\xce\x03\0\0\x11\
\xc0\0\0\x30\x01\0\0\x9f\x01\0\0\xb0\x03\0\0\x0a\xc4\0\0\x38\x01\0\0\x9f\x01\0\
\0\xce\x03\0\0\x11\xc0\0\0\x48\x01\0\0\x9f\x01\0\0\xf3\x03\0\0\x0a\xc8\0\0\x60\
\x01\0\0\x9f\x01\0\0\xce\x03\0\0\x0f\xc0\0\0\x78\x01\0\0\x9f\x01\0\0\x14\x04\0\
\0\x05\x9c\0\0\x88\x01\0\0\x56\x02\0\0\x2b\x04\0\0\x10\xa4\0\0\xa0\x01\0\0\x56\
\x02\0\0\x2b\x04\0\0\x1d\xa4\0\0\xb8\x01\0\0\x56\x02\0\0\x2b\x04\0\0\x1b\xa4\0\
\0\xc0\x01\0\0\x56\x02\0\0\x2b\x04\0\0\x2a\xa4\0\0\xd8\x01\0\0\x56\x02\0\0\x2b\
\x04\0\0\x28\xa4\0\0\xe0\x01\0\0\x56\x02\0\0\x2b\x04\0\0\x0e\xa4\0\0\xf8\x01\0\
\0\x56\x02\0\0\x64\x04\0\0\x11\xa8\0\0\0\x02\0\0\x56\x02\0\0\x64\x04\0\0\x0f\
\xa8\0\0\x18\x02\0\0\x56\x02\0\0\x84\x04\0\0\x13\xac\0\0\x30\x02\0\0\x56\x02\0\
\0\x84\x04\0\0\x23\xac\0\0\x48\x02\0\0\x56\x02\0\0\x84\x04\0\0\x21\xac\0\0\x50\
\x02\0\0\x56\x02\0\0\x84\x04\0\0\x33\xac\0\0\x68\x02\0\0\x56\x02\0\0\x84\x04\0\
\0\x31\xac\0\0\x70\x02\0\0\x56\x02\0\0\x84\x04\0\0\x11\xac\0\0\x88\x02\0\0\x56\
\x02\0\0\xc9\x04\0\0\x11\xc0\0\0\xa0\x02\0\0\x56\x02\0\0\xb0\x03\0\0\x0a\xc4\0\
\0\xb8\x02\0\0\x56\x02\0\0\xb0\x03\0\0\x0c\xc4\0\0\xd0\x02\0\0\x56\x02\0\0\xc9\
\x04\0\0\x11\xc0\0\0\xd8\x02\0\0\x56\x02\0\0\xc9\x04\0\0\x0f\xc0\0\0\xf0\x02\0\
\0\x56\x02\0\0\xee\x04\0\0\x05\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\xe8\x02\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd0\x08\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe0\x08\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x36\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x08\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\0\0\0\0\0\x38\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\x01\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x09\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xda\x01\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\0\0\0\x1f\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\x14\0\0\0\0\0\0\xb8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct linked_vars *linked_vars::open(const struct bpf_object_open_opts *opts) { return linked_vars__open_opts(opts); }
struct linked_vars *linked_vars::open_and_load() { return linked_vars__open_and_load(); }
int linked_vars::load(struct linked_vars *skel) { return linked_vars__load(skel); }
int linked_vars::attach(struct linked_vars *skel) { return linked_vars__attach(skel); }
void linked_vars::detach(struct linked_vars *skel) { linked_vars__detach(skel); }
void linked_vars::destroy(struct linked_vars *skel) { linked_vars__destroy(skel); }
const void *linked_vars::elf_bytes(size_t *sz) { return linked_vars__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
linked_vars__assert(struct linked_vars *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->input_data1) == 4, "unexpected size of 'input_data1'");
	_Static_assert(sizeof(s->data->input_data_weak) == 4, "unexpected size of 'input_data_weak'");
	_Static_assert(sizeof(s->data->input_data2) == 4, "unexpected size of 'input_data2'");
	_Static_assert(sizeof(s->rodata->input_rodata1) == 4, "unexpected size of 'input_rodata1'");
	_Static_assert(sizeof(s->rodata->input_rodata_weak) == 4, "unexpected size of 'input_rodata_weak'");
	_Static_assert(sizeof(s->rodata->input_rodata2) == 4, "unexpected size of 'input_rodata2'");
	_Static_assert(sizeof(s->bss->input_bss1) == 4, "unexpected size of 'input_bss1'");
	_Static_assert(sizeof(s->bss->input_bss_weak) == 4, "unexpected size of 'input_bss_weak'");
	_Static_assert(sizeof(s->bss->output_bss1) == 4, "unexpected size of 'output_bss1'");
	_Static_assert(sizeof(s->bss->output_data1) == 4, "unexpected size of 'output_data1'");
	_Static_assert(sizeof(s->bss->output_rodata1) == 4, "unexpected size of 'output_rodata1'");
	_Static_assert(sizeof(s->bss->output_sink1) == 8, "unexpected size of 'output_sink1'");
	_Static_assert(sizeof(s->bss->input_bss2) == 4, "unexpected size of 'input_bss2'");
	_Static_assert(sizeof(s->bss->output_bss2) == 4, "unexpected size of 'output_bss2'");
	_Static_assert(sizeof(s->bss->output_data2) == 4, "unexpected size of 'output_data2'");
	_Static_assert(sizeof(s->bss->output_rodata2) == 4, "unexpected size of 'output_rodata2'");
	_Static_assert(sizeof(s->bss->output_sink2) == 4, "unexpected size of 'output_sink2'");
	_Static_assert(sizeof(s->kconfig->LINUX_KERNEL_VERSION) == 4, "unexpected size of 'LINUX_KERNEL_VERSION'");
	_Static_assert(sizeof(s->kconfig->CONFIG_BPF_SYSCALL) == 1, "unexpected size of 'CONFIG_BPF_SYSCALL'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LINKED_VARS_SKEL_H__ */
