/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MISSED_KPROBE_RECURSION_SKEL_H__
#define __MISSED_KPROBE_RECURSION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct missed_kprobe_recursion {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *trigger;
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
		struct bpf_program *test4;
		struct bpf_program *test5;
	} progs;
	struct {
		struct bpf_link *trigger;
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
		struct bpf_link *test4;
		struct bpf_link *test5;
	} links;

#ifdef __cplusplus
	static inline struct missed_kprobe_recursion *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct missed_kprobe_recursion *open_and_load();
	static inline int load(struct missed_kprobe_recursion *skel);
	static inline int attach(struct missed_kprobe_recursion *skel);
	static inline void detach(struct missed_kprobe_recursion *skel);
	static inline void destroy(struct missed_kprobe_recursion *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
missed_kprobe_recursion__destroy(struct missed_kprobe_recursion *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
missed_kprobe_recursion__create_skeleton(struct missed_kprobe_recursion *obj);

static inline struct missed_kprobe_recursion *
missed_kprobe_recursion__open_opts(const struct bpf_object_open_opts *opts)
{
	struct missed_kprobe_recursion *obj;
	int err;

	obj = (struct missed_kprobe_recursion *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = missed_kprobe_recursion__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	missed_kprobe_recursion__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct missed_kprobe_recursion *
missed_kprobe_recursion__open(void)
{
	return missed_kprobe_recursion__open_opts(NULL);
}

static inline int
missed_kprobe_recursion__load(struct missed_kprobe_recursion *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct missed_kprobe_recursion *
missed_kprobe_recursion__open_and_load(void)
{
	struct missed_kprobe_recursion *obj;
	int err;

	obj = missed_kprobe_recursion__open();
	if (!obj)
		return NULL;
	err = missed_kprobe_recursion__load(obj);
	if (err) {
		missed_kprobe_recursion__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
missed_kprobe_recursion__attach(struct missed_kprobe_recursion *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
missed_kprobe_recursion__detach(struct missed_kprobe_recursion *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *missed_kprobe_recursion__elf_bytes(size_t *sz);

static inline int
missed_kprobe_recursion__create_skeleton(struct missed_kprobe_recursion *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "missed_kprobe_recursion";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trigger";
	s->progs[0].prog = &obj->progs.trigger;
	s->progs[0].link = &obj->links.trigger;

	s->progs[1].name = "test1";
	s->progs[1].prog = &obj->progs.test1;
	s->progs[1].link = &obj->links.test1;

	s->progs[2].name = "test2";
	s->progs[2].prog = &obj->progs.test2;
	s->progs[2].link = &obj->links.test2;

	s->progs[3].name = "test3";
	s->progs[3].prog = &obj->progs.test3;
	s->progs[3].link = &obj->links.test3;

	s->progs[4].name = "test4";
	s->progs[4].prog = &obj->progs.test4;
	s->progs[4].link = &obj->links.test4;

	s->progs[5].name = "test5";
	s->progs[5].prog = &obj->progs.test5;
	s->progs[5].link = &obj->links.test5;

	s->data = missed_kprobe_recursion__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *missed_kprobe_recursion__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\
\x69\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x6b\
\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\
\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\
\x69\x2f\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\
\x74\x65\x73\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x69\x73\x73\x65\x64\x5f\
\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x2e\x63\0\x74\
\x72\x69\x67\x67\x65\x72\0\x74\x65\x73\x74\x31\0\x62\x70\x66\x5f\x6b\x66\x75\
\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x32\
\0\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\
\x6c\x74\x69\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb7\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\xbd\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd3\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd9\0\0\0\x12\0\x05\0\
\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdf\0\0\0\x12\0\x05\0\x20\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xe5\0\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xeb\
\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x50\
\x02\0\0\x50\x02\0\0\x33\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\
\0\0\0\x02\x07\0\0\0\x24\0\0\0\x15\0\0\x04\xa8\0\0\0\x2c\0\0\0\x08\0\0\0\0\0\0\
\0\x30\0\0\0\x08\0\0\0\x40\0\0\0\x34\0\0\0\x08\0\0\0\x80\0\0\0\x38\0\0\0\x08\0\
\0\0\xc0\0\0\0\x3c\0\0\0\x08\0\0\0\0\x01\0\0\x3f\0\0\0\x08\0\0\0\x40\x01\0\0\
\x42\0\0\0\x08\0\0\0\x80\x01\0\0\x46\0\0\0\x08\0\0\0\xc0\x01\0\0\x4a\0\0\0\x08\
\0\0\0\0\x02\0\0\x4d\0\0\0\x08\0\0\0\x40\x02\0\0\x50\0\0\0\x08\0\0\0\x80\x02\0\
\0\x53\0\0\0\x08\0\0\0\xc0\x02\0\0\x56\0\0\0\x08\0\0\0\0\x03\0\0\x59\0\0\0\x08\
\0\0\0\x40\x03\0\0\x5c\0\0\0\x08\0\0\0\x80\x03\0\0\x5f\0\0\0\x08\0\0\0\xc0\x03\
\0\0\x67\0\0\0\x08\0\0\0\0\x04\0\0\x6a\0\0\0\x08\0\0\0\x40\x04\0\0\x6d\0\0\0\
\x08\0\0\0\x80\x04\0\0\x73\0\0\0\x08\0\0\0\xc0\x04\0\0\x76\0\0\0\x08\0\0\0\0\
\x05\0\0\x79\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\
\x14\0\0\0\x06\0\0\0\x87\0\0\0\x01\0\0\x0c\x09\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\x8d\0\0\0\x02\0\0\x0c\x0b\0\0\0\xa3\0\0\0\x01\0\0\x0c\x09\0\0\0\xa9\0\0\0\x01\
\0\0\x0c\x09\0\0\0\xaf\0\0\0\x01\0\0\x0c\x09\0\0\0\xb5\0\0\0\x01\0\0\x0c\x09\0\
\0\0\xbb\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\
\0\0\x13\0\0\0\x04\0\0\0\xc0\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xd4\0\0\0\0\0\
\0\x0e\x12\0\0\0\x01\0\0\0\xa8\x01\0\0\x01\0\0\x0f\x04\0\0\0\x14\0\0\0\0\0\0\0\
\x04\0\0\0\xb0\x01\0\0\x01\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x69\x6e\x74\0\x74\x72\x69\x67\x67\x65\x72\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\
\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\
\x73\x69\0\x64\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\
\x61\x67\x73\0\x73\x70\0\x73\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\0\x74\x65\x73\x74\x31\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x32\0\x74\x65\x73\
\x74\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\
\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6d\x69\x73\x73\x65\x64\x5f\x6b\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x2e\x63\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x72\x69\x67\x67\x65\x72\x29\0\
\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\
\x65\x73\x74\x28\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\
\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x6b\x70\x72\x6f\x62\x65\
\x2f\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\
\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\0\0\
\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x94\0\0\0\xe8\0\0\0\
\0\0\0\0\x08\0\0\0\xb7\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xd5\x01\0\0\x01\0\0\
\0\0\0\0\0\x0a\0\0\0\xf3\x01\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\x0e\0\0\
\0\x20\0\0\0\x0f\0\0\0\x10\x02\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x10\0\0\0\xb7\
\x01\0\0\x01\0\0\0\0\0\0\0\xdd\0\0\0\x6d\x01\0\0\x05\x38\0\0\xd5\x01\0\0\x02\0\
\0\0\0\0\0\0\xdd\0\0\0\x83\x01\0\0\x02\x58\0\0\x08\0\0\0\xdd\0\0\0\x9d\x01\0\0\
\x02\x5c\0\0\xf3\x01\0\0\x03\0\0\0\0\0\0\0\xdd\0\0\0\x9d\x01\0\0\x02\x74\0\0\
\x10\0\0\0\xdd\0\0\0\x9d\x01\0\0\x02\x8c\0\0\x20\0\0\0\xdd\0\0\0\x9d\x01\0\0\
\x02\xa4\0\0\x10\x02\0\0\x01\0\0\0\0\0\0\0\xdd\0\0\0\x9d\x01\0\0\x02\xbc\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x68\x01\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x02\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x16\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x03\0\0\0\0\0\0\x9b\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x07\0\
\0\0\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct missed_kprobe_recursion *missed_kprobe_recursion::open(const struct bpf_object_open_opts *opts) { return missed_kprobe_recursion__open_opts(opts); }
struct missed_kprobe_recursion *missed_kprobe_recursion::open_and_load() { return missed_kprobe_recursion__open_and_load(); }
int missed_kprobe_recursion::load(struct missed_kprobe_recursion *skel) { return missed_kprobe_recursion__load(skel); }
int missed_kprobe_recursion::attach(struct missed_kprobe_recursion *skel) { return missed_kprobe_recursion__attach(skel); }
void missed_kprobe_recursion::detach(struct missed_kprobe_recursion *skel) { missed_kprobe_recursion__detach(skel); }
void missed_kprobe_recursion::destroy(struct missed_kprobe_recursion *skel) { missed_kprobe_recursion__destroy(skel); }
const void *missed_kprobe_recursion::elf_bytes(size_t *sz) { return missed_kprobe_recursion__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
missed_kprobe_recursion__assert(struct missed_kprobe_recursion *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MISSED_KPROBE_RECURSION_SKEL_H__ */
