/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MODIFY_RETURN_SKEL_H__
#define __MODIFY_RETURN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct modify_return {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry_test;
		struct bpf_program *fmod_ret_test;
		struct bpf_program *fexit_test;
		struct bpf_program *fentry_test2;
		struct bpf_program *fmod_ret_test2;
		struct bpf_program *fexit_test2;
	} progs;
	struct {
		struct bpf_link *fentry_test;
		struct bpf_link *fmod_ret_test;
		struct bpf_link *fexit_test;
		struct bpf_link *fentry_test2;
		struct bpf_link *fmod_ret_test2;
		struct bpf_link *fexit_test2;
	} links;
	struct modify_return__bss {
		__s32 input_retval;
		char __pad0[4];
		__u64 fentry_result;
		__u64 fmod_ret_result;
		__u64 fexit_result;
		__u64 fentry_result2;
		__u64 fmod_ret_result2;
		__u64 fexit_result2;
	} *bss;

#ifdef __cplusplus
	static inline struct modify_return *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct modify_return *open_and_load();
	static inline int load(struct modify_return *skel);
	static inline int attach(struct modify_return *skel);
	static inline void detach(struct modify_return *skel);
	static inline void destroy(struct modify_return *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
modify_return__destroy(struct modify_return *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
modify_return__create_skeleton(struct modify_return *obj);

static inline struct modify_return *
modify_return__open_opts(const struct bpf_object_open_opts *opts)
{
	struct modify_return *obj;
	int err;

	obj = (struct modify_return *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = modify_return__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	modify_return__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct modify_return *
modify_return__open(void)
{
	return modify_return__open_opts(NULL);
}

static inline int
modify_return__load(struct modify_return *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct modify_return *
modify_return__open_and_load(void)
{
	struct modify_return *obj;
	int err;

	obj = modify_return__open();
	if (!obj)
		return NULL;
	err = modify_return__load(obj);
	if (err) {
		modify_return__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
modify_return__attach(struct modify_return *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
modify_return__detach(struct modify_return *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *modify_return__elf_bytes(size_t *sz);

static inline int
modify_return__create_skeleton(struct modify_return *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "modify_return";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "modify_r.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry_test";
	s->progs[0].prog = &obj->progs.fentry_test;
	s->progs[0].link = &obj->links.fentry_test;

	s->progs[1].name = "fmod_ret_test";
	s->progs[1].prog = &obj->progs.fmod_ret_test;
	s->progs[1].link = &obj->links.fmod_ret_test;

	s->progs[2].name = "fexit_test";
	s->progs[2].prog = &obj->progs.fexit_test;
	s->progs[2].link = &obj->links.fexit_test;

	s->progs[3].name = "fentry_test2";
	s->progs[3].prog = &obj->progs.fentry_test2;
	s->progs[3].link = &obj->links.fentry_test2;

	s->progs[4].name = "fmod_ret_test2";
	s->progs[4].prog = &obj->progs.fmod_ret_test2;
	s->progs[4].link = &obj->links.fmod_ret_test2;

	s->progs[5].name = "fexit_test2";
	s->progs[5].prog = &obj->progs.fexit_test2;
	s->progs[5].link = &obj->links.fexit_test2;

	s->data = modify_return__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *modify_return__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x16\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\
\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\
\x74\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\
\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\
\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\
\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x32\0\x66\x65\x78\x69\
\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\
\x5f\x74\x65\x73\x74\x32\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6d\
\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x2e\x63\0\x73\x65\x71\x75\x65\
\x6e\x63\x65\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\
\x31\x5f\x34\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\
\x32\x5f\x36\0\x73\x65\x71\x75\x65\x6e\x63\x65\x32\0\x4c\x42\x42\x33\x5f\x32\0\
\x4c\x42\x42\x34\x5f\x32\0\x4c\x42\x42\x34\x5f\x34\0\x4c\x42\x42\x35\x5f\x32\0\
\x4c\x42\x42\x35\x5f\x34\0\x4c\x42\x42\x35\x5f\x36\0\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\0\
\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\0\x66\x6d\x6f\x64\x5f\x72\
\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x69\x6e\x70\x75\x74\x5f\x72\x65\x74\x76\
\x61\x6c\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x66\x65\x78\x69\x74\x5f\
\x72\x65\x73\x75\x6c\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\
\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\x32\0\x66\x6d\x6f\x64\x5f\
\x72\x65\x74\x5f\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\
\x65\x73\x75\x6c\x74\x32\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x32\0\x66\
\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\
\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\
\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\
\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\x65\x78\
\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\
\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\
\x74\x32\0\x2e\x72\x65\x6c\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\
\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x32\0\
\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\
\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x32\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe7\0\0\0\x01\0\x0a\0\x38\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\0\0\x03\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\0\0\x04\0\
\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfe\0\0\0\0\0\x04\0\x80\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x01\0\0\0\0\
\x05\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\0\0\x05\0\x90\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x13\x01\0\0\0\0\x05\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x01\0\0\x01\0\x0a\0\x3c\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x24\x01\0\0\0\0\x06\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\x01\0\0\0\0\
\x07\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\x01\0\0\0\0\x07\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\x01\
\0\0\0\0\x08\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\x08\0\x90\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x01\0\0\0\0\x08\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x01\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x5a\x01\0\0\x11\0\x0a\0\x08\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x68\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\
\x76\x01\0\0\x11\0\x0a\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x86\x01\0\0\x11\0\
\x0a\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x93\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\
\0\xe0\0\0\0\0\0\0\0\x9e\x01\0\0\x11\0\x0a\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\xab\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xb8\x01\0\0\x11\0\
\x0a\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc7\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\
\0\0\xc0\0\0\0\0\0\0\0\xd6\x01\0\0\x11\0\x0a\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\xe7\x01\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\xf3\x01\0\0\x11\
\0\x0a\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\x02\0\0\x11\0\x09\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\
\0\0\xb7\x03\0\0\x01\0\0\0\x15\x02\x01\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x14\x10\0\0\0\0\0\x18\x02\0\
\0\x38\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x12\
\0\0\0\0\0\0\x67\x04\0\0\x20\0\0\0\x77\x04\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\
\xb7\x02\0\0\x01\0\0\0\x15\x04\x01\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x67\x01\0\0\
\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\x01\0\x02\0\0\0\xb7\x03\0\0\0\0\0\0\
\x5f\x32\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x15\
\x03\x01\0\0\0\0\0\xbf\x32\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\x18\x03\0\0\x38\0\
\0\0\0\0\0\0\0\0\0\0\x61\x31\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x13\0\0\0\0\
\0\0\x67\x05\0\0\x20\0\0\0\x77\x05\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\xb7\x04\
\0\0\x01\0\0\0\x1d\x52\x01\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\
\x77\x01\0\0\x20\0\0\0\x15\x01\x01\0\x03\0\0\0\xb7\x03\0\0\0\0\0\0\x5f\x43\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\
\0\xb7\x03\0\0\x01\0\0\0\x15\x02\x01\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x34\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x14\x38\0\0\0\0\0\x18\x02\0\0\
\x3c\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x12\0\
\0\0\0\0\0\x67\x04\0\0\x20\0\0\0\x77\x04\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\
\xb7\x02\0\0\x01\0\0\0\x15\x04\x01\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x67\x01\0\0\
\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\x01\0\x02\0\0\0\xb7\x03\0\0\0\0\0\0\
\x5f\x32\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\xb7\x02\0\0\x1d\0\0\0\x15\
\x03\x01\0\0\0\0\0\xbf\x32\0\0\0\0\0\0\x79\x15\x38\0\0\0\0\0\x18\x03\0\0\x3c\0\
\0\0\0\0\0\0\0\0\0\0\x61\x31\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x13\0\0\0\0\
\0\0\x67\x05\0\0\x20\0\0\0\x77\x05\0\0\x20\0\0\0\xb7\x03\0\0\x01\0\0\0\xb7\x04\
\0\0\x01\0\0\0\x1d\x52\x01\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\
\x77\x01\0\0\x20\0\0\0\x15\x01\x01\0\x03\0\0\0\xb7\x03\0\0\0\0\0\0\x5f\x43\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\
\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\
\x88\0\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xb8\0\
\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x30\0\0\0\
\0\0\0\0\x01\0\0\0\x1f\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x88\0\0\0\0\
\0\0\0\x01\0\0\0\x21\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x1b\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xb8\0\0\0\0\0\0\0\
\x01\0\0\0\x23\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x08\x02\0\0\x08\x02\0\0\
\xba\x04\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x28\0\0\0\x01\0\0\x0c\x03\0\0\
\0\x36\0\0\0\x01\0\0\x0c\x03\0\0\0\x41\0\0\0\x01\0\0\x0c\x03\0\0\0\x4e\0\0\0\
\x01\0\0\x0c\x03\0\0\0\x5d\0\0\0\x01\0\0\x0c\x03\0\0\0\x69\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x0d\0\0\0\x04\0\0\0\x6e\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x82\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\
\x8b\0\0\0\0\0\0\x08\x04\0\0\0\x91\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x9e\0\0\
\0\0\0\0\x08\x02\0\0\0\xa4\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xb2\0\0\0\0\0\0\
\x0e\x11\0\0\0\x01\0\0\0\xc2\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xcf\0\0\0\0\0\
\0\x0e\x11\0\0\0\x01\0\0\0\xde\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xef\0\0\0\0\
\0\0\x0e\x11\0\0\0\x01\0\0\0\xfd\0\0\0\0\0\0\x0e\x04\0\0\0\0\0\0\0\x06\x01\0\0\
\0\0\0\x0e\x04\0\0\0\0\0\0\0\xf4\x03\0\0\x01\0\0\x0f\x04\0\0\0\x0e\0\0\0\0\0\0\
\0\x04\0\0\0\xfc\x03\0\0\x09\0\0\x0f\x40\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\x12\
\0\0\0\x08\0\0\0\x08\0\0\0\x13\0\0\0\x10\0\0\0\x08\0\0\0\x14\0\0\0\x18\0\0\0\
\x08\0\0\0\x15\0\0\0\x20\0\0\0\x08\0\0\0\x16\0\0\0\x28\0\0\0\x08\0\0\0\x17\0\0\
\0\x30\0\0\0\x08\0\0\0\x18\0\0\0\x38\0\0\0\x04\0\0\0\x19\0\0\0\x3c\0\0\0\x04\0\
\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\0\
\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\0\x66\x65\x78\x69\x74\x5f\
\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\x32\0\x66\x65\x78\x69\x74\x5f\x74\
\x65\x73\x74\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\
\x5f\x73\x33\x32\0\x69\x6e\x70\x75\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x5f\x5f\
\x75\x36\x34\0\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\0\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x66\x65\x78\x69\x74\x5f\
\x72\x65\x73\x75\x6c\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\
\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\x32\0\x66\
\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\x32\0\x73\x65\x71\x75\x65\x6e\x63\
\x65\0\x73\x65\x71\x75\x65\x6e\x63\x65\x32\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\
\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6d\x6f\x64\x69\
\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x2e\x63\0\x09\x73\x65\x71\x75\x65\x6e\x63\
\x65\x2b\x2b\x3b\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x73\x75\x6c\x74\x20\
\x3d\x20\x28\x73\x65\x71\x75\x65\x6e\x63\x65\x20\x3d\x3d\x20\x31\x29\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x5f\x5f\x75\x36\x34\x20\
\x62\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x6d\x6f\x64\
\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x69\
\x6e\x74\x20\x2a\x62\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\x66\x6d\x6f\
\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x73\x65\x71\
\x75\x65\x6e\x63\x65\x20\x3d\x3d\x20\x32\x20\x26\x26\x20\x72\x65\x74\x20\x3d\
\x3d\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x69\x6e\x70\x75\x74\x5f\
\x72\x65\x74\x76\x61\x6c\x3b\0\x09\x69\x66\x20\x28\x69\x6e\x70\x75\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\
\x5f\x5f\x75\x36\x34\x20\x62\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\x73\
\x65\x71\x75\x65\x6e\x63\x65\x32\x2b\x2b\x3b\0\x09\x66\x65\x6e\x74\x72\x79\x5f\
\x72\x65\x73\x75\x6c\x74\x32\x20\x3d\x20\x28\x73\x65\x71\x75\x65\x6e\x63\x65\
\x32\x20\x3d\x3d\x20\x31\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\
\x20\x61\x2c\x20\x69\x6e\x74\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\
\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x65\x2c\x20\x63\
\x68\x61\x72\x20\x66\x2c\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\
\x20\x61\x2c\x20\x69\x6e\x74\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\
\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x65\x2c\x20\x63\
\x68\x61\x72\x20\x66\x2c\0\x09\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x72\x65\x73\
\x75\x6c\x74\x32\x20\x3d\x20\x28\x73\x65\x71\x75\x65\x6e\x63\x65\x32\x20\x3d\
\x3d\x20\x32\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x30\x29\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x5f\x74\x65\
\x73\x74\x32\x2c\x20\x69\x6e\x74\x20\x61\x2c\x20\x69\x6e\x74\x20\x2a\x62\x2c\
\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\
\x69\x64\x20\x2a\x65\x2c\x20\x63\x68\x61\x72\x20\x66\x2c\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\
\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\
\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\
\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\
\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\
\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\
\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\
\x74\x65\x73\x74\x32\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\
\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x32\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x64\0\0\0\x64\0\0\0\x14\x03\0\0\x78\x03\0\0\0\0\0\
\0\x08\0\0\0\x01\x04\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x1f\x04\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\x3f\x04\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x5c\x04\0\0\x01\0\0\0\0\
\0\0\0\x08\0\0\0\x7b\x04\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x9c\x04\0\0\x01\0\0\0\
\0\0\0\0\x0a\0\0\0\x10\0\0\0\x01\x04\0\0\x05\0\0\0\0\0\0\0\x10\x01\0\0\x96\x01\
\0\0\x0a\x50\0\0\x20\0\0\0\x10\x01\0\0\xa3\x01\0\0\x1c\x54\0\0\x30\0\0\0\x10\
\x01\0\0\xa3\x01\0\0\x10\x54\0\0\x48\0\0\0\x10\x01\0\0\x96\x01\0\0\x0a\x50\0\0\
\x58\0\0\0\x10\x01\0\0\xc5\x01\0\0\x05\x48\0\0\x1f\x04\0\0\x09\0\0\0\0\0\0\0\
\x10\x01\0\0\xef\x01\0\0\x05\x6c\0\0\x08\0\0\0\x10\x01\0\0\x96\x01\0\0\x0a\x74\
\0\0\x50\0\0\0\x10\x01\0\0\x23\x02\0\0\x23\x7c\0\0\x60\0\0\0\x10\x01\0\0\x96\
\x01\0\0\x0a\x74\0\0\x70\0\0\0\x10\x01\0\0\x23\x02\0\0\x1e\x7c\0\0\x80\0\0\0\
\x10\x01\0\0\x23\x02\0\0\x23\x7c\0\0\x88\0\0\0\x10\x01\0\0\x23\x02\0\0\x12\x7c\
\0\0\xa0\0\0\0\x10\x01\0\0\x53\x02\0\0\x09\x80\0\0\xb0\0\0\0\x10\x01\0\0\xef\
\x01\0\0\x05\x6c\0\0\x3f\x04\0\0\x09\0\0\0\0\0\0\0\x10\x01\0\0\x69\x02\0\0\x06\
\xac\0\0\x20\0\0\0\x10\x01\0\0\x69\x02\0\0\x06\xac\0\0\x30\0\0\0\x10\x01\0\0\
\x7c\x02\0\0\x05\x94\0\0\x38\0\0\0\x10\x01\0\0\x96\x01\0\0\x0a\x9c\0\0\x60\0\0\
\0\x10\x01\0\0\x7c\x02\0\0\x05\x94\0\0\x80\0\0\0\x10\x01\0\0\x69\x02\0\0\x06\
\xac\0\0\x90\0\0\0\x10\x01\0\0\x96\x01\0\0\x0a\x9c\0\0\xa0\0\0\0\x10\x01\0\0\0\
\0\0\0\0\0\0\0\xd0\0\0\0\x10\x01\0\0\x7c\x02\0\0\x05\x94\0\0\x5c\x04\0\0\x05\0\
\0\0\0\0\0\0\x10\x01\0\0\xae\x02\0\0\x0b\xe8\0\0\x20\0\0\0\x10\x01\0\0\xbc\x02\
\0\0\x1e\xec\0\0\x30\0\0\0\x10\x01\0\0\xbc\x02\0\0\x11\xec\0\0\x48\0\0\0\x10\
\x01\0\0\xae\x02\0\0\x0b\xe8\0\0\x58\0\0\0\x10\x01\0\0\xe0\x02\0\0\x05\xdc\0\0\
\x7b\x04\0\0\x09\0\0\0\0\0\0\0\x10\x01\0\0\x2b\x03\0\0\x05\x04\x01\0\x08\0\0\0\
\x10\x01\0\0\xae\x02\0\0\x0b\x10\x01\0\x50\0\0\0\x10\x01\0\0\x78\x03\0\0\x25\
\x18\x01\0\x60\0\0\0\x10\x01\0\0\xae\x02\0\0\x0b\x10\x01\0\x70\0\0\0\x10\x01\0\
\0\x78\x03\0\0\x20\x18\x01\0\x80\0\0\0\x10\x01\0\0\x78\x03\0\0\x25\x18\x01\0\
\x88\0\0\0\x10\x01\0\0\x78\x03\0\0\x13\x18\x01\0\xa0\0\0\0\x10\x01\0\0\x53\x02\
\0\0\x09\x1c\x01\0\xb0\0\0\0\x10\x01\0\0\x2b\x03\0\0\x05\x04\x01\0\x9c\x04\0\0\
\x09\0\0\0\0\0\0\0\x10\x01\0\0\x69\x02\0\0\x06\x4c\x01\0\x20\0\0\0\x10\x01\0\0\
\x69\x02\0\0\x06\x4c\x01\0\x30\0\0\0\x10\x01\0\0\xaa\x03\0\0\x05\x30\x01\0\x38\
\0\0\0\x10\x01\0\0\xae\x02\0\0\x0b\x3c\x01\0\x60\0\0\0\x10\x01\0\0\xaa\x03\0\0\
\x05\x30\x01\0\x80\0\0\0\x10\x01\0\0\x69\x02\0\0\x06\x4c\x01\0\x90\0\0\0\x10\
\x01\0\0\xae\x02\0\0\x0b\x3c\x01\0\xa0\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\0\xd0\0\
\0\0\x10\x01\0\0\xaa\x03\0\0\x05\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\xe9\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x78\
\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x06\0\0\0\0\0\0\x68\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb0\x08\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x8b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x09\
\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xac\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x09\0\0\0\0\0\0\
\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x08\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xc0\x0a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x2c\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x50\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x71\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x94\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb9\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0b\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xdb\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0b\0\0\0\0\0\
\0\xda\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\
\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x12\0\0\0\0\0\0\x98\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct modify_return *modify_return::open(const struct bpf_object_open_opts *opts) { return modify_return__open_opts(opts); }
struct modify_return *modify_return::open_and_load() { return modify_return__open_and_load(); }
int modify_return::load(struct modify_return *skel) { return modify_return__load(skel); }
int modify_return::attach(struct modify_return *skel) { return modify_return__attach(skel); }
void modify_return::detach(struct modify_return *skel) { modify_return__detach(skel); }
void modify_return::destroy(struct modify_return *skel) { modify_return__destroy(skel); }
const void *modify_return::elf_bytes(size_t *sz) { return modify_return__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
modify_return__assert(struct modify_return *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->input_retval) == 4, "unexpected size of 'input_retval'");
	_Static_assert(sizeof(s->bss->fentry_result) == 8, "unexpected size of 'fentry_result'");
	_Static_assert(sizeof(s->bss->fmod_ret_result) == 8, "unexpected size of 'fmod_ret_result'");
	_Static_assert(sizeof(s->bss->fexit_result) == 8, "unexpected size of 'fexit_result'");
	_Static_assert(sizeof(s->bss->fentry_result2) == 8, "unexpected size of 'fentry_result2'");
	_Static_assert(sizeof(s->bss->fmod_ret_result2) == 8, "unexpected size of 'fmod_ret_result2'");
	_Static_assert(sizeof(s->bss->fexit_result2) == 8, "unexpected size of 'fexit_result2'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MODIFY_RETURN_SKEL_H__ */
