/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__
#define __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_parse_tcp_hdr_opt_dynptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xdp_ingress_v6;
	} progs;
	struct {
		struct bpf_link *xdp_ingress_v6;
	} links;
	struct test_parse_tcp_hdr_opt_dynptr__rodata {
		__u32 tcp_hdr_opt_kind_tpr;
		__u32 tcp_hdr_opt_len_tpr;
		__u32 tcp_hdr_opt_max_opt_checks;
	} *rodata;
	struct test_parse_tcp_hdr_opt_dynptr__bss {
		__u32 server_id;
	} *bss;

#ifdef __cplusplus
	static inline struct test_parse_tcp_hdr_opt_dynptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_parse_tcp_hdr_opt_dynptr *open_and_load();
	static inline int load(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline int attach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void detach(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline void destroy(struct test_parse_tcp_hdr_opt_dynptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_parse_tcp_hdr_opt_dynptr__destroy(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj);

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = (struct test_parse_tcp_hdr_opt_dynptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_parse_tcp_hdr_opt_dynptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_parse_tcp_hdr_opt_dynptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open(void)
{
	return test_parse_tcp_hdr_opt_dynptr__open_opts(NULL);
}

static inline int
test_parse_tcp_hdr_opt_dynptr__load(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_parse_tcp_hdr_opt_dynptr *
test_parse_tcp_hdr_opt_dynptr__open_and_load(void)
{
	struct test_parse_tcp_hdr_opt_dynptr *obj;
	int err;

	obj = test_parse_tcp_hdr_opt_dynptr__open();
	if (!obj)
		return NULL;
	err = test_parse_tcp_hdr_opt_dynptr__load(obj);
	if (err) {
		test_parse_tcp_hdr_opt_dynptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_parse_tcp_hdr_opt_dynptr__attach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_parse_tcp_hdr_opt_dynptr__detach(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz);

static inline int
test_parse_tcp_hdr_opt_dynptr__create_skeleton(struct test_parse_tcp_hdr_opt_dynptr *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_parse_tcp_hdr_opt_dynptr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_par.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "test_par.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_ingress_v6";
	s->progs[0].prog = &obj->progs.xdp_ingress_v6;
	s->progs[0].link = &obj->links.xdp_ingress_v6;

	s->data = test_parse_tcp_hdr_opt_dynptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_parse_tcp_hdr_opt_dynptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\
\x74\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x64\x79\x6e\x70\x74\x72\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x36\
\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\x30\x5f\
\x31\x34\0\x4c\x42\x42\x30\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x31\x37\0\x78\x64\
\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\0\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\0\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\
\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\
\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\
\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x2e\x72\x65\
\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x4a\0\0\0\0\0\x03\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\0\0\x03\
\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\0\0\x03\0\xd0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\0\0\0\0\0\x03\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\
\0\0\0\x03\0\x20\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\0\0\x03\0\x38\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\
\0\0\0\x88\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xb7\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd5\0\0\0\x11\0\x05\0\x04\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xe9\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xf0\xff\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x7b\
\x2a\xe0\xff\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xd0\xff\xff\xff\xbf\x63\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe0\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x36\0\0\0\xb7\x04\0\0\x14\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x01\x38\0\
\0\0\0\0\x69\x17\x0c\0\0\0\0\0\x77\x07\0\0\x02\0\0\0\x57\x07\0\0\x3c\0\0\0\x07\
\x07\0\0\xec\xff\xff\xff\xa5\x07\x33\0\x06\0\0\0\xb7\x06\0\0\x4a\0\0\0\xb7\x08\
\0\0\x0f\0\0\0\xb7\x09\0\0\0\0\0\0\x05\0\x11\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x57\
\x02\0\0\xff\0\0\0\x15\x02\x07\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x07\x08\0\0\xff\
\xff\xff\xff\xbf\x82\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\x77\x02\0\0\x20\0\0\0\
\xbf\x16\0\0\0\0\0\0\x55\x02\x07\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x11\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x01\x20\0\0\0\0\0\xb7\0\0\0\x02\0\
\0\0\x05\0\x1e\0\0\0\0\0\x6b\x9a\xfc\xff\0\0\0\0\x63\x9a\xf8\xff\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xd0\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\
\xf8\xff\xff\xff\xbf\x62\0\0\0\0\0\0\xb7\x04\0\0\x06\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\x15\0\xef\xff\0\0\0\0\x71\x02\0\0\0\0\0\0\x15\x02\x0d\0\x01\0\0\0\x15\
\x02\xec\xff\0\0\0\0\xbf\x73\0\0\0\0\0\0\x57\x03\0\0\xff\0\0\0\xa5\x03\xe9\xff\
\x02\0\0\0\x71\x01\x01\0\0\0\0\0\xad\x13\xe7\xff\0\0\0\0\x55\x02\x09\0\xfd\0\0\
\0\x55\x01\xe5\xff\x06\0\0\0\x61\x01\x02\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x63\x12\0\0\0\0\0\0\x05\0\xe0\xff\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x07\
\x07\0\0\xff\xff\xff\xff\x05\0\xd3\xff\0\0\0\0\x1f\x17\0\0\0\0\0\0\x05\0\xd1\
\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\xfd\0\0\0\x06\0\0\0\x0f\0\0\0\x38\
\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x68\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x20\
\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x98\x01\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\0\
\x02\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa8\x02\0\
\0\xa8\x02\0\0\x55\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x06\0\0\x04\
\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\
\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\
\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\0\0\0\0\
\x03\0\0\x0d\x06\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x0b\0\0\0\
\x78\0\0\0\0\0\0\x08\x0a\0\0\0\x7e\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\x02\x0c\0\0\0\x91\0\0\0\x01\0\0\x04\x10\0\0\0\x9c\0\0\0\x0d\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0e\0\0\0\x02\0\0\0\xa5\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\xb9\0\0\0\x02\0\0\x0c\x08\0\0\0\0\0\0\0\x04\0\0\x0d\x11\0\
\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\0\0\0\0\0\0\0\x0a\x0c\0\0\
\0\xcd\0\0\0\x02\0\0\x0c\x10\0\0\0\xde\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x0e\0\0\0\x04\0\0\0\xe3\0\0\0\0\0\0\x0e\x16\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x03\0\0\0\xec\0\0\0\0\0\0\x0e\x18\0\0\0\x01\
\0\0\0\x01\x01\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\x15\x01\0\0\0\0\0\x0e\x18\0\0\
\0\x01\0\0\0\x30\x01\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x39\x05\0\0\x01\0\0\x0f\
\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x41\x05\0\0\x03\0\0\x0f\x0c\0\0\0\x19\0\
\0\0\0\0\0\0\x04\0\0\0\x1a\0\0\0\x04\0\0\0\x04\0\0\0\x1b\0\0\0\x08\0\0\0\x04\0\
\0\0\x49\x05\0\0\x01\0\0\x0f\x04\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\0\0\x4e\x05\0\0\
\x02\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\x78\
\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\
\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\
\0\x78\x64\x70\x5f\x69\x6e\x67\x72\x65\x73\x73\x5f\x76\x36\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\0\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\
\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\
\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x73\
\x65\x72\x76\x65\x72\x5f\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\
\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x61\
\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x64\x79\x6e\
\x70\x74\x72\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x76\x36\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x6d\x64\x20\
\x2a\x78\x64\x70\x29\0\x09\x5f\x5f\x75\x38\x20\x62\x75\x66\x66\x65\x72\x5b\x73\
\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x68\x64\x72\
\x29\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\
\x5f\x66\x72\x6f\x6d\x5f\x78\x64\x70\x28\x78\x64\x70\x2c\x20\x30\x2c\x20\x26\
\x70\x74\x72\x29\x3b\0\x09\x74\x63\x70\x5f\x68\x64\x72\x20\x3d\x20\x62\x70\x66\
\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\x65\x28\x26\x70\x74\x72\x2c\
\x20\x6f\x66\x66\x2c\x20\x62\x75\x66\x66\x65\x72\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x63\
\x70\x5f\x68\x64\x72\x29\0\x09\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\
\x6c\x65\x6e\x20\x3d\x20\x28\x74\x63\x70\x5f\x68\x64\x72\x2d\x3e\x64\x6f\x66\
\x66\x20\x2a\x20\x34\x29\x20\x2d\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\
\x75\x63\x74\x20\x74\x63\x70\x68\x64\x72\x29\x3b\0\x09\x69\x66\x20\x28\x74\x63\
\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x20\x3c\x20\x74\x63\x70\
\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\x29\0\x09\x09\
\x69\x66\x20\x28\x65\x72\x72\x20\x7c\x7c\x20\x21\x68\x64\x72\x5f\x62\x79\x74\
\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\x09\x66\x6f\x72\x20\x28\
\x69\x6e\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x74\x63\x70\x5f\
\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\
\x63\x6b\x73\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\x09\x69\x66\x20\x28\x21\x73\x65\
\x72\x76\x65\x72\x5f\x69\x64\x29\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\
\x6d\x65\x6d\x73\x65\x74\x28\x62\x75\x66\x66\x65\x72\x2c\x20\x30\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\x64\x61\x74\
\x61\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x73\x6c\x69\x63\
\x65\x28\x70\x74\x72\x2c\x20\x2a\x6f\x66\x66\x2c\x20\x62\x75\x66\x66\x65\x72\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x65\x72\x29\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x64\x61\x74\x61\x29\0\x09\x6b\x69\x6e\x64\x20\x3d\x20\x64\
\x61\x74\x61\x5b\x30\x5d\x3b\0\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\x3d\x3d\
\x20\x54\x43\x50\x4f\x50\x54\x5f\x45\x4f\x4c\x29\0\x09\x69\x66\x20\x28\x2a\x68\
\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\
\x3c\x20\x32\x29\0\x09\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3d\x20\x64\x61\x74\x61\
\x5b\x31\x5d\x3b\0\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3e\x20\
\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\
\x67\x29\0\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\x3d\x3d\x20\x74\x63\x70\x5f\
\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\x70\x72\x29\x20\x7b\0\
\x09\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\x20\x21\x3d\x20\x74\x63\
\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\x29\0\x09\
\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x73\
\x65\x72\x76\x65\x72\x5f\x69\x64\x2c\x20\x28\x5f\x5f\x75\x33\x32\x20\x2a\x29\
\x28\x64\x61\x74\x61\x20\x2b\x20\x32\x29\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x2a\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x29\x29\x3b\0\x09\x09\x2a\x68\x64\x72\
\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x2d\x3d\
\x20\x31\x3b\0\x09\x2a\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\
\x69\x6e\x69\x6e\x67\x20\x2d\x3d\x20\x68\x64\x72\x5f\x6c\x65\x6e\x3b\0\x7d\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\
\x2e\x6b\x73\x79\x6d\x73\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\x0c\x02\0\0\x20\x02\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\
\x07\0\0\0\x10\0\0\0\x61\0\0\0\x20\0\0\0\0\0\0\0\x3a\x01\0\0\xd0\x01\0\0\0\x2c\
\x01\0\x08\0\0\0\x3a\x01\0\0\xf7\x01\0\0\x07\x34\x01\0\x28\0\0\0\x3a\x01\0\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\x3a\x01\0\0\x21\x02\0\0\x02\x58\x01\0\x48\0\0\0\x3a\
\x01\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x3a\x01\0\0\x45\x02\0\0\x0c\x68\x01\0\x80\0\
\0\0\x3a\x01\0\0\x85\x02\0\0\x06\x6c\x01\0\x88\0\0\0\x3a\x01\0\0\x94\x02\0\0\
\x1e\x78\x01\0\xa0\0\0\0\x3a\x01\0\0\x94\x02\0\0\x28\x78\x01\0\xa8\0\0\0\x3a\
\x01\0\0\xd4\x02\0\0\x06\x7c\x01\0\xe0\0\0\0\x3a\x01\0\0\0\x03\0\0\x0b\xa8\x01\
\0\xe8\0\0\0\x3a\x01\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\x3a\x01\0\0\x23\x03\0\0\x14\
\x9c\x01\0\x18\x01\0\0\x3a\x01\0\0\x23\x03\0\0\x02\x9c\x01\0\x20\x01\0\0\x3a\
\x01\0\0\x5b\x03\0\0\x07\xb8\x01\0\x40\x01\0\0\x3a\x01\0\0\0\0\0\0\0\0\0\0\x58\
\x01\0\0\x3a\x01\0\0\x6c\x03\0\0\x02\x94\0\0\x70\x01\0\0\x3a\x01\0\0\0\0\0\0\0\
\0\0\0\x88\x01\0\0\x3a\x01\0\0\x9a\x03\0\0\x09\x9c\0\0\xa0\x01\0\0\x3a\x01\0\0\
\xd7\x03\0\0\x06\xa0\0\0\xa8\x01\0\0\x3a\x01\0\0\xe3\x03\0\0\x09\xac\0\0\xb0\
\x01\0\0\x3a\x01\0\0\xf4\x03\0\0\x06\xb4\0\0\xc0\x01\0\0\x3a\x01\0\0\x0d\x04\0\
\0\x1b\xd8\0\0\xd0\x01\0\0\x3a\x01\0\0\x0d\x04\0\0\x06\xd8\0\0\xd8\x01\0\0\x3a\
\x01\0\0\x2c\x04\0\0\x0c\xe4\0\0\xe0\x01\0\0\x3a\x01\0\0\x40\x04\0\0\x06\xe8\0\
\0\xe8\x01\0\0\x3a\x01\0\0\x65\x04\0\0\x06\xf4\0\0\xf0\x01\0\0\x3a\x01\0\0\x8a\
\x04\0\0\x07\xf8\0\0\xf8\x01\0\0\x3a\x01\0\0\xb0\x04\0\0\x03\x04\x01\0\x28\x02\
\0\0\x3a\x01\0\0\xf8\x04\0\0\x18\xc8\0\0\x38\x02\0\0\x3a\x01\0\0\x15\x05\0\0\
\x17\x18\x01\0\x48\x02\0\0\x3a\x01\0\0\x37\x05\0\0\x01\xc8\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x01\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\
\0\0\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x05\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x05\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa8\x05\0\0\0\0\0\0\x15\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x11\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\
\x0d\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open(const struct bpf_object_open_opts *opts) { return test_parse_tcp_hdr_opt_dynptr__open_opts(opts); }
struct test_parse_tcp_hdr_opt_dynptr *test_parse_tcp_hdr_opt_dynptr::open_and_load() { return test_parse_tcp_hdr_opt_dynptr__open_and_load(); }
int test_parse_tcp_hdr_opt_dynptr::load(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__load(skel); }
int test_parse_tcp_hdr_opt_dynptr::attach(struct test_parse_tcp_hdr_opt_dynptr *skel) { return test_parse_tcp_hdr_opt_dynptr__attach(skel); }
void test_parse_tcp_hdr_opt_dynptr::detach(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__detach(skel); }
void test_parse_tcp_hdr_opt_dynptr::destroy(struct test_parse_tcp_hdr_opt_dynptr *skel) { test_parse_tcp_hdr_opt_dynptr__destroy(skel); }
const void *test_parse_tcp_hdr_opt_dynptr::elf_bytes(size_t *sz) { return test_parse_tcp_hdr_opt_dynptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_parse_tcp_hdr_opt_dynptr__assert(struct test_parse_tcp_hdr_opt_dynptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_kind_tpr) == 4, "unexpected size of 'tcp_hdr_opt_kind_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_len_tpr) == 4, "unexpected size of 'tcp_hdr_opt_len_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_max_opt_checks) == 4, "unexpected size of 'tcp_hdr_opt_max_opt_checks'");
	_Static_assert(sizeof(s->bss->server_id) == 4, "unexpected size of 'server_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PARSE_TCP_HDR_OPT_DYNPTR_SKEL_H__ */
