/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_RAW_TP_TEST_RUN_SKEL_H__
#define __TEST_RAW_TP_TEST_RUN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_raw_tp_test_run {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *rename;
	} progs;
	struct {
		struct bpf_link *rename;
	} links;
	struct test_raw_tp_test_run__bss {
		__u32 count;
	} *bss;
	struct test_raw_tp_test_run__data {
		__u32 on_cpu;
	} *data;

#ifdef __cplusplus
	static inline struct test_raw_tp_test_run *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_raw_tp_test_run *open_and_load();
	static inline int load(struct test_raw_tp_test_run *skel);
	static inline int attach(struct test_raw_tp_test_run *skel);
	static inline void detach(struct test_raw_tp_test_run *skel);
	static inline void destroy(struct test_raw_tp_test_run *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_raw_tp_test_run__destroy(struct test_raw_tp_test_run *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_raw_tp_test_run__create_skeleton(struct test_raw_tp_test_run *obj);

static inline struct test_raw_tp_test_run *
test_raw_tp_test_run__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_raw_tp_test_run *obj;
	int err;

	obj = (struct test_raw_tp_test_run *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_raw_tp_test_run__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_raw_tp_test_run__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_raw_tp_test_run *
test_raw_tp_test_run__open(void)
{
	return test_raw_tp_test_run__open_opts(NULL);
}

static inline int
test_raw_tp_test_run__load(struct test_raw_tp_test_run *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_raw_tp_test_run *
test_raw_tp_test_run__open_and_load(void)
{
	struct test_raw_tp_test_run *obj;
	int err;

	obj = test_raw_tp_test_run__open();
	if (!obj)
		return NULL;
	err = test_raw_tp_test_run__load(obj);
	if (err) {
		test_raw_tp_test_run__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_raw_tp_test_run__attach(struct test_raw_tp_test_run *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_raw_tp_test_run__detach(struct test_raw_tp_test_run *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_raw_tp_test_run__elf_bytes(size_t *sz);

static inline int
test_raw_tp_test_run__create_skeleton(struct test_raw_tp_test_run *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_raw_tp_test_run";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_raw.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "test_raw.data";
	s->maps[1].map = &obj->maps.data;
	s->maps[1].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "rename";
	s->progs[0].prog = &obj->progs.rename;
	s->progs[0].link = &obj->links.rename;

	s->data = test_raw_tp_test_run__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_raw_tp_test_run__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\x2e\x62\x73\
\x73\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\
\x72\x61\x77\x5f\x74\x70\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x33\0\x72\x65\x6e\x61\x6d\x65\0\x63\x6f\x75\x6e\x74\0\x6f\x6e\x5f\
\x63\x70\x75\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\
\x5f\x74\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x37\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\0\0\x03\0\x78\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x55\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x5c\0\0\
\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x62\0\0\0\x11\0\x05\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x69\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x79\x12\x08\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x34\0\0\0\0\0\0\x07\x04\0\0\x01\0\0\0\x63\x43\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x55\x01\x06\0\x34\x12\0\0\x55\x02\x05\0\x78\x56\0\0\x85\0\0\0\x08\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\xac\x68\0\0\
\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\x47\x50\x4c\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x18\x01\0\0\x18\x01\0\0\xc3\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\
\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x23\
\0\0\0\0\0\0\x08\x07\0\0\0\x29\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x36\0\0\0\0\
\0\0\x0e\x06\0\0\0\x01\0\0\0\x3c\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x43\0\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\
\x04\0\0\0\x48\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x5c\0\0\0\0\0\0\x0e\x0b\0\0\
\0\x01\0\0\0\x9d\x01\0\0\x01\0\0\x0f\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\xa2\
\x01\0\0\x01\0\0\x0f\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\xa8\x01\0\0\x01\0\0\
\x0f\x04\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x72\x65\
\x6e\x61\x6d\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x63\x6f\x75\x6e\x74\0\x6f\x6e\x5f\x63\x70\x75\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\
\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\
\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x72\
\x61\x77\x5f\x74\x70\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2e\x63\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x72\x65\x6e\x61\x6d\x65\x2c\x20\x73\
\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\x2a\
\x74\x61\x73\x6b\x2c\x20\x63\x68\x61\x72\x20\x2a\x63\x6f\x6d\x6d\x29\0\x09\x63\
\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x09\x69\x66\x20\x28\x28\x5f\x5f\x75\x36\x34\x29\
\x20\x74\x61\x73\x6b\x20\x3d\x3d\x20\x30\x78\x31\x32\x33\x34\x55\x4c\x4c\x20\
\x26\x26\x20\x28\x5f\x5f\x75\x36\x34\x29\x20\x63\x6f\x6d\x6d\x20\x3d\x3d\x20\
\x30\x78\x35\x36\x37\x38\x55\x4c\x4c\x29\x20\x7b\0\x09\x09\x6f\x6e\x5f\x63\x70\
\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\
\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x2e\x62\x73\x73\0\x2e\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x74\
\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\0\0\0\0\x08\0\0\0\xb0\x01\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\xb0\x01\0\0\x06\0\0\0\0\0\0\0\x65\0\0\0\
\xf2\0\0\0\x05\x30\0\0\x10\0\0\0\x65\0\0\0\x2d\x01\0\0\x07\x3c\0\0\x40\0\0\0\
\x65\0\0\0\x37\x01\0\0\x20\x40\0\0\x50\0\0\0\x65\0\0\0\x76\x01\0\0\x0c\x44\0\0\
\x58\0\0\0\x65\0\0\0\x76\x01\0\0\x0a\x44\0\0\x78\0\0\0\x65\0\0\0\xf2\0\0\0\x05\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x97\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x98\x01\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x24\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\xf3\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x05\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_raw_tp_test_run *test_raw_tp_test_run::open(const struct bpf_object_open_opts *opts) { return test_raw_tp_test_run__open_opts(opts); }
struct test_raw_tp_test_run *test_raw_tp_test_run::open_and_load() { return test_raw_tp_test_run__open_and_load(); }
int test_raw_tp_test_run::load(struct test_raw_tp_test_run *skel) { return test_raw_tp_test_run__load(skel); }
int test_raw_tp_test_run::attach(struct test_raw_tp_test_run *skel) { return test_raw_tp_test_run__attach(skel); }
void test_raw_tp_test_run::detach(struct test_raw_tp_test_run *skel) { test_raw_tp_test_run__detach(skel); }
void test_raw_tp_test_run::destroy(struct test_raw_tp_test_run *skel) { test_raw_tp_test_run__destroy(skel); }
const void *test_raw_tp_test_run::elf_bytes(size_t *sz) { return test_raw_tp_test_run__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_raw_tp_test_run__assert(struct test_raw_tp_test_run *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
	_Static_assert(sizeof(s->data->on_cpu) == 4, "unexpected size of 'on_cpu'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_RAW_TP_TEST_RUN_SKEL_H__ */
