/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SUBSKELETON_SKEL_H__
#define __TEST_SUBSKELETON_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_subskeleton {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map2;
		struct bpf_map *map1;
		struct bpf_map *data;
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *data_custom;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *lib_perf_handler;
		struct bpf_program *handler1;
	} progs;
	struct {
		struct bpf_link *lib_perf_handler;
		struct bpf_link *handler1;
	} links;
	struct test_subskeleton__data {
		int var6;
		int var2;
		char __pad0[4];
		int var5;
	} *data;
	struct test_subskeleton__rodata {
		int var1;
		int rovar1;
	} *rodata;
	struct test_subskeleton__bss {
		struct {
			int var3_1;
			__s64 var3_2;
		} var3;
		int libout1;
		int var4[4];
		char __pad0[4];
		int (*fn_ptr)();
		int out1;
	} *bss;
	struct test_subskeleton__data_custom {
		int var7;
	} *data_custom;
	struct test_subskeleton__kconfig {
		volatile _Bool CONFIG_BPF_SYSCALL;
	} *kconfig;

#ifdef __cplusplus
	static inline struct test_subskeleton *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_subskeleton *open_and_load();
	static inline int load(struct test_subskeleton *skel);
	static inline int attach(struct test_subskeleton *skel);
	static inline void detach(struct test_subskeleton *skel);
	static inline void destroy(struct test_subskeleton *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_subskeleton__destroy(struct test_subskeleton *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_subskeleton__create_skeleton(struct test_subskeleton *obj);

static inline struct test_subskeleton *
test_subskeleton__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_subskeleton *obj;
	int err;

	obj = (struct test_subskeleton *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_subskeleton__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_subskeleton__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_subskeleton *
test_subskeleton__open(void)
{
	return test_subskeleton__open_opts(NULL);
}

static inline int
test_subskeleton__load(struct test_subskeleton *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_subskeleton *
test_subskeleton__open_and_load(void)
{
	struct test_subskeleton *obj;
	int err;

	obj = test_subskeleton__open();
	if (!obj)
		return NULL;
	err = test_subskeleton__load(obj);
	if (err) {
		test_subskeleton__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_subskeleton__attach(struct test_subskeleton *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_subskeleton__detach(struct test_subskeleton *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_subskeleton__elf_bytes(size_t *sz);

static inline int
test_subskeleton__create_skeleton(struct test_subskeleton *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_subskeleton";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map2";
	s->maps[0].map = &obj->maps.map2;

	s->maps[1].name = "map1";
	s->maps[1].map = &obj->maps.map1;

	s->maps[2].name = "test_sub.data";
	s->maps[2].map = &obj->maps.data;
	s->maps[2].mmaped = (void **)&obj->data;

	s->maps[3].name = "test_sub.rodata";
	s->maps[3].map = &obj->maps.rodata;
	s->maps[3].mmaped = (void **)&obj->rodata;

	s->maps[4].name = "test_sub.bss";
	s->maps[4].map = &obj->maps.bss;
	s->maps[4].mmaped = (void **)&obj->bss;

	s->maps[5].name = ".data.custom";
	s->maps[5].map = &obj->maps.data_custom;
	s->maps[5].mmaped = (void **)&obj->data_custom;

	s->maps[6].name = "test_su.kconfig";
	s->maps[6].map = &obj->maps.kconfig;
	s->maps[6].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "lib_perf_handler";
	s->progs[0].prog = &obj->progs.lib_perf_handler;
	s->progs[0].link = &obj->links.lib_perf_handler;

	s->progs[1].name = "handler1";
	s->progs[1].prog = &obj->progs.handler1;
	s->progs[1].link = &obj->links.handler1;

	s->data = test_subskeleton__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_subskeleton__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x10\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\
\x78\x74\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\x2e\x63\x75\x73\x74\x6f\x6d\0\x72\
\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x65\x73\x74\
\x5f\x73\x75\x62\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x5f\x6c\x69\x62\x32\x2e\x63\0\
\x76\x61\x72\x36\0\x4c\x49\x43\x45\x4e\x53\x45\0\x6d\x61\x70\x32\0\x74\x65\x73\
\x74\x5f\x73\x75\x62\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x5f\x6c\x69\x62\x2e\x63\0\
\x6c\x69\x62\x5f\x72\x6f\x75\x74\x69\x6e\x65\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\
\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x76\x61\x72\x31\0\x76\x61\x72\x32\0\
\x76\x61\x72\x33\0\x76\x61\x72\x35\0\x6c\x69\x62\x6f\x75\x74\x31\0\x6c\x69\x62\
\x5f\x70\x65\x72\x66\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x76\x61\x72\x34\0\x76\
\x61\x72\x37\0\x66\x6e\x5f\x70\x74\x72\0\x6d\x61\x70\x31\0\x74\x65\x73\x74\x5f\
\x73\x75\x62\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\
\x72\x31\0\x72\x6f\x76\x61\x72\x31\0\x6f\x75\x74\x31\0\x2e\x72\x65\x6c\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x03\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x7e\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x86\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8b\0\0\0\x04\0\xf1\xff\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x12\0\x06\0\0\0\0\
\0\0\0\0\0\x40\x01\0\0\0\0\0\0\xae\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc1\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc6\0\0\0\x11\0\
\x03\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xcb\0\0\0\x11\0\x09\0\0\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xd0\0\0\0\x11\0\x03\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xd5\0\0\0\x11\0\x09\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xdd\0\0\0\x12\0\x07\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xee\0\0\0\x11\0\x09\0\x14\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xf3\0\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf8\
\0\0\0\x11\0\x09\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xff\0\0\0\x11\0\x05\0\
\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x04\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x01\0\
\0\x12\0\x0b\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x20\x01\0\0\x11\0\x08\0\x04\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x27\x01\0\0\x11\0\x09\0\x30\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\x1a\xfc\
\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\xb7\x01\0\
\0\x02\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\
\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x20\0\
\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\
\0\0\0\0\x0f\x20\0\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x2f\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x78\0\0\0\
\0\0\0\0\x01\0\0\0\x0a\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xb0\0\0\0\0\
\0\0\0\x01\0\0\0\x0c\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\0\x01\0\0\0\0\
\0\0\x01\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x17\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x0c\x04\0\0\x0c\x04\0\0\x73\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\x19\0\0\0\0\0\0\x08\x07\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\x02\x09\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x10\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x31\0\0\0\
\x05\0\0\0\x40\0\0\0\x35\0\0\0\x05\0\0\0\x80\0\0\0\x3b\0\0\0\x08\0\0\0\xc0\0\0\
\0\x47\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x4c\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\
\0\0\x51\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\
\0\0\x04\0\0\0\x04\0\0\0\x56\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x5e\0\0\0\0\0\
\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x63\0\0\0\x01\0\0\x0c\
\x11\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\x6f\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x02\0\0\0\x77\0\0\0\x13\0\0\0\x7b\0\0\0\x01\0\0\x0c\x15\0\0\0\0\0\0\0\
\0\0\0\x09\x02\0\0\0\x8c\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\
\x1a\0\0\0\x91\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x97\0\0\0\0\0\0\x0e\x19\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\x0a\x17\0\0\0\xaa\0\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\
\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\xaf\0\0\0\x02\0\0\0\0\0\0\0\xb6\0\0\0\x1f\0\
\0\0\x40\0\0\0\xbd\0\0\0\0\0\0\x08\x20\0\0\0\xc3\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\xcd\0\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\xd2\0\0\0\0\0\0\x0e\x02\0\0\0\
\x01\0\0\0\xd7\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x04\0\0\0\xdf\0\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\xe4\0\0\
\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\xe9\0\0\0\0\0\0\
\x0e\x27\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x77\0\0\0\x29\0\0\0\xf0\0\0\0\x01\0\0\x0c\x2b\0\
\0\0\xf9\0\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\0\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\
\0\0\0\x1a\x03\0\0\x03\0\0\x0f\x10\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\x18\0\0\0\
\x04\0\0\0\x04\0\0\0\x22\0\0\0\x0c\0\0\0\x04\0\0\0\x20\x03\0\0\x01\0\0\x0f\x04\
\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x28\x03\0\0\x02\0\0\x0f\x40\0\0\0\x0b\0\0\0\
\0\0\0\0\x20\0\0\0\x10\0\0\0\x20\0\0\0\x20\0\0\0\x2e\x03\0\0\x02\0\0\x0f\x08\0\
\0\0\x1d\0\0\0\0\0\0\0\x04\0\0\0\x2d\0\0\0\x04\0\0\0\x04\0\0\0\x36\x03\0\0\x05\
\0\0\x0f\x34\0\0\0\x21\0\0\0\0\0\0\0\x10\0\0\0\x23\0\0\0\x10\0\0\0\x04\0\0\0\
\x25\0\0\0\x14\0\0\0\x10\0\0\0\x28\0\0\0\x28\0\0\0\x08\0\0\0\x2e\0\0\0\x30\0\0\
\0\x04\0\0\0\x3b\x03\0\0\x01\0\0\x0f\x04\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\0\x48\
\x03\0\0\x01\0\0\x0f\0\0\0\0\x1b\0\0\0\0\0\0\0\x01\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\
\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6d\x61\x70\x32\0\x76\x61\x72\x36\0\x63\x68\x61\x72\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x6d\x61\x70\x31\0\x6c\x69\x62\x5f\x72\x6f\x75\x74\x69\
\x6e\x65\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x6c\x69\x62\x5f\x70\x65\
\x72\x66\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x76\x61\x72\x32\0\x5f\x42\x6f\x6f\
\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\
\0\x76\x61\x72\x31\0\x76\x61\x72\x33\x5f\x31\0\x76\x61\x72\x33\x5f\x32\0\x5f\
\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x76\x61\x72\x33\0\x76\
\x61\x72\x35\0\x6c\x69\x62\x6f\x75\x74\x31\0\x76\x61\x72\x34\0\x76\x61\x72\x37\
\0\x66\x6e\x5f\x70\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x72\x31\0\x72\x6f\x76\x61\
\x72\x31\0\x6f\x75\x74\x31\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\
\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x75\x62\
\x73\x6b\x65\x6c\x65\x74\x6f\x6e\x5f\x6c\x69\x62\x2e\x63\0\x69\x6e\x74\x20\x6c\
\x69\x62\x5f\x72\x6f\x75\x74\x69\x6e\x65\x28\x76\x6f\x69\x64\x29\0\x09\x5f\x5f\
\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x31\x2c\x20\x76\x61\x6c\x75\x65\x20\
\x3d\x20\x32\x3b\0\x09\x28\x76\x6f\x69\x64\x29\x20\x43\x4f\x4e\x46\x49\x47\x5f\
\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x61\x70\x32\
\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x75\x65\x2c\x20\x42\x50\x46\
\x5f\x41\x4e\x59\x29\x3b\0\x09\x6c\x69\x62\x6f\x75\x74\x31\x20\x3d\x20\x76\x61\
\x72\x31\x20\x2b\x20\x76\x61\x72\x32\x20\x2b\x20\x76\x61\x72\x33\x2e\x76\x61\
\x72\x33\x5f\x31\x20\x2b\x20\x76\x61\x72\x33\x2e\x76\x61\x72\x33\x5f\x32\x20\
\x2b\x20\x76\x61\x72\x35\x20\x2b\x20\x76\x61\x72\x36\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x6c\x69\x62\x6f\x75\x74\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\
\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x75\x62\x73\x6b\x65\x6c\x65\
\x74\x6f\x6e\x2e\x63\0\x09\x6f\x75\x74\x31\x20\x3d\x20\x6c\x69\x62\x5f\x72\x6f\
\x75\x74\x69\x6e\x65\x28\x29\x20\x2a\x20\x72\x6f\x76\x61\x72\x31\x3b\0\x2e\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\
\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\x2e\x63\x75\x73\x74\
\x6f\x6d\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x2e\x74\x65\x78\x74\0\x70\x65\x72\
\x66\x5f\x65\x76\x65\x6e\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xbc\
\x01\0\0\xf0\x01\0\0\0\0\0\0\x08\0\0\0\x51\x03\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\
\x57\x03\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x62\x03\0\0\x01\0\0\0\0\0\0\0\x2c\0\0\
\0\x10\0\0\0\x51\x03\0\0\x13\0\0\0\0\0\0\0\x05\x01\0\0\x92\x01\0\0\0\xb0\0\0\
\x08\0\0\0\x05\x01\0\0\xa8\x01\0\0\x08\xb8\0\0\x10\0\0\0\x05\x01\0\0\xc3\x01\0\
\0\x09\xc0\0\0\x30\0\0\0\x05\x01\0\0\xa8\x01\0\0\x11\xb8\0\0\x40\0\0\0\x05\x01\
\0\0\xa8\x01\0\0\x08\xb8\0\0\x58\0\0\0\x05\x01\0\0\xdf\x01\0\0\x02\xc4\0\0\x78\
\0\0\0\x05\x01\0\0\x13\x02\0\0\x0c\xcc\0\0\x90\0\0\0\x05\x01\0\0\x13\x02\0\0\
\x13\xcc\0\0\xa8\0\0\0\x05\x01\0\0\x13\x02\0\0\x11\xcc\0\0\xb0\0\0\0\x05\x01\0\
\0\x13\x02\0\0\x1f\xcc\0\0\xc8\0\0\0\x05\x01\0\0\x13\x02\0\0\x18\xcc\0\0\xd0\0\
\0\0\x05\x01\0\0\x13\x02\0\0\x2d\xcc\0\0\xd8\0\0\0\x05\x01\0\0\x13\x02\0\0\x0c\
\xcc\0\0\xe0\0\0\0\x05\x01\0\0\x13\x02\0\0\x36\xcc\0\0\xf8\0\0\0\x05\x01\0\0\
\x13\x02\0\0\x0c\xcc\0\0\0\x01\0\0\x05\x01\0\0\x13\x02\0\0\x3d\xcc\0\0\x18\x01\
\0\0\x05\x01\0\0\x13\x02\0\0\x0c\xcc\0\0\x20\x01\0\0\x05\x01\0\0\x13\x02\0\0\
\x0a\xcc\0\0\x38\x01\0\0\x05\x01\0\0\x55\x02\0\0\x02\xd0\0\0\x57\x03\0\0\x01\0\
\0\0\0\0\0\0\x05\x01\0\0\x66\x02\0\0\x02\xe8\0\0\x62\x03\0\0\x06\0\0\0\0\0\0\0\
\x71\x02\0\0\xc3\x01\0\0\x09\x58\0\0\x18\0\0\0\x71\x02\0\0\xfa\x02\0\0\x09\x60\
\0\0\x20\0\0\0\x71\x02\0\0\xfa\x02\0\0\x19\x60\0\0\x38\0\0\0\x71\x02\0\0\xfa\
\x02\0\0\x17\x60\0\0\x40\0\0\0\x71\x02\0\0\xfa\x02\0\0\x07\x60\0\0\x58\0\0\0\
\x71\x02\0\0\x66\x02\0\0\x02\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x59\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x58\x02\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\
\x04\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x2b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x05\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\
\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb0\x05\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2c\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x36\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x06\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x4b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x06\0\0\0\0\0\
\0\x97\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0e\0\0\0\0\0\0\x10\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_subskeleton *test_subskeleton::open(const struct bpf_object_open_opts *opts) { return test_subskeleton__open_opts(opts); }
struct test_subskeleton *test_subskeleton::open_and_load() { return test_subskeleton__open_and_load(); }
int test_subskeleton::load(struct test_subskeleton *skel) { return test_subskeleton__load(skel); }
int test_subskeleton::attach(struct test_subskeleton *skel) { return test_subskeleton__attach(skel); }
void test_subskeleton::detach(struct test_subskeleton *skel) { test_subskeleton__detach(skel); }
void test_subskeleton::destroy(struct test_subskeleton *skel) { test_subskeleton__destroy(skel); }
const void *test_subskeleton::elf_bytes(size_t *sz) { return test_subskeleton__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_subskeleton__assert(struct test_subskeleton *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->var6) == 4, "unexpected size of 'var6'");
	_Static_assert(sizeof(s->data->var2) == 4, "unexpected size of 'var2'");
	_Static_assert(sizeof(s->data->var5) == 4, "unexpected size of 'var5'");
	_Static_assert(sizeof(s->rodata->var1) == 4, "unexpected size of 'var1'");
	_Static_assert(sizeof(s->rodata->rovar1) == 4, "unexpected size of 'rovar1'");
	_Static_assert(sizeof(s->bss->var3) == 16, "unexpected size of 'var3'");
	_Static_assert(sizeof(s->bss->libout1) == 4, "unexpected size of 'libout1'");
	_Static_assert(sizeof(s->bss->var4) == 16, "unexpected size of 'var4'");
	_Static_assert(sizeof(s->bss->fn_ptr) == 8, "unexpected size of 'fn_ptr'");
	_Static_assert(sizeof(s->bss->out1) == 4, "unexpected size of 'out1'");
	_Static_assert(sizeof(s->data_custom->var7) == 4, "unexpected size of 'var7'");
	_Static_assert(sizeof(s->kconfig->CONFIG_BPF_SYSCALL) == 1, "unexpected size of 'CONFIG_BPF_SYSCALL'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SUBSKELETON_SKEL_H__ */
