/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_TCPBPF_KERN_SKEL_H__
#define __TEST_TCPBPF_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_tcpbpf_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bpf_testcb;
	} progs;
	struct {
		struct bpf_link *bpf_testcb;
	} links;
	struct test_tcpbpf_kern__bss {
		struct tcpbpf_globals global;
	} *bss;

#ifdef __cplusplus
	static inline struct test_tcpbpf_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_tcpbpf_kern *open_and_load();
	static inline int load(struct test_tcpbpf_kern *skel);
	static inline int attach(struct test_tcpbpf_kern *skel);
	static inline void detach(struct test_tcpbpf_kern *skel);
	static inline void destroy(struct test_tcpbpf_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_tcpbpf_kern__destroy(struct test_tcpbpf_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_tcpbpf_kern__create_skeleton(struct test_tcpbpf_kern *obj);

static inline struct test_tcpbpf_kern *
test_tcpbpf_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_tcpbpf_kern *obj;
	int err;

	obj = (struct test_tcpbpf_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_tcpbpf_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_tcpbpf_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_tcpbpf_kern *
test_tcpbpf_kern__open(void)
{
	return test_tcpbpf_kern__open_opts(NULL);
}

static inline int
test_tcpbpf_kern__load(struct test_tcpbpf_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_tcpbpf_kern *
test_tcpbpf_kern__open_and_load(void)
{
	struct test_tcpbpf_kern *obj;
	int err;

	obj = test_tcpbpf_kern__open();
	if (!obj)
		return NULL;
	err = test_tcpbpf_kern__load(obj);
	if (err) {
		test_tcpbpf_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_tcpbpf_kern__attach(struct test_tcpbpf_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_tcpbpf_kern__detach(struct test_tcpbpf_kern *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_tcpbpf_kern__elf_bytes(size_t *sz);

static inline int
test_tcpbpf_kern__create_skeleton(struct test_tcpbpf_kern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_tcpbpf_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_tcp.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_testcb";
	s->progs[0].prog = &obj->progs.bpf_testcb;
	s->progs[0].link = &obj->links.bpf_testcb;

	s->data = test_tcpbpf_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_tcpbpf_kern__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x6f\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x74\x63\x70\x62\x70\x66\x5f\x6b\x65\x72\x6e\x2e\x63\0\x4c\x42\x42\
\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\
\x42\x30\x5f\x32\x34\0\x4c\x42\x42\x30\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x31\
\x38\0\x4c\x42\x42\x30\x5f\x32\x33\0\x4c\x42\x42\x30\x5f\x31\x34\0\x4c\x42\x42\
\x30\x5f\x31\x37\0\x4c\x42\x42\x30\x5f\x32\x31\0\x4c\x42\x42\x30\x5f\x32\x32\0\
\x4c\x42\x42\x30\x5f\x39\0\x62\x70\x66\x5f\x74\x65\x73\x74\x63\x62\0\x67\x6c\
\x6f\x62\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\
\x63\x6b\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x39\0\0\0\0\0\x03\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\x03\0\xe8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x03\0\x20\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\0\0\x03\0\xf8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x57\0\0\0\0\0\x03\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\0\0\x03\0\
\x98\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\0\0\x03\0\x98\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\
\0\0\x03\0\x78\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\0\0\x03\0\x80\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\0\0\x03\0\xd0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x8f\0\0\0\0\0\x03\0\x60\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\xa1\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xa8\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\
\x16\0\0\0\0\0\0\xb7\x01\0\0\0\x24\0\0\x63\x1a\xc0\xff\0\0\0\0\xb7\x03\0\0\x01\
\0\0\0\x63\x3a\xbc\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x61\x11\x60\0\0\0\0\0\x61\
\x61\x60\0\0\0\0\0\xbf\x69\0\0\0\0\0\0\x61\x98\xa4\0\0\0\0\0\x63\x89\xa4\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x79\x11\xb8\0\0\0\0\0\x15\x01\x01\0\0\0\0\0\x61\x11\
\x04\0\0\0\0\0\xbf\x69\0\0\0\0\0\0\x79\x99\xb8\0\0\0\0\0\x15\x09\x01\0\0\0\0\0\
\x61\x99\x04\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x79\x12\xb8\0\0\0\0\0\x15\x02\x01\0\
\0\0\0\0\x61\x22\x04\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x6f\x13\0\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x24\0\0\0\0\0\0\x4f\x34\0\0\0\0\0\0\x63\x42\0\
\0\0\0\0\0\x18\x07\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x65\x01\x0e\0\x04\0\0\0\
\x15\x01\x5b\0\x03\0\0\0\x15\x01\x01\0\x04\0\0\0\x05\0\x7b\0\0\0\0\0\xbf\x61\0\
\0\0\0\0\0\xb7\x02\0\0\x80\0\0\0\x85\0\0\0\x3b\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x08\x10\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\
\0\0\0\x3b\0\0\0\x63\x08\x14\0\0\0\0\0\x05\0\x70\0\0\0\0\0\x15\x01\x11\0\x05\0\
\0\0\x15\x01\x42\0\x0a\0\0\0\x15\x01\x01\0\x0b\0\0\0\x05\0\x6c\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x3b\0\0\0\xbf\xa4\0\0\0\0\0\0\
\x07\x04\0\0\xbc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\
\0\0\x1b\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x01\x30\0\0\0\0\0\x05\0\x5e\0\0\0\0\0\xb7\x01\0\0\x5f\x34\
\x12\0\x63\x16\xa4\0\0\0\0\0\xb7\x01\0\0\xff\0\0\0\x63\x1a\xb8\xff\0\0\0\0\xbf\
\xa4\0\0\0\0\0\0\x07\x04\0\0\xb8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\
\x29\0\0\0\xb7\x03\0\0\x43\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x61\
\x61\x14\0\0\0\0\0\x55\x01\x12\0\x0a\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xc4\
\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x1c\0\0\0\
\xb7\x05\0\0\x3c\0\0\0\x85\0\0\0\x39\0\0\0\x63\x0a\xb8\xff\0\0\0\0\x67\0\0\0\
\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x07\0\0\0\0\0\x69\xa1\xf8\xff\0\0\0\0\x77\
\x01\0\0\x09\0\0\0\x57\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x12\x34\0\0\0\0\0\x63\x1a\xb8\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xc0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x0a\0\0\
\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x08\0\0\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x79\x61\xb8\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\
\x85\0\0\0\x89\0\0\0\x15\0\x01\0\0\0\0\0\x61\x08\x94\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x81\x3c\0\0\0\0\0\x05\0\x2c\0\0\0\0\0\x61\x61\x08\0\0\
\0\0\0\x55\x01\x2a\0\x07\0\0\0\x61\x61\x04\0\0\0\0\0\x55\x01\x19\0\x0a\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\x28\0\0\0\0\0\x07\x02\0\0\x01\0\0\
\0\x63\x21\x28\0\0\0\0\0\x05\0\x1d\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xc0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x0a\0\0\
\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x08\0\0\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x79\x61\xb8\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\
\x85\0\0\0\x89\0\0\0\x15\0\x01\0\0\0\0\0\x61\x08\x94\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x81\x38\0\0\0\0\0\x05\0\x0f\0\0\0\0\0\x61\x61\x88\0\0\
\0\0\0\x63\x12\x04\0\0\0\0\0\x61\x61\x90\0\0\0\0\0\x63\x12\x08\0\0\0\0\0\x61\
\x61\x98\0\0\0\0\0\x63\x12\x0c\0\0\0\0\0\x79\x61\xa8\0\0\0\0\0\x7b\x12\x18\0\0\
\0\0\0\x79\x61\xb0\0\0\0\0\0\x7b\x12\x20\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x12\x2c\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\x2c\0\0\0\0\0\x63\
\x76\x04\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\xc8\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\
\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xe0\x02\0\0\0\0\0\0\x01\0\0\0\x10\0\0\
\0\x78\x03\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xb8\x03\0\0\0\0\0\0\x01\0\0\0\x10\0\
\0\0\x60\x04\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xd0\x04\0\0\0\0\0\0\x01\0\0\0\x10\
\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xdc\x06\0\0\xdc\x06\0\0\xd5\x0a\0\0\0\0\
\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x29\0\0\x04\xe0\0\0\0\x0e\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\0\0\x20\0\0\0\x11\0\0\0\x03\0\0\0\xa0\0\0\0\x18\0\0\0\x03\
\0\0\0\xc0\0\0\0\x23\0\0\0\x03\0\0\0\xe0\0\0\0\x2d\0\0\0\x06\0\0\0\0\x01\0\0\
\x38\0\0\0\x06\0\0\0\x80\x01\0\0\x42\0\0\0\x03\0\0\0\0\x02\0\0\x4e\0\0\0\x03\0\
\0\0\x20\x02\0\0\x59\0\0\0\x03\0\0\0\x40\x02\0\0\x65\0\0\0\x03\0\0\0\x60\x02\0\
\0\x6e\0\0\0\x03\0\0\0\x80\x02\0\0\x76\0\0\0\x03\0\0\0\xa0\x02\0\0\x8c\0\0\0\
\x03\0\0\0\xc0\x02\0\0\x92\0\0\0\x03\0\0\0\xe0\x02\0\0\x9a\0\0\0\x03\0\0\0\0\
\x03\0\0\xa7\0\0\0\x03\0\0\0\x20\x03\0\0\xaf\0\0\0\x03\0\0\0\x40\x03\0\0\xb7\0\
\0\0\x03\0\0\0\x60\x03\0\0\xbf\0\0\0\x03\0\0\0\x80\x03\0\0\xc9\0\0\0\x03\0\0\0\
\xa0\x03\0\0\xd3\0\0\0\x03\0\0\0\xc0\x03\0\0\xe2\0\0\0\x03\0\0\0\xe0\x03\0\0\
\xf3\0\0\0\x03\0\0\0\0\x04\0\0\xff\0\0\0\x03\0\0\0\x20\x04\0\0\x0b\x01\0\0\x03\
\0\0\0\x40\x04\0\0\x19\x01\0\0\x03\0\0\0\x60\x04\0\0\x21\x01\0\0\x03\0\0\0\x80\
\x04\0\0\x2e\x01\0\0\x03\0\0\0\xa0\x04\0\0\x37\x01\0\0\x03\0\0\0\xc0\x04\0\0\
\x45\x01\0\0\x03\0\0\0\xe0\x04\0\0\x4e\x01\0\0\x03\0\0\0\0\x05\0\0\x59\x01\0\0\
\x03\0\0\0\x20\x05\0\0\x63\x01\0\0\x08\0\0\0\x40\x05\0\0\x72\x01\0\0\x08\0\0\0\
\x80\x05\0\0\0\0\0\0\x0a\0\0\0\xc0\x05\0\0\0\0\0\0\x0c\0\0\0\0\x06\0\0\0\0\0\0\
\x0e\0\0\0\x40\x06\0\0\x7e\x01\0\0\x03\0\0\0\x80\x06\0\0\x86\x01\0\0\x03\0\0\0\
\xa0\x06\0\0\x94\x01\0\0\x08\0\0\0\xc0\x06\0\0\xa1\x01\0\0\0\0\0\x08\x04\0\0\0\
\xa7\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\xb4\
\x01\0\0\x06\0\0\0\0\0\0\0\xb9\x01\0\0\x03\0\0\0\0\0\0\0\xbf\x01\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x07\0\0\0\x04\0\0\0\xc9\x01\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\xdd\x01\0\0\0\0\0\x08\x09\0\0\0\xe3\x01\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xf6\x01\0\0\x0b\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xf9\x01\0\0\
\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x02\
\x02\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x10\0\0\0\x0f\x02\0\0\x01\0\0\0\
\x15\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x19\x02\0\0\x01\0\0\x0c\x0f\0\0\0\
\x24\x02\0\0\x19\0\0\x84\xd8\0\0\0\x2d\x02\0\0\x13\0\0\0\0\0\0\0\xa7\0\0\0\x03\
\0\0\0\x40\x04\0\0\xaf\0\0\0\x03\0\0\0\x60\x04\0\0\xb7\0\0\0\x03\0\0\0\x80\x04\
\0\0\x37\x02\0\0\x03\0\0\0\xa0\x04\0\0\xc9\0\0\0\x1b\0\0\0\xc0\x04\0\0\x44\x02\
\0\0\x03\0\0\0\xe0\x04\0\0\x4e\x02\0\0\x03\0\0\0\0\x05\0\0\x65\0\0\0\x03\0\0\0\
\x20\x05\0\0\x5b\x02\0\0\x03\0\0\0\x40\x05\0\0\x68\x02\0\0\x03\0\0\0\x60\x05\0\
\0\x9a\0\0\0\x03\0\0\0\x80\x05\0\0\x77\x02\0\0\x1b\0\0\0\xa0\x05\0\x01\x80\x02\
\0\0\x1b\0\0\0\xa1\x05\0\x01\x8d\x02\0\0\x1b\0\0\0\xa2\x05\0\x01\x9e\x02\0\0\
\x1b\0\0\0\xa3\x05\0\x01\xae\x02\0\0\x1b\0\0\0\xa4\x05\0\x01\xbd\x02\0\0\x1b\0\
\0\0\xa5\x05\0\x01\xc6\x02\0\0\x1b\0\0\0\xa6\x05\0\x01\xd6\x02\0\0\x1b\0\0\0\
\xa7\x05\0\x01\xde\x02\0\0\x03\0\0\0\xc0\x05\0\0\xee\x02\0\0\x03\0\0\0\xe0\x05\
\0\0\xf7\x02\0\0\x03\0\0\0\0\x06\0\0\x02\x03\0\0\x08\0\0\0\x40\x06\0\0\x0d\x03\
\0\0\x1e\0\0\0\x80\x06\0\0\x16\x03\0\0\x06\0\0\x84\x88\0\0\0\x2b\x03\0\0\x14\0\
\0\0\0\0\0\0\x35\x03\0\0\x1b\0\0\0\xc0\0\0\x06\x43\x03\0\0\x1b\0\0\0\xc6\0\0\
\x01\x56\x03\0\0\x1b\0\0\0\xc7\0\0\x01\x69\x03\0\0\x1c\0\0\0\xc8\0\0\0\x72\x03\
\0\0\x1d\0\0\0\0\x01\0\0\x7f\x03\0\0\x01\0\0\x04\x18\0\0\0\xf6\x01\0\0\x15\0\0\
\0\0\0\0\0\x89\x03\0\0\x03\0\0\x04\x18\0\0\0\x8e\x03\0\0\x16\0\0\0\0\0\0\0\x9a\
\x03\0\0\x1a\0\0\0\x40\0\0\0\xa9\x03\0\0\x03\0\0\0\x80\0\0\0\xba\x03\0\0\x02\0\
\0\x04\x04\0\0\0\xc6\x03\0\0\x17\0\0\0\0\0\0\0\xd0\x03\0\0\x18\0\0\0\x10\0\0\0\
\xd8\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\xe6\x03\0\0\0\0\0\x08\x19\0\0\0\xec\
\x03\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xfb\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\x09\x04\0\0\0\0\0\x08\x17\0\0\0\0\0\0\0\x01\0\0\x04\x01\0\0\0\x0e\x04\0\0\
\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x07\0\0\0\x0d\0\0\0\x16\
\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x1c\x04\0\0\x0e\0\0\x04\x40\0\0\0\x2b\
\x04\0\0\x03\0\0\0\0\0\0\0\x0b\x01\0\0\x03\0\0\0\x20\0\0\0\x21\x01\0\0\x03\0\0\
\0\x40\0\0\0\x37\x01\0\0\x03\0\0\0\x60\0\0\0\x35\x04\0\0\x03\0\0\0\x80\0\0\0\
\x44\x04\0\0\x03\0\0\0\xa0\0\0\0\x63\x01\0\0\x08\0\0\0\xc0\0\0\0\x72\x01\0\0\
\x08\0\0\0\0\x01\0\0\x54\x04\0\0\x03\0\0\0\x40\x01\0\0\x5f\x04\0\0\x03\0\0\0\
\x60\x01\0\0\x70\x04\0\0\x03\0\0\0\x80\x01\0\0\x7d\x04\0\0\x03\0\0\0\xa0\x01\0\
\0\x8b\x04\0\0\x03\0\0\0\xc0\x01\0\0\x9f\x04\0\0\x03\0\0\0\xe0\x01\0\0\xb3\x04\
\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\xba\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x21\0\0\0\x07\0\0\0\x04\0\0\0\xbf\x04\0\0\0\0\0\x0e\
\x22\0\0\0\x01\0\0\0\xc8\x04\0\0\0\0\0\x07\0\0\0\0\xc0\x0a\0\0\x01\0\0\x0f\x40\
\0\0\0\x20\0\0\0\0\0\0\0\x40\0\0\0\xc5\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x23\0\0\0\
\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\0\x6f\x70\
\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\
\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x69\x73\x5f\x66\x75\x6c\x6c\x73\
\x6f\x63\x6b\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\0\x73\x72\x74\x74\x5f\x75\x73\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\x63\x62\x5f\x66\x6c\x61\
\x67\x73\0\x73\x74\x61\x74\x65\0\x72\x74\x74\x5f\x6d\x69\x6e\0\x73\x6e\x64\x5f\
\x73\x73\x74\x68\x72\x65\x73\x68\0\x72\x63\x76\x5f\x6e\x78\x74\0\x73\x6e\x64\
\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x75\x6e\x61\0\x6d\x73\x73\x5f\x63\x61\x63\
\x68\x65\0\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\0\x72\x61\x74\x65\x5f\x64\x65\
\x6c\x69\x76\x65\x72\x65\x64\0\x72\x61\x74\x65\x5f\x69\x6e\x74\x65\x72\x76\x61\
\x6c\x5f\x75\x73\0\x70\x61\x63\x6b\x65\x74\x73\x5f\x6f\x75\x74\0\x72\x65\x74\
\x72\x61\x6e\x73\x5f\x6f\x75\x74\0\x74\x6f\x74\x61\x6c\x5f\x72\x65\x74\x72\x61\
\x6e\x73\0\x73\x65\x67\x73\x5f\x69\x6e\0\x64\x61\x74\x61\x5f\x73\x65\x67\x73\
\x5f\x69\x6e\0\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x64\x61\x74\x61\x5f\x73\x65\
\x67\x73\x5f\x6f\x75\x74\0\x6c\x6f\x73\x74\x5f\x6f\x75\x74\0\x73\x61\x63\x6b\
\x65\x64\x5f\x6f\x75\x74\0\x73\x6b\x5f\x74\x78\x68\x61\x73\x68\0\x62\x79\x74\
\x65\x73\x5f\x72\x65\x63\x65\x69\x76\x65\x64\0\x62\x79\x74\x65\x73\x5f\x61\x63\
\x6b\x65\x64\0\x73\x6b\x62\x5f\x6c\x65\x6e\0\x73\x6b\x62\x5f\x74\x63\x70\x5f\
\x66\x6c\x61\x67\x73\0\x73\x6b\x62\x5f\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x61\x72\
\x67\x73\0\x72\x65\x70\x6c\x79\0\x72\x65\x70\x6c\x79\x6c\x6f\x6e\x67\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x73\x6b\0\x73\x6b\x62\x5f\x64\x61\x74\x61\0\x73\x6b\x62\x5f\x64\x61\
\x74\x61\x5f\x65\x6e\x64\0\x73\x6b\x6f\x70\x73\0\x69\x6e\x74\0\x62\x70\x66\x5f\
\x74\x65\x73\x74\x63\x62\0\x74\x63\x70\x5f\x73\x6f\x63\x6b\0\x69\x6e\x65\x74\
\x5f\x63\x6f\x6e\x6e\0\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\0\x64\
\x65\x6c\x69\x76\x65\x72\x65\x64\0\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\
\x65\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\x5f\x63\x6e\x74\0\x73\x6e\x64\x5f\x63\
\x77\x6e\x64\x5f\x63\x6c\x61\x6d\x70\0\x73\x79\x6e\x5f\x64\x61\x74\x61\0\x73\
\x79\x6e\x5f\x66\x61\x73\x74\x6f\x70\x65\x6e\0\x73\x79\x6e\x5f\x66\x61\x73\x74\
\x6f\x70\x65\x6e\x5f\x65\x78\x70\0\x73\x79\x6e\x5f\x66\x61\x73\x74\x6f\x70\x65\
\x6e\x5f\x63\x68\0\x73\x79\x6e\x5f\x64\x61\x74\x61\x5f\x61\x63\x6b\x65\x64\0\
\x73\x61\x76\x65\x5f\x73\x79\x6e\0\x69\x73\x5f\x63\x77\x6e\x64\x5f\x6c\x69\x6d\
\x69\x74\x65\x64\0\x73\x79\x6e\x5f\x73\x6d\x63\0\x6d\x61\x78\x5f\x70\x61\x63\
\x6b\x65\x74\x73\x5f\x6f\x75\x74\0\x6c\x73\x6e\x64\x74\x69\x6d\x65\0\x70\x72\
\x69\x6f\x72\x5f\x63\x77\x6e\x64\0\x74\x63\x70\x5f\x6d\x73\x74\x61\x6d\x70\0\
\x69\x73\x5f\x6d\x70\x74\x63\x70\0\x69\x6e\x65\x74\x5f\x63\x6f\x6e\x6e\x65\x63\
\x74\x69\x6f\x6e\x5f\x73\x6f\x63\x6b\0\x69\x63\x73\x6b\x5f\x69\x6e\x65\x74\0\
\x69\x63\x73\x6b\x5f\x63\x61\x5f\x73\x74\x61\x74\x65\0\x69\x63\x73\x6b\x5f\x63\
\x61\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x69\x63\x73\x6b\x5f\x63\x61\
\x5f\x64\x73\x74\x5f\x6c\x6f\x63\x6b\x65\x64\0\x69\x63\x73\x6b\x5f\x61\x63\x6b\
\0\x69\x63\x73\x6b\x5f\x63\x61\x5f\x70\x72\x69\x76\0\x69\x6e\x65\x74\x5f\x73\
\x6f\x63\x6b\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\
\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\x65\0\x73\x6b\x5f\x70\x61\
\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x73\x6f\x63\x6b\x5f\x63\x6f\x6d\
\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\0\x73\x6b\x63\x5f\x6e\x75\
\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x31\
\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x38\0\x70\x65\x6e\x64\
\x69\x6e\x67\0\x5f\x42\x6f\x6f\x6c\0\x74\x63\x70\x62\x70\x66\x5f\x67\x6c\x6f\
\x62\x61\x6c\x73\0\x65\x76\x65\x6e\x74\x5f\x6d\x61\x70\0\x62\x61\x64\x5f\x63\
\x62\x5f\x74\x65\x73\x74\x5f\x72\x76\0\x67\x6f\x6f\x64\x5f\x63\x62\x5f\x74\x65\
\x73\x74\x5f\x72\x76\0\x6e\x75\x6d\x5f\x6c\x69\x73\x74\x65\x6e\0\x6e\x75\x6d\
\x5f\x63\x6c\x6f\x73\x65\x5f\x65\x76\x65\x6e\x74\x73\0\x74\x63\x70\x5f\x73\x61\
\x76\x65\x5f\x73\x79\x6e\0\x74\x63\x70\x5f\x73\x61\x76\x65\x64\x5f\x73\x79\x6e\
\0\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x5f\x63\x6c\x69\x65\x6e\x74\
\0\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x5f\x73\x65\x72\x76\x65\x72\
\0\x67\x6c\x6f\x62\x61\x6c\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\
\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\
\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\
\x63\x70\x62\x70\x66\x5f\x6b\x65\x72\x6e\x2e\x63\0\x69\x6e\x74\x20\x62\x70\x66\
\x5f\x74\x65\x73\x74\x63\x62\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x20\x2a\x73\x6b\x6f\x70\x73\x29\0\x09\x69\x6e\
\x74\x20\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x20\x3d\x20\x39\x32\
\x31\x36\x3b\0\x09\x69\x6e\x74\x20\x73\x61\x76\x65\x5f\x73\x79\x6e\x20\x3d\x20\
\x31\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x09\
\x6f\x70\x20\x3d\x20\x28\x69\x6e\x74\x29\x20\x73\x6b\x6f\x70\x73\x2d\x3e\x6f\
\x70\x3b\0\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x65\x76\x65\x6e\x74\x5f\x6d\x61\x70\
\x20\x7c\x3d\x20\x28\x31\x20\x3c\x3c\x20\x6f\x70\x29\x3b\0\x09\x73\x77\x69\x74\
\x63\x68\x20\x28\x6f\x70\x29\x20\x7b\0\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x62\
\x61\x64\x5f\x63\x62\x5f\x74\x65\x73\x74\x5f\x72\x76\x20\x3d\x20\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\x63\x62\x5f\x66\x6c\x61\x67\x73\x5f\
\x73\x65\x74\x28\x73\x6b\x6f\x70\x73\x2c\x20\x30\x78\x38\x30\x29\x3b\0\x09\x09\
\x67\x6c\x6f\x62\x61\x6c\x2e\x67\x6f\x6f\x64\x5f\x63\x62\x5f\x74\x65\x73\x74\
\x5f\x72\x76\x20\x3d\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\
\x63\x62\x5f\x66\x6c\x61\x67\x73\x5f\x73\x65\x74\x28\x73\x6b\x6f\x70\x73\x2c\0\
\x09\x09\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\x63\x62\x5f\x66\
\x6c\x61\x67\x73\x5f\x73\x65\x74\x28\x73\x6b\x6f\x70\x73\x2c\x20\x42\x50\x46\
\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\x5f\x53\x54\x41\x54\x45\x5f\x43\x42\x5f\
\x46\x4c\x41\x47\x29\x3b\0\x09\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x73\x65\x74\
\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\x6f\x70\x73\x2c\x20\x49\x50\x50\x52\
\x4f\x54\x4f\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x53\x41\x56\x45\x5f\x53\
\x59\x4e\x2c\0\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x74\x63\x70\x5f\x73\x61\x76\
\x65\x5f\x73\x79\x6e\x20\x3d\x20\x76\x3b\0\x09\x09\x73\x6b\x6f\x70\x73\x2d\x3e\
\x73\x6b\x5f\x74\x78\x68\x61\x73\x68\x20\x3d\x20\x30\x78\x31\x32\x33\x34\x35\
\x66\x3b\0\x09\x09\x76\x20\x3d\x20\x30\x78\x66\x66\x3b\0\x09\x09\x72\x76\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\
\x6f\x70\x73\x2c\x20\x53\x4f\x4c\x5f\x49\x50\x56\x36\x2c\x20\x49\x50\x56\x36\
\x5f\x54\x43\x4c\x41\x53\x53\x2c\x20\x26\x76\x2c\0\x09\x09\x69\x66\x20\x28\x73\
\x6b\x6f\x70\x73\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x3d\x3d\x20\x41\x46\x5f\
\x49\x4e\x45\x54\x36\x29\x20\x7b\0\x09\x09\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\
\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\x6f\x70\x73\x2c\x20\x49\
\x50\x50\x52\x4f\x54\x4f\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x53\x41\x56\
\x45\x44\x5f\x53\x59\x4e\x2c\0\x09\x09\x09\x69\x66\x20\x28\x21\x76\x29\x20\x7b\
\0\x09\x09\x09\x09\x76\x20\x3d\x20\x74\x68\x64\x72\x2d\x3e\x73\x79\x6e\x3b\0\
\x09\x09\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x74\x63\x70\x5f\x73\x61\x76\x65\
\x64\x5f\x73\x79\x6e\x20\x3d\x20\x76\x3b\0\x09\x09\x72\x76\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x6b\x6f\x70\x73\x2c\
\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x57\x49\x4e\x44\x4f\
\x57\x5f\x43\x4c\x41\x4d\x50\x2c\0\x09\x73\x6b\x20\x3d\x20\x73\x6b\x6f\x70\x73\
\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x74\x70\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x6b\x63\x5f\x74\x6f\x5f\x74\x63\x70\x5f\x73\x6f\
\x63\x6b\x28\x73\x6b\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x70\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x74\x70\x2d\x3e\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\
\x61\x6d\x70\x3b\0\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x77\x69\x6e\x64\x6f\x77\
\x5f\x63\x6c\x61\x6d\x70\x5f\x73\x65\x72\x76\x65\x72\x20\x3d\x20\x67\x65\x74\
\x5f\x74\x70\x5f\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x28\x73\x6b\
\x6f\x70\x73\x29\x3b\0\x09\x09\x69\x66\x20\x28\x73\x6b\x6f\x70\x73\x2d\x3e\x61\
\x72\x67\x73\x5b\x31\x5d\x20\x3d\x3d\x20\x42\x50\x46\x5f\x54\x43\x50\x5f\x43\
\x4c\x4f\x53\x45\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x73\x6b\x6f\x70\x73\
\x2d\x3e\x61\x72\x67\x73\x5b\x30\x5d\x20\x3d\x3d\x20\x42\x50\x46\x5f\x54\x43\
\x50\x5f\x4c\x49\x53\x54\x45\x4e\x29\x20\x7b\0\x09\x09\x09\x09\x67\x6c\x6f\x62\
\x61\x6c\x2e\x6e\x75\x6d\x5f\x6c\x69\x73\x74\x65\x6e\x2b\x2b\x3b\0\x09\x09\x67\
\x6c\x6f\x62\x61\x6c\x2e\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x5f\
\x63\x6c\x69\x65\x6e\x74\x20\x3d\x20\x67\x65\x74\x5f\x74\x70\x5f\x77\x69\x6e\
\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\x28\x73\x6b\x6f\x70\x73\x29\x3b\0\x09\x09\
\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x74\x6f\x74\x61\x6c\x5f\x72\x65\x74\x72\
\x61\x6e\x73\x20\x3d\x20\x73\x6b\x6f\x70\x73\x2d\x3e\x74\x6f\x74\x61\x6c\x5f\
\x72\x65\x74\x72\x61\x6e\x73\x3b\0\x09\x09\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\
\x64\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x69\x6e\x20\x3d\x20\x73\x6b\x6f\x70\
\x73\x2d\x3e\x64\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x69\x6e\x3b\0\x09\x09\x09\
\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x64\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x6f\
\x75\x74\x20\x3d\x20\x73\x6b\x6f\x70\x73\x2d\x3e\x64\x61\x74\x61\x5f\x73\x65\
\x67\x73\x5f\x6f\x75\x74\x3b\0\x09\x09\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x62\
\x79\x74\x65\x73\x5f\x72\x65\x63\x65\x69\x76\x65\x64\x20\x3d\x20\x73\x6b\x6f\
\x70\x73\x2d\x3e\x62\x79\x74\x65\x73\x5f\x72\x65\x63\x65\x69\x76\x65\x64\x3b\0\
\x09\x09\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x62\x79\x74\x65\x73\x5f\x61\x63\
\x6b\x65\x64\x20\x3d\x20\x73\x6b\x6f\x70\x73\x2d\x3e\x62\x79\x74\x65\x73\x5f\
\x61\x63\x6b\x65\x64\x3b\0\x09\x09\x09\x67\x6c\x6f\x62\x61\x6c\x2e\x6e\x75\x6d\
\x5f\x63\x6c\x6f\x73\x65\x5f\x65\x76\x65\x6e\x74\x73\x2b\x2b\x3b\0\x09\x73\x6b\
\x6f\x70\x73\x2d\x3e\x72\x65\x70\x6c\x79\x20\x3d\x20\x72\x76\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x31\x3b\0\x30\x3a\x34\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x73\x6f\x63\x6b\x6f\x70\x73\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\x04\0\0\x40\x04\0\0\x2c\0\0\0\x08\0\0\0\
\xcd\x0a\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\x10\0\0\0\xcd\x0a\0\0\x42\0\0\0\0\0\0\
\0\xd1\x04\0\0\x5a\x05\0\0\0\xac\0\0\x10\0\0\0\xd1\x04\0\0\x85\x05\0\0\x06\xc0\
\0\0\x20\0\0\0\xd1\x04\0\0\x9f\x05\0\0\x06\xc4\0\0\x28\0\0\0\xd1\x04\0\0\xb2\
\x05\0\0\x02\xdc\0\0\x38\0\0\0\xd1\x04\0\0\xb2\x05\0\0\x02\xf0\0\0\x40\0\0\0\
\xd1\x04\0\0\xb2\x05\0\0\x02\x08\x01\0\x58\0\0\0\xd1\x04\0\0\xb2\x05\0\0\x02\
\x24\x01\0\x78\0\0\0\xd1\x04\0\0\xb2\x05\0\0\x02\x40\x01\0\x98\0\0\0\xd1\x04\0\
\0\xb2\x05\0\0\x02\x5c\x01\0\xb8\0\0\0\xd1\x04\0\0\xc2\x05\0\0\x14\x78\x01\0\
\xc0\0\0\0\xd1\x04\0\0\xd9\x05\0\0\x19\x80\x01\0\xc8\0\0\0\xd1\x04\0\0\xd9\x05\
\0\0\x13\x80\x01\0\0\x01\0\0\xd1\x04\0\0\xf9\x05\0\0\x02\x88\x01\0\x20\x01\0\0\
\xd1\x04\0\0\x08\x06\0\0\x1b\xa8\x01\0\x38\x01\0\0\xd1\x04\0\0\x08\x06\0\0\x19\
\xa8\x01\0\x50\x01\0\0\xd1\x04\0\0\x4a\x06\0\0\x1c\xb0\x01\0\x68\x01\0\0\xd1\
\x04\0\0\x4a\x06\0\0\x1a\xb0\x01\0\x78\x01\0\0\xd1\x04\0\0\xf9\x05\0\0\x02\x88\
\x01\0\x98\x01\0\0\xd1\x04\0\0\x86\x06\0\0\x03\x64\x02\0\xc0\x01\0\0\xd1\x04\0\
\0\xc6\x06\0\0\x07\x68\x02\0\xe8\x01\0\0\xd1\x04\0\0\xfd\x06\0\0\x17\x74\x02\0\
\x10\x02\0\0\xd1\x04\0\0\x18\x07\0\0\x14\xc0\x01\0\x20\x02\0\0\xd1\x04\0\0\x37\
\x07\0\0\x05\xc4\x01\0\x30\x02\0\0\xd1\x04\0\0\x18\x07\0\0\x14\xc0\x01\0\x38\
\x02\0\0\xd1\x04\0\0\x43\x07\0\0\x08\xc8\x01\0\x60\x02\0\0\xd1\x04\0\0\x7b\x07\
\0\0\x0e\xd0\x01\0\x68\x02\0\0\xd1\x04\0\0\x7b\x07\0\0\x07\xd0\x01\0\x78\x02\0\
\0\xd1\x04\0\0\x9e\x07\0\0\x08\xd4\x01\0\xa8\x02\0\0\xd1\x04\0\0\x9e\x07\0\0\
\x06\xd4\x01\0\xb0\x02\0\0\xd1\x04\0\0\x9e\x07\0\0\x08\xd4\x01\0\xc0\x02\0\0\
\xd1\x04\0\0\xd7\x07\0\0\x08\xe0\x01\0\xc8\x02\0\0\xd1\x04\0\0\xe4\x07\0\0\x0f\
\xf0\x01\0\xe0\x02\0\0\xd1\x04\0\0\xf7\x07\0\0\x1a\xf8\x01\0\xf8\x02\0\0\xd1\
\x04\0\0\xe4\x07\0\0\x07\xf0\x01\0\x08\x03\0\0\xd1\x04\0\0\x15\x08\0\0\x08\x04\
\x02\0\x50\x03\0\0\xd1\x04\0\0\x4d\x08\0\0\x0e\x84\0\0\x58\x03\0\0\xd1\x04\0\0\
\x5e\x08\0\0\x06\x88\0\0\x60\x03\0\0\xd1\x04\0\0\x68\x08\0\0\x07\x90\0\0\x68\
\x03\0\0\xd1\x04\0\0\x87\x08\0\0\x06\x94\0\0\x70\x03\0\0\xd1\x04\0\0\x91\x08\0\
\0\x0d\x9c\0\0\x78\x03\0\0\xd1\x04\0\0\xab\x08\0\0\x1e\x10\x02\0\x98\x03\0\0\
\xd1\x04\0\0\xe6\x08\0\0\x07\x2c\x02\0\xa0\x03\0\0\xd1\x04\0\0\xe6\x08\0\0\x07\
\x2c\x02\0\xa8\x03\0\0\xd1\x04\0\0\x0f\x09\0\0\x08\x30\x02\0\xb0\x03\0\0\xd1\
\x04\0\0\x0f\x09\0\0\x08\x30\x02\0\xb8\x03\0\0\xd1\x04\0\0\x3a\x09\0\0\x16\x34\
\x02\0\xf0\x03\0\0\xd1\x04\0\0\x15\x08\0\0\x08\x90\x01\0\x38\x04\0\0\xd1\x04\0\
\0\x4d\x08\0\0\x0e\x84\0\0\x40\x04\0\0\xd1\x04\0\0\x5e\x08\0\0\x06\x88\0\0\x48\
\x04\0\0\xd1\x04\0\0\x68\x08\0\0\x07\x90\0\0\x50\x04\0\0\xd1\x04\0\0\x87\x08\0\
\0\x06\x94\0\0\x58\x04\0\0\xd1\x04\0\0\x91\x08\0\0\x0d\x9c\0\0\x60\x04\0\0\xd1\
\x04\0\0\x53\x09\0\0\x1e\x98\x01\0\x80\x04\0\0\xd1\x04\0\0\x8e\x09\0\0\x23\x3c\
\x02\0\x88\x04\0\0\xd1\x04\0\0\x8e\x09\0\0\x1a\x3c\x02\0\x90\x04\0\0\xd1\x04\0\
\0\xbf\x09\0\0\x22\x40\x02\0\x98\x04\0\0\xd1\x04\0\0\xbf\x09\0\0\x19\x40\x02\0\
\xa0\x04\0\0\xd1\x04\0\0\xee\x09\0\0\x23\x44\x02\0\xa8\x04\0\0\xd1\x04\0\0\xee\
\x09\0\0\x1a\x44\x02\0\xb0\x04\0\0\xd1\x04\0\0\x1f\x0a\0\0\x24\x48\x02\0\xb8\
\x04\0\0\xd1\x04\0\0\x1f\x0a\0\0\x1b\x48\x02\0\xc0\x04\0\0\xd1\x04\0\0\x52\x0a\
\0\0\x21\x4c\x02\0\xc8\x04\0\0\xd1\x04\0\0\x52\x0a\0\0\x18\x4c\x02\0\xd0\x04\0\
\0\xd1\x04\0\0\x7f\x0a\0\0\x1b\x54\x02\0\xf8\x04\0\0\xd1\x04\0\0\x9d\x0a\0\0\
\x0f\x88\x02\0\0\x05\0\0\xd1\x04\0\0\xb1\x0a\0\0\x02\x8c\x02\0\x10\0\0\0\xcd\
\x0a\0\0\x02\0\0\0\x70\x03\0\0\x12\0\0\0\xbc\x0a\0\0\0\0\0\0\x58\x04\0\0\x12\0\
\0\0\xbc\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xcb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x08\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd0\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x07\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xbd\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x08\0\0\0\
\0\0\0\xc9\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x1a\0\0\0\0\0\0\x8c\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_tcpbpf_kern *test_tcpbpf_kern::open(const struct bpf_object_open_opts *opts) { return test_tcpbpf_kern__open_opts(opts); }
struct test_tcpbpf_kern *test_tcpbpf_kern::open_and_load() { return test_tcpbpf_kern__open_and_load(); }
int test_tcpbpf_kern::load(struct test_tcpbpf_kern *skel) { return test_tcpbpf_kern__load(skel); }
int test_tcpbpf_kern::attach(struct test_tcpbpf_kern *skel) { return test_tcpbpf_kern__attach(skel); }
void test_tcpbpf_kern::detach(struct test_tcpbpf_kern *skel) { test_tcpbpf_kern__detach(skel); }
void test_tcpbpf_kern::destroy(struct test_tcpbpf_kern *skel) { test_tcpbpf_kern__destroy(skel); }
const void *test_tcpbpf_kern::elf_bytes(size_t *sz) { return test_tcpbpf_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_tcpbpf_kern__assert(struct test_tcpbpf_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->global) == 64, "unexpected size of 'global'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TCPBPF_KERN_SKEL_H__ */
