/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_ATTACH_PROBE_MANUAL_SKEL_H__
#define __TEST_ATTACH_PROBE_MANUAL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_attach_probe_manual {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_kprobe;
		struct bpf_program *handle_kretprobe;
		struct bpf_program *handle_uprobe;
		struct bpf_program *handle_uprobe_byname;
		struct bpf_program *handle_uretprobe;
	} progs;
	struct {
		struct bpf_link *handle_kprobe;
		struct bpf_link *handle_kretprobe;
		struct bpf_link *handle_uprobe;
		struct bpf_link *handle_uprobe_byname;
		struct bpf_link *handle_uretprobe;
	} links;
	struct test_attach_probe_manual__bss {
		int kprobe_res;
		int kretprobe_res;
		int uprobe_res;
		int uretprobe_res;
		int uprobe_byname_res;
		char __pad0[4];
		void *user_ptr;
	} *bss;

#ifdef __cplusplus
	static inline struct test_attach_probe_manual *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_attach_probe_manual *open_and_load();
	static inline int load(struct test_attach_probe_manual *skel);
	static inline int attach(struct test_attach_probe_manual *skel);
	static inline void detach(struct test_attach_probe_manual *skel);
	static inline void destroy(struct test_attach_probe_manual *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_attach_probe_manual__destroy(struct test_attach_probe_manual *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_attach_probe_manual__create_skeleton(struct test_attach_probe_manual *obj);

static inline struct test_attach_probe_manual *
test_attach_probe_manual__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_attach_probe_manual *obj;
	int err;

	obj = (struct test_attach_probe_manual *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_attach_probe_manual__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_attach_probe_manual__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_attach_probe_manual *
test_attach_probe_manual__open(void)
{
	return test_attach_probe_manual__open_opts(NULL);
}

static inline int
test_attach_probe_manual__load(struct test_attach_probe_manual *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_attach_probe_manual *
test_attach_probe_manual__open_and_load(void)
{
	struct test_attach_probe_manual *obj;
	int err;

	obj = test_attach_probe_manual__open();
	if (!obj)
		return NULL;
	err = test_attach_probe_manual__load(obj);
	if (err) {
		test_attach_probe_manual__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_attach_probe_manual__attach(struct test_attach_probe_manual *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_attach_probe_manual__detach(struct test_attach_probe_manual *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_attach_probe_manual__elf_bytes(size_t *sz);

static inline int
test_attach_probe_manual__create_skeleton(struct test_attach_probe_manual *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_attach_probe_manual";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_att.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_kprobe";
	s->progs[0].prog = &obj->progs.handle_kprobe;
	s->progs[0].link = &obj->links.handle_kprobe;

	s->progs[1].name = "handle_kretprobe";
	s->progs[1].prog = &obj->progs.handle_kretprobe;
	s->progs[1].link = &obj->links.handle_kretprobe;

	s->progs[2].name = "handle_uprobe";
	s->progs[2].prog = &obj->progs.handle_uprobe;
	s->progs[2].link = &obj->links.handle_uprobe;

	s->progs[3].name = "handle_uprobe_byname";
	s->progs[3].prog = &obj->progs.handle_uprobe_byname;
	s->progs[3].link = &obj->links.handle_uprobe_byname;

	s->progs[4].name = "handle_uretprobe";
	s->progs[4].prog = &obj->progs.handle_uretprobe;
	s->progs[4].link = &obj->links.handle_uretprobe;

	s->data = test_attach_probe_manual__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_attach_probe_manual__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\
\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\
\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\
\x65\x5f\x6d\x61\x6e\x75\x61\x6c\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\
\x72\x6f\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\
\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\
\x73\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x6b\x72\x65\x74\x70\x72\
\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x69\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x74\0\0\0\x12\0\x04\0\
\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x85\0\0\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x93\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xa1\0\0\
\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xac\0\0\0\x12\0\x06\0\0\0\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\xbd\0\0\0\x11\0\x07\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xcb\0\0\0\x12\0\x05\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xe0\0\0\0\
\x11\0\x07\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf2\0\0\0\x11\0\x07\0\x18\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\xfb\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x63\x21\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb4\x02\0\0\x02\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x03\0\0\0\x63\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x05\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x04\0\0\0\x63\x21\0\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0b\
\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa4\x02\0\0\xa4\x02\0\0\x5b\x02\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\
\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\0\0\0\x15\0\0\0\x03\0\
\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\0\0\x01\0\0\x1c\0\0\0\x03\0\0\0\x40\x01\0\0\
\x1f\0\0\0\x03\0\0\0\x80\x01\0\0\x23\0\0\0\x03\0\0\0\xc0\x01\0\0\x27\0\0\0\x03\
\0\0\0\0\x02\0\0\x2a\0\0\0\x03\0\0\0\x40\x02\0\0\x2d\0\0\0\x03\0\0\0\x80\x02\0\
\0\x30\0\0\0\x03\0\0\0\xc0\x02\0\0\x33\0\0\0\x03\0\0\0\0\x03\0\0\x36\0\0\0\x03\
\0\0\0\x40\x03\0\0\x39\0\0\0\x03\0\0\0\x80\x03\0\0\x3c\0\0\0\x03\0\0\0\xc0\x03\
\0\0\x44\0\0\0\x03\0\0\0\0\x04\0\0\x47\0\0\0\x03\0\0\0\x40\x04\0\0\x4a\0\0\0\
\x03\0\0\0\x80\x04\0\0\x50\0\0\0\x03\0\0\0\xc0\x04\0\0\x53\0\0\0\x03\0\0\0\0\
\x05\0\0\x56\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\
\x64\0\0\0\x01\0\0\0\x68\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x6c\0\0\0\x01\0\
\0\x0c\x04\0\0\0\x7a\0\0\0\x01\0\0\x0c\x04\0\0\0\x8b\0\0\0\x01\0\0\x0c\x04\0\0\
\0\x99\0\0\0\x01\0\0\x0c\x04\0\0\0\xaa\0\0\0\x01\0\0\x0c\x04\0\0\0\xbf\0\0\0\0\
\0\0\x0e\x05\0\0\0\x01\0\0\0\xca\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xd8\0\0\0\
\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xe3\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\xf1\0\0\
\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x03\x01\0\0\0\0\0\
\x0e\x10\0\0\0\x01\0\0\0\x0c\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x12\0\0\0\x14\0\0\0\x04\0\0\0\x11\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\x25\x01\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\x2c\x02\0\0\x06\0\0\x0f\
\x20\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\0\x0d\0\0\0\
\x08\0\0\0\x04\0\0\0\x0e\0\0\0\x0c\0\0\0\x04\0\0\0\x0f\0\0\0\x10\0\0\0\x04\0\0\
\0\x11\0\0\0\x18\0\0\0\x08\0\0\0\x31\x02\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\
\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x72\x31\x35\0\x72\x31\x34\0\
\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\x72\x31\x31\0\x72\x31\x30\0\
\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\x73\x69\0\x64\x69\0\x6f\x72\
\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\x61\x67\x73\0\x73\x70\0\x73\
\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\
\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x75\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x75\x73\x65\x72\x5f\x70\
\x74\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\
\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\x65\x5f\
\x6d\x61\x6e\x75\x61\x6c\x2e\x63\0\x09\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\
\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x32\x3b\0\x09\x75\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x33\x3b\0\x09\x75\x70\x72\x6f\x62\
\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\x20\x3d\x20\x35\x3b\0\x09\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x34\x3b\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\0\0\0\xc4\0\0\0\
\x10\x01\0\0\0\0\0\0\x08\0\0\0\x39\x02\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x40\x02\
\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x4a\x02\0\0\x02\0\0\0\0\0\0\0\x08\0\0\0\x30\0\
\0\0\x0a\0\0\0\x51\x02\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\x39\x02\0\0\
\x02\0\0\0\0\0\0\0\x2e\x01\0\0\xbf\x01\0\0\x0d\x50\0\0\x20\0\0\0\x2e\x01\0\0\
\xd0\x01\0\0\x02\x54\0\0\x40\x02\0\0\x02\0\0\0\0\0\0\0\x2e\x01\0\0\xdb\x01\0\0\
\x10\x6c\0\0\x20\0\0\0\x2e\x01\0\0\xd0\x01\0\0\x02\x70\0\0\x4a\x02\0\0\x04\0\0\
\0\0\0\0\0\x2e\x01\0\0\xef\x01\0\0\x0d\x88\0\0\x20\0\0\0\x2e\x01\0\0\xd0\x01\0\
\0\x02\x8c\0\0\x30\0\0\0\x2e\x01\0\0\0\x02\0\0\x14\xc0\0\0\x50\0\0\0\x2e\x01\0\
\0\xd0\x01\0\0\x02\xc4\0\0\x51\x02\0\0\x02\0\0\0\0\0\0\0\x2e\x01\0\0\x18\x02\0\
\0\x10\xa4\0\0\x20\0\0\0\x2e\x01\0\0\xd0\x01\0\0\x02\xa8\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x44\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\
\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x04\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0f\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1d\x01\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x28\x01\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x36\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x17\x05\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x98\x09\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_attach_probe_manual *test_attach_probe_manual::open(const struct bpf_object_open_opts *opts) { return test_attach_probe_manual__open_opts(opts); }
struct test_attach_probe_manual *test_attach_probe_manual::open_and_load() { return test_attach_probe_manual__open_and_load(); }
int test_attach_probe_manual::load(struct test_attach_probe_manual *skel) { return test_attach_probe_manual__load(skel); }
int test_attach_probe_manual::attach(struct test_attach_probe_manual *skel) { return test_attach_probe_manual__attach(skel); }
void test_attach_probe_manual::detach(struct test_attach_probe_manual *skel) { test_attach_probe_manual__detach(skel); }
void test_attach_probe_manual::destroy(struct test_attach_probe_manual *skel) { test_attach_probe_manual__destroy(skel); }
const void *test_attach_probe_manual::elf_bytes(size_t *sz) { return test_attach_probe_manual__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_attach_probe_manual__assert(struct test_attach_probe_manual *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->kprobe_res) == 4, "unexpected size of 'kprobe_res'");
	_Static_assert(sizeof(s->bss->kretprobe_res) == 4, "unexpected size of 'kretprobe_res'");
	_Static_assert(sizeof(s->bss->uprobe_res) == 4, "unexpected size of 'uprobe_res'");
	_Static_assert(sizeof(s->bss->uretprobe_res) == 4, "unexpected size of 'uretprobe_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname_res) == 4, "unexpected size of 'uprobe_byname_res'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ATTACH_PROBE_MANUAL_SKEL_H__ */
