/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PARSE_TCP_HDR_OPT_SKEL_H__
#define __TEST_PARSE_TCP_HDR_OPT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_parse_tcp_hdr_opt {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xdp_ingress_v6;
	} progs;
	struct {
		struct bpf_link *xdp_ingress_v6;
	} links;
	struct test_parse_tcp_hdr_opt__rodata {
		__u32 tcp_hdr_opt_kind_tpr;
		__u32 tcp_hdr_opt_len_tpr;
		__u32 tcp_hdr_opt_max_opt_checks;
	} *rodata;
	struct test_parse_tcp_hdr_opt__bss {
		__u32 server_id;
	} *bss;

#ifdef __cplusplus
	static inline struct test_parse_tcp_hdr_opt *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_parse_tcp_hdr_opt *open_and_load();
	static inline int load(struct test_parse_tcp_hdr_opt *skel);
	static inline int attach(struct test_parse_tcp_hdr_opt *skel);
	static inline void detach(struct test_parse_tcp_hdr_opt *skel);
	static inline void destroy(struct test_parse_tcp_hdr_opt *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_parse_tcp_hdr_opt__destroy(struct test_parse_tcp_hdr_opt *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_parse_tcp_hdr_opt__create_skeleton(struct test_parse_tcp_hdr_opt *obj);

static inline struct test_parse_tcp_hdr_opt *
test_parse_tcp_hdr_opt__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_parse_tcp_hdr_opt *obj;
	int err;

	obj = (struct test_parse_tcp_hdr_opt *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_parse_tcp_hdr_opt__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_parse_tcp_hdr_opt__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_parse_tcp_hdr_opt *
test_parse_tcp_hdr_opt__open(void)
{
	return test_parse_tcp_hdr_opt__open_opts(NULL);
}

static inline int
test_parse_tcp_hdr_opt__load(struct test_parse_tcp_hdr_opt *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_parse_tcp_hdr_opt *
test_parse_tcp_hdr_opt__open_and_load(void)
{
	struct test_parse_tcp_hdr_opt *obj;
	int err;

	obj = test_parse_tcp_hdr_opt__open();
	if (!obj)
		return NULL;
	err = test_parse_tcp_hdr_opt__load(obj);
	if (err) {
		test_parse_tcp_hdr_opt__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_parse_tcp_hdr_opt__attach(struct test_parse_tcp_hdr_opt *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_parse_tcp_hdr_opt__detach(struct test_parse_tcp_hdr_opt *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_parse_tcp_hdr_opt__elf_bytes(size_t *sz);

static inline int
test_parse_tcp_hdr_opt__create_skeleton(struct test_parse_tcp_hdr_opt *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_parse_tcp_hdr_opt";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_par.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "test_par.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_ingress_v6";
	s->progs[0].prog = &obj->progs.xdp_ingress_v6;
	s->progs[0].link = &obj->links.xdp_ingress_v6;

	s->data = test_parse_tcp_hdr_opt__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_parse_tcp_hdr_opt__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\
\x73\0\x74\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\x64\x72\
\x5f\x6f\x70\x74\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x38\0\x4c\x42\x42\x30\x5f\
\x33\0\x4c\x42\x42\x30\x5f\x31\x34\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\
\x5f\x31\x33\0\x4c\x42\x42\x30\x5f\x31\x36\0\x78\x64\x70\x5f\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x76\x36\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\
\x6e\x64\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\
\x65\x6e\x5f\x74\x70\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\
\x61\x78\x5f\x6f\x70\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x2e\x72\x65\x6c\x78\x64\
\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\0\0\
\x03\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x52\0\0\0\0\0\x03\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\
\0\0\0\0\x03\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\0\0\x03\0\x90\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\0\0\x03\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x71\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x80\0\0\0\x11\
\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8a\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x93\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xa8\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbc\0\0\0\x11\0\x05\
\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x63\x2a\xf8\xff\0\
\0\0\0\x61\x12\x04\0\0\0\0\0\x61\x10\0\0\0\0\0\0\xbf\x03\0\0\0\0\0\0\x07\x03\0\
\0\x4a\0\0\0\x2d\x23\x36\0\0\0\0\0\x69\x01\x42\0\0\0\0\0\x74\x01\0\0\x02\0\0\0\
\x54\x01\0\0\x3c\0\0\0\x04\x01\0\0\xec\xff\xff\xff\xa6\x01\x31\0\x06\0\0\0\xb4\
\x04\0\0\x4a\0\0\0\xb4\x06\0\0\x0e\0\0\0\x05\0\x06\0\0\0\0\0\xbc\x13\0\0\0\0\0\
\0\x54\x03\0\0\xff\0\0\0\x16\x03\x2b\0\0\0\0\0\xbc\x56\0\0\0\0\0\0\x04\x06\0\0\
\xff\xff\xff\xff\x16\x05\x28\0\0\0\0\0\xbc\x65\0\0\0\0\0\0\xbf\x47\0\0\0\0\0\0\
\x57\x07\0\0\xff\0\0\0\xbf\x06\0\0\0\0\0\0\x0f\x76\0\0\0\0\0\0\xbf\x68\0\0\0\0\
\0\0\x07\x08\0\0\x01\0\0\0\x2d\x28\x20\0\0\0\0\0\x71\x67\0\0\0\0\0\0\x16\x07\
\x10\0\x01\0\0\0\x16\x07\x1d\0\0\0\0\0\xbc\x19\0\0\0\0\0\0\x54\x09\0\0\xff\0\0\
\0\xa6\x09\x1a\0\x02\0\0\0\xbf\x69\0\0\0\0\0\0\x07\x09\0\0\x02\0\0\0\x2d\x29\
\x17\0\0\0\0\0\x71\x88\0\0\0\0\0\0\xbc\x13\0\0\0\0\0\0\x54\x03\0\0\xff\0\0\0\
\xae\x83\x13\0\0\0\0\0\x56\x07\x07\0\xfd\0\0\0\x56\x08\x11\0\x06\0\0\0\x07\x06\
\0\0\x06\0\0\0\x2d\x26\x0f\0\0\0\0\0\x05\0\x07\0\0\0\0\0\x04\x04\0\0\x01\0\0\0\
\x04\x01\0\0\xff\xff\xff\xff\x05\0\xdd\xff\0\0\0\0\x1c\x81\0\0\0\0\0\0\x0c\x48\
\0\0\0\0\0\0\xbc\x84\0\0\0\0\0\0\x05\0\xd9\xff\0\0\0\0\x61\x91\0\0\0\0\0\0\x16\
\x01\x05\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\
\x01\0\0\x02\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\xfd\0\0\0\x06\0\0\0\x0f\0\0\0\xc0\x01\0\0\0\0\0\0\x01\0\0\
\0\x0a\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa0\x01\0\0\xa0\x01\0\0\xe4\x04\0\
\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x06\0\0\x04\x18\0\0\0\x08\0\0\0\x03\0\
\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\x03\0\0\0\x40\0\0\0\x20\0\
\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\
\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\
\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\x78\0\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x7d\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\x91\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x0a\x03\0\0\0\x9a\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xaf\0\0\0\0\0\0\x0e\
\x0c\0\0\0\x01\0\0\0\xc3\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xde\0\0\0\0\0\0\
\x0e\x03\0\0\0\x01\0\0\0\xcf\x04\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\0\0\0\0\
\x04\0\0\0\xd7\x04\0\0\x03\0\0\x0f\x0c\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0e\0\
\0\0\x04\0\0\0\x04\0\0\0\x0f\0\0\0\x08\0\0\0\x04\0\0\0\xdf\x04\0\0\x01\0\0\x0f\
\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\
\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\
\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\0\x78\x64\x70\x5f\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x76\x36\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\x5f\x74\x70\
\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x5f\x74\x70\
\x72\0\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6d\x61\x78\x5f\x6f\x70\
\x74\x5f\x63\x68\x65\x63\x6b\x73\0\x73\x65\x72\x76\x65\x72\x5f\x69\x64\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\
\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x61\x72\x73\x65\x5f\x74\x63\x70\x5f\x68\
\x64\x72\x5f\x6f\x70\x74\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x76\x36\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\
\x6d\x64\x20\x2a\x78\x64\x70\x29\0\x09\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\
\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\
\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x65\
\x6e\x64\x3b\0\x09\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\
\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\
\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x69\x66\x20\x28\x74\x63\x70\x5f\x68\
\x64\x72\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\
\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\x20\x3d\x20\x28\
\x74\x63\x70\x5f\x68\x64\x72\x2d\x3e\x64\x6f\x66\x66\x20\x2a\x20\x34\x29\x20\
\x2d\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\
\x68\x64\x72\x29\x3b\0\x09\x69\x66\x20\x28\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\
\x70\x74\x5f\x6c\x65\x6e\x20\x3c\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\
\x74\x5f\x6c\x65\x6e\x5f\x74\x70\x72\x29\0\x09\x09\x69\x66\x20\x28\x65\x72\x72\
\x20\x7c\x7c\x20\x21\x6f\x70\x74\x5f\x73\x74\x61\x74\x65\x2e\x68\x64\x72\x5f\
\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\x09\x74\x63\
\x70\x5f\x6f\x70\x74\x20\x3d\x20\x28\x5f\x5f\x75\x38\x20\x2a\x29\x28\x64\x61\
\x74\x61\x20\x2b\x20\x73\x74\x61\x74\x65\x2d\x3e\x62\x79\x74\x65\x5f\x6f\x66\
\x66\x73\x65\x74\x29\x3b\0\x09\x69\x66\x20\x28\x74\x63\x70\x5f\x6f\x70\x74\x20\
\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x6b\x69\x6e\
\x64\x20\x3d\x20\x74\x63\x70\x5f\x6f\x70\x74\x5b\x30\x5d\x3b\0\x09\x69\x66\x20\
\x28\x6b\x69\x6e\x64\x20\x3d\x3d\x20\x54\x43\x50\x4f\x50\x54\x5f\x45\x4f\x4c\
\x29\0\x09\x69\x66\x20\x28\x73\x74\x61\x74\x65\x2d\x3e\x68\x64\x72\x5f\x62\x79\
\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x3c\x20\x32\x20\x7c\
\x7c\0\x09\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3d\x20\x74\x63\x70\x5f\x6f\x70\x74\
\x5b\x31\x5d\x3b\0\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\x20\x3e\x20\
\x73\x74\x61\x74\x65\x2d\x3e\x68\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\
\x6d\x61\x69\x6e\x69\x6e\x67\x29\0\x09\x69\x66\x20\x28\x6b\x69\x6e\x64\x20\x3d\
\x3d\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6b\x69\x6e\x64\x5f\
\x74\x70\x72\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x68\x64\x72\x5f\x6c\x65\x6e\
\x20\x21\x3d\x20\x74\x63\x70\x5f\x68\x64\x72\x5f\x6f\x70\x74\x5f\x6c\x65\x6e\
\x5f\x74\x70\x72\x29\0\x09\x09\x73\x74\x61\x74\x65\x2d\x3e\x62\x79\x74\x65\x5f\
\x6f\x66\x66\x73\x65\x74\x2b\x2b\x3b\0\x09\x09\x73\x74\x61\x74\x65\x2d\x3e\x68\
\x64\x72\x5f\x62\x79\x74\x65\x73\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x2d\
\x2d\x3b\0\x09\x73\x74\x61\x74\x65\x2d\x3e\x68\x64\x72\x5f\x62\x79\x74\x65\x73\
\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\x20\x2d\x3d\x20\x68\x64\x72\x5f\x6c\
\x65\x6e\x3b\0\x09\x73\x74\x61\x74\x65\x2d\x3e\x62\x79\x74\x65\x5f\x6f\x66\x66\
\x73\x65\x74\x20\x2b\x3d\x20\x68\x64\x72\x5f\x6c\x65\x6e\x3b\0\x09\x09\x73\x74\
\x61\x74\x65\x2d\x3e\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x20\x3d\x20\x2a\x28\
\x5f\x5f\x75\x33\x32\x20\x2a\x29\x26\x74\x63\x70\x5f\x6f\x70\x74\x5b\x32\x5d\
\x3b\0\x09\x69\x66\x20\x28\x21\x6f\x70\x74\x5f\x73\x74\x61\x74\x65\x2e\x73\x65\
\x72\x76\x65\x72\x5f\x69\x64\x29\0\x09\x73\x65\x72\x76\x65\x72\x5f\x69\x64\x20\
\x3d\x20\x6f\x70\x74\x5f\x73\x74\x61\x74\x65\x2e\x73\x65\x72\x76\x65\x72\x5f\
\x69\x64\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\
\0\x2e\x62\x73\x73\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\0\xdc\x01\0\0\xf0\x01\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\x07\0\
\0\0\x10\0\0\0\x61\0\0\0\x1d\0\0\0\0\0\0\0\xe8\0\0\0\x77\x01\0\0\0\x48\x01\0\
\x08\0\0\0\xe8\0\0\0\x9e\x01\0\0\x2c\x54\x01\0\x18\0\0\0\xe8\0\0\0\xd3\x01\0\0\
\x28\x50\x01\0\x20\0\0\0\xe8\0\0\0\0\x02\0\0\x0e\x78\x01\0\x30\0\0\0\xe8\0\0\0\
\0\x02\0\0\x06\x78\x01\0\x38\0\0\0\xe8\0\0\0\x1d\x02\0\0\x1e\x84\x01\0\x50\0\0\
\0\xe8\0\0\0\x1d\x02\0\0\x28\x84\x01\0\x58\0\0\0\xe8\0\0\0\x5d\x02\0\0\x06\x88\
\x01\0\x88\0\0\0\xe8\0\0\0\x89\x02\0\0\x0b\xb0\x01\0\xc0\0\0\0\xe8\0\0\0\xb6\
\x02\0\0\x1a\xa8\0\0\xd0\0\0\0\xe8\0\0\0\xe6\x02\0\0\x0e\xac\0\0\xe0\0\0\0\xe8\
\0\0\0\xe6\x02\0\0\x06\xac\0\0\xe8\0\0\0\xe8\0\0\0\x03\x03\0\0\x09\xb8\0\0\xf0\
\0\0\0\xe8\0\0\0\x17\x03\0\0\x06\xc0\0\0\0\x01\0\0\xe8\0\0\0\x30\x03\0\0\x21\
\xe4\0\0\x10\x01\0\0\xe8\0\0\0\x30\x03\0\0\x25\xe4\0\0\x30\x01\0\0\xe8\0\0\0\
\x57\x03\0\0\x0c\xf4\0\0\x38\x01\0\0\xe8\0\0\0\x6e\x03\0\0\x0e\xf8\0\0\x48\x01\
\0\0\xe8\0\0\0\x6e\x03\0\0\x06\xf8\0\0\x50\x01\0\0\xe8\0\0\0\x99\x03\0\0\x06\
\x04\x01\0\x58\x01\0\0\xe8\0\0\0\xbe\x03\0\0\x07\x08\x01\0\x78\x01\0\0\xe8\0\0\
\0\xe4\x03\0\0\x15\xd4\0\0\x80\x01\0\0\xe8\0\0\0\xfc\x03\0\0\x1d\xd0\0\0\x90\
\x01\0\0\xe8\0\0\0\x1c\x04\0\0\x1d\x30\x01\0\x98\x01\0\0\xe8\0\0\0\x44\x04\0\0\
\x15\x34\x01\0\xb0\x01\0\0\xe8\0\0\0\x64\x04\0\0\x16\x20\x01\0\xb8\x01\0\0\xe8\
\0\0\0\x90\x04\0\0\x06\xc0\x01\0\xc0\x01\0\0\xe8\0\0\0\xab\x04\0\0\x0c\xcc\x01\
\0\xe8\x01\0\0\xe8\0\0\0\xcd\x04\0\0\x01\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xed\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\
\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\xf8\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\x04\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa0\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xdf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\
\0\0\0\0\0\0\x9c\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0b\0\0\0\0\0\0\
\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_parse_tcp_hdr_opt *test_parse_tcp_hdr_opt::open(const struct bpf_object_open_opts *opts) { return test_parse_tcp_hdr_opt__open_opts(opts); }
struct test_parse_tcp_hdr_opt *test_parse_tcp_hdr_opt::open_and_load() { return test_parse_tcp_hdr_opt__open_and_load(); }
int test_parse_tcp_hdr_opt::load(struct test_parse_tcp_hdr_opt *skel) { return test_parse_tcp_hdr_opt__load(skel); }
int test_parse_tcp_hdr_opt::attach(struct test_parse_tcp_hdr_opt *skel) { return test_parse_tcp_hdr_opt__attach(skel); }
void test_parse_tcp_hdr_opt::detach(struct test_parse_tcp_hdr_opt *skel) { test_parse_tcp_hdr_opt__detach(skel); }
void test_parse_tcp_hdr_opt::destroy(struct test_parse_tcp_hdr_opt *skel) { test_parse_tcp_hdr_opt__destroy(skel); }
const void *test_parse_tcp_hdr_opt::elf_bytes(size_t *sz) { return test_parse_tcp_hdr_opt__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_parse_tcp_hdr_opt__assert(struct test_parse_tcp_hdr_opt *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_kind_tpr) == 4, "unexpected size of 'tcp_hdr_opt_kind_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_len_tpr) == 4, "unexpected size of 'tcp_hdr_opt_len_tpr'");
	_Static_assert(sizeof(s->rodata->tcp_hdr_opt_max_opt_checks) == 4, "unexpected size of 'tcp_hdr_opt_max_opt_checks'");
	_Static_assert(sizeof(s->bss->server_id) == 4, "unexpected size of 'server_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PARSE_TCP_HDR_OPT_SKEL_H__ */
