/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PTR_UNTRUSTED_SKEL_H__
#define __TEST_PTR_UNTRUSTED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ptr_untrusted {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *lsm_run;
		struct bpf_program *raw_tp_run;
	} progs;
	struct {
		struct bpf_link *lsm_run;
		struct bpf_link *raw_tp_run;
	} links;
	struct test_ptr_untrusted__bss {
		char tp_name[128];
	} *bss;

#ifdef __cplusplus
	static inline struct test_ptr_untrusted *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_ptr_untrusted *open_and_load();
	static inline int load(struct test_ptr_untrusted *skel);
	static inline int attach(struct test_ptr_untrusted *skel);
	static inline void detach(struct test_ptr_untrusted *skel);
	static inline void destroy(struct test_ptr_untrusted *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_ptr_untrusted__destroy(struct test_ptr_untrusted *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ptr_untrusted__create_skeleton(struct test_ptr_untrusted *obj);

static inline struct test_ptr_untrusted *
test_ptr_untrusted__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ptr_untrusted *obj;
	int err;

	obj = (struct test_ptr_untrusted *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ptr_untrusted__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ptr_untrusted__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ptr_untrusted *
test_ptr_untrusted__open(void)
{
	return test_ptr_untrusted__open_opts(NULL);
}

static inline int
test_ptr_untrusted__load(struct test_ptr_untrusted *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ptr_untrusted *
test_ptr_untrusted__open_and_load(void)
{
	struct test_ptr_untrusted *obj;
	int err;

	obj = test_ptr_untrusted__open();
	if (!obj)
		return NULL;
	err = test_ptr_untrusted__load(obj);
	if (err) {
		test_ptr_untrusted__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ptr_untrusted__attach(struct test_ptr_untrusted *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ptr_untrusted__detach(struct test_ptr_untrusted *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_ptr_untrusted__elf_bytes(size_t *sz);

static inline int
test_ptr_untrusted__create_skeleton(struct test_ptr_untrusted *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_ptr_untrusted";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_ptr.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "lsm_run";
	s->progs[0].prog = &obj->progs.lsm_run;
	s->progs[0].link = &obj->links.lsm_run;

	s->progs[1].name = "raw_tp_run";
	s->progs[1].prog = &obj->progs.raw_tp_run;
	s->progs[1].link = &obj->links.raw_tp_run;

	s->data = test_ptr_untrusted__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_ptr_untrusted__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2f\x62\x70\x66\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x70\x74\
\x72\x5f\x75\x6e\x74\x72\x75\x73\x74\x65\x64\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\
\0\x6c\x73\x6d\x5f\x72\x75\x6e\0\x74\x70\x5f\x6e\x61\x6d\x65\0\x72\x61\x77\x5f\
\x74\x70\x5f\x72\x75\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x6c\x73\x6d\x2f\x62\x70\x66\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4a\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x59\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x61\
\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6c\0\0\0\x11\0\x05\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x56\x02\x06\0\x11\0\0\0\x79\
\x11\x08\0\0\0\0\0\x79\x13\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x7f\0\0\0\x85\0\0\0\x72\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\
\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x54\x0c\0\0\x54\x0c\0\0\xf0\x07\
\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\
\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x24\0\0\0\x13\0\0\x05\x90\0\0\0\0\0\0\
\0\x07\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\x2d\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\x33\
\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x38\0\0\0\x1b\0\0\0\0\0\0\0\
\x3d\0\0\0\x1c\0\0\0\0\0\0\0\x43\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\0\0\
\0\0\x52\0\0\0\x20\0\0\0\0\0\0\0\x60\0\0\0\x21\0\0\0\0\0\0\0\x6c\0\0\0\x2b\0\0\
\0\0\0\0\0\x78\0\0\0\x2e\0\0\0\0\0\0\0\x84\0\0\0\x2f\0\0\0\0\0\0\0\x91\0\0\0\
\x30\0\0\0\0\0\0\0\x9d\0\0\0\x31\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\x04\x48\0\0\0\
\xab\0\0\0\x08\0\0\0\0\0\0\0\xb4\0\0\0\x08\0\0\0\x20\0\0\0\xbd\0\0\0\x08\0\0\0\
\x40\0\0\0\xc8\0\0\0\x08\0\0\0\x60\0\0\0\xd4\0\0\0\x08\0\0\0\x80\0\0\0\xde\0\0\
\0\x08\0\0\0\xa0\0\0\0\xeb\0\0\0\x08\0\0\0\xc0\0\0\0\xf5\0\0\0\x0b\0\0\0\xe0\0\
\0\0\xfe\0\0\0\x08\0\0\0\x60\x01\0\0\x0a\x01\0\0\x08\0\0\0\x80\x01\0\0\x11\x01\
\0\0\x08\0\0\0\xa0\x01\0\0\x21\x01\0\0\x08\0\0\0\xc0\x01\0\0\x33\x01\0\0\x08\0\
\0\0\xe0\x01\0\0\x4d\x01\0\0\x0d\0\0\0\0\x02\0\0\x57\x01\0\0\0\0\0\x08\x09\0\0\
\0\x5d\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x6a\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x10\0\0\0\x6f\x01\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x83\x01\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\x04\0\
\0\x04\x20\0\0\0\x89\x01\0\0\x08\0\0\0\0\0\0\0\x90\x01\0\0\x0d\0\0\0\x40\0\0\0\
\0\0\0\0\x0f\0\0\0\x80\0\0\0\x94\x01\0\0\x0d\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\
\x05\x08\0\0\0\x9a\x01\0\0\x0d\0\0\0\0\0\0\0\xa0\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\x04\x38\0\0\0\xa9\x01\0\0\x0d\0\0\0\0\0\0\0\xb2\x01\0\0\x0d\0\0\0\
\x40\0\0\0\xbc\x01\0\0\x0d\0\0\0\x80\0\0\0\xc1\x01\0\0\x0d\0\0\0\xc0\0\0\0\xc8\
\x01\0\0\x08\0\0\0\0\x01\0\0\x89\x01\0\0\x08\0\0\0\x20\x01\0\0\xce\x01\0\0\x0d\
\0\0\0\x40\x01\0\0\x94\x01\0\0\x0d\0\0\0\x80\x01\0\0\0\0\0\0\x1a\0\0\x04\x90\0\
\0\0\xd9\x01\0\0\x08\0\0\0\0\0\0\0\xe3\x01\0\0\x08\0\0\0\x20\0\0\0\xec\x01\0\0\
\x0d\0\0\0\x40\0\0\0\xf2\x01\0\0\x0d\0\0\0\x80\0\0\0\xfa\x01\0\0\x08\0\0\0\xc0\
\0\0\0\x04\x02\0\0\x08\0\0\0\xe0\0\0\0\x0d\x02\0\0\x0d\0\0\0\0\x01\0\0\x15\x02\
\0\0\x08\0\0\0\x40\x01\0\0\x22\x02\0\0\x08\0\0\0\x60\x01\0\0\x2d\x02\0\0\x0b\0\
\0\0\x80\x01\0\0\x37\x02\0\0\x08\0\0\0\0\x02\0\0\x44\x02\0\0\x08\0\0\0\x20\x02\
\0\0\x59\x02\0\0\x08\0\0\0\x40\x02\0\0\x65\x02\0\0\x08\0\0\0\x60\x02\0\0\x78\
\x02\0\0\x0d\0\0\0\x80\x02\0\0\x82\x02\0\0\x08\0\0\0\xc0\x02\0\0\x90\x02\0\0\
\x08\0\0\0\xe0\x02\0\0\xa3\x02\0\0\x0d\0\0\0\0\x03\0\0\xad\x02\0\0\x08\0\0\0\
\x40\x03\0\0\xbb\x02\0\0\x08\0\0\0\x60\x03\0\0\0\0\0\0\x12\0\0\0\x80\x03\0\0\
\xc9\x02\0\0\x08\0\0\0\xa0\x03\0\0\xd7\x02\0\0\x0d\0\0\0\xc0\x03\0\0\xe0\x02\0\
\0\x0d\0\0\0\0\x04\0\0\xeb\x02\0\0\x08\0\0\0\x40\x04\0\0\xfe\x02\0\0\x08\0\0\0\
\x60\x04\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x0c\x03\0\0\x08\0\0\0\0\0\0\0\x1b\
\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x2d\x03\0\0\x0d\0\0\0\
\0\0\0\0\x36\x03\0\0\x08\0\0\0\x40\0\0\0\x3d\x03\0\0\x08\0\0\0\x60\0\0\0\x48\
\x03\0\0\x14\0\0\0\x80\0\0\0\x50\x03\0\0\0\0\0\x08\x04\0\0\0\0\0\0\0\x07\0\0\
\x04\x20\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x56\x03\0\0\x08\0\0\0\x20\0\0\0\x64\
\x03\0\0\x08\0\0\0\x40\0\0\0\x70\x03\0\0\x08\0\0\0\x60\0\0\0\x7d\x03\0\0\x08\0\
\0\0\x80\0\0\0\0\0\0\0\x17\0\0\0\xa0\0\0\0\x8c\x03\0\0\x0d\0\0\0\xc0\0\0\0\0\0\
\0\0\x02\0\0\x05\x04\0\0\0\x9e\x03\0\0\x08\0\0\0\0\0\0\0\xa8\x03\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xb7\x03\0\0\x08\0\0\0\0\0\0\0\xc3\x03\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\x04\x50\0\0\0\xcf\x03\0\0\x08\0\0\0\0\0\0\
\0\xd7\x03\0\0\x08\0\0\0\x20\0\0\0\xde\x03\0\0\x08\0\0\0\x40\0\0\0\xeb\x03\0\0\
\x08\0\0\0\x60\0\0\0\xf9\x03\0\0\x0d\0\0\0\x80\0\0\0\x01\x04\0\0\x0d\0\0\0\xc0\
\0\0\0\x0a\x04\0\0\x08\0\0\0\0\x01\0\0\x11\x04\0\0\x08\0\0\0\x20\x01\0\0\x1a\
\x04\0\0\x08\0\0\0\x40\x01\0\0\x26\x04\0\0\x08\0\0\0\x60\x01\0\0\x33\x04\0\0\
\x0d\0\0\0\x80\x01\0\0\x3a\x04\0\0\x0d\0\0\0\xc0\x01\0\0\x94\x01\0\0\x08\0\0\0\
\0\x02\0\0\x42\x04\0\0\x08\0\0\0\x20\x02\0\0\x46\x04\0\0\x08\0\0\0\x40\x02\0\0\
\0\0\0\0\x03\0\0\x04\x0c\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\x51\x04\0\0\x08\0\0\0\
\x20\0\0\0\x59\x04\0\0\x08\0\0\0\x40\0\0\0\0\0\0\0\x05\0\0\x05\x04\0\0\0\x64\
\x04\0\0\x08\0\0\0\0\0\0\0\x6d\x04\0\0\x08\0\0\0\0\0\0\0\x75\x04\0\0\x08\0\0\0\
\0\0\0\0\x7c\x04\0\0\x08\0\0\0\0\0\0\0\x83\x04\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x04\x10\0\0\0\x36\x03\0\0\x08\0\0\0\0\0\0\0\x8b\x04\0\0\x08\0\0\0\x20\
\0\0\0\x38\0\0\0\x0d\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\x04\x40\0\0\0\0\0\0\0\x16\
\0\0\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x20\0\0\0\x94\x04\0\0\x08\0\0\0\x40\0\0\0\
\x70\x03\0\0\x08\0\0\0\x60\0\0\0\xa0\x04\0\0\x0d\0\0\0\x80\0\0\0\0\0\0\0\x1d\0\
\0\0\xc0\0\0\0\xa9\x04\0\0\x0d\0\0\0\0\x01\0\0\xbb\x04\0\0\x0d\0\0\0\x40\x01\0\
\0\xc4\x04\0\0\x0d\0\0\0\x80\x01\0\0\xd6\x04\0\0\x0d\0\0\0\xc0\x01\0\0\0\0\0\0\
\x02\0\0\x05\x04\0\0\0\xdf\x04\0\0\x08\0\0\0\0\0\0\0\xc8\x01\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\xe8\x04\0\0\x0d\0\0\0\0\0\0\0\xcf\x03\0\0\
\x08\0\0\0\x40\0\0\0\0\0\0\0\x06\0\0\x04\x20\0\0\0\xed\x04\0\0\x0d\0\0\0\0\0\0\
\0\xf1\x04\0\0\x0d\0\0\0\x40\0\0\0\xfd\x04\0\0\x08\0\0\0\x80\0\0\0\x06\x05\0\0\
\x08\0\0\0\xa0\0\0\0\x13\x05\0\0\x08\0\0\0\xc0\0\0\0\x21\x05\0\0\x08\0\0\0\xe0\
\0\0\0\0\0\0\0\x09\0\0\x04\x30\0\0\0\x33\x05\0\0\x08\0\0\0\0\0\0\0\x37\x05\0\0\
\x08\0\0\0\x20\0\0\0\x94\x01\0\0\x08\0\0\0\x40\0\0\0\x3a\x05\0\0\x08\0\0\0\x60\
\0\0\0\x42\x05\0\0\x0d\0\0\0\x80\0\0\0\x6d\x04\0\0\x08\0\0\0\xc0\0\0\0\x46\x05\
\0\0\x08\0\0\0\xe0\0\0\0\x4e\x05\0\0\x0d\0\0\0\0\x01\0\0\x5b\x05\0\0\x0d\0\0\0\
\x40\x01\0\0\0\0\0\0\x05\0\0\x04\x40\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\
\x16\0\0\0\x20\0\0\0\x64\x03\0\0\x08\0\0\0\x40\0\0\0\x94\x01\0\0\x08\0\0\0\x60\
\0\0\0\0\0\0\0\x23\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xcf\x03\0\0\
\x08\0\0\0\0\0\0\0\x89\x01\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\x05\x30\0\0\0\
\x66\x05\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x74\x05\0\0\x25\0\0\0\
\0\0\0\0\x7f\x05\0\0\x26\0\0\0\0\0\0\0\x8c\x05\0\0\x27\0\0\0\0\0\0\0\x94\x05\0\
\0\x28\0\0\0\0\0\0\0\x9e\x05\0\0\x29\0\0\0\0\0\0\0\xa2\x05\0\0\x2a\0\0\0\0\0\0\
\0\xaf\x05\0\0\x29\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\xb6\x05\0\0\x0d\
\0\0\0\0\0\0\0\xc0\x05\0\0\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\
\xce\x05\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x94\x01\0\0\x08\0\
\0\0\0\0\0\0\xd9\x05\0\0\x08\0\0\0\x20\0\0\0\xdd\x05\0\0\x0d\0\0\0\x40\0\0\0\
\xe2\x05\0\0\x0d\0\0\0\x80\0\0\0\xe8\x05\0\0\x0d\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\
\0\x04\x10\0\0\0\x66\x05\0\0\x08\0\0\0\0\0\0\0\xf0\x05\0\0\x0d\0\0\0\x40\0\0\0\
\0\0\0\0\x04\0\0\x04\x10\0\0\0\xf7\x05\0\0\x08\0\0\0\0\0\0\0\xfa\x05\0\0\x08\0\
\0\0\x20\0\0\0\x02\x06\0\0\x14\0\0\0\x40\0\0\0\x94\x01\0\0\x08\0\0\0\x60\0\0\0\
\0\0\0\0\x02\0\0\x04\x10\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x8c\x03\0\0\x0d\0\0\0\
\x40\0\0\0\0\0\0\0\x07\0\0\x04\x30\0\0\0\x0b\x06\0\0\x0d\0\0\0\0\0\0\0\x10\x06\
\0\0\x0d\0\0\0\x40\0\0\0\x18\x06\0\0\x0d\0\0\0\x80\0\0\0\xe8\x05\0\0\x0d\0\0\0\
\xc0\0\0\0\xd9\x05\0\0\x08\0\0\0\0\x01\0\0\x94\x01\0\0\x08\0\0\0\x20\x01\0\0\
\x33\x05\0\0\x08\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\x04\x10\0\0\0\x28\x06\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x20\0\0\0\x94\x01\0\0\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x2d\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x30\x06\0\0\x08\0\0\
\0\0\0\0\0\x3c\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x47\x06\
\0\0\x08\0\0\0\0\0\0\0\x53\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\
\0\0\x28\x06\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x5e\x06\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x08\0\0\0\x28\x06\0\0\x08\0\0\0\0\0\0\0\
\x94\x01\0\0\x08\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x0c\0\0\0\xcf\x03\0\0\x08\
\0\0\0\0\0\0\0\x89\x01\0\0\x08\0\0\0\x20\0\0\0\x94\x01\0\0\x08\0\0\0\x40\0\0\0\
\x63\x06\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\
\0\x04\0\0\0\x6e\x06\0\0\0\0\0\x0e\x33\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x0a\0\0\0\x0c\0\0\0\x80\0\0\0\x77\x06\0\0\0\0\0\x0e\x35\0\0\0\x01\0\0\0\xf2\
\x01\0\0\x01\0\0\x0f\x04\0\0\0\x34\0\0\0\0\0\0\0\x04\0\0\0\xe3\x07\0\0\x01\0\0\
\x0f\x80\0\0\0\x36\0\0\0\0\0\0\0\x80\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x6c\x73\
\x6d\x5f\x72\x75\x6e\0\x62\x70\x66\x5f\x61\x74\x74\x72\0\x62\x61\x74\x63\x68\0\
\x74\x65\x73\x74\0\x69\x6e\x66\x6f\0\x71\x75\x65\x72\x79\0\x72\x61\x77\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x74\x61\x73\x6b\x5f\x66\x64\x5f\x71\x75\
\x65\x72\x79\0\x6c\x69\x6e\x6b\x5f\x63\x72\x65\x61\x74\x65\0\x6c\x69\x6e\x6b\
\x5f\x75\x70\x64\x61\x74\x65\0\x6c\x69\x6e\x6b\x5f\x64\x65\x74\x61\x63\x68\0\
\x65\x6e\x61\x62\x6c\x65\x5f\x73\x74\x61\x74\x73\0\x69\x74\x65\x72\x5f\x63\x72\
\x65\x61\x74\x65\0\x70\x72\x6f\x67\x5f\x62\x69\x6e\x64\x5f\x6d\x61\x70\0\x6d\
\x61\x70\x5f\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\
\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\
\x66\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x6d\x61\x70\x5f\x6e\x61\x6d\
\x65\0\x6d\x61\x70\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x62\x74\x66\x5f\x66\x64\0\
\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\
\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\
\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\
\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x36\x34\0\
\x6d\x61\x70\x5f\x66\x64\0\x6b\x65\x79\0\x66\x6c\x61\x67\x73\0\x76\x61\x6c\x75\
\x65\0\x6e\x65\x78\x74\x5f\x6b\x65\x79\0\x69\x6e\x5f\x62\x61\x74\x63\x68\0\x6f\
\x75\x74\x5f\x62\x61\x74\x63\x68\0\x6b\x65\x79\x73\0\x76\x61\x6c\x75\x65\x73\0\
\x63\x6f\x75\x6e\x74\0\x65\x6c\x65\x6d\x5f\x66\x6c\x61\x67\x73\0\x70\x72\x6f\
\x67\x5f\x74\x79\x70\x65\0\x69\x6e\x73\x6e\x5f\x63\x6e\x74\0\x69\x6e\x73\x6e\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\0\x6c\
\x6f\x67\x5f\x73\x69\x7a\x65\0\x6c\x6f\x67\x5f\x62\x75\x66\0\x6b\x65\x72\x6e\
\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\0\
\x70\x72\x6f\x67\x5f\x6e\x61\x6d\x65\0\x70\x72\x6f\x67\x5f\x69\x66\x69\x6e\x64\
\x65\x78\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x61\x74\x74\x61\x63\x68\x5f\x74\
\x79\x70\x65\0\x70\x72\x6f\x67\x5f\x62\x74\x66\x5f\x66\x64\0\x66\x75\x6e\x63\
\x5f\x69\x6e\x66\x6f\x5f\x72\x65\x63\x5f\x73\x69\x7a\x65\0\x66\x75\x6e\x63\x5f\
\x69\x6e\x66\x6f\0\x66\x75\x6e\x63\x5f\x69\x6e\x66\x6f\x5f\x63\x6e\x74\0\x6c\
\x69\x6e\x65\x5f\x69\x6e\x66\x6f\x5f\x72\x65\x63\x5f\x73\x69\x7a\x65\0\x6c\x69\
\x6e\x65\x5f\x69\x6e\x66\x6f\0\x6c\x69\x6e\x65\x5f\x69\x6e\x66\x6f\x5f\x63\x6e\
\x74\0\x61\x74\x74\x61\x63\x68\x5f\x62\x74\x66\x5f\x69\x64\0\x63\x6f\x72\x65\
\x5f\x72\x65\x6c\x6f\x5f\x63\x6e\x74\0\x66\x64\x5f\x61\x72\x72\x61\x79\0\x63\
\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x73\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x5f\
\x72\x65\x63\x5f\x73\x69\x7a\x65\0\x6c\x6f\x67\x5f\x74\x72\x75\x65\x5f\x73\x69\
\x7a\x65\0\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x67\x5f\x66\x64\0\x61\x74\
\x74\x61\x63\x68\x5f\x62\x74\x66\x5f\x6f\x62\x6a\x5f\x66\x64\0\x70\x61\x74\x68\
\x6e\x61\x6d\x65\0\x62\x70\x66\x5f\x66\x64\0\x66\x69\x6c\x65\x5f\x66\x6c\x61\
\x67\x73\0\x70\x61\x74\x68\x5f\x66\x64\0\x5f\x5f\x73\x33\x32\0\x61\x74\x74\x61\
\x63\x68\x5f\x62\x70\x66\x5f\x66\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\
\x65\0\x61\x74\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\x72\x65\x70\x6c\x61\
\x63\x65\x5f\x62\x70\x66\x5f\x66\x64\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x72\
\x65\x76\x69\x73\x69\x6f\x6e\0\x74\x61\x72\x67\x65\x74\x5f\x66\x64\0\x74\x61\
\x72\x67\x65\x74\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x65\x6c\x61\x74\x69\x76\
\x65\x5f\x66\x64\0\x72\x65\x6c\x61\x74\x69\x76\x65\x5f\x69\x64\0\x70\x72\x6f\
\x67\x5f\x66\x64\0\x72\x65\x74\x76\x61\x6c\0\x64\x61\x74\x61\x5f\x73\x69\x7a\
\x65\x5f\x69\x6e\0\x64\x61\x74\x61\x5f\x73\x69\x7a\x65\x5f\x6f\x75\x74\0\x64\
\x61\x74\x61\x5f\x69\x6e\0\x64\x61\x74\x61\x5f\x6f\x75\x74\0\x72\x65\x70\x65\
\x61\x74\0\x64\x75\x72\x61\x74\x69\x6f\x6e\0\x63\x74\x78\x5f\x73\x69\x7a\x65\
\x5f\x69\x6e\0\x63\x74\x78\x5f\x73\x69\x7a\x65\x5f\x6f\x75\x74\0\x63\x74\x78\
\x5f\x69\x6e\0\x63\x74\x78\x5f\x6f\x75\x74\0\x63\x70\x75\0\x62\x61\x74\x63\x68\
\x5f\x73\x69\x7a\x65\0\x6e\x65\x78\x74\x5f\x69\x64\0\x6f\x70\x65\x6e\x5f\x66\
\x6c\x61\x67\x73\0\x73\x74\x61\x72\x74\x5f\x69\x64\0\x70\x72\x6f\x67\x5f\x69\
\x64\0\x6d\x61\x70\x5f\x69\x64\0\x62\x74\x66\x5f\x69\x64\0\x6c\x69\x6e\x6b\x5f\
\x69\x64\0\x69\x6e\x66\x6f\x5f\x6c\x65\x6e\0\x71\x75\x65\x72\x79\x5f\x66\x6c\
\x61\x67\x73\0\x70\x72\x6f\x67\x5f\x69\x64\x73\0\x70\x72\x6f\x67\x5f\x61\x74\
\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\x6c\x69\x6e\x6b\x5f\x69\x64\x73\0\
\x6c\x69\x6e\x6b\x5f\x61\x74\x74\x61\x63\x68\x5f\x66\x6c\x61\x67\x73\0\x72\x65\
\x76\x69\x73\x69\x6f\x6e\0\x70\x72\x6f\x67\x5f\x63\x6e\x74\0\x6e\x61\x6d\x65\0\
\x62\x74\x66\0\x62\x74\x66\x5f\x6c\x6f\x67\x5f\x62\x75\x66\0\x62\x74\x66\x5f\
\x73\x69\x7a\x65\0\x62\x74\x66\x5f\x6c\x6f\x67\x5f\x73\x69\x7a\x65\0\x62\x74\
\x66\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\0\x62\x74\x66\x5f\x6c\x6f\x67\x5f\
\x74\x72\x75\x65\x5f\x73\x69\x7a\x65\0\x70\x69\x64\0\x66\x64\0\x62\x75\x66\x5f\
\x6c\x65\x6e\0\x62\x75\x66\0\x66\x64\x5f\x74\x79\x70\x65\0\x70\x72\x6f\x62\x65\
\x5f\x6f\x66\x66\x73\x65\x74\0\x70\x72\x6f\x62\x65\x5f\x61\x64\x64\x72\0\x74\
\x61\x72\x67\x65\x74\x5f\x62\x74\x66\x5f\x69\x64\0\x70\x65\x72\x66\x5f\x65\x76\
\x65\x6e\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x74\x72\x61\
\x63\x69\x6e\x67\0\x6e\x65\x74\x66\x69\x6c\x74\x65\x72\0\x74\x63\x78\0\x75\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x6e\x65\x74\x6b\x69\x74\0\x69\x74\
\x65\x72\x5f\x69\x6e\x66\x6f\0\x69\x74\x65\x72\x5f\x69\x6e\x66\x6f\x5f\x6c\x65\
\x6e\0\x62\x70\x66\x5f\x63\x6f\x6f\x6b\x69\x65\0\x63\x6e\x74\0\x73\x79\x6d\x73\
\0\x61\x64\x64\x72\x73\0\x63\x6f\x6f\x6b\x69\x65\x73\0\x63\x6f\x6f\x6b\x69\x65\
\0\x70\x66\0\x68\x6f\x6f\x6b\x6e\x75\x6d\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x70\x61\x74\x68\0\x6f\x66\x66\x73\x65\x74\x73\0\x72\x65\x66\x5f\x63\x74\x72\
\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x6c\x69\x6e\x6b\x5f\x66\x64\0\x6e\x65\x77\
\x5f\x70\x72\x6f\x67\x5f\x66\x64\0\x6e\x65\x77\x5f\x6d\x61\x70\x5f\x66\x64\0\
\x6f\x6c\x64\x5f\x70\x72\x6f\x67\x5f\x66\x64\0\x6f\x6c\x64\x5f\x6d\x61\x70\x5f\
\x66\x64\0\x74\x79\x70\x65\0\x72\x61\x77\x5f\x74\x70\x5f\x72\x75\x6e\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x70\x5f\x6e\x61\x6d\x65\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\
\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x70\x74\x72\x5f\x75\x6e\x74\x72\x75\x73\x74\x65\x64\x2e\x63\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6c\x73\x6d\x5f\x72\x75\
\x6e\x2c\x20\x69\x6e\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\x6f\x6e\x20\x62\
\x70\x66\x5f\x61\x74\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x09\x73\x77\x69\x74\
\x63\x68\x20\x28\x63\x6d\x64\x29\x20\x7b\0\x09\x09\x09\x09\x09\x28\x76\x6f\x69\
\x64\x20\x2a\x29\x61\x74\x74\x72\x2d\x3e\x72\x61\x77\x5f\x74\x72\x61\x63\x65\
\x70\x6f\x69\x6e\x74\x2e\x6e\x61\x6d\x65\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x5f\x73\x74\x72\x28\
\x74\x70\x5f\x6e\x61\x6d\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x70\x5f\
\x6e\x61\x6d\x65\x29\x20\x2d\x20\x31\x2c\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x72\x61\x77\x5f\x74\x70\x5f\x72\x75\x6e\x29\0\x30\x3a\x31\x30\
\x3a\x30\0\x2e\x62\x73\x73\0\x6c\x73\x6d\x2f\x62\x70\x66\0\0\0\0\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x84\0\0\0\xa8\0\0\0\x1c\0\0\0\x08\0\0\
\0\xe8\x07\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\x32\0\0\
\0\x10\0\0\0\xe8\x07\0\0\x06\0\0\0\0\0\0\0\x7f\x06\0\0\x0a\x07\0\0\x05\x28\0\0\
\x08\0\0\0\x7f\x06\0\0\x52\x07\0\0\x02\x30\0\0\x10\0\0\0\x7f\x06\0\0\x0a\x07\0\
\0\x05\x28\0\0\x18\0\0\0\x7f\x06\0\0\x62\x07\0\0\x23\x3c\0\0\x20\0\0\0\x7f\x06\
\0\0\x8b\x07\0\0\x03\x38\0\0\x40\0\0\0\x7f\x06\0\0\x0a\x07\0\0\x05\x28\0\0\x43\
\0\0\0\x01\0\0\0\0\0\0\0\x7f\x06\0\0\xc3\x07\0\0\x05\x60\0\0\x10\0\0\0\xe8\x07\
\0\0\x01\0\0\0\x18\0\0\0\x06\0\0\0\xdc\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\
\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0c\x02\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\
\0\0\0\0\0\0\x5c\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x86\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x16\0\0\0\0\0\0\
\xe4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_ptr_untrusted *test_ptr_untrusted::open(const struct bpf_object_open_opts *opts) { return test_ptr_untrusted__open_opts(opts); }
struct test_ptr_untrusted *test_ptr_untrusted::open_and_load() { return test_ptr_untrusted__open_and_load(); }
int test_ptr_untrusted::load(struct test_ptr_untrusted *skel) { return test_ptr_untrusted__load(skel); }
int test_ptr_untrusted::attach(struct test_ptr_untrusted *skel) { return test_ptr_untrusted__attach(skel); }
void test_ptr_untrusted::detach(struct test_ptr_untrusted *skel) { test_ptr_untrusted__detach(skel); }
void test_ptr_untrusted::destroy(struct test_ptr_untrusted *skel) { test_ptr_untrusted__destroy(skel); }
const void *test_ptr_untrusted::elf_bytes(size_t *sz) { return test_ptr_untrusted__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_ptr_untrusted__assert(struct test_ptr_untrusted *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->tp_name) == 128, "unexpected size of 'tp_name'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PTR_UNTRUSTED_SKEL_H__ */
