/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SUBSKELETON_LIB_SUBSKEL_H__
#define __TEST_SUBSKELETON_LIB_SUBSKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_subskeleton_lib {
	struct bpf_object *obj;
	struct bpf_object_subskeleton *subskel;
	struct {
		struct bpf_map *map2;
		struct bpf_map *map1;
		struct bpf_map *data;
		struct bpf_map *rodata;
		struct bpf_map *bss;
		struct bpf_map *data_custom;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *lib_perf_handler;
	} progs;
	struct test_subskeleton_lib__data {
		int *var6;
		int *var2;
		int *var5;
	} data;
	struct test_subskeleton_lib__rodata {
		int *var1;
	} rodata;
	struct test_subskeleton_lib__bss {
		struct {
			int var3_1;
			__s64 var3_2;
		} *var3;
		int *libout1;
		typeof(int[4]) *var4;
		typeof(int (*)()) *fn_ptr;
	} bss;
	struct test_subskeleton_lib__data_custom {
		int *var7;
	} data_custom;
	struct test_subskeleton_lib__kconfig {
		volatile _Bool *CONFIG_BPF_SYSCALL;
	} kconfig;

#ifdef __cplusplus
	static inline struct test_subskeleton_lib *open(const struct bpf_object *src);
	static inline void destroy(struct test_subskeleton_lib *skel);
#endif /* __cplusplus */
};

static inline void
test_subskeleton_lib__destroy(struct test_subskeleton_lib *skel)
{
	if (!skel)
		return;
	if (skel->subskel)
		bpf_object__destroy_subskeleton(skel->subskel);
	free(skel);
}

static inline struct test_subskeleton_lib *
test_subskeleton_lib__open(const struct bpf_object *src)
{
	struct test_subskeleton_lib *obj;
	struct bpf_object_subskeleton *s;
	int err;

	obj = (struct test_subskeleton_lib *)calloc(1, sizeof(*obj));
	if (!obj) {
		err = -ENOMEM;
		goto err;
	}
	s = (struct bpf_object_subskeleton *)calloc(1, sizeof(*s));
	if (!s) {
		err = -ENOMEM;
		goto err;
	}
	s->sz = sizeof(*s);
	s->obj = src;
	s->var_skel_sz = sizeof(*s->vars);
	obj->subskel = s;

	/* vars */
	s->var_cnt = 10;
	s->vars = (struct bpf_var_skeleton *)calloc(10, sizeof(*s->vars));
	if (!s->vars) {
		err = -ENOMEM;
		goto err;
	}

	s->vars[0].name = "var6";
	s->vars[0].map = &obj->maps.data;
	s->vars[0].addr = (void **) &obj->data.var6;

	s->vars[1].name = "var2";
	s->vars[1].map = &obj->maps.data;
	s->vars[1].addr = (void **) &obj->data.var2;

	s->vars[2].name = "var5";
	s->vars[2].map = &obj->maps.data;
	s->vars[2].addr = (void **) &obj->data.var5;

	s->vars[3].name = "var1";
	s->vars[3].map = &obj->maps.rodata;
	s->vars[3].addr = (void **) &obj->rodata.var1;

	s->vars[4].name = "var3";
	s->vars[4].map = &obj->maps.bss;
	s->vars[4].addr = (void **) &obj->bss.var3;

	s->vars[5].name = "libout1";
	s->vars[5].map = &obj->maps.bss;
	s->vars[5].addr = (void **) &obj->bss.libout1;

	s->vars[6].name = "var4";
	s->vars[6].map = &obj->maps.bss;
	s->vars[6].addr = (void **) &obj->bss.var4;

	s->vars[7].name = "fn_ptr";
	s->vars[7].map = &obj->maps.bss;
	s->vars[7].addr = (void **) &obj->bss.fn_ptr;

	s->vars[8].name = "var7";
	s->vars[8].map = &obj->maps.data_custom;
	s->vars[8].addr = (void **) &obj->data_custom.var7;

	s->vars[9].name = "CONFIG_BPF_SYSCALL";
	s->vars[9].map = &obj->maps.kconfig;
	s->vars[9].addr = (void **) &obj->kconfig.CONFIG_BPF_SYSCALL;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map2";
	s->maps[0].map = &obj->maps.map2;

	s->maps[1].name = "map1";
	s->maps[1].map = &obj->maps.map1;

	s->maps[2].name = ".data";
	s->maps[2].map = &obj->maps.data;

	s->maps[3].name = ".rodata";
	s->maps[3].map = &obj->maps.rodata;

	s->maps[4].name = ".bss";
	s->maps[4].map = &obj->maps.bss;

	s->maps[5].name = ".data.custom";
	s->maps[5].map = &obj->maps.data_custom;

	s->maps[6].name = ".kconfig";
	s->maps[6].map = &obj->maps.kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "lib_perf_handler";
	s->progs[0].prog = &obj->progs.lib_perf_handler;

	err = bpf_object__open_subskeleton(s);
	if (err)
		goto err;

	return obj;
err:
	test_subskeleton_lib__destroy(obj);
	errno = -err;
	return NULL;
}

#ifdef __cplusplus
struct test_subskeleton_lib *test_subskeleton_lib::open(const struct bpf_object *src) { return test_subskeleton_lib__open(src); }
void test_subskeleton_lib::destroy(struct test_subskeleton_lib *skel) { test_subskeleton_lib__destroy(skel); }
#endif /* __cplusplus */

#endif /* __TEST_SUBSKELETON_LIB_SUBSKEL_H__ */
