/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_SKEL_H__
#define __UPROBE_MULTI_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct uprobe_multi {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *uprobe;
		struct bpf_program *uprobe_extra;
		struct bpf_program *uretprobe;
		struct bpf_program *uprobe_sleep;
		struct bpf_program *uretprobe_sleep;
	} progs;
	struct {
		struct bpf_link *uprobe;
		struct bpf_link *uprobe_extra;
		struct bpf_link *uretprobe;
		struct bpf_link *uprobe_sleep;
		struct bpf_link *uretprobe_sleep;
	} links;
	struct uprobe_multi__bss {
		__u64 uprobe_multi_func_1_addr;
		__u64 uprobe_multi_func_2_addr;
		__u64 uprobe_multi_func_3_addr;
		__u64 uprobe_multi_func_1_result;
		__u64 uprobe_multi_func_2_result;
		__u64 uprobe_multi_func_3_result;
		__u64 uretprobe_multi_func_1_result;
		__u64 uretprobe_multi_func_2_result;
		__u64 uretprobe_multi_func_3_result;
		__u64 uprobe_multi_sleep_result;
		int pid;
		int child_pid;
		_Bool test_cookie;
		char __pad0[7];
		void *user_ptr;
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi *open_and_load();
	static inline int load(struct uprobe_multi *skel);
	static inline int attach(struct uprobe_multi *skel);
	static inline void detach(struct uprobe_multi *skel);
	static inline void destroy(struct uprobe_multi *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi__destroy(struct uprobe_multi *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi__create_skeleton(struct uprobe_multi *obj);

static inline struct uprobe_multi *
uprobe_multi__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi *obj;
	int err;

	obj = (struct uprobe_multi *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi *
uprobe_multi__open(void)
{
	return uprobe_multi__open_opts(NULL);
}

static inline int
uprobe_multi__load(struct uprobe_multi *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi *
uprobe_multi__open_and_load(void)
{
	struct uprobe_multi *obj;
	int err;

	obj = uprobe_multi__open();
	if (!obj)
		return NULL;
	err = uprobe_multi__load(obj);
	if (err) {
		uprobe_multi__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi__attach(struct uprobe_multi *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi__detach(struct uprobe_multi *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi__elf_bytes(size_t *sz);

static inline int
uprobe_multi__create_skeleton(struct uprobe_multi *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "uprobe_m.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = ".rodata.str1.1";
	s->maps[1].map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe";
	s->progs[0].prog = &obj->progs.uprobe;
	s->progs[0].link = &obj->links.uprobe;

	s->progs[1].name = "uprobe_extra";
	s->progs[1].prog = &obj->progs.uprobe_extra;
	s->progs[1].link = &obj->links.uprobe_extra;

	s->progs[2].name = "uretprobe";
	s->progs[2].prog = &obj->progs.uretprobe;
	s->progs[2].link = &obj->links.uretprobe;

	s->progs[3].name = "uprobe_sleep";
	s->progs[3].prog = &obj->progs.uprobe_sleep;
	s->progs[3].link = &obj->links.uprobe_sleep;

	s->progs[4].name = "uretprobe_sleep";
	s->progs[4].prog = &obj->progs.uretprobe_sleep;
	s->progs[4].link = &obj->links.uretprobe_sleep;

	s->data = uprobe_multi__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2f\x70\x72\
\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\
\x75\x6e\x63\x5f\x2a\0\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\
\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\x4c\x42\x42\x30\x5f\
\x32\0\x4c\x42\x42\x30\x5f\x31\x36\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\
\x5f\x38\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\
\x30\x5f\x31\x31\0\x4c\x42\x42\x30\x5f\x31\x35\0\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\0\x4c\x42\x42\x31\x5f\x32\0\x4c\
\x42\x42\x31\x5f\x33\x31\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x31\x5f\x31\
\x36\0\x4c\x42\x42\x31\x5f\x39\0\x4c\x42\x42\x31\x5f\x38\0\x4c\x42\x42\x31\x5f\
\x31\x33\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x32\x38\0\x4c\x42\
\x42\x31\x5f\x32\x37\0\x4c\x42\x42\x31\x5f\x32\x30\0\x4c\x42\x42\x31\x5f\x31\
\x39\0\x4c\x42\x42\x31\x5f\x32\x34\0\x4c\x42\x42\x31\x5f\x32\x33\0\x4c\x42\x42\
\x32\x5f\x32\0\x4c\x42\x42\x32\x5f\x31\x36\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\
\x42\x32\x5f\x38\0\x4c\x42\x42\x32\x5f\x37\0\x4c\x42\x42\x32\x5f\x31\x32\0\x4c\
\x42\x42\x32\x5f\x31\x31\0\x4c\x42\x42\x32\x5f\x31\x35\0\x75\x70\x72\x6f\x62\
\x65\0\x63\x68\x69\x6c\x64\x5f\x70\x69\x64\0\x70\x69\x64\0\x74\x65\x73\x74\x5f\
\x63\x6f\x6f\x6b\x69\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x66\x75\x6e\x63\x5f\x31\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x75\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\
\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\
\x6e\x63\x5f\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x61\x64\x64\x72\0\x75\x70\x72\
\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x72\x65\
\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x72\
\x65\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x73\x65\x72\
\x5f\x70\x74\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x6c\
\x65\x65\x70\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\0\x75\x70\x72\x6f\x62\x65\x5f\x65\x78\x74\
\x72\x61\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2f\
\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\
\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x2e\x72\x65\x6c\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\
\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\
\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x2a\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\
\x66\x75\x6e\x63\x5f\x2a\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x01\0\0\0\0\
\x04\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x01\0\0\0\0\x04\0\xf8\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1b\x01\0\0\0\0\x04\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x22\x01\0\0\0\0\x04\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\x01\0\0\0\0\x04\
\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\x04\0\x88\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\x04\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x01\0\0\0\0\x04\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\x5b\x01\0\0\0\0\x03\0\x68\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x62\x01\0\0\0\0\x03\0\xd8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\
\x01\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x01\0\0\0\0\x03\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x01\0\0\0\0\x03\0\x30\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x01\0\0\0\0\x03\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\x01\
\0\0\0\0\x03\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8f\x01\0\0\0\0\x03\0\x78\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\x01\0\0\0\0\x03\0\x38\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9f\x01\0\0\0\0\x03\0\x20\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\x01\
\0\0\0\0\x03\0\x58\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\x01\0\0\0\0\x03\0\x30\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\x03\0\xc8\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbf\x01\0\0\0\0\x03\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\x01\0\0\0\0\x05\0\x58\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xce\x01\0\0\0\0\x05\0\xf8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xd6\x01\0\0\0\0\x05\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\x01\0\0\0\0\x05\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\x01\0\0\0\0\x05\0\xf0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xeb\x01\0\0\0\0\x05\0\x88\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\
\x01\0\0\0\0\x05\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\x01\0\0\0\0\x05\0\
\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x02\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x08\x02\0\0\0\0\0\0\x0a\x02\0\0\x11\0\x09\0\x54\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x14\x02\0\0\x11\0\x09\0\x50\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x02\0\0\x11\
\0\x09\0\x58\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x24\x02\0\0\x11\0\x09\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x3d\x02\0\0\x11\0\x09\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x58\x02\0\0\x11\0\x09\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x71\x02\0\0\
\x11\0\x09\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8c\x02\0\0\x11\0\x09\0\x10\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa5\x02\0\0\x11\0\x09\0\x28\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xc0\x02\0\0\x11\0\x09\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xde\
\x02\0\0\x11\0\x09\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xfc\x02\0\0\x11\0\x09\
\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x1a\x03\0\0\x11\0\x09\0\x60\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x23\x03\0\0\x11\0\x09\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x3d\x03\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x47\x03\0\0\x12\
\0\x06\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x54\x03\0\0\x12\0\x07\0\0\0\0\0\0\0\
\0\0\x28\0\0\0\0\0\0\0\x64\x03\0\0\x12\0\x04\0\x08\x02\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x71\x03\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbc\x36\0\0\0\
\0\0\0\xbc\x28\0\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\
\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x5e\x01\x6e\
\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\
\0\0\0\0\x16\x01\x03\0\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\xbf\x07\
\0\0\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\xad\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x16\x08\x25\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\
\x07\x05\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x07\x05\0\x03\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x2f\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x71\x22\0\0\0\0\0\0\x16\x02\x26\0\0\0\0\0\x15\x07\x25\0\x01\0\0\0\x05\0\x27\
\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\
\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x07\x05\0\x03\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\
\x55\x07\x05\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\
\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x16\x02\x01\0\0\0\0\
\0\x55\x07\x03\0\x02\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\
\0\0\0\0\0\x16\x06\x13\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x13\0\
\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf7\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\xb4\x02\0\0\x09\0\0\0\x85\0\0\0\x94\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x09\
\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\xb6\0\0\0\x55\0\x05\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\
\0\0\x7b\x21\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\
\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\
\0\x5e\x01\x34\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x71\x11\0\0\0\0\0\0\x16\x01\x03\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xae\
\0\0\0\xbf\x06\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xad\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x06\x05\
\0\x03\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\
\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\
\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\
\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x06\x05\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\
\x55\x06\x05\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\
\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\
\x5e\x01\x34\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x11\0\0\0\0\0\0\x16\x01\x03\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xae\0\
\0\0\xbf\x06\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xad\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x06\x05\0\
\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\
\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\
\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\x06\x05\0\x03\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x5d\x10\x0a\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\x55\
\x06\x05\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\
\x07\x02\0\0\x01\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb4\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x01\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x74\x65\x73\x74\x5f\x64\x61\x74\x61\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\
\0\0\x28\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\
\0\x2a\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x2b\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\
\x2a\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\
\0\x2d\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\x78\x01\0\0\0\0\0\0\x01\0\
\0\0\x32\0\0\0\xa0\x01\0\0\0\0\0\0\x01\0\0\0\x2f\0\0\0\xc0\x01\0\0\0\0\0\0\x01\
\0\0\0\x33\0\0\0\xd0\x01\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\x08\x02\0\0\0\0\0\0\
\x01\0\0\0\x2a\0\0\0\x30\x02\0\0\0\0\0\0\x01\0\0\0\x2c\0\0\0\x58\x02\0\0\0\0\0\
\0\x01\0\0\0\x2d\0\0\0\x78\x02\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xa0\x02\0\0\0\0\
\0\0\x01\0\0\0\x2e\0\0\0\xc8\x02\0\0\0\0\0\0\x01\0\0\0\x2f\0\0\0\xe8\x02\0\0\0\
\0\0\0\x01\0\0\0\x30\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\x40\x03\0\0\
\0\0\0\0\x01\0\0\0\x34\0\0\0\x90\x03\0\0\0\0\0\0\x01\0\0\0\x26\0\0\0\xb0\x03\0\
\0\0\0\0\0\x01\0\0\0\x35\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x28\0\0\0\x30\0\0\0\
\0\0\0\0\x01\0\0\0\x29\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xa8\0\0\0\0\
\0\0\0\x01\0\0\0\x2b\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xf0\0\0\0\0\0\
\0\0\x01\0\0\0\x2c\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\x38\x01\0\0\0\
\0\0\0\x01\0\0\0\x2a\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x2e\0\0\0\x88\x01\0\0\
\0\0\0\0\x01\0\0\0\x2f\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xd0\x01\0\
\0\0\0\0\0\x01\0\0\0\x30\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x28\0\0\0\x30\0\0\0\
\0\0\0\0\x01\0\0\0\x29\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xa8\0\0\0\0\
\0\0\0\x01\0\0\0\x2b\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xf0\0\0\0\0\0\
\0\0\x01\0\0\0\x31\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x2d\0\0\0\x38\x01\0\0\0\
\0\0\0\x01\0\0\0\x2a\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x32\0\0\0\x88\x01\0\0\
\0\0\0\0\x01\0\0\0\x2f\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\xd0\x01\0\
\0\0\0\0\0\x01\0\0\0\x33\0\0\0\x10\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x10\0\0\0\
\0\0\0\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xec\x02\0\0\xec\
\x02\0\0\x37\x07\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x07\0\0\0\0\0\
\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x18\0\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\x03\0\0\x0d\0\0\0\0\x09\0\0\0\x06\0\
\0\0\x1e\0\0\0\x07\0\0\0\x28\0\0\0\x07\0\0\0\x31\0\0\0\0\0\0\x0c\x08\0\0\0\x44\
\0\0\0\x01\0\0\x0c\x03\0\0\0\x4e\0\0\0\x01\0\0\x0c\x03\0\0\0\x5b\0\0\0\x01\0\0\
\x0c\x03\0\0\0\x6b\0\0\0\x01\0\0\x0c\x03\0\0\0\x78\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x10\0\0\0\x04\0\0\0\x7d\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\x91\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x9a\0\0\
\0\0\0\0\x08\x13\0\0\0\xa0\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xb3\0\0\0\0\0\0\
\x0e\x12\0\0\0\x01\0\0\0\xcc\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xe5\0\0\0\0\0\
\0\x0e\x12\0\0\0\x01\0\0\0\xfe\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x19\x01\0\0\
\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x34\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x4f\
\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x6d\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\
\0\x8b\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xa9\x01\0\0\0\0\0\x0e\x12\0\0\0\
\x01\0\0\0\xc3\x01\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xc7\x01\0\0\0\0\0\x0e\x04\
\0\0\0\x01\0\0\0\xd1\x01\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\xdd\x01\0\0\0\0\0\
\x0e\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x10\0\0\0\x0a\0\0\
\0\x5a\x06\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\x62\x06\0\0\
\x0e\0\0\x0f\x68\0\0\0\x14\0\0\0\0\0\0\0\x08\0\0\0\x15\0\0\0\x08\0\0\0\x08\0\0\
\0\x16\0\0\0\x10\0\0\0\x08\0\0\0\x17\0\0\0\x18\0\0\0\x08\0\0\0\x18\0\0\0\x20\0\
\0\0\x08\0\0\0\x19\0\0\0\x28\0\0\0\x08\0\0\0\x1a\0\0\0\x30\0\0\0\x08\0\0\0\x1b\
\0\0\0\x38\0\0\0\x08\0\0\0\x1c\0\0\0\x40\0\0\0\x08\0\0\0\x1d\0\0\0\x48\0\0\0\
\x08\0\0\0\x1e\0\0\0\x50\0\0\0\x04\0\0\0\x1f\0\0\0\x54\0\0\0\x04\0\0\0\x20\0\0\
\0\x58\0\0\0\x01\0\0\0\x21\0\0\0\x60\0\0\0\x08\0\0\0\0\x70\x74\x5f\x72\x65\x67\
\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\x72\x6f\x62\x65\0\x5f\x42\x6f\x6f\
\x6c\0\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\0\x69\x73\x5f\x73\x6c\x65\x65\x70\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\0\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\
\x70\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\0\x75\x70\
\x72\x6f\x62\x65\x5f\x65\x78\x74\x72\x61\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\
\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x61\x64\x64\x72\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\
\x5f\x61\x64\x64\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\
\x75\x6e\x63\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x72\x65\x73\x75\x6c\x74\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\
\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\
\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x75\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x6c\x65\x65\x70\x5f\x72\
\x65\x73\x75\x6c\x74\0\x70\x69\x64\0\x63\x68\x69\x6c\x64\x5f\x70\x69\x64\0\x74\
\x65\x73\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\
\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x2e\x63\0\x73\
\x74\x61\x74\x69\x63\x20\x76\x6f\x69\x64\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\
\x78\x2c\x20\x62\x6f\x6f\x6c\x20\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\x2c\x20\
\x62\x6f\x6f\x6c\x20\x69\x73\x5f\x73\x6c\x65\x65\x70\x29\0\x09\x63\x68\x69\x6c\
\x64\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\
\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x26\x26\x20\x63\x68\x69\x6c\
\x64\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x5f\x5f\x75\x36\x34\
\x20\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x74\x65\x73\x74\x5f\x63\x6f\x6f\x6b\
\x69\x65\x20\x3f\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\x74\x61\x63\x68\
\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x20\x3a\x20\x30\x3b\0\x09\x5f\
\x5f\x75\x36\x34\x20\x61\x64\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x66\x75\x6e\x63\x5f\x69\x70\x28\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\
\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\x29\x20\x7b\0\x09\x09\x53\x45\x54\x28\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x61\x64\x64\x72\x2c\x20\x32\
\x29\x3b\0\x09\x09\x53\x45\x54\x28\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x72\x65\x73\x75\x6c\x74\x2c\
\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\
\x32\x5f\x61\x64\x64\x72\x2c\x20\x33\x29\x3b\0\x09\x09\x53\x45\x54\x28\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\
\x33\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x61\x64\x64\x72\x2c\x20\x31\x29\
\x3b\0\x09\x09\x53\x45\x54\x28\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x75\x70\x72\
\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\x5f\x61\x64\
\x64\x72\x2c\x20\x33\x29\x3b\0\x09\x09\x53\x45\x54\x28\x75\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\x5f\x72\x65\x73\x75\x6c\
\x74\x2c\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\
\x63\x5f\x32\x5f\x61\x64\x64\x72\x2c\x20\x31\x29\x3b\0\x09\x09\x53\x45\x54\x28\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\
\x5f\x72\x65\x73\x75\x6c\x74\x2c\x20\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\x5f\x61\x64\x64\x72\x2c\x20\x32\x29\x3b\0\
\x09\x69\x66\x20\x28\x69\x73\x5f\x73\x6c\x65\x65\x70\x20\x26\x26\x20\x76\x65\
\x72\x69\x66\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x75\x73\x65\x72\
\x5f\x63\x6f\x70\x79\x28\x29\x29\0\x09\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\
\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x64\x61\x74\x61\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x73\x74\x72\x6e\x63\x6d\
\x70\x28\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\
\x29\x2c\x20\x22\x74\x65\x73\x74\x5f\x64\x61\x74\x61\x22\x29\x20\x3d\x3d\x20\
\x30\x3b\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x6c\
\x65\x65\x70\x5f\x72\x65\x73\x75\x6c\x74\x20\x2b\x3d\x20\x31\x3b\0\x7d\0\x69\
\x6e\x74\x20\x75\x70\x72\x6f\x62\x65\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\
\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x69\x6e\x74\x20\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x28\x73\x74\x72\
\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x09\x75\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\x28\x63\
\x74\x78\x2c\x20\x66\x61\x6c\x73\x65\x2c\x20\x74\x72\x75\x65\x29\x3b\0\x09\x75\
\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x63\x68\x65\x63\x6b\x28\x63\
\x74\x78\x2c\x20\x74\x72\x75\x65\x2c\x20\x74\x72\x75\x65\x29\x3b\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x74\x65\x78\x74\0\x75\x70\x72\x6f\x62\
\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\
\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\
\x6e\x63\x5f\x2a\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\
\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x75\x70\x72\
\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\
\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x66\x75\x6e\x63\x5f\x2a\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\
\x75\x6c\x74\x69\x2e\x73\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\
\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\
\x63\x5f\x2a\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\0\
\xfc\x03\0\0\x58\x04\0\0\0\0\0\0\x08\0\0\0\x67\x06\0\0\x01\0\0\0\0\0\0\0\x09\0\
\0\0\x6d\x06\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x08\x02\0\0\x0d\0\0\0\x9d\x06\0\0\
\x01\0\0\0\0\0\0\0\x0a\0\0\0\xd0\x06\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\x02\x07\0\
\0\x01\0\0\0\0\0\0\0\x0c\0\0\0\x10\0\0\0\x67\x06\0\0\x1a\0\0\0\0\0\0\0\xe6\x01\
\0\0\x6b\x02\0\0\0\x94\0\0\x18\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x0e\x9c\0\0\x20\0\
\0\0\xe6\x01\0\0\xb4\x02\0\0\x29\x9c\0\0\x28\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x0c\
\x9c\0\0\x40\0\0\0\xe6\x01\0\0\xe3\x02\0\0\x06\xa4\0\0\x58\0\0\0\xe6\x01\0\0\
\xe3\x02\0\0\x0a\xa4\0\0\x70\0\0\0\xe6\x01\0\0\x01\x03\0\0\x11\xb0\0\0\x90\0\0\
\0\xe6\x01\0\0\x01\x03\0\0\x1f\xb0\0\0\xa8\0\0\0\xe6\x01\0\0\x3f\x03\0\0\x0f\
\xb4\0\0\xb8\0\0\0\xe6\x01\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\xe6\x01\0\0\x63\x03\0\
\0\x06\xd4\0\0\xd8\0\0\0\xe6\x01\0\0\x75\x03\0\0\x03\xd8\0\0\x30\x01\0\0\xe6\
\x01\0\0\xb8\x03\0\0\x03\xdc\0\0\xa0\x01\0\0\xe6\x01\0\0\xfb\x03\0\0\x03\xe0\0\
\0\0\x02\0\0\xe6\x01\0\0\x3e\x04\0\0\x03\xe8\0\0\x58\x02\0\0\xe6\x01\0\0\x7e\
\x04\0\0\x03\xec\0\0\xc8\x02\0\0\xe6\x01\0\0\xbe\x04\0\0\x03\xf0\0\0\x20\x03\0\
\0\xe6\x01\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\xe6\x01\0\0\xfe\x04\0\0\x0f\x04\x01\
\0\x40\x03\0\0\xe6\x01\0\0\x2d\x05\0\0\x29\x84\0\0\x60\x03\0\0\xe6\x01\0\0\0\0\
\0\0\0\0\0\0\x68\x03\0\0\xe6\x01\0\0\x2d\x05\0\0\x02\x84\0\0\x80\x03\0\0\xe6\
\x01\0\0\x60\x05\0\0\x09\x88\0\0\xa8\x03\0\0\xe6\x01\0\0\xfe\x04\0\0\x06\x04\
\x01\0\xb0\x03\0\0\xe6\x01\0\0\x9b\x05\0\0\x1d\x08\x01\0\xd8\x03\0\0\xe6\x01\0\
\0\xbd\x05\0\0\x01\x0c\x01\0\x6d\x06\0\0\x10\0\0\0\0\0\0\0\xe6\x01\0\0\xbf\x05\
\0\0\0\x18\x01\0\x08\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x0e\x9c\0\0\x10\0\0\0\xe6\
\x01\0\0\xb4\x02\0\0\x29\x9c\0\0\x18\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x0c\x9c\0\0\
\x30\0\0\0\xe6\x01\0\0\xe3\x02\0\0\x06\xa4\0\0\x48\0\0\0\xe6\x01\0\0\xe3\x02\0\
\0\x0a\xa4\0\0\x60\0\0\0\xe6\x01\0\0\x01\x03\0\0\x11\xb0\0\0\x80\0\0\0\xe6\x01\
\0\0\x01\x03\0\0\x1f\xb0\0\0\x98\0\0\0\xe6\x01\0\0\x3f\x03\0\0\x0f\xb4\0\0\xa8\
\0\0\0\xe6\x01\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\xe6\x01\0\0\x3e\x04\0\0\x03\xe8\0\
\0\x18\x01\0\0\xe6\x01\0\0\x7e\x04\0\0\x03\xec\0\0\x88\x01\0\0\xe6\x01\0\0\xbe\
\x04\0\0\x03\xf0\0\0\xd0\x01\0\0\xe6\x01\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\xe6\
\x01\0\0\xdf\x05\0\0\x02\x24\x01\0\x08\x02\0\0\xe6\x01\0\0\xdf\x05\0\0\x02\x90\
\x01\0\x9d\x06\0\0\x0f\0\0\0\0\0\0\0\xe6\x01\0\0\xea\x05\0\0\0\x34\x01\0\x08\0\
\0\0\xe6\x01\0\0\xb4\x02\0\0\x0e\x9c\0\0\x10\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x29\
\x9c\0\0\x18\0\0\0\xe6\x01\0\0\xb4\x02\0\0\x0c\x9c\0\0\x30\0\0\0\xe6\x01\0\0\
\xe3\x02\0\0\x06\xa4\0\0\x48\0\0\0\xe6\x01\0\0\xe3\x02\0\0\x0a\xa4\0\0\x60\0\0\
\0\xe6\x01\0\0\x01\x03\0\0\x11\xb0\0\0\x80\0\0\0\xe6\x01\0\0\x01\x03\0\0\x1f\
\xb0\0\0\x98\0\0\0\xe6\x01\0\0\x3f\x03\0\0\x0f\xb4\0\0\xa8\0\0\0\xe6\x01\0\0\0\
\0\0\0\0\0\0\0\xc0\0\0\0\xe6\x01\0\0\x75\x03\0\0\x03\xd8\0\0\x18\x01\0\0\xe6\
\x01\0\0\xb8\x03\0\0\x03\xdc\0\0\x88\x01\0\0\xe6\x01\0\0\xfb\x03\0\0\x03\xe0\0\
\0\xd0\x01\0\0\xe6\x01\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\xe6\x01\0\0\xdf\x05\0\0\
\x02\x40\x01\0\xd0\x06\0\0\x02\0\0\0\0\0\0\0\xe6\x01\0\0\x0d\x06\0\0\x02\x58\
\x01\0\x18\0\0\0\xe6\x01\0\0\xdf\x05\0\0\x02\x5c\x01\0\x02\x07\0\0\x02\0\0\0\0\
\0\0\0\xe6\x01\0\0\x34\x06\0\0\x02\x74\x01\0\x18\0\0\0\xe6\x01\0\0\xdf\x05\0\0\
\x02\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6c\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\x0a\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x0e\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x10\
\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x12\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x12\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x12\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe9\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x90\x12\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x90\x12\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x7a\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x12\
\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x84\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x14\0\0\
\0\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xb8\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x14\0\0\0\0\0\
\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xef\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x15\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x25\
\x04\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x15\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5e\x04\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x15\0\0\0\0\0\0\x3b\x0a\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x04\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x1f\0\0\0\0\0\0\x78\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi *uprobe_multi::open(const struct bpf_object_open_opts *opts) { return uprobe_multi__open_opts(opts); }
struct uprobe_multi *uprobe_multi::open_and_load() { return uprobe_multi__open_and_load(); }
int uprobe_multi::load(struct uprobe_multi *skel) { return uprobe_multi__load(skel); }
int uprobe_multi::attach(struct uprobe_multi *skel) { return uprobe_multi__attach(skel); }
void uprobe_multi::detach(struct uprobe_multi *skel) { uprobe_multi__detach(skel); }
void uprobe_multi::destroy(struct uprobe_multi *skel) { uprobe_multi__destroy(skel); }
const void *uprobe_multi::elf_bytes(size_t *sz) { return uprobe_multi__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi__assert(struct uprobe_multi *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->uprobe_multi_func_1_addr) == 8, "unexpected size of 'uprobe_multi_func_1_addr'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_2_addr) == 8, "unexpected size of 'uprobe_multi_func_2_addr'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_3_addr) == 8, "unexpected size of 'uprobe_multi_func_3_addr'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_1_result) == 8, "unexpected size of 'uprobe_multi_func_1_result'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_2_result) == 8, "unexpected size of 'uprobe_multi_func_2_result'");
	_Static_assert(sizeof(s->bss->uprobe_multi_func_3_result) == 8, "unexpected size of 'uprobe_multi_func_3_result'");
	_Static_assert(sizeof(s->bss->uretprobe_multi_func_1_result) == 8, "unexpected size of 'uretprobe_multi_func_1_result'");
	_Static_assert(sizeof(s->bss->uretprobe_multi_func_2_result) == 8, "unexpected size of 'uretprobe_multi_func_2_result'");
	_Static_assert(sizeof(s->bss->uretprobe_multi_func_3_result) == 8, "unexpected size of 'uretprobe_multi_func_3_result'");
	_Static_assert(sizeof(s->bss->uprobe_multi_sleep_result) == 8, "unexpected size of 'uprobe_multi_sleep_result'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->child_pid) == 4, "unexpected size of 'child_pid'");
	_Static_assert(sizeof(s->bss->test_cookie) == 1, "unexpected size of 'test_cookie'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_SKEL_H__ */
