/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BASIC_STACK_SKEL_H__
#define __VERIFIER_BASIC_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_basic_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_8b;
	} maps;
	struct {
		struct bpf_program *stack_out_of_bounds;
		struct bpf_program *uninitialized_stack1;
		struct bpf_program *uninitialized_stack2;
		struct bpf_program *invalid_fp_arithmetic;
		struct bpf_program *non_invalid_fp_arithmetic;
		struct bpf_program *misaligned_read_from_stack;
	} progs;
	struct {
		struct bpf_link *stack_out_of_bounds;
		struct bpf_link *uninitialized_stack1;
		struct bpf_link *uninitialized_stack2;
		struct bpf_link *invalid_fp_arithmetic;
		struct bpf_link *non_invalid_fp_arithmetic;
		struct bpf_link *misaligned_read_from_stack;
	} links;

#ifdef __cplusplus
	static inline struct verifier_basic_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_basic_stack *open_and_load();
	static inline int load(struct verifier_basic_stack *skel);
	static inline int attach(struct verifier_basic_stack *skel);
	static inline void detach(struct verifier_basic_stack *skel);
	static inline void destroy(struct verifier_basic_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_basic_stack__destroy(struct verifier_basic_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_basic_stack__create_skeleton(struct verifier_basic_stack *obj);

static inline struct verifier_basic_stack *
verifier_basic_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_basic_stack *obj;
	int err;

	obj = (struct verifier_basic_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_basic_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_basic_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_basic_stack *
verifier_basic_stack__open(void)
{
	return verifier_basic_stack__open_opts(NULL);
}

static inline int
verifier_basic_stack__load(struct verifier_basic_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_basic_stack *
verifier_basic_stack__open_and_load(void)
{
	struct verifier_basic_stack *obj;
	int err;

	obj = verifier_basic_stack__open();
	if (!obj)
		return NULL;
	err = verifier_basic_stack__load(obj);
	if (err) {
		verifier_basic_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_basic_stack__attach(struct verifier_basic_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_basic_stack__detach(struct verifier_basic_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_basic_stack__elf_bytes(size_t *sz);

static inline int
verifier_basic_stack__create_skeleton(struct verifier_basic_stack *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_basic_stack";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_hash_8b";
	s->maps[0].map = &obj->maps.map_hash_8b;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stack_out_of_bounds";
	s->progs[0].prog = &obj->progs.stack_out_of_bounds;
	s->progs[0].link = &obj->links.stack_out_of_bounds;

	s->progs[1].name = "uninitialized_stack1";
	s->progs[1].prog = &obj->progs.uninitialized_stack1;
	s->progs[1].link = &obj->links.uninitialized_stack1;

	s->progs[2].name = "uninitialized_stack2";
	s->progs[2].prog = &obj->progs.uninitialized_stack2;
	s->progs[2].link = &obj->links.uninitialized_stack2;

	s->progs[3].name = "invalid_fp_arithmetic";
	s->progs[3].prog = &obj->progs.invalid_fp_arithmetic;
	s->progs[3].link = &obj->links.invalid_fp_arithmetic;

	s->progs[4].name = "non_invalid_fp_arithmetic";
	s->progs[4].prog = &obj->progs.non_invalid_fp_arithmetic;
	s->progs[4].link = &obj->links.non_invalid_fp_arithmetic;

	s->progs[5].name = "misaligned_read_from_stack";
	s->progs[5].prog = &obj->progs.misaligned_read_from_stack;
	s->progs[5].link = &obj->links.misaligned_read_from_stack;

	s->data = verifier_basic_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_basic_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x62\x61\x73\x69\x63\x5f\x73\x74\x61\x63\x6b\x2e\
\x63\0\x73\x74\x61\x63\x6b\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\
\x73\0\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x5f\x73\x74\x61\x63\
\x6b\x31\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x75\x6e\x69\x6e\x69\
\x74\x69\x61\x6c\x69\x7a\x65\x64\x5f\x73\x74\x61\x63\x6b\x32\0\x69\x6e\x76\x61\
\x6c\x69\x64\x5f\x66\x70\x5f\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\0\x6e\x6f\
\x6e\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x66\x70\x5f\x61\x72\x69\x74\x68\x6d\
\x65\x74\x69\x63\0\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\x5f\x72\x65\x61\x64\
\x5f\x66\x72\x6f\x6d\x5f\x73\x74\x61\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x51\0\0\0\x12\0\x03\0\x18\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x66\0\0\0\x11\0\
\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x72\0\0\0\x12\0\x03\0\x48\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x87\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x9d\0\0\0\x12\0\x03\0\x88\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xb7\0\0\0\x12\0\x03\
\0\xa0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xd2\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x79\x20\xf8\
\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x17\x01\0\
\0\x08\0\0\0\x7b\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\
\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x79\x20\xfc\xff\0\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x28\x03\0\0\x28\x03\0\0\x9c\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x40\0\0\0\x34\0\0\0\
\x05\0\0\0\x80\0\0\0\x38\0\0\0\x05\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x07\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x4a\0\0\0\x01\0\0\x0c\x09\0\0\0\x5e\0\0\
\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x8b\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\
\xff\xff\xa7\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xd6\0\0\0\0\0\0\x11\x0a\
\0\0\0\xff\xff\xff\xff\xf9\0\0\0\x01\0\0\x0c\x09\0\0\0\x0e\x01\0\0\0\0\0\x11\
\x0f\0\0\0\xff\xff\xff\xff\x3c\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x58\
\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x71\x01\0\0\0\0\0\x11\x0f\0\0\0\
\xff\xff\xff\xff\xd6\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x97\x01\0\0\0\0\
\0\x11\x0f\0\0\0\xff\xff\xff\xff\xd7\x01\0\0\x01\0\0\x0c\x09\0\0\0\xec\x01\0\0\
\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x3c\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\
\xff\xff\x58\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x71\x01\0\0\0\0\0\x11\
\x16\0\0\0\xff\xff\xff\xff\xd6\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x1a\
\x02\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x51\x02\0\0\x01\0\0\x0c\x09\0\0\0\
\x67\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x8b\0\0\0\0\0\0\x11\x1d\0\0\0\
\xff\xff\xff\xff\x96\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xd6\0\0\0\0\0\
\0\x11\x1d\0\0\0\xff\xff\xff\xff\xd0\x02\0\0\x01\0\0\x0c\x09\0\0\0\xea\x02\0\0\
\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x3c\x01\0\0\0\0\0\x11\x22\0\0\0\xff\xff\
\xff\xff\x1d\x03\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x40\x03\0\0\0\0\0\x11\
\x22\0\0\0\xff\xff\xff\xff\x56\x03\0\0\x01\0\0\x0c\x09\0\0\0\x71\x03\0\0\0\0\0\
\x11\x27\0\0\0\xff\xff\xff\xff\x8b\0\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\
\xa5\x03\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\xd6\0\0\0\0\0\0\x11\x27\0\0\0\
\xff\xff\xff\xff\xd5\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x2c\0\0\0\x04\0\0\0\x04\0\0\0\xda\x03\0\0\0\0\0\x0e\x2d\0\0\0\x01\0\0\
\0\x87\x04\0\0\x01\0\0\x0f\x20\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x8d\x04\0\0\
\x01\0\0\x0f\x04\0\0\0\x2e\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\
\x68\x5f\x38\x62\0\x73\x74\x61\x63\x6b\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\
\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x74\x61\x63\x6b\x20\x6f\x75\x74\
\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\x72\x69\x74\x65\x20\x74\
\x6f\x20\x73\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\
\x72\x69\x76\0\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x5f\x73\x74\
\x61\x63\x6b\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\
\x69\x7a\x65\x64\x20\x73\x74\x61\x63\x6b\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\
\x76\x65\x6c\x3d\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x73\x74\x61\x63\x6b\x20\x64\x65\x70\
\x74\x68\x20\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x72\x65\x61\x64\x20\
\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\0\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\
\x69\x7a\x65\x64\x5f\x73\x74\x61\x63\x6b\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x75\x6e\
\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x73\x74\x61\x63\x6b\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\0\x69\x6e\x76\x61\
\x6c\x69\x64\x5f\x66\x70\x5f\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x66\x70\x20\x61\x72\x69\x74\
\x68\x6d\x65\x74\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x31\x20\x73\x75\x62\x74\x72\
\x61\x63\x74\x69\x6f\x6e\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\x20\x70\
\x6f\x69\x6e\x74\x65\x72\0\x6e\x6f\x6e\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x66\
\x70\x5f\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6e\
\x6f\x6e\x2d\x69\x6e\x76\x61\x6c\x69\x64\x20\x66\x70\x20\x61\x72\x69\x74\x68\
\x6d\x65\x74\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\
\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x30\0\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\x5f\x72\x65\x61\x64\x5f\
\x66\x72\x6f\x6d\x5f\x73\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x69\x73\
\x61\x6c\x69\x67\x6e\x65\x64\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\
\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\
\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\
\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x62\x61\x73\x69\x63\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x6c\0\0\0\xa8\0\0\0\0\0\0\
\0\x08\0\0\0\x95\x04\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\x18\0\0\0\x0f\0\0\0\x48\0\
\0\0\x16\0\0\0\x60\0\0\0\x1d\0\0\0\x88\0\0\0\x22\0\0\0\xa0\0\0\0\x27\0\0\0\x10\
\0\0\0\x95\x04\0\0\x06\0\0\0\0\0\0\0\xe3\x03\0\0\x70\x04\0\0\x02\x54\0\0\x18\0\
\0\0\xe3\x03\0\0\x70\x04\0\0\x02\x88\0\0\x48\0\0\0\xe3\x03\0\0\x70\x04\0\0\x02\
\xd0\0\0\x60\0\0\0\xe3\x03\0\0\x70\x04\0\0\x02\x08\x01\0\x88\0\0\0\xe3\x03\0\0\
\x70\x04\0\0\x02\x40\x01\0\xa0\0\0\0\xe3\x03\0\0\x70\x04\0\0\x02\x74\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x38\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x02\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\xdc\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\x0b\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_basic_stack *verifier_basic_stack::open(const struct bpf_object_open_opts *opts) { return verifier_basic_stack__open_opts(opts); }
struct verifier_basic_stack *verifier_basic_stack::open_and_load() { return verifier_basic_stack__open_and_load(); }
int verifier_basic_stack::load(struct verifier_basic_stack *skel) { return verifier_basic_stack__load(skel); }
int verifier_basic_stack::attach(struct verifier_basic_stack *skel) { return verifier_basic_stack__attach(skel); }
void verifier_basic_stack::detach(struct verifier_basic_stack *skel) { verifier_basic_stack__detach(skel); }
void verifier_basic_stack::destroy(struct verifier_basic_stack *skel) { verifier_basic_stack__destroy(skel); }
const void *verifier_basic_stack::elf_bytes(size_t *sz) { return verifier_basic_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_basic_stack__assert(struct verifier_basic_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BASIC_STACK_SKEL_H__ */
