/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BOUNDS_DEDUCTION_SKEL_H__
#define __VERIFIER_BOUNDS_DEDUCTION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_bounds_deduction {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *deducing_bounds_from_const_1;
		struct bpf_program *deducing_bounds_from_const_2;
		struct bpf_program *deducing_bounds_from_const_3;
		struct bpf_program *deducing_bounds_from_const_4;
		struct bpf_program *deducing_bounds_from_const_5;
		struct bpf_program *deducing_bounds_from_const_6;
		struct bpf_program *deducing_bounds_from_const_7;
		struct bpf_program *deducing_bounds_from_const_8;
		struct bpf_program *deducing_bounds_from_const_9;
		struct bpf_program *deducing_bounds_from_const_10;
	} progs;
	struct {
		struct bpf_link *deducing_bounds_from_const_1;
		struct bpf_link *deducing_bounds_from_const_2;
		struct bpf_link *deducing_bounds_from_const_3;
		struct bpf_link *deducing_bounds_from_const_4;
		struct bpf_link *deducing_bounds_from_const_5;
		struct bpf_link *deducing_bounds_from_const_6;
		struct bpf_link *deducing_bounds_from_const_7;
		struct bpf_link *deducing_bounds_from_const_8;
		struct bpf_link *deducing_bounds_from_const_9;
		struct bpf_link *deducing_bounds_from_const_10;
	} links;

#ifdef __cplusplus
	static inline struct verifier_bounds_deduction *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_bounds_deduction *open_and_load();
	static inline int load(struct verifier_bounds_deduction *skel);
	static inline int attach(struct verifier_bounds_deduction *skel);
	static inline void detach(struct verifier_bounds_deduction *skel);
	static inline void destroy(struct verifier_bounds_deduction *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_bounds_deduction__destroy(struct verifier_bounds_deduction *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_bounds_deduction__create_skeleton(struct verifier_bounds_deduction *obj);

static inline struct verifier_bounds_deduction *
verifier_bounds_deduction__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_bounds_deduction *obj;
	int err;

	obj = (struct verifier_bounds_deduction *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_bounds_deduction__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_bounds_deduction__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_bounds_deduction *
verifier_bounds_deduction__open(void)
{
	return verifier_bounds_deduction__open_opts(NULL);
}

static inline int
verifier_bounds_deduction__load(struct verifier_bounds_deduction *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_bounds_deduction *
verifier_bounds_deduction__open_and_load(void)
{
	struct verifier_bounds_deduction *obj;
	int err;

	obj = verifier_bounds_deduction__open();
	if (!obj)
		return NULL;
	err = verifier_bounds_deduction__load(obj);
	if (err) {
		verifier_bounds_deduction__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_bounds_deduction__attach(struct verifier_bounds_deduction *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_bounds_deduction__detach(struct verifier_bounds_deduction *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_bounds_deduction__elf_bytes(size_t *sz);

static inline int
verifier_bounds_deduction__create_skeleton(struct verifier_bounds_deduction *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_bounds_deduction";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "deducing_bounds_from_const_1";
	s->progs[0].prog = &obj->progs.deducing_bounds_from_const_1;
	s->progs[0].link = &obj->links.deducing_bounds_from_const_1;

	s->progs[1].name = "deducing_bounds_from_const_2";
	s->progs[1].prog = &obj->progs.deducing_bounds_from_const_2;
	s->progs[1].link = &obj->links.deducing_bounds_from_const_2;

	s->progs[2].name = "deducing_bounds_from_const_3";
	s->progs[2].prog = &obj->progs.deducing_bounds_from_const_3;
	s->progs[2].link = &obj->links.deducing_bounds_from_const_3;

	s->progs[3].name = "deducing_bounds_from_const_4";
	s->progs[3].prog = &obj->progs.deducing_bounds_from_const_4;
	s->progs[3].link = &obj->links.deducing_bounds_from_const_4;

	s->progs[4].name = "deducing_bounds_from_const_5";
	s->progs[4].prog = &obj->progs.deducing_bounds_from_const_5;
	s->progs[4].link = &obj->links.deducing_bounds_from_const_5;

	s->progs[5].name = "deducing_bounds_from_const_6";
	s->progs[5].prog = &obj->progs.deducing_bounds_from_const_6;
	s->progs[5].link = &obj->links.deducing_bounds_from_const_6;

	s->progs[6].name = "deducing_bounds_from_const_7";
	s->progs[6].prog = &obj->progs.deducing_bounds_from_const_7;
	s->progs[6].link = &obj->links.deducing_bounds_from_const_7;

	s->progs[7].name = "deducing_bounds_from_const_8";
	s->progs[7].prog = &obj->progs.deducing_bounds_from_const_8;
	s->progs[7].link = &obj->links.deducing_bounds_from_const_8;

	s->progs[8].name = "deducing_bounds_from_const_9";
	s->progs[8].prog = &obj->progs.deducing_bounds_from_const_9;
	s->progs[8].link = &obj->links.deducing_bounds_from_const_9;

	s->progs[9].name = "deducing_bounds_from_const_10";
	s->progs[9].prog = &obj->progs.deducing_bounds_from_const_10;
	s->progs[9].link = &obj->links.deducing_bounds_from_const_10;

	s->data = verifier_bounds_deduction__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_bounds_deduction__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x64\x65\x64\x75\x63\x74\x69\x6f\x6e\x2e\
\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x30\x5f\x32\0\
\x6c\x30\x5f\x33\0\x6c\x31\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\
\x30\x5f\x36\0\x6c\x30\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x30\x5f\x39\0\x64\x65\
\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\
\x63\x6f\x6e\x73\x74\x5f\x31\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\
\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x32\0\x64\x65\x64\
\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\
\x6f\x6e\x73\x74\x5f\x33\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x34\0\x64\x65\x64\x75\
\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\
\x6e\x73\x74\x5f\x35\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\
\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x36\0\x64\x65\x64\x75\x63\
\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\
\x73\x74\x5f\x37\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x38\0\x64\x65\x64\x75\x63\x69\
\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\
\x74\x5f\x39\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\
\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x31\x30\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\
\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\0\0\x03\0\x38\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\0\0\x03\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x4b\0\0\0\0\0\x03\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\x03\0\
\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\0\0\x03\0\xa8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x5a\0\0\0\0\0\x03\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\0\0\
\x03\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\0\0\x03\0\x10\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x69\0\0\0\0\0\x03\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\
\0\0\0\0\0\x03\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\0\0\x03\0\x80\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x95\0\0\0\x12\0\x03\0\x20\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\xb2\0\0\0\
\x12\0\x03\0\x58\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xcf\0\0\0\x12\0\x03\0\x78\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\xec\0\0\0\x12\0\x03\0\xb8\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x09\x01\0\0\x12\0\x03\0\xd8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x26\x01\0\
\0\x12\0\x03\0\0\x01\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x43\x01\0\0\x12\0\x03\0\x28\
\x01\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x60\x01\0\0\x12\0\x03\0\x50\x01\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x7d\x01\0\0\x12\0\x03\0\x70\x01\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\x9b\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\
\0\x75\0\0\0\x01\0\0\0\x1f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\
\0\x75\0\x01\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xd5\0\x01\0\x01\0\0\0\x95\0\0\0\0\0\
\0\0\x1f\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xd5\0\0\0\0\0\0\0\
\x1f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\xd5\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\x75\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x1f\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x75\0\x01\0\x01\0\0\0\
\x1f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x75\0\x01\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x1f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\
\xff\x75\0\0\0\0\0\0\0\x1f\x01\0\0\0\0\0\0\x61\x10\x08\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\0\0\0\xff\xff\xff\xff\x75\0\x01\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\x61\x10\
\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x75\0\0\0\0\0\0\0\x1f\x10\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xd5\0\0\0\0\0\0\0\x87\0\0\0\0\0\
\0\0\x1f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xa4\x03\0\0\xa4\x03\0\0\xd2\x06\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x1e\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\
\xff\x5b\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x77\0\0\0\0\0\0\x11\x02\0\0\
\0\xff\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x05\x01\0\0\
\x01\0\0\x0c\x01\0\0\0\x22\x01\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x5f\x01\
\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x7b\x01\0\0\0\0\0\x11\x07\0\0\0\xff\
\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x9e\x01\0\0\0\0\0\
\x11\x07\0\0\0\xff\xff\xff\xff\xb4\x01\0\0\x01\0\0\x0c\x01\0\0\0\xd1\x01\0\0\0\
\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\
\xff\x77\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x0d\0\0\
\0\xff\xff\xff\xff\x0e\x02\0\0\x01\0\0\x0c\x01\0\0\0\x2b\x02\0\0\0\0\0\x11\x12\
\0\0\0\xff\xff\xff\xff\x5f\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x7b\x01\
\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x68\x02\0\0\0\0\0\x11\x12\0\0\0\xff\
\xff\xff\xff\xb5\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xcb\x02\0\0\x01\0\
\0\x0c\x01\0\0\0\xe8\x02\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\
\0\x11\x18\0\0\0\xff\xff\xff\xff\x77\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\
\xb8\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x25\x03\0\0\x01\0\0\x0c\x01\0\0\
\0\x42\x03\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x1d\0\0\
\0\xff\xff\xff\xff\x77\0\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xb8\0\0\0\0\0\
\0\x11\x1d\0\0\0\xff\xff\xff\xff\x7f\x03\0\0\x01\0\0\x0c\x01\0\0\0\x9c\x03\0\0\
\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\
\xff\xd9\x03\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x22\0\
\0\0\xff\xff\xff\xff\x11\x04\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\x3d\x04\0\
\0\x01\0\0\x0c\x01\0\0\0\x5a\x04\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x5b\0\
\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x97\x04\0\0\0\0\0\x11\x28\0\0\0\xff\
\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x11\x04\0\0\0\0\0\
\x11\x28\0\0\0\xff\xff\xff\xff\xdc\x04\0\0\x01\0\0\x0c\x01\0\0\0\xf9\x04\0\0\0\
\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\
\xff\x77\0\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\xb8\0\0\0\0\0\0\x11\x2e\0\0\
\0\xff\xff\xff\xff\x36\x05\0\0\x01\0\0\x0c\x01\0\0\0\x54\x05\0\0\0\0\0\x11\x33\
\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\x92\x05\0\
\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\x7b\x01\0\0\0\0\0\x11\x33\0\0\0\xff\xff\
\xff\xff\xf8\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x38\0\0\0\x3a\0\0\0\x04\0\0\0\xfd\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x11\
\x06\0\0\0\0\0\x0e\x39\0\0\0\x01\0\0\0\xc3\x06\0\0\x01\0\0\x0f\x04\0\0\0\x3b\0\
\0\0\0\0\0\0\x04\0\0\0\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\
\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x30\x20\x74\x72\x69\x65\
\x64\x20\x74\x6f\x20\x73\x75\x62\x74\x72\x61\x63\x74\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x66\x72\x6f\x6d\x20\x73\x63\x61\x6c\x61\x72\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\
\x75\x6e\x70\x72\x69\x76\x3d\x52\x31\x20\x68\x61\x73\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x77\x69\x74\x68\x20\x75\x6e\x73\x75\x70\x70\x6f\x72\x74\x65\x64\
\x20\x61\x6c\x75\x20\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\0\x64\x65\x64\x75\x63\
\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\
\x73\x74\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\
\x75\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\
\x6f\x6e\x73\x74\x2c\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x64\x65\x64\x75\x63\x69\
\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\
\x74\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\
\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\
\x6e\x73\x74\x2c\x20\x33\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\
\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\x36\x20\x68\x61\x73\x20\x70\
\x6f\x69\x6e\x74\x65\x72\x20\x77\x69\x74\x68\x20\x75\x6e\x73\x75\x70\x70\x6f\
\x72\x74\x65\x64\x20\x61\x6c\x75\x20\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\
\x30\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\
\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\
\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\x20\
\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x35\0\x64\x65\x64\x75\x63\x69\
\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\
\x74\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\
\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\
\x6e\x73\x74\x2c\x20\x36\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x37\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\
\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x37\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x64\x65\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x6f\x66\x20\
\x6d\x6f\x64\x69\x66\x69\x65\x64\x20\x63\x74\x78\x20\x70\x74\x72\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\
\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\
\x4e\x54\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\
\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\
\x65\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\
\x20\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x38\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6f\x66\x66\x73\x65\x74\x20\x63\x74\x78\
\x20\x70\x74\x72\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x31\x20\x64\x69\x73\x61\
\x6c\x6c\x6f\x77\x65\x64\0\x64\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x66\x72\x6f\x6d\x5f\x63\x6f\x6e\x73\x74\x5f\x39\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x63\x68\x65\x63\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\
\x75\x6e\x64\x73\x20\x66\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x39\0\x64\
\x65\x64\x75\x63\x69\x6e\x67\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x66\x72\x6f\x6d\
\x5f\x63\x6f\x6e\x73\x74\x5f\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\x63\
\x6b\x20\x64\x65\x64\x75\x63\x69\x6e\x67\x20\x62\x6f\x75\x6e\x64\x73\x20\x66\
\x72\x6f\x6d\x20\x63\x6f\x6e\x73\x74\x2c\x20\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\
\x61\x74\x68\x20\x62\x65\x74\x77\x65\x65\x6e\x20\x63\x74\x78\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x61\x6e\x64\x20\x72\x65\x67\x69\x73\x74\x65\x72\x20\x77\
\x69\x74\x68\x20\x75\x6e\x62\x6f\x75\x6e\x64\x65\x64\x20\x6d\x69\x6e\x20\x76\
\x61\x6c\x75\x65\x20\x69\x73\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\x64\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\
\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x64\x65\x64\x75\x63\
\x74\x69\x6f\x6e\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\
\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\
\x63\x6b\x65\x74\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\x5c\0\0\0\xac\
\0\0\0\x08\x01\0\0\0\0\0\0\x08\0\0\0\xcb\x06\0\0\x0a\0\0\0\0\0\0\0\x02\0\0\0\
\x20\0\0\0\x07\0\0\0\x58\0\0\0\x0d\0\0\0\x78\0\0\0\x12\0\0\0\xb8\0\0\0\x18\0\0\
\0\xd8\0\0\0\x1d\0\0\0\0\x01\0\0\x22\0\0\0\x28\x01\0\0\x28\0\0\0\x50\x01\0\0\
\x2e\0\0\0\x70\x01\0\0\x33\0\0\0\x10\0\0\0\xcb\x06\0\0\x0a\0\0\0\0\0\0\0\x1a\
\x06\0\0\xac\x06\0\0\x02\x38\0\0\x20\0\0\0\x1a\x06\0\0\xac\x06\0\0\x02\x74\0\0\
\x58\0\0\0\x1a\x06\0\0\xac\x06\0\0\x02\xb8\0\0\x78\0\0\0\x1a\x06\0\0\xac\x06\0\
\0\x02\xf4\0\0\xb8\0\0\0\x1a\x06\0\0\xac\x06\0\0\x02\x3c\x01\0\xd8\0\0\0\x1a\
\x06\0\0\xac\x06\0\0\x02\x74\x01\0\0\x01\0\0\x1a\x06\0\0\xac\x06\0\0\x02\xb4\
\x01\0\x28\x01\0\0\x1a\x06\0\0\xac\x06\0\0\x02\0\x02\0\x50\x01\0\0\x1a\x06\0\0\
\xac\x06\0\0\x02\x48\x02\0\x70\x01\0\0\x1a\x06\0\0\xac\x06\0\0\x02\x84\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb2\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf8\x01\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x68\x04\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x06\0\0\0\0\0\0\x8e\x0a\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x10\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_bounds_deduction *verifier_bounds_deduction::open(const struct bpf_object_open_opts *opts) { return verifier_bounds_deduction__open_opts(opts); }
struct verifier_bounds_deduction *verifier_bounds_deduction::open_and_load() { return verifier_bounds_deduction__open_and_load(); }
int verifier_bounds_deduction::load(struct verifier_bounds_deduction *skel) { return verifier_bounds_deduction__load(skel); }
int verifier_bounds_deduction::attach(struct verifier_bounds_deduction *skel) { return verifier_bounds_deduction__attach(skel); }
void verifier_bounds_deduction::detach(struct verifier_bounds_deduction *skel) { verifier_bounds_deduction__detach(skel); }
void verifier_bounds_deduction::destroy(struct verifier_bounds_deduction *skel) { verifier_bounds_deduction__destroy(skel); }
const void *verifier_bounds_deduction::elf_bytes(size_t *sz) { return verifier_bounds_deduction__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_bounds_deduction__assert(struct verifier_bounds_deduction *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BOUNDS_DEDUCTION_SKEL_H__ */
