/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BTF_CTX_ACCESS_SKEL_H__
#define __VERIFIER_BTF_CTX_ACCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_btf_ctx_access {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *btf_ctx_access_accept;
		struct bpf_program *ctx_access_u32_pointer_accept;
	} progs;
	struct {
		struct bpf_link *btf_ctx_access_accept;
		struct bpf_link *ctx_access_u32_pointer_accept;
	} links;

#ifdef __cplusplus
	static inline struct verifier_btf_ctx_access *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_btf_ctx_access *open_and_load();
	static inline int load(struct verifier_btf_ctx_access *skel);
	static inline int attach(struct verifier_btf_ctx_access *skel);
	static inline void detach(struct verifier_btf_ctx_access *skel);
	static inline void destroy(struct verifier_btf_ctx_access *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_btf_ctx_access__destroy(struct verifier_btf_ctx_access *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_btf_ctx_access__create_skeleton(struct verifier_btf_ctx_access *obj);

static inline struct verifier_btf_ctx_access *
verifier_btf_ctx_access__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_btf_ctx_access *obj;
	int err;

	obj = (struct verifier_btf_ctx_access *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_btf_ctx_access__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_btf_ctx_access__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_btf_ctx_access *
verifier_btf_ctx_access__open(void)
{
	return verifier_btf_ctx_access__open_opts(NULL);
}

static inline int
verifier_btf_ctx_access__load(struct verifier_btf_ctx_access *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_btf_ctx_access *
verifier_btf_ctx_access__open_and_load(void)
{
	struct verifier_btf_ctx_access *obj;
	int err;

	obj = verifier_btf_ctx_access__open();
	if (!obj)
		return NULL;
	err = verifier_btf_ctx_access__load(obj);
	if (err) {
		verifier_btf_ctx_access__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_btf_ctx_access__attach(struct verifier_btf_ctx_access *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_btf_ctx_access__detach(struct verifier_btf_ctx_access *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_btf_ctx_access__elf_bytes(size_t *sz);

static inline int
verifier_btf_ctx_access__create_skeleton(struct verifier_btf_ctx_access *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_btf_ctx_access";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "btf_ctx_access_accept";
	s->progs[0].prog = &obj->progs.btf_ctx_access_accept;
	s->progs[0].link = &obj->links.btf_ctx_access_accept;

	s->progs[1].name = "ctx_access_u32_pointer_accept";
	s->progs[1].prog = &obj->progs.ctx_access_u32_pointer_accept;
	s->progs[1].link = &obj->links.ctx_access_u32_pointer_accept;

	s->data = verifier_btf_ctx_access__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_btf_ctx_access__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x39\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x62\x74\x66\x5f\x63\x74\x78\x5f\x61\x63\
\x63\x65\x73\x73\x2e\x63\0\x62\x74\x66\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\x73\
\x73\x5f\x61\x63\x63\x65\x70\x74\0\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x75\x33\x32\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x63\x63\x65\x70\x74\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x7f\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x9d\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x61\x12\x08\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xe4\0\0\0\xe4\0\0\0\xd8\x01\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\
\0\0\x01\0\0\x0c\x01\0\0\0\x17\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x46\0\
\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x62\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\
\xff\xff\x78\0\0\0\x01\0\0\x0c\x01\0\0\0\x96\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\
\xff\xff\x46\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x62\0\0\0\0\0\0\x11\x06\
\0\0\0\xff\xff\xff\xff\xd1\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\xd6\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\xea\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x9a\x01\0\0\x01\0\0\x0f\x04\0\0\0\
\x0d\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x74\x66\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\
\x73\x73\x5f\x61\x63\x63\x65\x70\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x74\x66\x5f\
\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\x20\x61\x63\x63\x65\x70\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\
\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x75\x33\x32\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x63\x63\x65\x70\x74\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x62\x74\x66\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\
\x20\x75\x33\x32\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x63\x63\x65\x70\x74\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\
\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x62\x74\x66\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\
\x73\x73\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\
\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\
\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x39\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\
\0\0\x24\0\0\0\x24\0\0\0\x34\0\0\0\x58\0\0\0\0\0\0\0\x08\0\0\0\xa2\x01\0\0\x01\
\0\0\0\0\0\0\0\x02\0\0\0\xc0\x01\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\xa2\
\x01\0\0\x01\0\0\0\0\0\0\0\xf3\0\0\0\x83\x01\0\0\x02\x34\0\0\xc0\x01\0\0\x01\0\
\0\0\0\0\0\0\xf3\0\0\0\x83\x01\0\0\x02\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xa8\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd8\x01\0\0\0\0\0\0\xd4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xab\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\
\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_btf_ctx_access *verifier_btf_ctx_access::open(const struct bpf_object_open_opts *opts) { return verifier_btf_ctx_access__open_opts(opts); }
struct verifier_btf_ctx_access *verifier_btf_ctx_access::open_and_load() { return verifier_btf_ctx_access__open_and_load(); }
int verifier_btf_ctx_access::load(struct verifier_btf_ctx_access *skel) { return verifier_btf_ctx_access__load(skel); }
int verifier_btf_ctx_access::attach(struct verifier_btf_ctx_access *skel) { return verifier_btf_ctx_access__attach(skel); }
void verifier_btf_ctx_access::detach(struct verifier_btf_ctx_access *skel) { verifier_btf_ctx_access__detach(skel); }
void verifier_btf_ctx_access::destroy(struct verifier_btf_ctx_access *skel) { verifier_btf_ctx_access__destroy(skel); }
const void *verifier_btf_ctx_access::elf_bytes(size_t *sz) { return verifier_btf_ctx_access__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_btf_ctx_access__assert(struct verifier_btf_ctx_access *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BTF_CTX_ACCESS_SKEL_H__ */
