/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MAP_PTR_MIXING_SKEL_H__
#define __VERIFIER_MAP_PTR_MIXING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_map_ptr_mixing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_prog1_socket;
		struct bpf_map *map_prog2_socket;
		struct bpf_map *map_hash_48b;
		struct bpf_map *map_array_48b;
		struct bpf_map *map_in_map;
	} maps;
	struct {
		struct bpf_program *dummy_prog_42_socket;
		struct bpf_program *dummy_prog_loop1_socket;
		struct bpf_program *dummy_prog_24_socket;
		struct bpf_program *dummy_prog_loop2_socket;
		struct bpf_program *pointers_for_lookup_tail_tail_1;
		struct bpf_program *pointers_for_lookup_tail_tail_2;
		struct bpf_program *pointers_for_lookup_hash_array;
		struct bpf_program *lookup_hash_map_in_map;
	} progs;
	struct {
		struct bpf_link *dummy_prog_42_socket;
		struct bpf_link *dummy_prog_loop1_socket;
		struct bpf_link *dummy_prog_24_socket;
		struct bpf_link *dummy_prog_loop2_socket;
		struct bpf_link *pointers_for_lookup_tail_tail_1;
		struct bpf_link *pointers_for_lookup_tail_tail_2;
		struct bpf_link *pointers_for_lookup_hash_array;
		struct bpf_link *lookup_hash_map_in_map;
	} links;

#ifdef __cplusplus
	static inline struct verifier_map_ptr_mixing *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_map_ptr_mixing *open_and_load();
	static inline int load(struct verifier_map_ptr_mixing *skel);
	static inline int attach(struct verifier_map_ptr_mixing *skel);
	static inline void detach(struct verifier_map_ptr_mixing *skel);
	static inline void destroy(struct verifier_map_ptr_mixing *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_map_ptr_mixing__destroy(struct verifier_map_ptr_mixing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_map_ptr_mixing__create_skeleton(struct verifier_map_ptr_mixing *obj);

static inline struct verifier_map_ptr_mixing *
verifier_map_ptr_mixing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_map_ptr_mixing *obj;
	int err;

	obj = (struct verifier_map_ptr_mixing *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_map_ptr_mixing__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_map_ptr_mixing__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_map_ptr_mixing *
verifier_map_ptr_mixing__open(void)
{
	return verifier_map_ptr_mixing__open_opts(NULL);
}

static inline int
verifier_map_ptr_mixing__load(struct verifier_map_ptr_mixing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_map_ptr_mixing *
verifier_map_ptr_mixing__open_and_load(void)
{
	struct verifier_map_ptr_mixing *obj;
	int err;

	obj = verifier_map_ptr_mixing__open();
	if (!obj)
		return NULL;
	err = verifier_map_ptr_mixing__load(obj);
	if (err) {
		verifier_map_ptr_mixing__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_map_ptr_mixing__attach(struct verifier_map_ptr_mixing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_map_ptr_mixing__detach(struct verifier_map_ptr_mixing *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_map_ptr_mixing__elf_bytes(size_t *sz);

static inline int
verifier_map_ptr_mixing__create_skeleton(struct verifier_map_ptr_mixing *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_map_ptr_mixing";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_prog1_socket";
	s->maps[0].map = &obj->maps.map_prog1_socket;

	s->maps[1].name = "map_prog2_socket";
	s->maps[1].map = &obj->maps.map_prog2_socket;

	s->maps[2].name = "map_hash_48b";
	s->maps[2].map = &obj->maps.map_hash_48b;

	s->maps[3].name = "map_array_48b";
	s->maps[3].map = &obj->maps.map_array_48b;

	s->maps[4].name = "map_in_map";
	s->maps[4].map = &obj->maps.map_in_map;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dummy_prog_42_socket";
	s->progs[0].prog = &obj->progs.dummy_prog_42_socket;
	s->progs[0].link = &obj->links.dummy_prog_42_socket;

	s->progs[1].name = "dummy_prog_loop1_socket";
	s->progs[1].prog = &obj->progs.dummy_prog_loop1_socket;
	s->progs[1].link = &obj->links.dummy_prog_loop1_socket;

	s->progs[2].name = "dummy_prog_24_socket";
	s->progs[2].prog = &obj->progs.dummy_prog_24_socket;
	s->progs[2].link = &obj->links.dummy_prog_24_socket;

	s->progs[3].name = "dummy_prog_loop2_socket";
	s->progs[3].prog = &obj->progs.dummy_prog_loop2_socket;
	s->progs[3].link = &obj->links.dummy_prog_loop2_socket;

	s->progs[4].name = "pointers_for_lookup_tail_tail_1";
	s->progs[4].prog = &obj->progs.pointers_for_lookup_tail_tail_1;
	s->progs[4].link = &obj->links.pointers_for_lookup_tail_tail_1;

	s->progs[5].name = "pointers_for_lookup_tail_tail_2";
	s->progs[5].prog = &obj->progs.pointers_for_lookup_tail_tail_2;
	s->progs[5].link = &obj->links.pointers_for_lookup_tail_tail_2;

	s->progs[6].name = "pointers_for_lookup_hash_array";
	s->progs[6].prog = &obj->progs.pointers_for_lookup_hash_array;
	s->progs[6].link = &obj->links.pointers_for_lookup_hash_array;

	s->progs[7].name = "lookup_hash_map_in_map";
	s->progs[7].prog = &obj->progs.lookup_hash_map_in_map;
	s->progs[7].link = &obj->links.lookup_hash_map_in_map;

	s->data = verifier_map_ptr_mixing__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_map_ptr_mixing__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x18\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x6f\x63\x6b\x65\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\
\x70\x74\x72\x5f\x6d\x69\x78\x69\x6e\x67\x2e\x63\0\x6c\x30\x5f\x30\0\x70\x6f\
\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\
\x61\x73\x68\x5f\x61\x72\x72\x61\x79\x5f\x5f\x31\0\x6c\x31\x5f\x30\0\x70\x6f\
\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\
\x61\x73\x68\x5f\x61\x72\x72\x61\x79\x5f\x5f\x32\0\x6c\x32\x5f\x30\0\x6c\x30\
\x5f\x31\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x69\
\x6e\x5f\x6d\x61\x70\x5f\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x5f\x32\0\
\x6c\x32\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\
\x31\x5f\x33\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x34\x32\x5f\x73\x6f\
\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\
\x31\x5f\x73\x6f\x63\x6b\x65\x74\0\x6d\x61\x70\x5f\x70\x72\x6f\x67\x31\x5f\x73\
\x6f\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x32\x34\x5f\
\x73\x6f\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\
\x6f\x70\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x6d\x61\x70\x5f\x70\x72\x6f\x67\x32\
\x5f\x73\x6f\x63\x6b\x65\x74\0\x70\x6f\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x61\x72\x72\x61\x79\0\x6d\
\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x6d\x61\x70\x5f\x61\x72\x72\x61\
\x79\x5f\x34\x38\x62\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x6d\x61\
\x70\x5f\x69\x6e\x5f\x6d\x61\x70\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\0\
\x70\x6f\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x74\x61\x69\x6c\x5f\x74\x61\x69\x6c\x5f\x31\0\x70\x6f\x69\x6e\x74\x65\x72\
\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x74\x61\x69\x6c\x5f\x74\
\x61\x69\x6c\x5f\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\
\x74\x63\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\0\0\x05\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x70\0\0\0\0\0\x05\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x02\0\x03\0\
\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x97\0\0\0\0\0\x05\0\x70\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9c\0\0\0\0\0\x05\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\
\x02\0\x03\0\x30\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xbb\0\0\0\0\0\x05\0\x98\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\x03\0\x48\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\xda\0\0\0\0\0\x05\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\0\0\0\0\0\x04\0\
\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\0\0\0\x04\0\xb8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe9\0\0\0\0\0\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\0\0\
\x04\0\x10\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x08\x01\0\0\x12\0\x04\0\x10\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\x20\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x31\x01\0\0\x12\0\
\x04\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x46\x01\0\0\x12\0\x04\0\x50\0\0\0\0\
\0\0\0\x30\0\0\0\0\0\0\0\x5e\x01\0\0\x11\0\x06\0\x30\0\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\x6f\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x8e\x01\0\0\
\x11\0\x06\0\x88\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9b\x01\0\0\x11\0\x06\0\xa8\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa9\x01\0\0\x12\0\x05\0\x78\0\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\xc0\x01\0\0\x11\0\x06\0\xc8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xcb\
\x01\0\0\x12\0\x04\0\x80\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xeb\x01\0\0\x12\0\x04\
\0\xd8\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x0b\x02\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\
\0\x2a\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x29\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\
\x18\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x29\0\0\0\x95\0\0\0\0\0\0\0\x61\x16\x08\
\0\0\0\0\0\x55\x06\x03\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x02\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x07\0\0\0\x85\0\0\0\
\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x61\x16\x08\0\0\0\0\0\x15\x06\
\x03\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x02\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x07\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\
\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x55\x01\x02\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x05\0\x01\0\0\0\0\0\x85\x10\0\0\x02\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\
\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\xb7\x01\0\0\x04\0\0\0\x7b\x10\0\0\
\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x55\x01\x02\0\0\0\0\0\x85\x10\0\
\0\x05\0\0\0\x05\0\x01\0\0\0\0\0\x85\x10\0\0\x08\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\
\xff\xff\xff\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\xb7\x01\0\0\x04\0\0\0\x7b\
\x10\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x30\0\0\0\
\0\0\0\0\x01\0\0\0\x1b\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x1d\0\0\0\x18\0\0\0\0\
\0\0\0\x01\0\0\0\x15\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x90\0\0\0\0\0\
\0\0\x01\0\0\0\x18\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\xe8\0\0\0\0\0\0\
\0\x01\0\0\0\x18\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x08\0\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x18\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x18\0\0\0\0\0\0\0\
\x02\0\0\0\x13\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x14\0\0\0\x28\0\0\0\0\0\0\0\
\x02\0\0\0\x16\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x17\0\0\0\x58\0\0\0\0\0\0\0\
\x02\0\0\0\x16\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x28\x06\0\0\x28\x06\0\0\x13\x06\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\
\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\x09\0\0\
\0\xc0\0\0\0\x3a\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x04\
\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0c\0\0\0\x40\0\0\0\x2a\0\0\0\
\x05\0\0\0\x80\0\0\0\x33\0\0\0\x09\0\0\0\xc0\0\0\0\x4b\0\0\0\0\0\0\x0e\x0e\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x5c\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\x01\0\0\0\0\0\0\0\x02\x15\0\0\0\x66\0\0\0\x02\0\0\x04\x30\0\0\0\x6f\0\
\0\0\x16\0\0\0\0\0\0\0\x75\0\0\0\x17\0\0\0\x20\0\0\0\x79\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0b\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x10\0\0\0\0\0\0\0\x1e\0\0\0\x10\0\0\0\x40\0\0\
\0\x86\0\0\0\x12\0\0\0\x80\0\0\0\x8a\0\0\0\x14\0\0\0\xc0\0\0\0\x90\0\0\0\0\0\0\
\x0e\x18\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x19\0\0\0\x1a\0\0\0\0\0\0\0\x1e\0\0\0\x10\0\0\0\x40\0\0\0\x86\0\0\0\
\x1c\0\0\0\x80\0\0\0\x8a\0\0\0\x14\0\0\0\xc0\0\0\0\x9d\0\0\0\0\0\0\x0e\x1d\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\
\x19\0\0\0\x1a\0\0\0\0\0\0\0\x1e\0\0\0\x10\0\0\0\x40\0\0\0\x86\0\0\0\x1c\0\0\0\
\x80\0\0\0\x8a\0\0\0\x1c\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x21\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x19\0\0\0\x1f\0\0\0\0\0\0\0\
\x1e\0\0\0\x10\0\0\0\x40\0\0\0\x86\0\0\0\x1c\0\0\0\x80\0\0\0\x8a\0\0\0\x1c\0\0\
\0\xc0\0\0\0\x33\0\0\0\x23\0\0\0\0\x01\0\0\xab\0\0\0\0\0\0\x0e\x24\0\0\0\x01\0\
\0\0\xb6\0\0\0\x01\0\0\x0c\x08\0\0\0\xcb\0\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\
\xff\xe2\0\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\0\x01\0\0\x01\0\0\x0c\x08\0\
\0\0\xcb\0\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\xe2\0\0\0\0\0\0\x11\x29\0\0\
\0\xff\xff\xff\xff\x18\x01\0\0\x01\0\0\x0c\x08\0\0\0\xcb\0\0\0\0\0\0\x11\x2c\0\
\0\0\xff\xff\xff\xff\xe2\0\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\x2d\x01\0\0\
\x01\0\0\x0c\x08\0\0\0\xcb\0\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\xe2\0\0\0\
\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\x45\x01\0\0\x01\0\0\x0c\x08\0\0\0\x64\x01\
\0\0\0\0\0\x11\x32\0\0\0\xff\xff\xff\xff\xc8\x01\0\0\0\0\0\x11\x32\0\0\0\xff\
\xff\xff\xff\xe4\x01\0\0\0\0\0\x11\x32\0\0\0\xff\xff\xff\xff\xfa\x01\0\0\0\0\0\
\x0c\x08\0\0\0\x1c\x02\0\0\0\0\0\x0c\x08\0\0\0\x3e\x02\0\0\x01\0\0\x0c\x08\0\0\
\0\x55\x02\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\xbe\x02\0\0\0\0\0\x11\x38\0\
\0\0\xff\xff\xff\xff\xda\x02\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\x18\x03\0\
\0\0\0\0\x0c\x08\0\0\0\x32\x03\0\0\0\0\0\x0c\x08\0\0\0\x4c\x03\0\0\x01\0\0\x0c\
\x08\0\0\0\x6c\x03\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\xc8\x01\0\0\0\0\0\
\x11\x3e\0\0\0\xff\xff\xff\xff\xd1\x03\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\
\xf4\x03\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\x2d\x04\0\0\0\0\0\x11\x3e\0\0\
\0\xff\xff\xff\xff\x44\x04\0\0\x01\0\0\x0c\x08\0\0\0\x64\x04\0\0\0\0\0\x11\x44\
\0\0\0\xff\xff\xff\xff\xc8\x01\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\xc4\x04\
\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\x2d\x04\0\0\0\0\0\x11\x44\0\0\0\xff\
\xff\xff\xff\xe7\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x49\0\0\0\x04\0\0\0\x04\0\0\0\xec\x04\0\0\0\0\0\x0e\x4a\0\0\0\x01\0\0\0\
\xf5\x05\0\0\x05\0\0\x0f\xe8\0\0\0\x0b\0\0\0\0\0\0\0\x30\0\0\0\x0f\0\0\0\x30\0\
\0\0\x58\0\0\0\x19\0\0\0\x88\0\0\0\x20\0\0\0\x1e\0\0\0\xa8\0\0\0\x20\0\0\0\x25\
\0\0\0\xc8\0\0\0\x20\0\0\0\xfb\x05\0\0\x01\0\0\x0f\x04\0\0\0\x4b\0\0\0\0\0\0\0\
\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x6d\
\x61\x70\x5f\x70\x72\x6f\x67\x31\x5f\x73\x6f\x63\x6b\x65\x74\0\x6d\x61\x70\x5f\
\x70\x72\x6f\x67\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x6d\x61\x70\x5f\
\x61\x72\x72\x61\x79\x5f\x34\x38\x62\0\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\
\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x34\x32\x5f\x73\x6f\x63\x6b\x65\
\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x61\x75\x78\x69\x6c\
\x69\x61\x72\x79\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x61\x75\
\x78\x69\x6c\x69\x61\x72\x79\x5f\x75\x6e\x70\x72\x69\x76\0\x64\x75\x6d\x6d\x79\
\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\x31\x5f\x73\x6f\x63\x6b\x65\x74\0\x64\
\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x32\x34\x5f\x73\x6f\x63\x6b\x65\x74\0\
\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\x32\x5f\x73\x6f\
\x63\x6b\x65\x74\0\x70\x6f\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x61\x72\x72\x61\x79\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x63\x61\x6c\x6c\x73\x3a\x20\x74\x77\x6f\x20\x63\x61\x6c\x6c\x73\x20\
\x72\x65\x74\x75\x72\x6e\x69\x6e\x67\x20\x64\x69\x66\x66\x65\x72\x65\x6e\x74\
\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\x73\x20\x66\x6f\x72\x20\x6c\
\x6f\x6f\x6b\x75\x70\x20\x28\x68\x61\x73\x68\x2c\x20\x61\x72\x72\x61\x79\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x70\x6f\x69\x6e\x74\x65\x72\x73\x5f\
\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x61\x72\x72\
\x61\x79\x5f\x5f\x31\0\x70\x6f\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x61\x72\x72\x61\x79\x5f\x5f\x32\0\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\
\x6d\x61\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x61\x6c\x6c\x73\x3a\x20\x74\x77\x6f\
\x20\x63\x61\x6c\x6c\x73\x20\x72\x65\x74\x75\x72\x6e\x69\x6e\x67\x20\x64\x69\
\x66\x66\x65\x72\x65\x6e\x74\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\
\x73\x20\x66\x6f\x72\x20\x6c\x6f\x6f\x6b\x75\x70\x20\x28\x68\x61\x73\x68\x2c\
\x20\x6d\x61\x70\x20\x69\x6e\x20\x6d\x61\x70\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x6f\x6e\x6c\x79\x20\x72\x65\x61\x64\x20\x66\x72\x6f\
\x6d\x20\x62\x70\x66\x5f\x61\x72\x72\x61\x79\x20\x69\x73\x20\x73\x75\x70\x70\
\x6f\x72\x74\x65\x64\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\x61\x73\x68\x5f\x6d\x61\
\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x5f\x31\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x68\
\x61\x73\x68\x5f\x6d\x61\x70\x5f\x69\x6e\x5f\x6d\x61\x70\x5f\x5f\x32\0\x70\x6f\
\x69\x6e\x74\x65\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x74\
\x61\x69\x6c\x5f\x74\x61\x69\x6c\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\
\x64\x3a\x20\x74\x77\x6f\x20\x62\x72\x61\x6e\x63\x68\x65\x73\x20\x72\x65\x74\
\x75\x72\x6e\x69\x6e\x67\x20\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x20\x6d\x61\
\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\x73\x20\x66\x6f\x72\x20\x6c\x6f\x6f\x6b\
\x75\x70\x20\x28\x74\x61\x69\x6c\x2c\x20\x74\x61\x69\x6c\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\
\x72\x69\x76\x3d\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x61\x62\x75\x73\x69\
\x6e\x67\x20\x6d\x61\x70\x5f\x70\x74\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x34\x32\0\x70\x6f\x69\x6e\x74\x65\
\x72\x73\x5f\x66\x6f\x72\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x74\x61\x69\x6c\x5f\
\x74\x61\x69\x6c\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x6f\x6e\x64\x3a\x20\x74\
\x77\x6f\x20\x62\x72\x61\x6e\x63\x68\x65\x73\x20\x72\x65\x74\x75\x72\x6e\x69\
\x6e\x67\x20\x73\x61\x6d\x65\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\
\x73\x20\x66\x6f\x72\x20\x6c\x6f\x6f\x6b\x75\x70\x20\x28\x74\x61\x69\x6c\x2c\
\x20\x74\x61\x69\x6c\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\
\x69\x76\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\
\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\
\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\x70\x74\x72\x5f\x6d\x69\
\x78\x69\x6e\x67\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\
\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x20\x28\x22\x72\x30\x20\x3d\x20\x34\x32\x3b\x20\x65\x78\x69\x74\
\x3b\x22\x29\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\
\x22\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\
\x28\x22\x72\x30\x20\x3d\x20\x32\x34\x3b\x20\x65\x78\x69\x74\x3b\x22\x29\x3b\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x73\
\x6f\x63\x6b\x65\x74\0\x74\x63\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x7c\
\0\0\0\x7c\0\0\0\xdc\0\0\0\x58\x01\0\0\0\0\0\0\x08\0\0\0\x03\x06\0\0\x04\0\0\0\
\0\0\0\0\x36\0\0\0\x18\0\0\0\x37\0\0\0\x30\0\0\0\x3c\0\0\0\x48\0\0\0\x3d\0\0\0\
\x09\x06\0\0\x06\0\0\0\0\0\0\0\x26\0\0\0\x10\0\0\0\x29\0\0\0\x40\0\0\0\x2c\0\0\
\0\x50\0\0\0\x2f\0\0\0\x80\0\0\0\x3e\0\0\0\xd8\0\0\0\x44\0\0\0\x10\x06\0\0\x02\
\0\0\0\0\0\0\0\x32\0\0\0\x78\0\0\0\x38\0\0\0\x10\0\0\0\x03\x06\0\0\x04\0\0\0\0\
\0\0\0\xf5\x04\0\0\x85\x05\0\0\x02\x58\x02\0\x18\0\0\0\xf5\x04\0\0\x85\x05\0\0\
\x02\x84\x02\0\x30\0\0\0\xf5\x04\0\0\x85\x05\0\0\x02\x20\x03\0\x48\0\0\0\xf5\
\x04\0\0\x85\x05\0\0\x02\x4c\x03\0\x09\x06\0\0\x06\0\0\0\0\0\0\0\xf5\x04\0\0\
\x9c\x05\0\0\x02\x34\x01\0\x10\0\0\0\xf5\x04\0\0\xbe\x05\0\0\x02\x6c\x01\0\x40\
\0\0\0\xf5\x04\0\0\xd3\x05\0\0\x02\x50\x01\0\x50\0\0\0\xf5\x04\0\0\xbe\x05\0\0\
\x02\xac\x01\0\x80\0\0\0\xf5\x04\0\0\x85\x05\0\0\x02\x84\x03\0\xd8\0\0\0\xf5\
\x04\0\0\x85\x05\0\0\x02\xe0\x03\0\x10\x06\0\0\x02\0\0\0\0\0\0\0\xf5\x04\0\0\
\x85\x05\0\0\x02\xf0\x01\0\x78\0\0\0\xf5\x04\0\0\x85\x05\0\0\x02\xb8\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x88\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x05\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\
\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\xf0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1e\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x50\x09\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x29\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x30\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x09\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x3a\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0a\0\0\
\0\0\0\0\x53\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3f\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x16\0\0\0\0\0\0\x78\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_map_ptr_mixing *verifier_map_ptr_mixing::open(const struct bpf_object_open_opts *opts) { return verifier_map_ptr_mixing__open_opts(opts); }
struct verifier_map_ptr_mixing *verifier_map_ptr_mixing::open_and_load() { return verifier_map_ptr_mixing__open_and_load(); }
int verifier_map_ptr_mixing::load(struct verifier_map_ptr_mixing *skel) { return verifier_map_ptr_mixing__load(skel); }
int verifier_map_ptr_mixing::attach(struct verifier_map_ptr_mixing *skel) { return verifier_map_ptr_mixing__attach(skel); }
void verifier_map_ptr_mixing::detach(struct verifier_map_ptr_mixing *skel) { verifier_map_ptr_mixing__detach(skel); }
void verifier_map_ptr_mixing::destroy(struct verifier_map_ptr_mixing *skel) { verifier_map_ptr_mixing__destroy(skel); }
const void *verifier_map_ptr_mixing::elf_bytes(size_t *sz) { return verifier_map_ptr_mixing__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_map_ptr_mixing__assert(struct verifier_map_ptr_mixing *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MAP_PTR_MIXING_SKEL_H__ */
