/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_RAW_TP_WRITABLE_SKEL_H__
#define __VERIFIER_RAW_TP_WRITABLE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_raw_tp_writable {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_8b;
	} maps;
	struct {
		struct bpf_program *tracepoint_writable_reject_variable_offset;
	} progs;
	struct {
		struct bpf_link *tracepoint_writable_reject_variable_offset;
	} links;

#ifdef __cplusplus
	static inline struct verifier_raw_tp_writable *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_raw_tp_writable *open_and_load();
	static inline int load(struct verifier_raw_tp_writable *skel);
	static inline int attach(struct verifier_raw_tp_writable *skel);
	static inline void detach(struct verifier_raw_tp_writable *skel);
	static inline void destroy(struct verifier_raw_tp_writable *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_raw_tp_writable__destroy(struct verifier_raw_tp_writable *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_raw_tp_writable__create_skeleton(struct verifier_raw_tp_writable *obj);

static inline struct verifier_raw_tp_writable *
verifier_raw_tp_writable__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_raw_tp_writable *obj;
	int err;

	obj = (struct verifier_raw_tp_writable *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_raw_tp_writable__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_raw_tp_writable__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_raw_tp_writable *
verifier_raw_tp_writable__open(void)
{
	return verifier_raw_tp_writable__open_opts(NULL);
}

static inline int
verifier_raw_tp_writable__load(struct verifier_raw_tp_writable *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_raw_tp_writable *
verifier_raw_tp_writable__open_and_load(void)
{
	struct verifier_raw_tp_writable *obj;
	int err;

	obj = verifier_raw_tp_writable__open();
	if (!obj)
		return NULL;
	err = verifier_raw_tp_writable__load(obj);
	if (err) {
		verifier_raw_tp_writable__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_raw_tp_writable__attach(struct verifier_raw_tp_writable *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_raw_tp_writable__detach(struct verifier_raw_tp_writable *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_raw_tp_writable__elf_bytes(size_t *sz);

static inline int
verifier_raw_tp_writable__create_skeleton(struct verifier_raw_tp_writable *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_raw_tp_writable";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_hash_8b";
	s->maps[0].map = &obj->maps.map_hash_8b;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tracepoint_writable_reject_variable_offset";
	s->progs[0].prog = &obj->progs.tracepoint_writable_reject_variable_offset;
	s->progs[0].link = &obj->links.tracepoint_writable_reject_variable_offset;

	s->data = verifier_raw_tp_writable__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_raw_tp_writable__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2e\x77\0\x2e\x6d\x61\x70\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x72\x61\
\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x2e\x63\0\x6c\x30\x5f\x30\
\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\
\x5f\x72\x65\x6a\x65\x63\x74\x5f\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6f\x66\
\x66\x73\x65\x74\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\x2e\x77\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4b\0\0\0\0\0\x03\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x7b\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x87\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x79\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x7b\x02\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\x55\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\0\0\0\0\0\0\0\x0f\x06\0\0\0\0\
\0\0\xb7\x07\0\0\x92\x10\0\0\x7b\x76\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\
\0\0\0\x6c\x01\0\0\x6c\x01\0\0\x37\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\
\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x04\0\0\x04\x20\0\0\0\x23\
\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x40\0\0\0\x34\0\0\0\x05\0\0\0\x80\
\0\0\0\x38\0\0\0\x05\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x0d\0\0\0\0\x4a\0\0\0\x01\0\0\x0c\x09\0\0\0\x75\0\0\0\0\0\0\x11\
\x0a\0\0\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xda\0\
\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x36\x01\0\0\0\0\0\x11\x0a\0\0\0\xff\
\xff\xff\xff\x62\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x0f\0\0\0\x04\0\0\0\x04\0\0\0\x67\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\
\x18\x02\0\0\x01\0\0\x0f\x20\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x1e\x02\0\0\x01\
\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\
\x5f\x38\x62\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x77\x72\x69\x74\x61\
\x62\x6c\x65\x5f\x72\x65\x6a\x65\x63\x74\x5f\x76\x61\x72\x69\x61\x62\x6c\x65\
\x5f\x6f\x66\x66\x73\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x61\x77\x5f\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x3a\x20\
\x72\x65\x6a\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6f\x66\x66\
\x73\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x36\x20\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x62\x75\
\x66\x66\x65\x72\x20\x6f\x66\x66\x73\x65\x74\x3a\x20\x6f\x66\x66\x3d\x30\x2c\
\x20\x76\x61\x72\x5f\x6f\x66\x66\x3d\x28\x30\x78\x30\x3b\x20\x30\x78\x66\x66\
\x66\x66\x66\x66\x66\x66\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\
\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\x2e\x65\x6c\x39\x69\x76\x2f\x6c\
\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x34\x2e\x34\x36\x33\
\x2e\x65\x6c\x39\x69\x76\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x72\x61\x77\x5f\x74\x70\x5f\x77\x72\x69\x74\x61\x62\x6c\x65\x2e\x63\0\x09\x61\
\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\
\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2e\x77\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x26\x02\0\
\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\x26\x02\0\0\x01\0\0\0\0\0\0\0\x70\x01\
\0\0\x01\x02\0\0\x02\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb3\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x90\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xa5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\xbb\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\x50\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_raw_tp_writable *verifier_raw_tp_writable::open(const struct bpf_object_open_opts *opts) { return verifier_raw_tp_writable__open_opts(opts); }
struct verifier_raw_tp_writable *verifier_raw_tp_writable::open_and_load() { return verifier_raw_tp_writable__open_and_load(); }
int verifier_raw_tp_writable::load(struct verifier_raw_tp_writable *skel) { return verifier_raw_tp_writable__load(skel); }
int verifier_raw_tp_writable::attach(struct verifier_raw_tp_writable *skel) { return verifier_raw_tp_writable__attach(skel); }
void verifier_raw_tp_writable::detach(struct verifier_raw_tp_writable *skel) { verifier_raw_tp_writable__detach(skel); }
void verifier_raw_tp_writable::destroy(struct verifier_raw_tp_writable *skel) { verifier_raw_tp_writable__destroy(skel); }
const void *verifier_raw_tp_writable::elf_bytes(size_t *sz) { return verifier_raw_tp_writable__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_raw_tp_writable__assert(struct verifier_raw_tp_writable *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_RAW_TP_WRITABLE_SKEL_H__ */
